## 01_serverlist.dpatch by evo, edited by bartm, edited by asisak, edited by
## warp10, ember
##
## DP: Add debian and chillfactory irc servers.
## DP: Make Debian servers default.
## DP: Remove Aitvaras IPV6 servers
## DP: Connect irc.ubuntu.com and irc.freelists.org to port 8001.
## DP: Fix oz.org referred as "OzNet" and conncting to wrong servers.
## DP: Refresh patch for 2.8.6

diff -urNad xchat-2.8.6~/src/common/servlist.c xchat-2.8.6/src/common/servlist.c
--- xchat-2.8.6~/src/common/servlist.c	2008-04-01 09:22:34.000000000 +0100
+++ xchat-2.8.6/src/common/servlist.c	2008-06-22 13:27:45.000000000 +0100
@@ -46,6 +46,12 @@
 
 static const struct defaultserver def[] =
 {
+	{"Debian Servers", 0, "#debian"},
+	{0,                     "irc.debian.org"},
+
+	{"Ubuntu Servers", 0, "#ubuntu"},
+	{0,                     "irc.ubuntu.com/8001"},
+
 	{"2600net",	0},
 	{0,			"irc.2600.net"},
 
@@ -59,12 +65,12 @@
 	{0,			"eu.afternet.org"},
 
 	{"Aitvaras",	0},
-#ifdef USE_IPV6
+/*#ifdef USE_IPV6
 #ifdef USE_OPENSSL
 	{0,			"irc6.ktu.lt/+7668"},
 #endif
 	{0,			"irc6.ktu.lt/7666"},
-#endif
+#endif*/
 #ifdef USE_OPENSSL
 	{0,			"irc.data.lt/+6668"},
 	{0,			"irc-ssl.omnitel.net/+6668"},
@@ -137,6 +143,9 @@
 	{"ChatSpike", 0},
 	{0,			"irc.chatspike.net"},
 
+	{"ChillFactory", 0},
+	{0,                     "irc.chillfactory.net"},
+
 	{"CoolChat",	0},
 	{0,			"irc.coolchat.net"},
 /*	{0,			"unix.coolchat.net"},
@@ -207,7 +216,7 @@
 	{0,			"irc.vendetta.com"},
 
 	{"FreeNode",	0},
-	{0,				"irc.freenode.net"},
+	{0,				"irc.freenode.net/8001"},
 
 /*	{"Freeworld",	0},
 	{0,			"kabel.freeworld.nu"},
@@ -339,7 +348,14 @@
 
 	{"OzNet",	0},
 	{0,			"irc.oz.org"},
-
+	{0,			"germany.oz.org"},
+	{0,			"sandiego.oz.org"},
+	{0,			"us.oz.org"},
+	{0,			"au.oz.org"},
+	{0,			"rockhampton.oz.org"},
+	{0,			"wollongong.oz.org"},
+	{0,			"waix.oz.org"},	
+	
 	{"PTlink",	0},
 	{0,			"irc.PTlink.net"},
 	{0,			"aaia.PTlink.net"},
@@ -900,7 +916,7 @@
 				free (net->encoding);
 				net->encoding = strdup (def[i].charset);
 			}
-			if (g_str_hash (def[i].network) == 0x8e1b96f7)
+			if (g_str_hash (def[i].network) == 0x37473b25)
 				prefs.slist_select = j;
 			j++;
 		} else
## 10_fix_unchecked_mallocs.dpatch by Paul Wise <pabs3@bonedaddy.net>
##
## DP: Fix unchecked mallocs throughout the source code.
--- a/src/common/xchat.c
+++ b/src/common/xchat.c
@@ -342,6 +342,8 @@
 	session *sess;
 
 	sess = malloc (sizeof (struct session));
+	if(sess == NULL)
+		return NULL;
 	memset (sess, 0, sizeof (struct session));
 
 	sess->server = serv;
## 20_url_pattern.dpatch by ???
##
## DP: Fix url patterns
--- a/src/fe-gtk/xtext.c
+++ b/src/fe-gtk/xtext.c
@@ -1868,7 +1868,9 @@
 		len++;
 	}
 
-	if (len > 0 && word[len-1]=='.')
+	/* ignore trailing dots and commas. */
+	/* FIXME: locales? */
+	while (len > 0 && (word[len-1]=='.' || word[len-1]==',' || word[len-1]==';'))
 	{
 		len--;
 		str--;
## 41_casecomp.dpatch by ???
##
## DP: Downloaded from http://www.phys.ethz.ch/~mweyland/casecomp.patch
## DP: this will modify tab completion so that uppercase letters will
## DP: only match to uppercase, while lowercase match bot
--- a/src/common/cfgfiles.c
+++ b/src/common/cfgfiles.c
@@ -387,6 +387,8 @@
 	{"completion_sort", P_OFFINT (completion_sort), TYPE_INT},
 	{"completion_suffix", P_OFFSET (nick_suffix), TYPE_STR},
 
+	{"completion_cinsens", P_OFFINT (completion_cinsens), TYPE_BOOL},
+
 	{"dcc_auto_chat", P_OFFINT (autodccchat), TYPE_INT},
 	{"dcc_auto_resume", P_OFFINT (autoresume), TYPE_BOOL},
 	{"dcc_auto_send", P_OFFINT (autodccsend), TYPE_INT},
--- a/src/common/util.c
+++ b/src/common/util.c
@@ -1350,7 +1350,7 @@
 	register unsigned char *s2 = (unsigned char *) str2;
 	register int res;
 
-	while ((res = rfc_tolower (*s1) - rfc_tolower (*s2)) == 0)
+	while ((res = hal_casecomp(s1,s2)) == 0)
 	{
 		s1++;
 		s2++;
@@ -1361,6 +1361,25 @@
 	return (res);
 }
 
+int
+hal_casecomp ( char *s1, char *s2)
+{
+
+/* This function, called by rfc_ncasecmp, enables enhanced tab
+ * completition: It completes te<tab> to Test but not Te<tab> to
+ * test2. (This is useful if you have two users Test1 and test2 in
+ * the channel. Can be toggeled wit /set completion_cinsens (0|1)
+ *
+ *  -- Mathias Weyland <mathias@weyland.ch>, 6.9.2004
+*/
+	if((*s2 - rfc_tolower (*s2)) || prefs.completion_cinsens)
+	{
+		return (rfc_tolower (*s1) - rfc_tolower (*s2));
+	} else {
+		return (*s1 - *s2);
+	}
+}
+
 const unsigned char rfc_tolowertab[] =
 	{ 0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa,
 	0xb, 0xc, 0xd, 0xe, 0xf, 0x10, 0x11, 0x12, 0x13, 0x14,
--- a/src/common/util.h
+++ b/src/common/util.h
@@ -26,6 +26,7 @@
 void for_files (char *dirname, char *mask, void callback (char *file));
 int rfc_casecmp (const char *, const char *);
 int rfc_ncasecmp (char *, char *, int);
+int hal_casecomp ( char *s1, char *s2);
 int buf_get_line (char *, char **, int *, int len);
 char *nocasestrstr (const char *text, const char *tofind);
 char *country (char *);
--- a/src/common/xchat.h
+++ b/src/common/xchat.h
@@ -214,6 +214,7 @@
 	unsigned int userlistbuttons;
 	unsigned int showhostname_in_userlist;
 	unsigned int nickcompletion;
+	unsigned int completion_cinsens;
 	unsigned int completion_amount;
 	unsigned int tabchannels;
 	unsigned int paned_userlist;
# Patch by Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
--- a/po/fr.po
+++ b/po/fr.po
@@ -1194,7 +1194,7 @@
 
 #: src/common/textevents.h:423
 msgid "%C22*%O$tYou are now known as $2"
-msgstr "%C22*%O$tVous-vous appelez maintenant $2"
+msgstr "%C22*%O$tVous vous appelez maintenant $2"
 
 #: src/common/text.c:347
 msgid "Loaded log from"
@@ -4795,7 +4795,7 @@
 #: src/fe-gtk/setup.c:144
 msgid "Automatic nick completion (without TAB key)"
 msgstr ""
-"Complétion automatique des pseudonymes (sans utilisation de la tocuhe de "
+"Complétion automatique des pseudonymes (sans utilisation de la touche de "
 "tabulation)"
 
 #: src/fe-gtk/setup.c:146
## DP: added error handling, see #467458.
--- a/src/fe-gtk/fe-gtk.c
+++ b/src/fe-gtk/fe-gtk.c
@@ -934,18 +934,22 @@
 static void
 fe_open_url_inner (const char *url)
 {
+	char buf[256];
+
 #ifdef WIN32
 	ShellExecute (0, "open", url, NULL, NULL, SW_SHOWNORMAL);
 #else
 	/* universal desktop URL opener (from xdg-utils). Supports gnome,kde,xfce4. */
 	if (try_browser ("xdg-open", NULL, url))
 		return;
+	fprintf( stderr, "fe_open_url_inner: failed to open %s with xdg-open\n", url );
 
 	/* try to detect GNOME */
 	if (g_getenv ("GNOME_DESKTOP_SESSION_ID"))
 	{
 		if (try_browser ("gnome-open", NULL, url)) /* Gnome 2.4+ has this */
 			return;
+		fprintf( stderr, "fe_open_url_inner: failed to open %s with gnome-open\n", url );
 	}
 
 	/* try to detect KDE */
@@ -953,14 +957,21 @@
 	{
 		if (try_browser ("kfmclient", "exec", url))
 			return;
+		fprintf( stderr, "fe_open_url_inner: failed to open %s with kfmclient\n", url );
 	}
 
 	/* everything failed, what now? just try firefox */
 	if (try_browser ("firefox", NULL, url))
 		return;
+	fprintf( stderr, "fe_open_url_inner: failed to open %s with firefox\n", url );
+
+	if (try_browser ("mozilla", NULL, url))
+		return;
+	fprintf( stderr, "fe_open_url_inner: failed to open %s with mozilla\n", url );
 
 	/* fresh out of ideas... */
-	try_browser ("mozilla", NULL, url);
+	snprintf (buf, sizeof (buf), "Failed to open url:\n\n%s", url);
+	fe_message (buf, FE_MSG_ERROR);
 #endif
 }
 
## DP: write ignore.conf.bug463072 and rename to ignore.conf, fixes #463072.
--- a/src/common/cfgfiles.c
+++ b/src/common/cfgfiles.c
@@ -1093,6 +1093,20 @@
 		return open (buf, flags | OFLAGS);
 }
 
+int
+xchat_rename_file (char *oldpath, char *newpath, int xof_flags)
+{
+	char bufoldpath[1024];
+	char bufnewpath[1024];
+
+	if (xof_flags & XOF_FULLPATH)
+		return rename (oldpath, newpath);
+
+	snprintf (bufoldpath, sizeof (bufoldpath), "%s/%s", get_xdir_fs (), oldpath);
+	snprintf (bufnewpath, sizeof (bufnewpath), "%s/%s", get_xdir_fs (), newpath);
+	return rename (bufoldpath, bufnewpath);
+}
+
 FILE *
 xchat_fopen_file (const char *file, const char *mode, int xof_flags)
 {
--- a/src/common/cfgfiles.h
+++ b/src/common/cfgfiles.h
@@ -25,6 +25,7 @@
 void list_addentry (GSList ** list, char *cmd, char *name);
 int cmd_set (session *sess, char *tbuf, char *word[], char *word_eol[]);
 int xchat_open_file (char *file, int flags, int mode, int xof_flags);
+int xchat_rename_file (char *oldpath, char *newpath, int xof_flags);
 FILE *xchat_fopen_file (const char *file, const char *mode, int xof_flags);
 #define XOF_DOMODE 1
 #define XOF_FULLPATH 2
--- a/src/common/ignore.c
+++ b/src/common/ignore.c
@@ -304,11 +304,12 @@
 ignore_save ()
 {
 	char buf[1024];
-	int fh;
+	int fh, rc;
+	ssize_t nb;
 	GSList *temp = ignore_list;
 	struct ignore *ig;
 
-	fh = xchat_open_file ("ignore.conf", O_TRUNC | O_WRONLY | O_CREAT, 0600, XOF_DOMODE);
+	fh = xchat_open_file ("ignore.conf.bug463072", O_TRUNC | O_WRONLY | O_CREAT, 0600, XOF_DOMODE);
 	if (fh != -1)
 	{
 		while (temp)
@@ -318,11 +319,28 @@
 			{
 				snprintf (buf, sizeof (buf), "mask = %s\ntype = %d\n\n",
 							 ig->mask, ig->type);
-				write (fh, buf, strlen (buf));
+				nb = write (fh, buf, strlen (buf));
+				if( nb == (ssize_t)-1 )
+				{
+					perror( "ignore_save: write() failed" );
+					close( fh );
+					return;
+				}
 			}
 			temp = temp->next;
 		}
-		close (fh);
+		rc = close (fh);
+		if( rc != 0 )
+		{
+			perror( "ignore_save: close() failed" );
+			return;
+		}
+		rc = xchat_rename_file( "ignore.conf.bug463072", "ignore.conf", XOF_DOMODE );
+		if( rc != 0 )
+		{
+			perror( "ignore_save: xchat_rename_file() failed" );
+			return;
+		}
 	}
 
 }
## 45_brand_ctcp_version.dpatch by Daniel Holbach <daniel.holbach@ubuntu.com>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: Modify CTCP VERSION response to be branded with the Ubuntu name.

diff -urNad xchat-2.6.0~/src/common/ctcp.c xchat-2.6.0/src/common/ctcp.c
--- xchat-2.6.0~/src/common/ctcp.c	2005-10-21 11:50:58.000000000 +0200
+++ xchat-2.6.0/src/common/ctcp.c	2005-12-20 09:48:11.000000000 +0100
@@ -129,8 +129,7 @@
 
 	if (!strcasecmp (msg, "VERSION") && !prefs.hidever)
 	{
-		snprintf (outbuf, sizeof (outbuf), "VERSION xchat "PACKAGE_VERSION" %s",
-					 get_cpu_str ());
+		snprintf (outbuf, sizeof (outbuf), "VERSION xchat "PACKAGE_VERSION" Ubuntu");
 		serv->p_nctcp (serv, nick, outbuf);
 	}
 
## 46_CVE-2009-0315.dpatch by Nico Golde <nion@debian.org>
--- a/plugins/python/python.c
+++ b/plugins/python/python.c
@@ -1128,6 +1128,7 @@
 	}
 
 	PySys_SetArgv(1, argv);
+	PyRun_SimpleString("import sys; sys.path = filter(None, sys.path)");
 	PySys_SetObject("__plugin__", (PyObject *) plugin);
 
 	/* Set stdout and stderr to xchatout. */
@@ -2133,6 +2134,7 @@
 	Py_SetProgramName("xchat");
 	Py_Initialize();
 	PySys_SetArgv(1, argv);
+	PyRun_SimpleString("import sys; sys.path = filter(None, sys.path)");
 
 	Plugin_Type.ob_type = &PyType_Type;
 	Context_Type.ob_type = &PyType_Type;
## Patch by Santamar<ED>a Lema <panfaust@gmail.com>
--- a/po/gl.po
+++ b/po/gl.po
@@ -6,7 +6,7 @@
 msgstr ""
 "Project-Id-Version: gl\n"
 "Report-Msgid-Bugs-To: www.xchat.org\n"
-"POT-Creation-Date: 2010-05-30 13:56+1000\n"
+"POT-Creation-Date: 2008-06-12 18:39+1000\n"
 "PO-Revision-Date: 2006-11-03 20:27+0100\n"
 "Last-Translator: Ignacio Casal Quinteiro <nacho.resa@gmail.com>\n"
 "Language-Team: Galego <trasno@ceu.fi.udc.es>\n"
@@ -19,15 +19,15 @@
 msgid "Cannot create ~/.xchat2"
 msgstr "Non se pode crear ~/.xchat2"
 
-#: src/common/cfgfiles.c:713
+#: src/common/cfgfiles.c:711
 msgid "I'm busy"
 msgstr "Estou ocupado"
 
-#: src/common/cfgfiles.c:714
+#: src/common/cfgfiles.c:712
 msgid "Leaving"
 msgstr "Abandonando"
 
-#: src/common/cfgfiles.c:761
+#: src/common/cfgfiles.c:759
 msgid ""
 "* Running IRC as root is stupid! You should\n"
 "  create a User Account and use that to login.\n"
@@ -51,7 +51,7 @@
 msgid "Done"
 msgstr "Rematado"
 
-#: src/common/dcc.c:71 src/fe-gtk/menu.c:942
+#: src/common/dcc.c:71 src/fe-gtk/menu.c:928
 msgid "Connect"
 msgstr "Conectar"
 
@@ -59,14 +59,14 @@
 msgid "Aborted"
 msgstr "Abortado"
 
-#: src/common/dcc.c:1886 src/common/outbound.c:2449
+#: src/common/dcc.c:1886 src/common/outbound.c:2451
 #, c-format
 msgid "Cannot access %s\n"
 msgstr "Non se pode acceder a %s\n"
 
-#: src/common/dcc.c:1887 src/common/text.c:1261 src/common/text.c:1299
-#: src/common/text.c:1310 src/common/text.c:1317 src/common/text.c:1330
-#: src/common/text.c:1347 src/common/text.c:1447 src/common/util.c:353
+#: src/common/dcc.c:1887 src/common/text.c:1224 src/common/text.c:1262
+#: src/common/text.c:1273 src/common/text.c:1280 src/common/text.c:1293
+#: src/common/text.c:1310 src/common/text.c:1410 src/common/util.c:353
 msgid "Error"
 msgstr "Erro"
 
@@ -127,69 +127,69 @@
 
 #: src/common/outbound.c:411
 msgid "Already marked back.\n"
-msgstr ""
+msgstr "Xa está marcado como disponible.\n"
 
 #: src/common/outbound.c:1777
 msgid "I need /bin/sh to run!\n"
 msgstr "Necesítase /bin/sh para executarse!\n"
 
-#: src/common/outbound.c:2146
+#: src/common/outbound.c:2148
 msgid "Commands Available:"
 msgstr "Comandos dispoñibles:"
 
-#: src/common/outbound.c:2160
+#: src/common/outbound.c:2162
 msgid "User defined commands:"
 msgstr "Comandos definidos polo usuario:"
 
-#: src/common/outbound.c:2176
+#: src/common/outbound.c:2178
 msgid "Plugin defined commands:"
 msgstr "Compoñentes definidos polo usuario:"
 
-#: src/common/outbound.c:2187
+#: src/common/outbound.c:2189
 msgid "Type /HELP <command> for more information, or /HELP -l"
 msgstr "Escriba /HELP <comando> para máis información, ou /HELP -l"
 
-#: src/common/outbound.c:2272
+#: src/common/outbound.c:2274
 #, c-format
 msgid "Unknown arg '%s' ignored."
 msgstr "Argumento descoñecido '%s' ignorado."
 
-#: src/common/outbound.c:3221
+#: src/common/outbound.c:3223
 msgid "No such plugin found.\n"
 msgstr "Non se atopou ningún complemento.\n"
 
-#: src/common/outbound.c:3226 src/fe-gtk/plugingui.c:184
+#: src/common/outbound.c:3228 src/fe-gtk/plugingui.c:186
 msgid "That plugin is refusing to unload.\n"
 msgstr "Ese complemento négase a ser desactivado.\n"
 
-#: src/common/outbound.c:3495
+#: src/common/outbound.c:3497
 msgid "ADDBUTTON <name> <action>, adds a button under the user-list"
 msgstr ""
 "ADDBUTTON <nome> <acción>, engade un botón debaixo da lista de usuarios"
 
-#: src/common/outbound.c:3497
+#: src/common/outbound.c:3499
 msgid "ALLCHAN <cmd>, sends a command to all channels you're in"
 msgstr "ALLCHAN <cmd>, envía unha orde a todos as canles aos que se uniu"
 
-#: src/common/outbound.c:3499
+#: src/common/outbound.c:3501
 msgid "ALLCHANL <cmd>, sends a command to all channels you're in"
 msgstr ""
 "ALLCHANL <cmd>, envía un comando a todos as canles aos que está conectado"
 
-#: src/common/outbound.c:3501
+#: src/common/outbound.c:3503
 msgid "ALLSERV <cmd>, sends a command to all servers you're in"
 msgstr ""
 "ALLSERV <cmd>, envía un comando a todos os servidores aos que está conectado"
 
-#: src/common/outbound.c:3502
+#: src/common/outbound.c:3504
 msgid "AWAY [<reason>], sets you away"
 msgstr "AWAY [<razón>], establece súa ausencia"
 
-#: src/common/outbound.c:3503
+#: src/common/outbound.c:3505
 msgid "BACK, sets you back (not away)"
-msgstr ""
+msgstr "BACK, establéceo disponible (non ausente)"
 
-#: src/common/outbound.c:3505
+#: src/common/outbound.c:3507
 msgid ""
 "BAN <mask> [<bantype>], bans everyone matching the mask from the current "
 "channel. If they are already on the channel this doesn't kick them (needs "
@@ -199,25 +199,24 @@
 "máscara da canle actual. Se xa están na canle isto non os expulsa (é "
 "necesario ser operador da canle)"
 
-#: src/common/outbound.c:3506
-#, fuzzy
+#: src/common/outbound.c:3508
 msgid "CHANOPT [-quiet] <variable> [<value>]"
-msgstr "SET [-e] [-or] [-quiet] <variable> [<valor>]"
+msgstr "CHANOPT [-quiet] <variable> [<valor>]"
 
-#: src/common/outbound.c:3508
+#: src/common/outbound.c:3510
 msgid "CLEAR [ALL|HISTORY], Clears the current text window or command history"
 msgstr "CLEAR [ALL|HISTORY], Limpa o texto da ventá actual"
 
-#: src/common/outbound.c:3509
+#: src/common/outbound.c:3511
 msgid "CLOSE, Closes the current window/tab"
 msgstr "CLOSE, Pecha a ventá/solapa actual"
 
-#: src/common/outbound.c:3512
+#: src/common/outbound.c:3514
 msgid "COUNTRY [-s] <code|wildcard>, finds a country code, eg: au = australia"
 msgstr ""
 "COUNTRY [-s] <code|wildcard>, busca o código de país, ex: au = australia"
 
-#: src/common/outbound.c:3514
+#: src/common/outbound.c:3516
 msgid ""
 "CTCP <nick> <message>, send the CTCP message to nick, common messages are "
 "VERSION and USERINFO"
@@ -225,13 +224,13 @@
 "CTCP <alcume> <mensaxe>, envía a mensaxe CTCP ao alcume, as mensaxes comúns "
 "son VERSION e USERINFO"
 
-#: src/common/outbound.c:3516
+#: src/common/outbound.c:3518
 msgid ""
 "CYCLE [<channel>], parts the current or given channel and immediately rejoins"
 msgstr ""
 "CYCLE [<canle>], márchase da canle actual e inmediatamente volve a entrar"
 
-#: src/common/outbound.c:3518
+#: src/common/outbound.c:3520
 msgid ""
 "\n"
 "DCC GET <nick>                      - accept an offered file\n"
@@ -255,7 +254,7 @@
 "DCC CLOSE <tipo> <alcume> <ficheiro>         exemplo:\n"
 "         /dcc close send xoándapena ficheiro.tar.gz"
 
-#: src/common/outbound.c:3530
+#: src/common/outbound.c:3532
 msgid ""
 "DEHOP <nick>, removes chanhalf-op status from the nick on the current "
 "channel (needs chanop)"
@@ -263,11 +262,11 @@
 "DEHOP <alcume>, elimina o estado de semi-operador da canle ao alcume na "
 "canle actual (necesita ser operador da canle)"
 
-#: src/common/outbound.c:3532
+#: src/common/outbound.c:3534
 msgid "DELBUTTON <name>, deletes a button from under the user-list"
 msgstr "DELBUTTON <nome>, borra un botón de debaixo da lista de usuarios"
 
-#: src/common/outbound.c:3534
+#: src/common/outbound.c:3536
 msgid ""
 "DEOP <nick>, removes chanop status from the nick on the current channel "
 "(needs chanop)"
@@ -275,7 +274,7 @@
 "DEOP <alcume>, quita o estado de operador da canle ao alcume na canle actual "
 "(necesita ser operador da canle)"
 
-#: src/common/outbound.c:3536
+#: src/common/outbound.c:3538
 msgid ""
 "DEVOICE <nick>, removes voice status from the nick on the current channel "
 "(needs chanop)"
@@ -283,19 +282,19 @@
 "DEVOICE <alcume>, quita o estado de voz do alcume na canle actual (necesita "
 "ser operador da canle)"
 
-#: src/common/outbound.c:3537
+#: src/common/outbound.c:3539
 msgid "DISCON, Disconnects from server"
 msgstr "DISCON, Desconéctase do servidor"
 
-#: src/common/outbound.c:3538
+#: src/common/outbound.c:3540
 msgid "DNS <nick|host|ip>, Finds a users IP number"
 msgstr "DNS <alcume|equipo|ip>, Busca o enderezo IP dun usuario"
 
-#: src/common/outbound.c:3539
+#: src/common/outbound.c:3541
 msgid "ECHO <text>, Prints text locally"
 msgstr "ECHO <texto>, Imprime texto localmente"
 
-#: src/common/outbound.c:3542
+#: src/common/outbound.c:3544
 msgid ""
 "EXEC [-o] <command>, runs the command. If -o flag is used then output is "
 "sent to current channel, else is printed to current text box"
@@ -303,11 +302,11 @@
 "EXEC [-o] <comando>, executa o comando. Se se usa a bandeira -o entón a "
 "saída envíase á canle actual, se non, imprímese na caixa de texto actual"
 
-#: src/common/outbound.c:3544
+#: src/common/outbound.c:3546
 msgid "EXECCONT, sends the process SIGCONT"
 msgstr "EXECCONT, envía o proceso SIGCONT"
 
-#: src/common/outbound.c:3547
+#: src/common/outbound.c:3549
 msgid ""
 "EXECKILL [-9], kills a running exec in the current session. If -9 is given "
 "the process is SIGKILL'ed"
@@ -315,40 +314,39 @@
 "EXECKILL [-9], mata un executable correndo na sesión actual. Se se indica -9 "
 "o proceso é matado pola forza"
 
-#: src/common/outbound.c:3549
+#: src/common/outbound.c:3551
 msgid "EXECSTOP, sends the process SIGSTOP"
 msgstr "EXECSTOP, envía ao proceso o sinal de deterse"
 
-#: src/common/outbound.c:3550
+#: src/common/outbound.c:3552
 msgid "EXECWRITE, sends data to the processes stdin"
 msgstr "EXECWRITE, envía os datos á entrada estándar do proceso"
 
-#: src/common/outbound.c:3554
+#: src/common/outbound.c:3556
 msgid "FLUSHQ, flushes the current server's send queue"
 msgstr "FLUSHQ, borra a cola de envío actual do servidor"
 
-#: src/common/outbound.c:3556
+#: src/common/outbound.c:3558
 msgid "GATE <host> [<port>], proxies through a host, port defaults to 23"
 msgstr ""
 "GATE <equipo> [<porto>], utiliza un proxy a través dun equipo, o porto por "
 "defecto é o 23"
 
-#: src/common/outbound.c:3560
-#, fuzzy
-msgid "GHOST <nick> [password], Kills a ghosted nickname"
+#: src/common/outbound.c:3562
+msgid "GHOST <nick> <password>, Kills a ghosted nickname"
 msgstr "GHOST <alcume> <contrasinal>, Mata un alcume pantasma"
 
-#: src/common/outbound.c:3565
+#: src/common/outbound.c:3567
 msgid "HOP <nick>, gives chanhalf-op status to the nick (needs chanop)"
 msgstr ""
 "HOP <alcume>, da o estado de semi-operador ao alcume (necesita ser operador "
 "da canle)"
 
-#: src/common/outbound.c:3566
+#: src/common/outbound.c:3568
 msgid "ID <password>, identifies yourself to nickserv"
 msgstr "ID <contrasinal>, identifícate no servidor"
 
-#: src/common/outbound.c:3568
+#: src/common/outbound.c:3570
 msgid ""
 "IGNORE <mask> <types..> <options..>\n"
 "    mask - host mask to ignore, eg: *!*@*.aol.com\n"
@@ -362,7 +360,7 @@
 "            PRIV, CHAN, NOTI, CTCP, DCC, INVI, ALL\n"
 "    opcións - NOSAVE, QUIET"
 
-#: src/common/outbound.c:3575
+#: src/common/outbound.c:3577
 msgid ""
 "INVITE <nick> [<channel>], invites someone to a channel, by default the "
 "current channel (needs chanop)"
@@ -370,17 +368,17 @@
 "INVITE <alcume> [<canle>], invita a alguén a unha canle, por omisión a canle "
 "actual (necesita ser operador da canle)"
 
-#: src/common/outbound.c:3576
+#: src/common/outbound.c:3578
 msgid "JOIN <channel>, joins the channel"
 msgstr "JOIN <canle>, entra á canle"
 
-#: src/common/outbound.c:3578
+#: src/common/outbound.c:3580
 msgid "KICK <nick>, kicks the nick from the current channel (needs chanop)"
 msgstr ""
 "KICK <alcume>, expulsa ao alcume da canle actual (necesita ser operador da "
 "canle)"
 
-#: src/common/outbound.c:3580
+#: src/common/outbound.c:3582
 msgid ""
 "KICKBAN <nick>, bans then kicks the nick from the current channel (needs "
 "chanop)"
@@ -388,32 +386,32 @@
 "KICKBAN <alcume>, veta e logo expulsa ao alcume da canle actual (necesita "
 "ser operador da canle)"
 
-#: src/common/outbound.c:3583
+#: src/common/outbound.c:3585
 msgid "LAGCHECK, forces a new lag check"
 msgstr "LAGCHECK, forza unha nova comprobación de retardo"
 
-#: src/common/outbound.c:3585
+#: src/common/outbound.c:3587
 msgid "LASTLOG <string>, searches for a string in the buffer"
 msgstr "LASTLOG <cadea>, busca o texto no búfer"
 
-#: src/common/outbound.c:3587
+#: src/common/outbound.c:3589
 msgid "LOAD [-e] <file>, loads a plugin or script"
 msgstr "LOAD [-e] <ficheiro>, carga un complemento ou script"
 
-#: src/common/outbound.c:3590
+#: src/common/outbound.c:3592
 msgid ""
 "MDEHOP, Mass deop's all chanhalf-ops in the current channel (needs chanop)"
 msgstr ""
 "MDEHOP, Quita masivamente o estado de semi-operador na canle actual "
 "(necesita ser operador da canle)"
 
-#: src/common/outbound.c:3592
+#: src/common/outbound.c:3594
 msgid "MDEOP, Mass deop's all chanops in the current channel (needs chanop)"
 msgstr ""
 "MDEOP, Quita masivamente o estado de operador na canle actual (necesita ser "
 "operador da canle)"
 
-#: src/common/outbound.c:3594
+#: src/common/outbound.c:3596
 msgid ""
 "ME <action>, sends the action to the current channel (actions are written in "
 "the 3rd person, like /me jumps)"
@@ -421,40 +419,40 @@
 "ME <acción>, envía a acción á canle actual (as accións están escritas en "
 "terceira persoa, como /me jumps)"
 
-#: src/common/outbound.c:3598
+#: src/common/outbound.c:3600
 msgid ""
 "MKICK, Mass kicks everyone except you in the current channel (needs chanop)"
 msgstr ""
 "MKICK, Expulsa masivamente a todos excepto a vostede na canle actual "
 "(necesita ser operador da canle)"
 
-#: src/common/outbound.c:3601
+#: src/common/outbound.c:3603
 msgid "MOP, Mass op's all users in the current channel (needs chanop)"
 msgstr ""
 "MOP, Otorga masivamente o estado de operador da canle actual (necesita ser "
 "operador da canle)"
 
-#: src/common/outbound.c:3602
+#: src/common/outbound.c:3604
 msgid "MSG <nick> <message>, sends a private message"
 msgstr "MSG <alcume> <mensaxe>, envía unha mensaxe privado"
 
-#: src/common/outbound.c:3605
+#: src/common/outbound.c:3607
 msgid "NAMES, Lists the nicks on the current channel"
 msgstr "NAMES, Lista os alcumes da canle actual"
 
-#: src/common/outbound.c:3607
+#: src/common/outbound.c:3609
 msgid "NCTCP <nick> <message>, Sends a CTCP notice"
 msgstr "NCTCP <alcume> <mensaxe>, Envía unha noticia CTCP"
 
-#: src/common/outbound.c:3608
+#: src/common/outbound.c:3610
 msgid "NEWSERVER [-noconnect] <hostname> [<port>]"
 msgstr "NEWSERVER [-noconnect] <nome do equipo> [<porto>]"
 
-#: src/common/outbound.c:3609
+#: src/common/outbound.c:3611
 msgid "NICK <nickname>, sets your nick"
 msgstr "NICK <alcume>, establece seu alcume"
 
-#: src/common/outbound.c:3612
+#: src/common/outbound.c:3614
 msgid ""
 "NOTICE <nick/channel> <message>, sends a notice. Notices are a type of "
 "message that should be auto reacted to"
@@ -462,7 +460,7 @@
 "NOTICE <alcume/canle> <mensaxe>, envía unha noticia. As noticias son un tipo "
 "de mensaxe que debería ser auto publicado"
 
-#: src/common/outbound.c:3614
+#: src/common/outbound.c:3616
 msgid ""
 "NOTIFY [-n network1[,network2,...]] [<nick>], displays your notify list or "
 "adds someone to it"
@@ -470,36 +468,36 @@
 "NOTIFY [-n network1[,network2,...]] [<alcume>], lista súa lista de "
 "notificacións ou agrega a alguén a ela"
 
-#: src/common/outbound.c:3616
+#: src/common/outbound.c:3618
 msgid "OP <nick>, gives chanop status to the nick (needs chanop)"
 msgstr ""
 "OP <alcume>, otorga o estado de operador da canle ao alcume (necesita ser "
 "operador da canle)"
 
-#: src/common/outbound.c:3618
+#: src/common/outbound.c:3620
 msgid ""
 "PART [<channel>] [<reason>], leaves the channel, by default the current one"
 msgstr "PART [<canle>] [<razón>], abandona a canle, por defecto a canle actual"
 
-#: src/common/outbound.c:3620
+#: src/common/outbound.c:3622
 msgid "PING <nick | channel>, CTCP pings nick or channel"
 msgstr "PING <alcume | canle>, Envía pings CTCP ao alcume ou canle"
 
-#: src/common/outbound.c:3622
+#: src/common/outbound.c:3624
 msgid "QUERY [-nofocus] <nick>, opens up a new privmsg window to someone"
 msgstr ""
 "QUERY [-nofocus] <alcume>, abre unha nova ventá privada de mensaxes hacia "
 "alguén"
 
-#: src/common/outbound.c:3624
+#: src/common/outbound.c:3626
 msgid "QUIT [<reason>], disconnects from the current server"
 msgstr "QUIT [<razón>], desconéctase do servidor actual"
 
-#: src/common/outbound.c:3626
+#: src/common/outbound.c:3628
 msgid "QUOTE <text>, sends the text in raw form to the server"
 msgstr "QUOTE <texto>, envía o texto en formato chan hacia o servidor"
 
-#: src/common/outbound.c:3629
+#: src/common/outbound.c:3631
 msgid ""
 "RECONNECT [-ssl] [<host>] [<port>] [<password>], Can be called just as /"
 "RECONNECT to reconnect to the current server or with /RECONNECT ALL to "
@@ -509,7 +507,7 @@
 "como /RECONNECT para reconectarse ao servidor actual ou con /RECONNECT ALL "
 "para reconectarse a todos os servidores abertos"
 
-#: src/common/outbound.c:3632
+#: src/common/outbound.c:3634
 msgid ""
 "RECONNECT [<host>] [<port>] [<password>], Can be called just as /RECONNECT "
 "to reconnect to the current server or with /RECONNECT ALL to reconnect to "
@@ -519,7 +517,7 @@
 "RECONNECT para reconectarse ao servidor actual ou con /RECONNECT ALL para "
 "reconectarse a todos os servidores abertos"
 
-#: src/common/outbound.c:3634
+#: src/common/outbound.c:3636
 msgid ""
 "RECV <text>, send raw data to xchat, as if it was received from the irc "
 "server"
@@ -527,23 +525,23 @@
 "RECV <text>, envía datos en bruto hacia xchat como se estos fosen recibidos "
 "desde o servidor IRC"
 
-#: src/common/outbound.c:3637
+#: src/common/outbound.c:3639
 msgid "SAY <text>, sends the text to the object in the current window"
 msgstr "SAY <texto>, envía texto hacia un obxecto da ventá actual"
 
-#: src/common/outbound.c:3638
+#: src/common/outbound.c:3640
 msgid "SEND <nick> [<file>]"
 msgstr "SEND <nick> [<ficheiro>]"
 
-#: src/common/outbound.c:3641
+#: src/common/outbound.c:3643
 msgid "SERVCHAN [-ssl] <host> <port> <channel>, connects and joins a channel"
 msgstr "SERVCHAN [-ssl] <equipo> <porto> <canle>, Conéctao e entra nunha canle"
 
-#: src/common/outbound.c:3644
+#: src/common/outbound.c:3646
 msgid "SERVCHAN <host> <port> <channel>, connects and joins a channel"
 msgstr "SERVCHAN <equipo> <porto> <canle>, Conéctao e entra nunha canle"
 
-#: src/common/outbound.c:3648
+#: src/common/outbound.c:3650
 msgid ""
 "SERVER [-ssl] <host> [<port>] [<password>], connects to a server, the "
 "default port is 6667 for normal connections, and 9999 for ssl connections"
@@ -551,7 +549,7 @@
 "SERVER [-ssl] <equipo> [<porto>] [<contrasinal>], conéctao ao servidor, o "
 "porto por defecto é 6667 para conexións normais e 9999 para conexións ssl"
 
-#: src/common/outbound.c:3651
+#: src/common/outbound.c:3653
 msgid ""
 "SERVER <host> [<port>] [<password>], connects to a server, the default port "
 "is 6667"
@@ -559,23 +557,22 @@
 "SERVER <equipo> [<porto>] [<contrasinal>], conéctao ao servidor, por defecto "
 "o porto é 6667"
 
-#: src/common/outbound.c:3653
-#, fuzzy
-msgid "SET [-e] [-off|-on] [-quiet] <variable> [<value>]"
+#: src/common/outbound.c:3655
+msgid "SET [-e] [-or] [-quiet] <variable> [<value>]"
 msgstr "SET [-e] [-or] [-quiet] <variable> [<valor>]"
 
-#: src/common/outbound.c:3654
+#: src/common/outbound.c:3656
 msgid "SETCURSOR [-|+]<position>"
 msgstr "SETCURSOR [-|+]<posición>"
 
-#: src/common/outbound.c:3659
+#: src/common/outbound.c:3661
 msgid ""
 "TOPIC [<topic>], sets the topic if one is given, else shows the current topic"
 msgstr ""
 "TOPIC [<tópico>], estable o tópico se se provee un, se non mostra o tópico "
 "actual "
 
-#: src/common/outbound.c:3661
+#: src/common/outbound.c:3663
 msgid ""
 "\n"
 "TRAY -f <timeout> <file1> [<file2>] Blink tray between two icons.\n"
@@ -584,53 +581,59 @@
 "TRAY -t <text>                      Set the tray tooltip.\n"
 "TRAY -b <title> <text>              Set the tray balloon."
 msgstr ""
+"\n"
+"TRAY -f <timeout> <arquivo1> [<arquivo2>] Fai parpadear a icona da bandexa do sistema entre dúas iconas.\n"
+"TRAY -f <nomearquivo>                     Establece a icona da bandexa do sistema.\n"
+"TRAY -i <número>                          Fai parpadear a icona da bandexa do sistema cunha icona interna.\n"
+"TRAY -t <texto>                           Establece a etiqueta da icona da bandexa do sistema\n"
+"TRAY -b <título> <texto>                  Establece a ventá emerxente."
 
-#: src/common/outbound.c:3668
+#: src/common/outbound.c:3670
 msgid "UNBAN <mask> [<mask>...], unbans the specified masks."
 msgstr "UNBAN <máscara> [<máscara>...], reincorpora as máscaras especificadas."
 
-#: src/common/outbound.c:3669
+#: src/common/outbound.c:3671
 msgid "UNIGNORE <mask> [QUIET]"
 msgstr "UNIGNORE <máscara> [QUIET]"
 
-#: src/common/outbound.c:3670
+#: src/common/outbound.c:3672
 msgid "UNLOAD <name>, unloads a plugin or script"
 msgstr "UNLOAD <nome>, desactiva un complemento ou script"
 
-#: src/common/outbound.c:3671
+#: src/common/outbound.c:3673
 msgid "URL <url>, opens a URL in your browser"
 msgstr "URL <url>, abre unha URL no seu navegador"
 
-#: src/common/outbound.c:3673
+#: src/common/outbound.c:3675
 msgid ""
 "USELECT [-a] [-s] <nick1> <nick2> etc, highlights nick(s) in channel userlist"
 msgstr ""
 "USELECT [-a] [-s] <alcume1> <alcume2> etc, resalta o(s) alcume(s) na lista "
 "de usuarios da canle"
 
-#: src/common/outbound.c:3676
+#: src/common/outbound.c:3678
 msgid "VOICE <nick>, gives voice status to someone (needs chanop)"
 msgstr ""
 "VOICE <alcume>, otorga o estado de voz a alguén (necesita ser operador da "
 "canle)"
 
-#: src/common/outbound.c:3678
+#: src/common/outbound.c:3680
 msgid "WALLCHAN <message>, writes the message to all channels"
 msgstr "WALLCHAN <mensaxe>, escribe a mensaxe a todos as canles"
 
-#: src/common/outbound.c:3680
+#: src/common/outbound.c:3682
 msgid ""
 "WALLCHOP <message>, sends the message to all chanops on the current channel"
 msgstr ""
 "WALLCHOP <mensaxe>, envía a mensaxe a todos os operadores da canle na canle "
 "actual"
 
-#: src/common/outbound.c:3713
+#: src/common/outbound.c:3715
 #, c-format
 msgid "Usage: %s\n"
 msgstr "Uso: %s\n"
 
-#: src/common/outbound.c:3718
+#: src/common/outbound.c:3720
 msgid ""
 "\n"
 "No help available on that command.\n"
@@ -638,19 +641,19 @@
 "\n"
 "Non hai axuda dispoñible para ese comando.\n"
 
-#: src/common/outbound.c:3724
+#: src/common/outbound.c:3726
 msgid "No such command.\n"
 msgstr "Non existe ese comando.\n"
 
-#: src/common/outbound.c:4055
+#: src/common/outbound.c:4057
 msgid "Bad arguments for user command.\n"
 msgstr "Argumentos erróneos para o comando de usuario.\n"
 
-#: src/common/outbound.c:4215
+#: src/common/outbound.c:4217
 msgid "Too many recursive usercommands, aborting."
 msgstr "Demasiados comandos recursivos de usuario, abortando."
 
-#: src/common/outbound.c:4298
+#: src/common/outbound.c:4300
 msgid "Unknown Command. Try /help\n"
 msgstr "Comando descoñecido. Tente con /help\n"
 
@@ -676,12 +679,12 @@
 msgid "Proxy traversal failed.\n"
 msgstr "Fallou o proxy traversal.\n"
 
-#: src/common/servlist.c:667
+#: src/common/servlist.c:643
 #, c-format
 msgid "Cycling to next server in %s...\n"
 msgstr "Ciclando ao seguinte servidor en %s...\n"
 
-#: src/common/servlist.c:1118
+#: src/common/servlist.c:1094
 #, c-format
 msgid ""
 "Warning: \"%s\" character set is unknown. No conversion will be applied for "
@@ -1054,137 +1057,137 @@
 msgid "%C22*%O$tNo ping reply for $1 seconds, disconnecting."
 msgstr "%C22*%O$tNon houbo resposta ao ping en $1 seconds, desconectando."
 
-#: src/common/textevents.h:315
+#: src/common/textevents.h:309
 msgid "%C22*%O$tA process is already running"
 msgstr "%C22*%O$tXa hai un proceso en execución"
 
-#: src/common/textevents.h:318
+#: src/common/textevents.h:312
 msgid "%C23*%O$t%C23$1 has quit (%O%C23%B%B$2%O%C23)"
 msgstr "%C23*%O$t%C23$1 marchouse (%O%C23%B%B$2%O%C23)"
 
-#: src/common/textevents.h:321
+#: src/common/textevents.h:315
 msgid "%C22*%O$t$1 sets modes%B %C30[%O$2%B%C30]"
 msgstr "%C22*%O$t$1 establece modos%B %C30[%O$2%B%C30]"
 
-#: src/common/textevents.h:324
+#: src/common/textevents.h:318
 msgid "%C28-%C29$1/Wallops%C28-%O$t$2"
 msgstr "%C28-%C29$1/Mensaxes dos operadores%C28-%O$t$2"
 
-#: src/common/textevents.h:327
+#: src/common/textevents.h:321
 msgid "%C22*%O$tLooking up IP number for%C26 $1%O..."
 msgstr "%C22*%O$tBuscando número de IP para%C26 $1%O..."
 
-#: src/common/textevents.h:330
+#: src/common/textevents.h:324
 msgid "%C22*%O$t%C22Connected."
 msgstr "%C22*%O$t%C22Conectado."
 
-#: src/common/textevents.h:336
+#: src/common/textevents.h:330
 msgid "%C22*%O$t%C22Looking up $1"
 msgstr "%C22*%O$t%C22Buscando $1"
 
-#: src/common/textevents.h:348
+#: src/common/textevents.h:339
 msgid "%C22*%O$tStopped previous connection attempt (pid=$1)"
 msgstr "%C22*%O$tDeteuse o anterior intento de conexión (pid=$1)"
 
-#: src/common/textevents.h:351
+#: src/common/textevents.h:342
 msgid "%C29*%O$t%C29Topic for $1%C %C29is: $2"
 msgstr "%C29*%O$t%C29O tópico para $1%C %C29é: $2"
 
-#: src/common/textevents.h:354
+#: src/common/textevents.h:345
 msgid "%C22*%O$t$1 has changed the topic to: $2"
 msgstr "%C22*%O$t$1 cambiou o tópico a: $2"
 
-#: src/common/textevents.h:357
+#: src/common/textevents.h:348
 msgid "%C29*%O$t%C29Topic for $1%C %C29set by $2%C %C29at $3"
 msgstr "%C29*%O$t%C29Tópico para $1%C %C29establecido por $2%C %C29en $3"
 
-#: src/common/textevents.h:360
+#: src/common/textevents.h:351
 msgid "%C22*%O$tUnknown host. Maybe you misspelled it?"
 msgstr "%C22*%O$tEquipo descoñecido. Equivocouse?"
 
-#: src/common/textevents.h:363
+#: src/common/textevents.h:354
 msgid "%C22*%O$tCannot join%C26 %B$1 %O(User limit reached)."
 msgstr "%C22*%O$tNon pode entrar%C26 %B$1 %O(Chegouse ao límite de usuarios)."
 
-#: src/common/textevents.h:366
+#: src/common/textevents.h:357
 msgid "%C22*%O$t%C26Users on $1:%C $2"
 msgstr "%C22*%O$t%C26Usuarios en $1:%C $2"
 
-#: src/common/textevents.h:369
+#: src/common/textevents.h:360
 msgid "%C22*%O$t%C28[%O$1%C28] %O$2%C27 $3"
 msgstr "%C22*%O$t%C28[%O$1%C28] %O$2%C27 $3"
 
-#: src/common/textevents.h:372
+#: src/common/textevents.h:363
 msgid "%C22*%O$t%C28[%O$1%C28] %Cis away %C30(%O$2%O%C30)"
 msgstr "%C22*%O$t%C28[%O$1%C28] %Cestá ausente %C30(%O$2%O%C30)"
 
-#: src/common/textevents.h:375 src/common/textevents.h:381
-#: src/common/textevents.h:396 src/common/textevents.h:399
+#: src/common/textevents.h:366 src/common/textevents.h:372
+#: src/common/textevents.h:387 src/common/textevents.h:390
 msgid "%C22*%O$t%C28[%O$1%C28]%O $2"
 msgstr "%C22*%O$t%C28[%O$1%C28]%O $2"
 
-#: src/common/textevents.h:378
+#: src/common/textevents.h:369
 msgid "%C22*%O$t%C28[%O$1%C28] %OEnd of WHOIS list."
 msgstr "%C22*%O$t%C28[%O$1%C28] %OFin da lista WHOIS."
 
-#: src/common/textevents.h:384
+#: src/common/textevents.h:375
 msgid "%C22*%O$t%C28[%O$1%C28]%O idle%C26 $2"
 msgstr "%C22*%O$t%C28[%O$1%C28]%O inactivo%C26 $2"
 
-#: src/common/textevents.h:387
+#: src/common/textevents.h:378
 msgid "%C22*%O$t%C28[%O$1%C28]%O idle%C26 $2%O, signon:%C26 $3"
 msgstr "%C22*%O$t%C28[%O$1%C28]%O inactivo%C26 $2%O, entrou:%C26 $3"
 
-#: src/common/textevents.h:390
+#: src/common/textevents.h:381
 msgid "%C22*%O$t%C28[%O$1%C28] %C30(%O$2@$3%C30)%O: $4"
 msgstr "%C22*%O$t%C28[%O$1%C28] %C30(%O$2@$3%C30)%O: $4"
 
-#: src/common/textevents.h:393
+#: src/common/textevents.h:384
 msgid "%C22*%O$t%C28[%O$1%C28] %Oreal user@host%C27 $2%O, real IP%C27 $3"
 msgstr ""
 "%C22*%O$t%C28[%O$1%C28] %Overdadeiro usuario@equipo%C27 $2%O, verdadeira IP%"
 "C27 $3"
 
-#: src/common/textevents.h:402
+#: src/common/textevents.h:393
 msgid "%C19*%O$t%C19Now talking on $2"
 msgstr "%C19*%O$t%C19Falando agora a $2"
 
-#: src/common/textevents.h:405
+#: src/common/textevents.h:396
 msgid "%C23*$tYou have been kicked from $2 by $3 ($4%O%C23)"
 msgstr "%C23*$tBotouselle de $2 por $3 ($4%O%C23)"
 
-#: src/common/textevents.h:408
+#: src/common/textevents.h:399
 #, c-format
 msgid "%C23*$tYou have left channel $3"
 msgstr "%C23*$tAbandonou a canle $3"
 
-#: src/common/textevents.h:411
+#: src/common/textevents.h:402
 msgid "%C23*$tYou have left channel $3 (%O%C23%B%B$4%O%C23)"
 msgstr "%C23*$tAbandonaste a canle $3 (%O%C23%B%B$4%O%C23)"
 
-#: src/common/textevents.h:417
+#: src/common/textevents.h:408
 msgid "%C22*%O$tYou've invited%C26 $1%O to%C26 $2%O (%C26$3%O)"
 msgstr "%C22*%O$tEstá invitado%C26 $1%O a%C26 $2%O (%C26$3%O)"
 
-#: src/common/textevents.h:423
+#: src/common/textevents.h:414
 msgid "%C22*%O$tYou are now known as $2"
 msgstr "%C22*%O$tEres coñecido agora como $2"
 
-#: src/common/text.c:347
+#: src/common/text.c:318
 msgid "Loaded log from"
 msgstr "Rexistro cargado desde"
 
-#: src/common/text.c:366
+#: src/common/text.c:336
 #, c-format
 msgid "**** ENDING LOGGING AT %s\n"
 msgstr "**** FINALIZANDO CONEXIÓN EN %s\n"
 
-#: src/common/text.c:575
+#: src/common/text.c:545
 #, c-format
 msgid "**** BEGIN LOGGING AT %s\n"
 msgstr "**** INICIANDO CONEXIÓN EN %s\n"
 
-#: src/common/text.c:594
+#: src/common/text.c:564
 #, c-format
 msgid ""
 "* Can't open log file(s) for writing. Check the\n"
@@ -1193,458 +1196,454 @@
 "* Non se pode abrir o ficheiro(s) de rexistro para escritura. Comprobe os\n"
 "  permisos de %s/xchatlogs"
 
-#: src/common/text.c:961
+#: src/common/text.c:931
 msgid "Left message"
 msgstr "Mensaxe de ausencia"
 
-#: src/common/text.c:962
+#: src/common/text.c:932
 msgid "Right message"
 msgstr "A mensaxe"
 
-#: src/common/text.c:966
+#: src/common/text.c:936
 msgid "The nick of the joining person"
 msgstr "O alcume da persoa que entra"
 
-#: src/common/text.c:967
+#: src/common/text.c:937
 msgid "The channel being joined"
 msgstr "A canle á que está entrando"
 
-#: src/common/text.c:968 src/common/text.c:1016 src/common/text.c:1067
+#: src/common/text.c:938 src/common/text.c:985 src/common/text.c:1036
 msgid "The host of the person"
 msgstr "O equipo da persoa"
 
-#: src/common/text.c:972 src/common/text.c:979 src/common/text.c:986
-#: src/common/text.c:1174 src/common/text.c:1181 src/common/text.c:1186
-#: src/common/text.c:1191 src/common/text.c:1196 src/common/text.c:1202
-#: src/common/text.c:1207 src/common/text.c:1211 src/common/text.c:1217
-#: src/common/text.c:1223 src/common/text.c:1275 src/common/text.c:1286
-#: src/common/text.c:1291 src/common/text.c:1296 src/common/text.c:1305
-#: src/common/text.c:1316 src/common/text.c:1323 src/common/text.c:1329
-#: src/common/text.c:1334 src/common/text.c:1339 src/common/text.c:1346
-#: src/common/text.c:1352 src/common/text.c:1358 src/common/text.c:1363
-#: src/common/text.c:1368 src/common/text.c:1372 src/common/text.c:1378
-#: src/common/text.c:1386 src/common/text.c:1420 src/common/text.c:1425
+#: src/common/text.c:942 src/common/text.c:948 src/common/text.c:955
+#: src/common/text.c:1143 src/common/text.c:1150 src/common/text.c:1155
+#: src/common/text.c:1160 src/common/text.c:1165 src/common/text.c:1171
+#: src/common/text.c:1176 src/common/text.c:1180 src/common/text.c:1186
+#: src/common/text.c:1192 src/common/text.c:1238 src/common/text.c:1249
+#: src/common/text.c:1254 src/common/text.c:1259 src/common/text.c:1268
+#: src/common/text.c:1279 src/common/text.c:1286 src/common/text.c:1292
+#: src/common/text.c:1297 src/common/text.c:1302 src/common/text.c:1309
+#: src/common/text.c:1315 src/common/text.c:1321 src/common/text.c:1326
+#: src/common/text.c:1331 src/common/text.c:1335 src/common/text.c:1341
+#: src/common/text.c:1349 src/common/text.c:1383 src/common/text.c:1388
 msgid "Nickname"
 msgstr "Alcume"
 
-#: src/common/text.c:973
+#: src/common/text.c:943
 msgid "The action"
 msgstr "A acción"
 
-#: src/common/text.c:974 src/common/text.c:981
+#: src/common/text.c:944 src/common/text.c:950
 msgid "Mode char"
 msgstr "Modo carácter"
 
-#: src/common/text.c:975 src/common/text.c:982 src/common/text.c:988
-msgid "Identified text"
-msgstr "Texto de identificación"
-
-#: src/common/text.c:980
+#: src/common/text.c:949
 msgid "The text"
 msgstr "O texto"
 
-#: src/common/text.c:987 src/common/text.c:1044 src/common/text.c:1050
+#: src/common/text.c:951 src/common/text.c:957
+msgid "Identified text"
+msgstr "Texto de identificación"
+
+#: src/common/text.c:956 src/common/text.c:1013 src/common/text.c:1019
 msgid "The message"
 msgstr "A mensaxe"
 
-#: src/common/text.c:992 src/common/text.c:1054
+#: src/common/text.c:961 src/common/text.c:1023
 msgid "Old nickname"
 msgstr "Alcume antigo"
 
-#: src/common/text.c:993 src/common/text.c:1055
+#: src/common/text.c:962 src/common/text.c:1024
 msgid "New nickname"
 msgstr "Novo alcume"
 
-#: src/common/text.c:997
+#: src/common/text.c:966
 msgid "Nick of person who changed the topic"
 msgstr "Alcume da persoa que cambiou o tópico"
 
-#: src/common/text.c:998 src/common/text.c:1004 src/fe-gtk/chanlist.c:766
+#: src/common/text.c:967 src/common/text.c:973 src/fe-gtk/chanlist.c:766
 #: src/fe-gtk/chanlist.c:869
 msgid "Topic"
 msgstr "Tópico"
 
-#: src/common/text.c:999 src/common/text.c:1003 src/common/text.c:1440
-#: src/fe-gtk/chanlist.c:764 src/fe-gtk/ignoregui.c:174
-#: src/fe-gtk/servlistgui.c:896
+#: src/common/text.c:968 src/common/text.c:972 src/common/text.c:1403
+#: src/fe-gtk/chanlist.c:764 src/fe-gtk/ignoregui.c:176
+#: src/fe-gtk/servlistgui.c:892
 msgid "Channel"
 msgstr "Canle"
 
-#: src/common/text.c:1008 src/common/text.c:1061
+#: src/common/text.c:977 src/common/text.c:1030
 msgid "The nickname of the kicker"
 msgstr "O alcume do que expulsa"
 
-#: src/common/text.c:1009 src/common/text.c:1059
+#: src/common/text.c:978 src/common/text.c:1028
 msgid "The person being kicked"
 msgstr "A persoa que está sendo expulsada"
 
-#: src/common/text.c:1010 src/common/text.c:1017 src/common/text.c:1021
-#: src/common/text.c:1026 src/common/text.c:1060 src/common/text.c:1068
-#: src/common/text.c:1075
+#: src/common/text.c:979 src/common/text.c:986 src/common/text.c:990
+#: src/common/text.c:995 src/common/text.c:1029 src/common/text.c:1037
+#: src/common/text.c:1044
 msgid "The channel"
 msgstr "A canle"
 
-#: src/common/text.c:1011 src/common/text.c:1062 src/common/text.c:1069
+#: src/common/text.c:980 src/common/text.c:1031 src/common/text.c:1038
 msgid "The reason"
 msgstr "A razón"
 
-#: src/common/text.c:1015 src/common/text.c:1066
+#: src/common/text.c:984 src/common/text.c:1035
 msgid "The nick of the person leaving"
 msgstr "O alcume da persoa que abandona"
 
-#: src/common/text.c:1022 src/common/text.c:1028
+#: src/common/text.c:991 src/common/text.c:997
 msgid "The time"
 msgstr "O tempo"
 
-#: src/common/text.c:1027
+#: src/common/text.c:996
 msgid "The creator"
 msgstr "O creador"
 
-#: src/common/text.c:1032 src/fe-gtk/dccgui.c:768 src/fe-gtk/dccgui.c:1001
+#: src/common/text.c:1001 src/fe-gtk/dccgui.c:763 src/fe-gtk/dccgui.c:996
 msgid "Nick"
 msgstr "Alcume"
 
-#: src/common/text.c:1033 src/common/text.c:1292
+#: src/common/text.c:1002 src/common/text.c:1255
 msgid "Reason"
 msgstr "Razón"
 
-#: src/common/text.c:1034 src/common/text.c:1176 src/common/text.c:1265
+#: src/common/text.c:1003 src/common/text.c:1145 src/common/text.c:1228
 msgid "Host"
 msgstr "Equipo"
 
-#: src/common/text.c:1038 src/common/text.c:1043 src/common/text.c:1048
+#: src/common/text.c:1007 src/common/text.c:1012 src/common/text.c:1017
 msgid "Who it's from"
 msgstr "De quén ven"
 
-#: src/common/text.c:1039
+#: src/common/text.c:1008
 msgid "The time in x.x format (see below)"
 msgstr "O tempo no formato x.x (vexa debaixo)"
 
-#: src/common/text.c:1049 src/common/text.c:1086
+#: src/common/text.c:1018 src/common/text.c:1055
 msgid "The Channel it's going to"
 msgstr "A canle vaise a"
 
-#: src/common/text.c:1073
+#: src/common/text.c:1042
 msgid "The sound"
 msgstr "O son"
 
-#: src/common/text.c:1074 src/common/text.c:1080 src/common/text.c:1085
+#: src/common/text.c:1043 src/common/text.c:1049 src/common/text.c:1054
 msgid "The nick of the person"
 msgstr "O alcume da persoa"
 
-#: src/common/text.c:1079 src/common/text.c:1084
+#: src/common/text.c:1048 src/common/text.c:1053
 msgid "The CTCP event"
 msgstr "O evento CTCP"
 
-#: src/common/text.c:1090
+#: src/common/text.c:1059
 msgid "The nick of the person who set the key"
 msgstr "O alcume da persoa que establece a clave"
 
-#: src/common/text.c:1091
+#: src/common/text.c:1060
 msgid "The key"
 msgstr "A clave"
 
-#: src/common/text.c:1095
+#: src/common/text.c:1064
 msgid "The nick of the person who set the limit"
 msgstr "O alcume da persoa que establece o límite"
 
-#: src/common/text.c:1096
+#: src/common/text.c:1065
 msgid "The limit"
 msgstr "O límite"
 
-#: src/common/text.c:1100
+#: src/common/text.c:1069
 msgid "The nick of the person who did the op'ing"
 msgstr "O alcume da persoa que otorgou os permisos de operador"
 
-#: src/common/text.c:1101
+#: src/common/text.c:1070
 msgid "The nick of the person who has been op'ed"
 msgstr "O alcume da persoa que foi convertida en operador"
 
-#: src/common/text.c:1105
+#: src/common/text.c:1074
 msgid "The nick of the person who has been halfop'ed"
 msgstr "O alcume da persoa que foi convertida en semi-operador"
 
-#: src/common/text.c:1106
+#: src/common/text.c:1075
 msgid "The nick of the person who did the halfop'ing"
 msgstr "O alcume da persoa que otorgou os permisos de semi-operador"
 
-#: src/common/text.c:1110
+#: src/common/text.c:1079
 msgid "The nick of the person who did the voice'ing"
 msgstr "O alcume da persoa que otorgou os permisos de voz"
 
-#: src/common/text.c:1111
+#: src/common/text.c:1080
 msgid "The nick of the person who has been voice'ed"
 msgstr "O alcume da persoa que foi convertida en voz"
 
-#: src/common/text.c:1115
+#: src/common/text.c:1084
 msgid "The nick of the person who did the banning"
 msgstr "O alcume da persoa que realizou o veto (banning)"
 
-#: src/common/text.c:1116 src/common/text.c:1143
+#: src/common/text.c:1085 src/common/text.c:1112
 msgid "The ban mask"
 msgstr "A máscara de vetos"
 
-#: src/common/text.c:1120
+#: src/common/text.c:1089
 msgid "The nick who removed the key"
 msgstr "O alcume de quen eliminou a clave"
 
-#: src/common/text.c:1124
+#: src/common/text.c:1093
 msgid "The nick who removed the limit"
 msgstr "O alcume de quen eliminou o límite"
 
-#: src/common/text.c:1128
+#: src/common/text.c:1097
 msgid "The nick of the person of did the deop'ing"
 msgstr "O alcume da persoa que revocou os permisos de operador"
 
-#: src/common/text.c:1129
+#: src/common/text.c:1098
 msgid "The nick of the person who has been deop'ed"
 msgstr "O alcume da persoa á que se lle quitou o permiso de operador"
 
-#: src/common/text.c:1132
+#: src/common/text.c:1101
 msgid "The nick of the person of did the dehalfop'ing"
 msgstr "O alcume da persoa que quitou os permisos de semi-operador"
 
-#: src/common/text.c:1133
+#: src/common/text.c:1102
 msgid "The nick of the person who has been dehalfop'ed"
 msgstr "O alcume da persoa á que se lle quitou os permisos de semi-operador"
 
-#: src/common/text.c:1137
+#: src/common/text.c:1106
 msgid "The nick of the person of did the devoice'ing"
 msgstr "O alcume da persoa que revocou os permisos de voz"
 
-#: src/common/text.c:1138
+#: src/common/text.c:1107
 msgid "The nick of the person who has been devoice'ed"
 msgstr "O alcume da persoa á que se lle quitaron os permisos de voz"
 
-#: src/common/text.c:1142
+#: src/common/text.c:1111
 msgid "The nick of the person of did the unban'ing"
 msgstr "O alcume da persoa que revocou o veto"
 
-#: src/common/text.c:1147
+#: src/common/text.c:1116
 msgid "The nick of the person who did the exempt"
 msgstr "O alcume da persoa que otorgou a execpción"
 
-#: src/common/text.c:1148 src/common/text.c:1153
+#: src/common/text.c:1117 src/common/text.c:1122
 msgid "The exempt mask"
 msgstr "A máscara de exención"
 
-#: src/common/text.c:1152
+#: src/common/text.c:1121
 msgid "The nick of the person removed the exempt"
 msgstr "O alcume da persoa que quitou a exención"
 
-#: src/common/text.c:1157
+#: src/common/text.c:1126
 msgid "The nick of the person who did the invite"
 msgstr "O alcume da persoa que realizou a invitación"
 
-#: src/common/text.c:1158 src/common/text.c:1163
+#: src/common/text.c:1127 src/common/text.c:1132
 msgid "The invite mask"
 msgstr "A máscara de invitación"
 
-#: src/common/text.c:1162
+#: src/common/text.c:1131
 msgid "The nick of the person removed the invite"
 msgstr "O alcume da persoa que eliminou a invitación"
 
-#: src/common/text.c:1167
+#: src/common/text.c:1136
 msgid "The nick of the person setting the mode"
 msgstr "O alcume da persoa que estableceu o modo"
 
-#: src/common/text.c:1168
+#: src/common/text.c:1137
 msgid "The mode's sign (+/-)"
 msgstr "O signo do modo (+/-)"
 
-#: src/common/text.c:1169
+#: src/common/text.c:1138
 msgid "The mode letter"
 msgstr "A letra do modo"
 
-#: src/common/text.c:1170
+#: src/common/text.c:1139
 msgid "The channel it's being set on"
 msgstr "A canle está sendo configurada"
 
-#: src/common/text.c:1175
+#: src/common/text.c:1144
 msgid "Username"
 msgstr "Nome de usuario"
 
-#: src/common/text.c:1177
+#: src/common/text.c:1146
 msgid "Full name"
 msgstr "Nome completo"
 
-#: src/common/text.c:1182
+#: src/common/text.c:1151
 msgid "Channel Membership/\"is an IRC operator\""
 msgstr "Membro especial da canle/\"é un operador de IRC\""
 
-#: src/common/text.c:1187
+#: src/common/text.c:1156
 msgid "Server Information"
 msgstr "Información do servidor"
 
-#: src/common/text.c:1192 src/common/text.c:1197
+#: src/common/text.c:1161 src/common/text.c:1166
 msgid "Idle time"
 msgstr "Tempo inactivo"
 
-#: src/common/text.c:1198
+#: src/common/text.c:1167
 msgid "Signon time"
 msgstr "Tempo de conexión"
 
-#: src/common/text.c:1203
+#: src/common/text.c:1172
 msgid "Away reason"
 msgstr "Razón de ausencia"
 
-#: src/common/text.c:1212 src/common/text.c:1218 src/common/text.c:1226
-#: src/common/text.c:1412
+#: src/common/text.c:1181 src/common/text.c:1187 src/common/text.c:1195
+#: src/common/text.c:1375
 msgid "Message"
 msgstr "Mensaxe"
 
-#: src/common/text.c:1219
+#: src/common/text.c:1188
 msgid "Account"
 msgstr "Conta"
 
-#: src/common/text.c:1224
+#: src/common/text.c:1193
 msgid "Real user@host"
 msgstr "Verdadeiro usuario@equipo"
 
-#: src/common/text.c:1225
+#: src/common/text.c:1194
 msgid "Real IP"
 msgstr "Verdadeira IP"
 
-#: src/common/text.c:1230 src/common/text.c:1245 src/common/text.c:1251
-#: src/common/text.c:1281 src/common/text.c:1435
+#: src/common/text.c:1199 src/common/text.c:1208 src/common/text.c:1214
+#: src/common/text.c:1244 src/common/text.c:1398
 msgid "Channel Name"
 msgstr "Nome da canle"
 
-#: src/common/text.c:1234 src/common/text.c:1240 src/common/text.c:1398
-#: src/fe-gtk/menu.c:1418 src/fe-gtk/menu.c:1606 src/fe-gtk/textgui.c:390
+#: src/common/text.c:1203 src/common/text.c:1361 src/fe-gtk/menu.c:1404
+#: src/fe-gtk/menu.c:1592 src/fe-gtk/textgui.c:390
 msgid "Text"
 msgstr "Texto"
 
-#: src/common/text.c:1235 src/common/text.c:1241 src/common/text.c:1247
-#: src/common/text.c:1276 src/common/text.c:1394 src/common/text.c:1436
+#: src/common/text.c:1204 src/common/text.c:1210 src/common/text.c:1239
+#: src/common/text.c:1357 src/common/text.c:1399
 msgid "Server Name"
 msgstr "Nome do servidor"
 
-#: src/common/text.c:1236
-msgid "Raw Numeric or Identifier"
-msgstr ""
-
-#: src/common/text.c:1246
+#: src/common/text.c:1209
 msgid "Nick of person who invited you"
 msgstr "Alcume da persoa que lle invitou"
 
-#: src/common/text.c:1252 src/fe-gtk/chanlist.c:765
+#: src/common/text.c:1215 src/fe-gtk/chanlist.c:765
 msgid "Users"
 msgstr "Usuarios"
 
-#: src/common/text.c:1256
+#: src/common/text.c:1219
 msgid "Nickname in use"
 msgstr "Alcume en uso"
 
-#: src/common/text.c:1257
+#: src/common/text.c:1220
 msgid "Nick being tried"
 msgstr "Tentando usar o alcume"
 
-#: src/common/text.c:1266 src/common/text.c:1402
+#: src/common/text.c:1229 src/common/text.c:1365
 msgid "IP"
 msgstr "IP"
 
-#: src/common/text.c:1267 src/common/text.c:1298
+#: src/common/text.c:1230 src/common/text.c:1261
 msgid "Port"
 msgstr "Porto"
 
-#: src/common/text.c:1277 src/fe-gtk/notifygui.c:137 src/fe-gtk/setup.c:1713
+#: src/common/text.c:1240 src/fe-gtk/notifygui.c:139 src/fe-gtk/setup.c:1713
 msgid "Network"
 msgstr "Rede"
 
-#: src/common/text.c:1282 src/common/text.c:1287
+#: src/common/text.c:1245 src/common/text.c:1250
 msgid "Modes string"
 msgstr "Cadea de modos"
 
-#: src/common/text.c:1297 src/common/text.c:1335 src/common/text.c:1340
-#: src/common/text.c:1381
+#: src/common/text.c:1260 src/common/text.c:1298 src/common/text.c:1303
+#: src/common/text.c:1344
 msgid "IP address"
 msgstr "Enderezo IP"
 
-#: src/common/text.c:1303 src/common/text.c:1328
+#: src/common/text.c:1266 src/common/text.c:1291
 msgid "DCC Type"
 msgstr "Tipo DCC"
 
-#: src/common/text.c:1304 src/common/text.c:1309 src/common/text.c:1314
-#: src/common/text.c:1321 src/common/text.c:1341 src/common/text.c:1345
-#: src/common/text.c:1351 src/common/text.c:1357 src/common/text.c:1364
-#: src/common/text.c:1373 src/common/text.c:1379
+#: src/common/text.c:1267 src/common/text.c:1272 src/common/text.c:1277
+#: src/common/text.c:1284 src/common/text.c:1304 src/common/text.c:1308
+#: src/common/text.c:1314 src/common/text.c:1320 src/common/text.c:1327
+#: src/common/text.c:1336 src/common/text.c:1342
 msgid "Filename"
 msgstr "Nome de ficheiro"
 
-#: src/common/text.c:1315 src/common/text.c:1322
+#: src/common/text.c:1278 src/common/text.c:1285
 msgid "Destination filename"
 msgstr "Nome do ficheiro de destino"
 
-#: src/common/text.c:1324 src/common/text.c:1353
+#: src/common/text.c:1287 src/common/text.c:1316
 msgid "CPS"
 msgstr "CPS"
 
-#: src/common/text.c:1359
+#: src/common/text.c:1322
 msgid "Pathname"
 msgstr "Nome da ruta"
 
-#: src/common/text.c:1374 src/fe-gtk/dccgui.c:764
+#: src/common/text.c:1337 src/fe-gtk/dccgui.c:759
 msgid "Position"
 msgstr "Posición"
 
-#: src/common/text.c:1380 src/fe-gtk/dccgui.c:763
+#: src/common/text.c:1343 src/fe-gtk/dccgui.c:758
 msgid "Size"
 msgstr "Tamaño"
 
-#: src/common/text.c:1385
+#: src/common/text.c:1348
 msgid "DCC String"
 msgstr "Cadea DCC"
 
-#: src/common/text.c:1390
+#: src/common/text.c:1353
 msgid "Number of notify items"
 msgstr "Número de elementos de notificación"
 
-#: src/common/text.c:1406
+#: src/common/text.c:1369
 msgid "Old Filename"
 msgstr "Nome anterior do ficheiro"
 
-#: src/common/text.c:1407
+#: src/common/text.c:1370
 msgid "New Filename"
 msgstr "Nome novo do ficheiro"
 
-#: src/common/text.c:1411
+#: src/common/text.c:1374
 msgid "Receiver"
 msgstr "Receptor"
 
-#: src/common/text.c:1416
+#: src/common/text.c:1379
 msgid "Hostmask"
 msgstr "Máscara de equipo"
 
-#: src/common/text.c:1421
+#: src/common/text.c:1384
 msgid "Hostname"
 msgstr "Nome de equipo"
 
-#: src/common/text.c:1426
+#: src/common/text.c:1389
 msgid "The Packet"
 msgstr "O paquete"
 
-#: src/common/text.c:1430
+#: src/common/text.c:1393
 msgid "Seconds"
 msgstr "Segundos"
 
-#: src/common/text.c:1434
+#: src/common/text.c:1397
 msgid "Nick of person who have been invited"
 msgstr "Alcume da persoa que foi invitada"
 
-#: src/common/text.c:1441
+#: src/common/text.c:1404
 msgid "Banmask"
 msgstr "Máscara de veto"
 
-#: src/common/text.c:1442
+#: src/common/text.c:1405
 msgid "Who set the ban"
 msgstr "Quen estableceu o veto"
 
-#: src/common/text.c:1443
+#: src/common/text.c:1406
 msgid "Ban time"
 msgstr "Tempo de veto"
 
-#: src/common/text.c:1483
+#: src/common/text.c:1446
 #, c-format
 msgid ""
 "Error parsing event %s.\n"
@@ -1653,7 +1652,7 @@
 "Erro ao analizar o evento %s.\n"
 "Cargando o predeterminado."
 
-#: src/common/text.c:2225
+#: src/common/text.c:2189
 #, c-format
 msgid ""
 "Cannot read sound file:\n"
@@ -2726,33 +2725,29 @@
 msgid "Zimbabwe"
 msgstr "Zimbabwe"
 
-#: src/common/util.c:1118 src/common/util.c:1128 src/fe-gtk/menu.c:616
+#: src/common/util.c:1118 src/common/util.c:1128 src/fe-gtk/menu.c:611
 msgid "Unknown"
 msgstr "Descoñecido"
 
 #: src/common/xchat.c:726
-#, fuzzy
 msgid "_Open Dialog Window"
 msgstr "Abrir a ventá de diálogo"
 
 #: src/common/xchat.c:727
-#, fuzzy
 msgid "_Send a File"
 msgstr "Enviar un ficheiro"
 
 #: src/common/xchat.c:728
-#, fuzzy
 msgid "_User Info (WhoIs)"
 msgstr "Información de usuario (WHOIS)"
 
 #: src/common/xchat.c:729
 msgid "_Add to Friends List"
-msgstr ""
+msgstr "Eng_adir á lista de amigos"
 
 #: src/common/xchat.c:730
-#, fuzzy
 msgid "O_perator Actions"
-msgstr "Opcións de operador"
+msgstr "Accións de o_perador"
 
 #: src/common/xchat.c:732
 msgid "Give Ops"
@@ -2796,7 +2791,7 @@
 msgid "Join Channel..."
 msgstr "Entrar á canle..."
 
-#: src/common/xchat.c:759 src/fe-gtk/menu.c:1295
+#: src/common/xchat.c:759 src/fe-gtk/menu.c:1281
 msgid "Enter Channel to Join:"
 msgstr "Introduza a canle á que quere entrar:"
 
@@ -2849,8 +2844,8 @@
 msgid "Chat"
 msgstr "Chat"
 
-#: src/common/xchat.c:791 src/fe-gtk/banlist.c:411 src/fe-gtk/ignoregui.c:387
-#: src/fe-gtk/urlgrab.c:199
+#: src/common/xchat.c:791 src/fe-gtk/banlist.c:413 src/fe-gtk/ignoregui.c:389
+#: src/fe-gtk/urlgrab.c:201
 msgid "Clear"
 msgstr "Limpar"
 
@@ -2888,63 +2883,62 @@
 msgid "Failed to acquire %s: %s\n"
 msgstr "Fallou ao adquirir %s: %s\n"
 
-#: src/fe-gtk/about.c:100
-#, fuzzy
+#: src/fe-gtk/about.c:102
 msgid "About "
 msgstr "_Acerca de"
 
-#: src/fe-gtk/about.c:131
+#: src/fe-gtk/about.c:133
 msgid "A multiplatform IRC Client"
 msgstr "Un cliente de IRC multiplataforma"
 
-#: src/fe-gtk/ascii.c:133
+#: src/fe-gtk/ascii.c:135
 msgid "Character Chart"
 msgstr "Mapa de caracteres"
 
-#: src/fe-gtk/banlist.c:149 src/fe-gtk/chanlist.c:305
-#: src/fe-gtk/plugin-tray.c:304
+#: src/fe-gtk/banlist.c:151 src/fe-gtk/chanlist.c:305
+#: src/fe-gtk/plugin-tray.c:302
 msgid "Not connected."
 msgstr "Non conectado."
 
-#: src/fe-gtk/banlist.c:247 src/fe-gtk/banlist.c:327
+#: src/fe-gtk/banlist.c:249 src/fe-gtk/banlist.c:329
 msgid "You must select some bans."
 msgstr "Debe seleccionar algún vetado."
 
-#: src/fe-gtk/banlist.c:276
+#: src/fe-gtk/banlist.c:278
 #, c-format
 msgid "Are you sure you want to remove all bans in %s?"
 msgstr "Está seguro de que quere eliminar tódolos vetos en %s?"
 
-#: src/fe-gtk/banlist.c:342 src/fe-gtk/ignoregui.c:173
+#: src/fe-gtk/banlist.c:344 src/fe-gtk/ignoregui.c:175
 msgid "Mask"
 msgstr "Máscara"
 
-#: src/fe-gtk/banlist.c:343
+#: src/fe-gtk/banlist.c:345
 msgid "From"
 msgstr "De"
 
-#: src/fe-gtk/banlist.c:344
+#: src/fe-gtk/banlist.c:346
 msgid "Date"
 msgstr "Data"
 
-#: src/fe-gtk/banlist.c:387
+#: src/fe-gtk/banlist.c:389
 msgid "You can only open the Ban List window while in a channel tab."
 msgstr "Só podes abrir a ventá da lista de vetados nunha solapa da canle."
 
-#: src/fe-gtk/banlist.c:391
+#: src/fe-gtk/banlist.c:393
 #, c-format
 msgid "XChat: Ban List (%s)"
 msgstr "XChat: Lista de vetados (%s)"
 
-#: src/fe-gtk/banlist.c:407 src/fe-gtk/notifygui.c:430
+#: src/fe-gtk/banlist.c:409 src/fe-gtk/notifygui.c:432
 msgid "Remove"
 msgstr "Eliminar"
 
-#: src/fe-gtk/banlist.c:409
+#: src/fe-gtk/banlist.c:411
 msgid "Crop"
 msgstr "Achicar"
 
-#: src/fe-gtk/banlist.c:413
+#: src/fe-gtk/banlist.c:415
 msgid "Refresh"
 msgstr "Refrescar"
 
@@ -2953,7 +2947,7 @@
 msgid "Displaying %d/%d users on %d/%d channels."
 msgstr "Amosando %d/%d usuarios en %d/%d canles."
 
-#: src/fe-gtk/chanlist.c:526 src/fe-gtk/menu.c:1231 src/fe-gtk/urlgrab.c:146
+#: src/fe-gtk/chanlist.c:526 src/fe-gtk/menu.c:1217 src/fe-gtk/urlgrab.c:148
 msgid "Select an output filename"
 msgstr "Seleccione un nome de ficheiro de saída"
 
@@ -3026,20 +3020,20 @@
 msgid "Regular Expression"
 msgstr "Expresión regular"
 
-#: src/fe-gtk/chanlist.c:903 src/fe-gtk/search.c:125
+#: src/fe-gtk/chanlist.c:903 src/fe-gtk/search.c:118
 msgid "Find:"
 msgstr "Buscar:"
 
-#: src/fe-gtk/dccgui.c:167
+#: src/fe-gtk/dccgui.c:166
 #, c-format
 msgid "Send file to %s"
 msgstr "Enviar ficheiro a %s"
 
-#: src/fe-gtk/dccgui.c:497
+#: src/fe-gtk/dccgui.c:496
 msgid "That file is not resumable."
 msgstr "Ese ficheiro non se pode continuar."
 
-#: src/fe-gtk/dccgui.c:501
+#: src/fe-gtk/dccgui.c:500
 #, c-format
 msgid ""
 "Cannot access file: %s\n"
@@ -3050,7 +3044,7 @@
 "%s.\n"
 "Non é posible continuar."
 
-#: src/fe-gtk/dccgui.c:508
+#: src/fe-gtk/dccgui.c:507
 msgid ""
 "File in download directory is larger than file offered. Resuming not "
 "possible."
@@ -3058,79 +3052,79 @@
 "O ficheiro no directorio de descarga é máis grande que o ficheiro ofrecido. "
 "Non é posible continuar."
 
-#: src/fe-gtk/dccgui.c:512
+#: src/fe-gtk/dccgui.c:511
 msgid "Cannot resume the same file from two people."
 msgstr "Non se pode reanudar o mesmo ficheiro de dúas persoas."
 
-#: src/fe-gtk/dccgui.c:745
+#: src/fe-gtk/dccgui.c:740
 msgid "XChat: Uploads and Downloads"
 msgstr "XChat: Cargas e descargas"
 
-#: src/fe-gtk/dccgui.c:761 src/fe-gtk/dccgui.c:1000 src/fe-gtk/notifygui.c:136
+#: src/fe-gtk/dccgui.c:756 src/fe-gtk/dccgui.c:995 src/fe-gtk/notifygui.c:138
 msgid "Status"
 msgstr "Estado"
 
-#: src/fe-gtk/dccgui.c:762 src/fe-gtk/plugingui.c:73
+#: src/fe-gtk/dccgui.c:757 src/fe-gtk/plugingui.c:75
 msgid "File"
 msgstr "Ficheiro"
 
-#: src/fe-gtk/dccgui.c:767
+#: src/fe-gtk/dccgui.c:762
 msgid "ETA"
 msgstr "Tempo"
 
-#: src/fe-gtk/dccgui.c:792 src/fe-gtk/menu.c:1607
+#: src/fe-gtk/dccgui.c:787 src/fe-gtk/menu.c:1593
 msgid "Both"
 msgstr "Ambos"
 
-#: src/fe-gtk/dccgui.c:798
+#: src/fe-gtk/dccgui.c:793
 msgid "Uploads"
 msgstr "Subidas"
 
-#: src/fe-gtk/dccgui.c:804
+#: src/fe-gtk/dccgui.c:799
 msgid "Downloads"
 msgstr "Descargas"
 
-#: src/fe-gtk/dccgui.c:809
+#: src/fe-gtk/dccgui.c:804
 msgid "Details"
 msgstr "Detalles"
 
-#: src/fe-gtk/dccgui.c:820
+#: src/fe-gtk/dccgui.c:815
 msgid "File:"
 msgstr "Ficheiro:"
 
-#: src/fe-gtk/dccgui.c:821
+#: src/fe-gtk/dccgui.c:816
 msgid "Address:"
 msgstr "Enderezo:"
 
-#: src/fe-gtk/dccgui.c:827 src/fe-gtk/dccgui.c:1024
+#: src/fe-gtk/dccgui.c:822 src/fe-gtk/dccgui.c:1019
 msgid "Abort"
 msgstr "Abortar"
 
-#: src/fe-gtk/dccgui.c:828 src/fe-gtk/dccgui.c:1025
+#: src/fe-gtk/dccgui.c:823 src/fe-gtk/dccgui.c:1020
 msgid "Accept"
 msgstr "Aceptar"
 
-#: src/fe-gtk/dccgui.c:829
+#: src/fe-gtk/dccgui.c:824
 msgid "Resume"
 msgstr "Continuar"
 
-#: src/fe-gtk/dccgui.c:830
+#: src/fe-gtk/dccgui.c:825
 msgid "Open Folder..."
 msgstr "Abrir cartafol..."
 
-#: src/fe-gtk/dccgui.c:990
+#: src/fe-gtk/dccgui.c:985
 msgid "XChat: DCC Chat List"
 msgstr "XChat: Lista de Chat DCC"
 
-#: src/fe-gtk/dccgui.c:1002
+#: src/fe-gtk/dccgui.c:997
 msgid "Recv"
 msgstr "Recibido"
 
-#: src/fe-gtk/dccgui.c:1003
+#: src/fe-gtk/dccgui.c:998
 msgid "Sent"
 msgstr "Enviado"
 
-#: src/fe-gtk/dccgui.c:1004
+#: src/fe-gtk/dccgui.c:999
 msgid "Start Time"
 msgstr "Tempo de comezo"
 
@@ -3142,8 +3136,8 @@
 msgid "EDIT ME"
 msgstr "EDÍTAME"
 
-#: src/fe-gtk/editlist.c:310 src/fe-gtk/notifygui.c:135
-#: src/fe-gtk/plugingui.c:71
+#: src/fe-gtk/editlist.c:310 src/fe-gtk/notifygui.c:137
+#: src/fe-gtk/plugingui.c:73
 msgid "Name"
 msgstr "Nome"
 
@@ -3171,7 +3165,7 @@
 msgid "Add New"
 msgstr "Engadir novo"
 
-#: src/fe-gtk/editlist.c:367 src/fe-gtk/fkeys.c:770 src/fe-gtk/ignoregui.c:385
+#: src/fe-gtk/editlist.c:367 src/fe-gtk/fkeys.c:770 src/fe-gtk/ignoregui.c:387
 msgid "Delete"
 msgstr "Borrar"
 
@@ -3183,52 +3177,51 @@
 msgid "Help"
 msgstr "Axuda"
 
-#: src/fe-gtk/fe-gtk.c:124
+#: src/fe-gtk/fe-gtk.c:126
 msgid "Don't auto connect to servers"
 msgstr "Non reconectarse ao servidor automaticamente"
 
-#: src/fe-gtk/fe-gtk.c:125
+#: src/fe-gtk/fe-gtk.c:127
 msgid "Use a different config directory"
 msgstr "Usar un directorio de configuración diferente"
 
-#: src/fe-gtk/fe-gtk.c:126
+#: src/fe-gtk/fe-gtk.c:128
 msgid "Don't auto load any plugins"
 msgstr "Non cargar automaticamente ningún complemento"
 
-#: src/fe-gtk/fe-gtk.c:127
+#: src/fe-gtk/fe-gtk.c:129
 msgid "Show plugin auto-load directory"
 msgstr "Amosar o directorio de complementos activados automaticamente"
 
-#: src/fe-gtk/fe-gtk.c:128
+#: src/fe-gtk/fe-gtk.c:130
 msgid "Show user config directory"
 msgstr "Amosar o directorio de configuración de usuario"
 
-#: src/fe-gtk/fe-gtk.c:129
+#: src/fe-gtk/fe-gtk.c:131
 msgid "Open an irc://server:port/channel URL"
 msgstr "Abrir unha URL irc://servidor:porto/canle"
 
-#: src/fe-gtk/fe-gtk.c:131 src/fe-gtk/setup.c:212
+#: src/fe-gtk/fe-gtk.c:133 src/fe-gtk/setup.c:212
 msgid "Execute command:"
 msgstr "Executar comando:"
 
-#: src/fe-gtk/fe-gtk.c:132
-#, fuzzy
+#: src/fe-gtk/fe-gtk.c:134
 msgid "Open URL or execute command in an existing XChat"
-msgstr "Abrir URL nun XChat existente"
+msgstr "Abrir URL ou executar comando nun XChat existente"
 
-#: src/fe-gtk/fe-gtk.c:134
+#: src/fe-gtk/fe-gtk.c:136
 msgid "Begin minimized. Level 0=Normal 1=Iconified 2=Tray"
 msgstr "Iniciar minimizado. Nivel 0=Normal 1=Iconificado 2=Bandexa"
 
-#: src/fe-gtk/fe-gtk.c:134
+#: src/fe-gtk/fe-gtk.c:136
 msgid "level"
 msgstr "nivel"
 
-#: src/fe-gtk/fe-gtk.c:135
+#: src/fe-gtk/fe-gtk.c:137
 msgid "Show version information"
 msgstr "Amosar a información da versión"
 
-#: src/fe-gtk/fe-gtk.c:255
+#: src/fe-gtk/fe-gtk.c:257
 #, c-format
 msgid ""
 "Failed to open font:\n"
@@ -3239,16 +3232,16 @@
 "\n"
 "%s"
 
-#: src/fe-gtk/fe-gtk.c:634
+#: src/fe-gtk/fe-gtk.c:636
 msgid "Search buffer is empty.\n"
 msgstr "O búfer de busca está baleiro.\n"
 
-#: src/fe-gtk/fe-gtk.c:730
+#: src/fe-gtk/fe-gtk.c:732
 #, c-format
 msgid "%d bytes"
 msgstr "%d bytes"
 
-#: src/fe-gtk/fe-gtk.c:731
+#: src/fe-gtk/fe-gtk.c:733
 #, c-format
 msgid "Network send queue: %d bytes"
 msgstr "Cola de envío de rede: %d bytes"
@@ -3374,8 +3367,8 @@
 
 #: src/fe-gtk/fkeys.c:450 src/fe-gtk/fkeys.c:451 src/fe-gtk/fkeys.c:452
 #: src/fe-gtk/fkeys.c:453 src/fe-gtk/fkeys.c:743 src/fe-gtk/fkeys.c:749
-#: src/fe-gtk/fkeys.c:754 src/fe-gtk/maingui.c:1642 src/fe-gtk/maingui.c:1758
-#: src/fe-gtk/maingui.c:3259
+#: src/fe-gtk/fkeys.c:754 src/fe-gtk/maingui.c:1635 src/fe-gtk/maingui.c:1751
+#: src/fe-gtk/maingui.c:3252
 msgid "<none>"
 msgstr "<ningún>"
 
@@ -3469,67 +3462,67 @@
 msgid "Cannot read that file."
 msgstr "Non se pode ler ese ficheiro."
 
-#: src/fe-gtk/ignoregui.c:115 src/fe-gtk/ignoregui.c:262
+#: src/fe-gtk/ignoregui.c:117 src/fe-gtk/ignoregui.c:264
 msgid "That mask already exists."
 msgstr "Esa máscara xa existe."
 
-#: src/fe-gtk/ignoregui.c:175 src/fe-gtk/maingui.c:2139
+#: src/fe-gtk/ignoregui.c:177 src/fe-gtk/maingui.c:2132
 msgid "Private"
 msgstr "Privado"
 
-#: src/fe-gtk/ignoregui.c:176
+#: src/fe-gtk/ignoregui.c:178
 msgid "Notice"
 msgstr "Noticia"
 
-#: src/fe-gtk/ignoregui.c:177
+#: src/fe-gtk/ignoregui.c:179
 msgid "CTCP"
 msgstr "CTCP"
 
-#: src/fe-gtk/ignoregui.c:178
+#: src/fe-gtk/ignoregui.c:180
 msgid "DCC"
 msgstr "DCC"
 
-#: src/fe-gtk/ignoregui.c:179
+#: src/fe-gtk/ignoregui.c:181
 msgid "Invite"
 msgstr "Invitar"
 
-#: src/fe-gtk/ignoregui.c:180
+#: src/fe-gtk/ignoregui.c:182
 msgid "Unignore"
 msgstr "Non ignorar"
 
-#: src/fe-gtk/ignoregui.c:306
+#: src/fe-gtk/ignoregui.c:308
 msgid "Enter mask to ignore:"
 msgstr "Introduza a máscara que quere ignorar:"
 
-#: src/fe-gtk/ignoregui.c:353
+#: src/fe-gtk/ignoregui.c:355
 msgid "XChat: Ignore list"
 msgstr "XChat: Lista de ignorados"
 
-#: src/fe-gtk/ignoregui.c:360
+#: src/fe-gtk/ignoregui.c:362
 msgid "Ignore Stats:"
 msgstr "Estatísticas de ignorados:"
 
-#: src/fe-gtk/ignoregui.c:368
+#: src/fe-gtk/ignoregui.c:370
 msgid "Channel:"
 msgstr "Canle:"
 
-#: src/fe-gtk/ignoregui.c:369
+#: src/fe-gtk/ignoregui.c:371
 msgid "Private:"
 msgstr "Privado:"
 
-#: src/fe-gtk/ignoregui.c:370
+#: src/fe-gtk/ignoregui.c:372
 msgid "Notice:"
 msgstr "Noticia:"
 
-#: src/fe-gtk/ignoregui.c:371
+#: src/fe-gtk/ignoregui.c:373
 msgid "CTCP:"
 msgstr "CTCP:"
 
-#: src/fe-gtk/ignoregui.c:372
+#: src/fe-gtk/ignoregui.c:374
 msgid "Invite:"
 msgstr "Invitar:"
 
-#: src/fe-gtk/ignoregui.c:383 src/fe-gtk/notifygui.c:426
+#: src/fe-gtk/ignoregui.c:385 src/fe-gtk/notifygui.c:428
 msgid "Add..."
 msgstr "Engadir..."
 
@@ -3582,20 +3575,20 @@
 msgid "_Always show this dialog after connecting."
 msgstr "Amosar este diálogo _sempre despois de conectar."
 
-#: src/fe-gtk/maingui.c:504
+#: src/fe-gtk/maingui.c:506
 msgid "Dialog with"
 msgstr "Diálogo con"
 
-#: src/fe-gtk/maingui.c:795
+#: src/fe-gtk/maingui.c:793
 #, c-format
 msgid "Topic for %s is: %s"
 msgstr "O tópico para %s é: %s"
 
-#: src/fe-gtk/maingui.c:800
+#: src/fe-gtk/maingui.c:798
 msgid "No topic is set"
 msgstr "Non está establecido ningún tópico"
 
-#: src/fe-gtk/maingui.c:1189
+#: src/fe-gtk/maingui.c:1182
 #, c-format
 msgid ""
 "This server still has %d channels or dialogs associated with it. Close them "
@@ -3603,144 +3596,137 @@
 msgstr ""
 "Este servidor ten todavía %d canles ou diálogos asociados. Pechalos todos?"
 
-#: src/fe-gtk/maingui.c:1283
+#: src/fe-gtk/maingui.c:1276
 msgid "Quit XChat?"
 msgstr "Quere saír de XChat?"
 
-#: src/fe-gtk/maingui.c:1304
+#: src/fe-gtk/maingui.c:1297
 msgid "Don't ask next time."
 msgstr "Non preguntar a seguinte vez."
 
-#: src/fe-gtk/maingui.c:1310
+#: src/fe-gtk/maingui.c:1303
 #, c-format
 msgid "You are connected to %i IRC networks."
 msgstr "Está conectado a %i redes IRC."
 
-#: src/fe-gtk/maingui.c:1312
+#: src/fe-gtk/maingui.c:1305
 msgid "Are you sure you want to quit?"
 msgstr "Está seguro de que quere saír?"
 
-#: src/fe-gtk/maingui.c:1314
+#: src/fe-gtk/maingui.c:1307
 msgid "Some file transfers are still active."
 msgstr "Algunhas transferencias de ficheiros seguen activas."
 
-#: src/fe-gtk/maingui.c:1332
+#: src/fe-gtk/maingui.c:1325
 msgid "_Minimize to Tray"
 msgstr "_Minimizar á bandexa"
 
-#: src/fe-gtk/maingui.c:1552
+#: src/fe-gtk/maingui.c:1545
 msgid "Insert Attribute or Color Code"
 msgstr "Inserir atributo ou código de cor"
 
-#: src/fe-gtk/maingui.c:1554
+#: src/fe-gtk/maingui.c:1547
 msgid "<b>Bold</b>"
 msgstr "<b>Grosa</b>"
 
-#: src/fe-gtk/maingui.c:1555
+#: src/fe-gtk/maingui.c:1548
 msgid "<u>Underline</u>"
 msgstr "<u>Subraiado</u>"
 
-#: src/fe-gtk/maingui.c:1557
+#: src/fe-gtk/maingui.c:1550
 msgid "Normal"
 msgstr "Normal"
 
-#: src/fe-gtk/maingui.c:1559
+#: src/fe-gtk/maingui.c:1552
 msgid "Colors 0-7"
 msgstr "Cores 0-7"
 
-#: src/fe-gtk/maingui.c:1569
+#: src/fe-gtk/maingui.c:1562
 msgid "Colors 8-15"
 msgstr "Cores 8-15"
 
-#: src/fe-gtk/maingui.c:1612
-#, fuzzy
+#: src/fe-gtk/maingui.c:1605
 msgid "_Settings"
 msgstr "C_onfiguración"
 
-#: src/fe-gtk/maingui.c:1614
+#: src/fe-gtk/maingui.c:1607
 msgid "_Log to Disk"
-msgstr ""
+msgstr "Rexistrar ao disco"
 
-#: src/fe-gtk/maingui.c:1615
+#: src/fe-gtk/maingui.c:1608
 msgid "_Reload Scrollback"
-msgstr ""
+msgstr "Recargar contidos anteriores"
 
-#: src/fe-gtk/maingui.c:1617
-#, fuzzy
+#: src/fe-gtk/maingui.c:1610
 msgid "_Hide Join/Part Messages"
 msgstr "Ocultar mensaxes de entrada e saída"
 
-#: src/fe-gtk/maingui.c:1625
-#, fuzzy
+#: src/fe-gtk/maingui.c:1618
 msgid "_Extra Alerts"
-msgstr "Alertas"
+msgstr "Alertas extra"
 
-#: src/fe-gtk/maingui.c:1627
-#, fuzzy
+#: src/fe-gtk/maingui.c:1620
 msgid "Beep on _Message"
 msgstr "Bip ao recibir unha mensaxe"
 
-#: src/fe-gtk/maingui.c:1628
-#, fuzzy
+#: src/fe-gtk/maingui.c:1621
 msgid "Blink Tray _Icon"
-msgstr "Intermitencia da icona da bandexa en:"
+msgstr "Intermitencia da icona da bandexa"
 
-#: src/fe-gtk/maingui.c:1629
-#, fuzzy
+#: src/fe-gtk/maingui.c:1622
 msgid "Blink Task _Bar"
-msgstr "Intermitencia da barra de tarefas en:"
+msgstr "Intermitencia da barra de tarefas"
 
-#: src/fe-gtk/maingui.c:1667 src/fe-gtk/menu.c:2142
-#, fuzzy
+#: src/fe-gtk/maingui.c:1660 src/fe-gtk/menu.c:2124
 msgid "_Detach"
 msgstr "_Separar solapa"
 
-#: src/fe-gtk/maingui.c:1669 src/fe-gtk/menu.c:2143 src/fe-gtk/menu.c:2148
-#: src/fe-gtk/plugingui.c:234 src/fe-gtk/search.c:151
+#: src/fe-gtk/maingui.c:1662 src/fe-gtk/menu.c:2125 src/fe-gtk/menu.c:2130
+#: src/fe-gtk/plugingui.c:236 src/fe-gtk/search.c:144
 msgid "_Close"
 msgstr "_Pechar"
 
-#: src/fe-gtk/maingui.c:2007 src/fe-gtk/maingui.c:2113
+#: src/fe-gtk/maingui.c:2000 src/fe-gtk/maingui.c:2106
 msgid "User limit must be a number!\n"
-msgstr "O límite de usuarios debe ser un número!\n"
+msgstr "¡O límite de usuarios debe ser un número!\n"
 
-#: src/fe-gtk/maingui.c:2135
+#: src/fe-gtk/maingui.c:2128
 msgid "Topic Protection"
 msgstr "Protección do tópico"
 
-#: src/fe-gtk/maingui.c:2136
+#: src/fe-gtk/maingui.c:2129
 msgid "No outside messages"
 msgstr "Non hai mensaxes externas"
 
-#: src/fe-gtk/maingui.c:2137
+#: src/fe-gtk/maingui.c:2130
 msgid "Secret"
 msgstr "Secreto"
 
-#: src/fe-gtk/maingui.c:2138
+#: src/fe-gtk/maingui.c:2131
 msgid "Invite Only"
 msgstr "Só para invitados"
 
-#: src/fe-gtk/maingui.c:2140
+#: src/fe-gtk/maingui.c:2133
 msgid "Moderated"
 msgstr "Moderado"
 
-#: src/fe-gtk/maingui.c:2141
+#: src/fe-gtk/maingui.c:2134
 msgid "Ban List"
 msgstr "Lista de vetados"
 
-#: src/fe-gtk/maingui.c:2143
+#: src/fe-gtk/maingui.c:2136
 msgid "Keyword"
 msgstr "Palabra clave"
 
-#: src/fe-gtk/maingui.c:2155
+#: src/fe-gtk/maingui.c:2148
 msgid "User Limit"
 msgstr "Límite de usuarios"
 
-#: src/fe-gtk/maingui.c:2264
+#: src/fe-gtk/maingui.c:2257
 msgid "Show/Hide userlist"
 msgstr "Mostrar/Ocultar lista de usuarios"
 
-#: src/fe-gtk/maingui.c:2389
+#: src/fe-gtk/maingui.c:2382
 msgid ""
 "Unable to set transparent background!\n"
 "\n"
@@ -3752,54 +3738,54 @@
 "Pode estar usando un xestor de ventás\n"
 "que non está soportado actualmente.\n"
 
-#: src/fe-gtk/maingui.c:2660
+#: src/fe-gtk/maingui.c:2653
 msgid "Enter new nickname:"
 msgstr "Introduza o novo alcume:"
 
-#: src/fe-gtk/menu.c:124
+#: src/fe-gtk/menu.c:126
 msgid "Host unknown"
 msgstr "Equipo descoñecido"
 
-#: src/fe-gtk/menu.c:615
+#: src/fe-gtk/menu.c:610
 #, c-format
 msgid "<tt><b>%-11s</b></tt> %s"
 msgstr "<tt><b>%-11s</b></tt> %s"
 
-#: src/fe-gtk/menu.c:621 src/fe-gtk/menu.c:625
+#: src/fe-gtk/menu.c:616 src/fe-gtk/menu.c:620
 msgid "Real Name:"
 msgstr "Nome real:"
 
-#: src/fe-gtk/menu.c:632
+#: src/fe-gtk/menu.c:624
 msgid "User:"
 msgstr "Usuario:"
 
-#: src/fe-gtk/menu.c:639
+#: src/fe-gtk/menu.c:628
 msgid "Country:"
 msgstr "País: "
 
-#: src/fe-gtk/menu.c:646
+#: src/fe-gtk/menu.c:632
 msgid "Server:"
 msgstr "Servidor:"
 
-#: src/fe-gtk/menu.c:657
+#: src/fe-gtk/menu.c:640
 #, c-format
 msgid "%u minutes ago"
 msgstr "Quedan %u minutos"
 
-#: src/fe-gtk/menu.c:659 src/fe-gtk/menu.c:662
+#: src/fe-gtk/menu.c:642 src/fe-gtk/menu.c:645
 msgid "Last Msg:"
 msgstr "Última mensaxe: "
 
-#: src/fe-gtk/menu.c:672
+#: src/fe-gtk/menu.c:655
 msgid "Away Msg:"
 msgstr "Mensaxe de ausencia: "
 
-#: src/fe-gtk/menu.c:730
+#: src/fe-gtk/menu.c:710
 #, c-format
 msgid "%d nicks selected."
-msgstr ""
+msgstr "%d alcumes seleccionados."
 
-#: src/fe-gtk/menu.c:855
+#: src/fe-gtk/menu.c:835
 msgid ""
 "The Menubar is now hidden. You can show it again by pressing F9 or right-"
 "clicking in a blank part of the main text area."
@@ -3807,47 +3793,47 @@
 "A barra de menú está agochada. Pode amosala outra vez premendo F9 ou "
 "premendo co botón dereito do rato na parte branca da área de texto principal."
 
-#: src/fe-gtk/menu.c:944
+#: src/fe-gtk/menu.c:930
 msgid "Open Link in Browser"
 msgstr "Abrir ligazón no navegador"
 
-#: src/fe-gtk/menu.c:945
+#: src/fe-gtk/menu.c:931
 msgid "Copy Selected Link"
 msgstr "Copiar a ligazón seleccionada"
 
-#: src/fe-gtk/menu.c:1007 src/fe-gtk/menu.c:1278
+#: src/fe-gtk/menu.c:993 src/fe-gtk/menu.c:1264
 msgid "Join Channel"
 msgstr "Entrar á canle"
 
-#: src/fe-gtk/menu.c:1011
+#: src/fe-gtk/menu.c:997
 msgid "Part Channel"
 msgstr "Invitar canle"
 
-#: src/fe-gtk/menu.c:1013
+#: src/fe-gtk/menu.c:999
 msgid "Cycle Channel"
 msgstr "Ciclar canle"
 
-#: src/fe-gtk/menu.c:1049
+#: src/fe-gtk/menu.c:1035
 msgid "_Remove from Favorites"
-msgstr ""
+msgstr "Elimina_r dos favoritos"
 
-#: src/fe-gtk/menu.c:1051
+#: src/fe-gtk/menu.c:1037
 msgid "_Add to Favorites"
-msgstr ""
+msgstr "Eng_adir a favoritos"
 
-#: src/fe-gtk/menu.c:1070
+#: src/fe-gtk/menu.c:1056
 msgid "XChat: User menu"
 msgstr "XChat: Menú de usuario"
 
-#: src/fe-gtk/menu.c:1079
+#: src/fe-gtk/menu.c:1065
 msgid "Edit This Menu..."
 msgstr "Editar este menú..."
 
-#: src/fe-gtk/menu.c:1280
+#: src/fe-gtk/menu.c:1266
 msgid "Retrieve channel list..."
 msgstr "Obter lista de canles..."
 
-#: src/fe-gtk/menu.c:1348
+#: src/fe-gtk/menu.c:1334
 msgid ""
 "User Commands - Special codes:\n"
 "\n"
@@ -3886,7 +3872,7 @@
 "%2 podería ser \"john\"\n"
 "&2 podería ser \"john hello\"."
 
-#: src/fe-gtk/menu.c:1364
+#: src/fe-gtk/menu.c:1350
 msgid ""
 "Userlist Buttons - Special codes:\n"
 "\n"
@@ -3910,7 +3896,7 @@
 "%s  =  alcume seleccionado\n"
 "%t  =  hora/data\n"
 
-#: src/fe-gtk/menu.c:1374
+#: src/fe-gtk/menu.c:1360
 msgid ""
 "Dialog Buttons - Special codes:\n"
 "\n"
@@ -3934,7 +3920,7 @@
 "%s  =  alcume seleccionado\n"
 "%t  =  hora/data\n"
 
-#: src/fe-gtk/menu.c:1384
+#: src/fe-gtk/menu.c:1370
 msgid ""
 "CTCP Replies - Special codes:\n"
 "\n"
@@ -3962,7 +3948,7 @@
 "&3  =  palabra 3 do fin de liña\n"
 "\n"
 
-#: src/fe-gtk/menu.c:1395
+#: src/fe-gtk/menu.c:1381
 #, c-format
 msgid ""
 "URL Handlers - Special codes:\n"
@@ -3981,467 +3967,463 @@
 "que debería enviarse hacia un shell\n"
 "en vez de hacia XChat"
 
-#: src/fe-gtk/menu.c:1404
+#: src/fe-gtk/menu.c:1390
 msgid "XChat: User Defined Commands"
 msgstr "XChat: Comandos definidos polo usuario"
 
-#: src/fe-gtk/menu.c:1411
+#: src/fe-gtk/menu.c:1397
 msgid "XChat: Userlist Popup menu"
 msgstr "XChat: Menú emerxente da lista de usuarios"
 
-#: src/fe-gtk/menu.c:1418
+#: src/fe-gtk/menu.c:1404
 msgid "Replace with"
 msgstr "Reemprazar con"
 
-#: src/fe-gtk/menu.c:1418
+#: src/fe-gtk/menu.c:1404
 msgid "XChat: Replace"
 msgstr "XChat: Reemprazar"
 
-#: src/fe-gtk/menu.c:1425
+#: src/fe-gtk/menu.c:1411
 msgid "XChat: URL Handlers"
 msgstr "XChat: Manexadores de URL"
 
-#: src/fe-gtk/menu.c:1444
+#: src/fe-gtk/menu.c:1430
 msgid "XChat: Userlist buttons"
 msgstr "XChat: Botóns da lista de usuarios"
 
-#: src/fe-gtk/menu.c:1451
+#: src/fe-gtk/menu.c:1437
 msgid "XChat: Dialog buttons"
 msgstr "XChat: Botóns de diálogo"
 
-#: src/fe-gtk/menu.c:1458
+#: src/fe-gtk/menu.c:1444
 msgid "XChat: CTCP Replies"
 msgstr "XChat: Respostas CTCP"
 
-#: src/fe-gtk/menu.c:1564
+#: src/fe-gtk/menu.c:1550
 msgid "_XChat"
 msgstr "_XChat"
 
-#: src/fe-gtk/menu.c:1565
+#: src/fe-gtk/menu.c:1551
 msgid "Network Li_st..."
 msgstr "Li_sta de redes..."
 
-#: src/fe-gtk/menu.c:1568
+#: src/fe-gtk/menu.c:1554
 msgid "_New"
 msgstr "_Novo"
 
-#: src/fe-gtk/menu.c:1569
+#: src/fe-gtk/menu.c:1555
 msgid "Server Tab..."
 msgstr "Solapa de servidor..."
 
-#: src/fe-gtk/menu.c:1570
+#: src/fe-gtk/menu.c:1556
 msgid "Channel Tab..."
 msgstr "Solapa de canle..."
 
-#: src/fe-gtk/menu.c:1571
+#: src/fe-gtk/menu.c:1557
 msgid "Server Window..."
 msgstr "Ventá de servidor..."
 
-#: src/fe-gtk/menu.c:1572
+#: src/fe-gtk/menu.c:1558
 msgid "Channel Window..."
 msgstr "Ventá de canle..."
 
-#: src/fe-gtk/menu.c:1577 src/fe-gtk/menu.c:1579
+#: src/fe-gtk/menu.c:1563 src/fe-gtk/menu.c:1565
 msgid "_Load Plugin or Script..."
 msgstr "_Cargar script ou complemento..."
 
-#: src/fe-gtk/menu.c:1587 src/fe-gtk/plugin-tray.c:610
+#: src/fe-gtk/menu.c:1573 src/fe-gtk/plugin-tray.c:604
 msgid "_Quit"
 msgstr "_Saír"
 
-#: src/fe-gtk/menu.c:1589
+#: src/fe-gtk/menu.c:1575
 msgid "_View"
 msgstr "_Ver"
 
-#: src/fe-gtk/menu.c:1591
+#: src/fe-gtk/menu.c:1577
 msgid "_Menu Bar"
 msgstr "Barra de _menú"
 
-#: src/fe-gtk/menu.c:1592
+#: src/fe-gtk/menu.c:1578
 msgid "_Topic Bar"
 msgstr "Barra de _tópico"
 
-#: src/fe-gtk/menu.c:1593
+#: src/fe-gtk/menu.c:1579
 msgid "_User List"
 msgstr "Lista de _usuarios"
 
-#: src/fe-gtk/menu.c:1594
+#: src/fe-gtk/menu.c:1580
 msgid "U_serlist Buttons"
 msgstr "Botóns de lista de u_suarios"
 
-#: src/fe-gtk/menu.c:1595
+#: src/fe-gtk/menu.c:1581
 msgid "M_ode Buttons"
 msgstr "Botóns de m_odo"
 
-#: src/fe-gtk/menu.c:1597
+#: src/fe-gtk/menu.c:1583
 msgid "_Channel Switcher"
 msgstr "Cambiar _canles"
 
-#: src/fe-gtk/menu.c:1599
+#: src/fe-gtk/menu.c:1585
 msgid "_Tabs"
 msgstr "_Solapas"
 
-#: src/fe-gtk/menu.c:1600
+#: src/fe-gtk/menu.c:1586
 msgid "T_ree"
 msgstr "Á_rbore"
 
-#: src/fe-gtk/menu.c:1602
+#: src/fe-gtk/menu.c:1588
 msgid "_Network Meters"
-msgstr "Configuración de _rede"
+msgstr "Medidores de _rede"
 
-#: src/fe-gtk/menu.c:1604
+#: src/fe-gtk/menu.c:1590
 msgid "Off"
 msgstr "Apagar"
 
-#: src/fe-gtk/menu.c:1605
+#: src/fe-gtk/menu.c:1591
 msgid "Graph"
 msgstr "Gráfico"
 
-#: src/fe-gtk/menu.c:1610
+#: src/fe-gtk/menu.c:1596
 msgid "_Server"
 msgstr "_Servidor"
 
-#: src/fe-gtk/menu.c:1611
+#: src/fe-gtk/menu.c:1597
 msgid "_Disconnect"
 msgstr "_Desconectar"
 
-#: src/fe-gtk/menu.c:1612
+#: src/fe-gtk/menu.c:1598
 msgid "_Reconnect"
 msgstr "_Reconectar"
 
-#: src/fe-gtk/menu.c:1613
-#, fuzzy
+#: src/fe-gtk/menu.c:1599
 msgid "Join a Channel..."
 msgstr "Entrar á canle..."
 
-#: src/fe-gtk/menu.c:1614
-#, fuzzy
+#: src/fe-gtk/menu.c:1600
 msgid "List of Channels..."
-msgstr "Entrar á canle..."
+msgstr "Lista de canles..."
 
-#: src/fe-gtk/menu.c:1617
+#: src/fe-gtk/menu.c:1603
 msgid "Marked Away"
 msgstr "Ausencia marcada"
 
-#: src/fe-gtk/menu.c:1619
+#: src/fe-gtk/menu.c:1605
 msgid "_Usermenu"
 msgstr "Menú de _usuario"
 
-#: src/fe-gtk/menu.c:1621
+#: src/fe-gtk/menu.c:1607
 msgid "S_ettings"
 msgstr "C_onfiguración"
 
-#: src/fe-gtk/menu.c:1622
+#: src/fe-gtk/menu.c:1608
 msgid "_Preferences"
 msgstr "Preferencias"
 
-#: src/fe-gtk/menu.c:1624
+#: src/fe-gtk/menu.c:1610
 msgid "Advanced"
 msgstr "Avanzado"
 
-#: src/fe-gtk/menu.c:1625
+#: src/fe-gtk/menu.c:1611
 msgid "Auto Replace..."
 msgstr "Remprazar automaticamente..."
 
-#: src/fe-gtk/menu.c:1626
+#: src/fe-gtk/menu.c:1612
 msgid "CTCP Replies..."
 msgstr "Respostas CTCP..."
 
-#: src/fe-gtk/menu.c:1627
+#: src/fe-gtk/menu.c:1613
 msgid "Dialog Buttons..."
 msgstr "Botóns de diálogo..."
 
-#: src/fe-gtk/menu.c:1628
+#: src/fe-gtk/menu.c:1614
 msgid "Keyboard Shortcuts..."
 msgstr "Atallos de teclado..."
 
-#: src/fe-gtk/menu.c:1629
+#: src/fe-gtk/menu.c:1615
 msgid "Text Events..."
 msgstr "Textos de eventos..."
 
-#: src/fe-gtk/menu.c:1630
+#: src/fe-gtk/menu.c:1616
 msgid "URL Handlers..."
 msgstr "Manexadores de URL..."
 
-#: src/fe-gtk/menu.c:1631
+#: src/fe-gtk/menu.c:1617
 msgid "User Commands..."
 msgstr "Comandos de usuario..."
 
-#: src/fe-gtk/menu.c:1632
+#: src/fe-gtk/menu.c:1618
 msgid "Userlist Buttons..."
 msgstr "Botóns de lista de usuarios..."
 
-#: src/fe-gtk/menu.c:1633
+#: src/fe-gtk/menu.c:1619
 msgid "Userlist Popup..."
 msgstr "Lista de usuarios emerxente..."
 
-#: src/fe-gtk/menu.c:1636
+#: src/fe-gtk/menu.c:1622
 msgid "_Window"
 msgstr "_Ventá"
 
-#: src/fe-gtk/menu.c:1637
+#: src/fe-gtk/menu.c:1623
 msgid "Ban List..."
 msgstr "Lista de vetados..."
 
-#: src/fe-gtk/menu.c:1638
+#: src/fe-gtk/menu.c:1624
 msgid "Character Chart..."
 msgstr "Mapa de caracteres..."
 
-#: src/fe-gtk/menu.c:1639
+#: src/fe-gtk/menu.c:1625
 msgid "Direct Chat..."
 msgstr "Chat directo..."
 
-#: src/fe-gtk/menu.c:1640
+#: src/fe-gtk/menu.c:1626
 msgid "File Transfers..."
 msgstr "Transferencias de ficheiros..."
 
-#: src/fe-gtk/menu.c:1641
-#, fuzzy
+#: src/fe-gtk/menu.c:1627
 msgid "Friends List..."
-msgstr "Lista de vetados..."
+msgstr "Lista de amigos..."
 
-#: src/fe-gtk/menu.c:1642
+#: src/fe-gtk/menu.c:1628
 msgid "Ignore List..."
 msgstr "Lista de ignorados..."
 
-#: src/fe-gtk/menu.c:1643
+#: src/fe-gtk/menu.c:1629
 msgid "Plugins and Scripts..."
 msgstr "Complementos e Scripts..."
 
-#: src/fe-gtk/menu.c:1644
+#: src/fe-gtk/menu.c:1630
 msgid "Raw Log..."
 msgstr "Rexistro crú..."
 
-#: src/fe-gtk/menu.c:1645
+#: src/fe-gtk/menu.c:1631
 msgid "URL Grabber..."
 msgstr "Capturador de URL..."
 
-#: src/fe-gtk/menu.c:1647
+#: src/fe-gtk/menu.c:1633
 msgid "Reset Marker Line"
 msgstr "Reiniciar marcador de liña"
 
-#: src/fe-gtk/menu.c:1648
+#: src/fe-gtk/menu.c:1634
 msgid "C_lear Text"
 msgstr "_Limpar texto"
 
-#: src/fe-gtk/menu.c:1650
+#: src/fe-gtk/menu.c:1636
 msgid "Search Text..."
 msgstr "Buscar texto..."
 
-#: src/fe-gtk/menu.c:1651
+#: src/fe-gtk/menu.c:1637
 msgid "Save Text..."
 msgstr "Gardar texto..."
 
-#: src/fe-gtk/menu.c:1653 src/fe-gtk/menu.c:2134
+#: src/fe-gtk/menu.c:1639 src/fe-gtk/menu.c:2116
 msgid "_Help"
 msgstr "A_xuda"
 
-#: src/fe-gtk/menu.c:1654
+#: src/fe-gtk/menu.c:1640
 msgid "_Contents"
 msgstr "_Contidos"
 
-#: src/fe-gtk/menu.c:1656
+#: src/fe-gtk/menu.c:1642
 msgid "Check for updates"
-msgstr ""
+msgstr "Buscar actualizacións"
 
-#: src/fe-gtk/menu.c:1658
+#: src/fe-gtk/menu.c:1644
 msgid "_About"
 msgstr "_Acerca de"
 
-#: src/fe-gtk/menu.c:2147
-#, fuzzy
+#: src/fe-gtk/menu.c:2129
 msgid "_Attach"
-msgstr "_Ventá de adxunto"
+msgstr "Xuntar solapa"
 
-#: src/fe-gtk/notifygui.c:138
+#: src/fe-gtk/notifygui.c:140
 msgid "Last Seen"
 msgstr "Visto por última vez"
 
-#: src/fe-gtk/notifygui.c:180
+#: src/fe-gtk/notifygui.c:182
 msgid "Offline"
 msgstr "Desconectado"
 
-#: src/fe-gtk/notifygui.c:200 src/fe-gtk/setup.c:231
+#: src/fe-gtk/notifygui.c:202 src/fe-gtk/setup.c:231
 msgid "Never"
 msgstr "Nunca"
 
-#: src/fe-gtk/notifygui.c:203 src/fe-gtk/notifygui.c:228
+#: src/fe-gtk/notifygui.c:205 src/fe-gtk/notifygui.c:230
 #, c-format
 msgid "%d minutes ago"
 msgstr "fai %d minutos"
 
-#: src/fe-gtk/notifygui.c:218
+#: src/fe-gtk/notifygui.c:220
 msgid "Online"
 msgstr "Conectado"
 
-#: src/fe-gtk/notifygui.c:347
+#: src/fe-gtk/notifygui.c:349
 msgid "Enter nickname to add:"
 msgstr "Introduza o alcume a engadir:"
 
-#: src/fe-gtk/notifygui.c:376
+#: src/fe-gtk/notifygui.c:378
 msgid "Notify on these networks:"
 msgstr "Notificar nestas redes:"
 
-#: src/fe-gtk/notifygui.c:387
+#: src/fe-gtk/notifygui.c:389
 msgid "Comma separated list of networks is accepted."
-msgstr ""
+msgstr "Acéptase unha lista de redes separada por comas."
 
-#: src/fe-gtk/notifygui.c:413
-#, fuzzy
+#: src/fe-gtk/notifygui.c:415
 msgid "XChat: Friends List"
-msgstr "XChat: Lista de ignorados"
+msgstr "XChat: Lista de amigos"
 
-#: src/fe-gtk/notifygui.c:434
+#: src/fe-gtk/notifygui.c:436
 msgid "Open Dialog"
 msgstr "Abrir diálogo"
 
-#: src/fe-gtk/plugin-tray.c:250
+#: src/fe-gtk/plugin-tray.c:248
 msgid ""
 "Cannot find 'notify-send' to open balloon alerts.\n"
 "Please install libnotify."
 msgstr ""
+"Non se atopa 'notify-send' para abrir mensaxes emerxentes.\n"
+"Por favor instale libnotify."
 
-#: src/fe-gtk/plugin-tray.c:301
+#: src/fe-gtk/plugin-tray.c:299
 #, c-format
 msgid "XChat: Connected to %u networks and %u channels"
 msgstr "XChat: Conectado a %u redes e %u canles"
 
-#: src/fe-gtk/plugin-tray.c:589
+#: src/fe-gtk/plugin-tray.c:583
 msgid "_Restore"
 msgstr "_Restaurar"
 
-#: src/fe-gtk/plugin-tray.c:591
+#: src/fe-gtk/plugin-tray.c:585
 msgid "_Hide"
 msgstr "_Ocultar"
 
-#: src/fe-gtk/plugin-tray.c:594
+#: src/fe-gtk/plugin-tray.c:588
 msgid "_Blink on"
 msgstr "_Intermitencia en"
 
-#: src/fe-gtk/plugin-tray.c:595 src/fe-gtk/setup.c:479
+#: src/fe-gtk/plugin-tray.c:589 src/fe-gtk/setup.c:479
 msgid "Channel Message"
 msgstr "Mensaxe de canle"
 
-#: src/fe-gtk/plugin-tray.c:596 src/fe-gtk/setup.c:480
+#: src/fe-gtk/plugin-tray.c:590 src/fe-gtk/setup.c:480
 msgid "Private Message"
 msgstr "Mensaxe privada"
 
-#: src/fe-gtk/plugin-tray.c:597 src/fe-gtk/setup.c:481
+#: src/fe-gtk/plugin-tray.c:591 src/fe-gtk/setup.c:481
 msgid "Highlighted Message"
-msgstr "Resaltar mensaxe"
+msgstr "Mensaxe resaltada"
 
-#: src/fe-gtk/plugin-tray.c:600
+#: src/fe-gtk/plugin-tray.c:594
 msgid "_Change status"
-msgstr ""
+msgstr "_Cambiar estado"
 
-#: src/fe-gtk/plugin-tray.c:602
-#, fuzzy
+#: src/fe-gtk/plugin-tray.c:596
 msgid "_Away"
-msgstr "Ausente"
+msgstr "_Ausente"
 
-#: src/fe-gtk/plugin-tray.c:605
+#: src/fe-gtk/plugin-tray.c:599
 msgid "_Back"
-msgstr ""
+msgstr "Disponi_ble"
 
-#: src/fe-gtk/plugin-tray.c:654 src/fe-gtk/plugin-tray.c:662
+#: src/fe-gtk/plugin-tray.c:648 src/fe-gtk/plugin-tray.c:656
 #, c-format
 msgid "XChat: Highlighted message from: %s (%s)"
 msgstr "XChat: Resaltar mensaxe de %s (%s)"
 
-#: src/fe-gtk/plugin-tray.c:657
+#: src/fe-gtk/plugin-tray.c:651
 #, c-format
 msgid "XChat: %u highlighted messages, latest from: %s (%s)"
 msgstr "XChat: %u mensaxes resaltadas, a última de: %s (%s)"
 
-#: src/fe-gtk/plugin-tray.c:680 src/fe-gtk/plugin-tray.c:687
+#: src/fe-gtk/plugin-tray.c:674 src/fe-gtk/plugin-tray.c:681
 #, c-format
 msgid "XChat: New public message from: %s (%s)"
 msgstr "XChat: Nova mensaxe pública de %s (%s)"
 
-#: src/fe-gtk/plugin-tray.c:683
+#: src/fe-gtk/plugin-tray.c:677
 #, c-format
 msgid "XChat: %u new public messages."
 msgstr "XChat: %u novas mensaxes públicas"
 
-#: src/fe-gtk/plugin-tray.c:709 src/fe-gtk/plugin-tray.c:716
+#: src/fe-gtk/plugin-tray.c:703 src/fe-gtk/plugin-tray.c:710
 #, c-format
 msgid "XChat: Private message from: %s (%s)"
 msgstr "XChat: Mensaxe privada desde %s (%s)"
 
-#: src/fe-gtk/plugin-tray.c:712
+#: src/fe-gtk/plugin-tray.c:706
 #, c-format
 msgid "XChat: %u private messages, latest from: %s (%s)"
 msgstr "XChat: %u mensaxes privadas, a última de: %s (%s)"
 
-#: src/fe-gtk/plugin-tray.c:762 src/fe-gtk/plugin-tray.c:770
+#: src/fe-gtk/plugin-tray.c:756 src/fe-gtk/plugin-tray.c:764
 #, c-format
 msgid "XChat: File offer from: %s (%s)"
 msgstr "XChat: Ofrécese ficheiro desde: %s (%s)"
 
-#: src/fe-gtk/plugin-tray.c:765
+#: src/fe-gtk/plugin-tray.c:759
 #, c-format
 msgid "XChat: %u file offers, latest from: %s (%s)"
 msgstr "XChat: %u ficheiro ofrecidos, o último de: %s (%s)"
 
-#: src/fe-gtk/plugingui.c:72
+#: src/fe-gtk/plugingui.c:74
 msgid "Version"
 msgstr "Versión"
 
-#: src/fe-gtk/plugingui.c:74 src/fe-gtk/textgui.c:424
+#: src/fe-gtk/plugingui.c:76 src/fe-gtk/textgui.c:424
 msgid "Description"
 msgstr "Descrición"
 
-#: src/fe-gtk/plugingui.c:149
+#: src/fe-gtk/plugingui.c:151
 msgid "Select a Plugin or Script to load"
 msgstr "Seleccione un Complemento ou Script a cargar"
 
-#: src/fe-gtk/plugingui.c:221
+#: src/fe-gtk/plugingui.c:223
 msgid "XChat: Plugins and Scripts"
 msgstr "XChat: Complementos e Scripts"
 
-#: src/fe-gtk/plugingui.c:227
+#: src/fe-gtk/plugingui.c:229
 msgid "_Load..."
 msgstr "_Cargar..."
 
-#: src/fe-gtk/plugingui.c:230
+#: src/fe-gtk/plugingui.c:232
 msgid "_UnLoad"
 msgstr "_Desactivar"
 
-#: src/fe-gtk/rawlog.c:79 src/fe-gtk/rawlog.c:128 src/fe-gtk/textgui.c:438
-#: src/fe-gtk/urlgrab.c:203
+#: src/fe-gtk/rawlog.c:81 src/fe-gtk/rawlog.c:130 src/fe-gtk/textgui.c:438
+#: src/fe-gtk/urlgrab.c:205
 msgid "Save As..."
 msgstr "Gardar como..."
 
-#: src/fe-gtk/rawlog.c:95
+#: src/fe-gtk/rawlog.c:97
 #, c-format
 msgid "XChat: Rawlog (%s)"
 msgstr "XChat: Rexistro crú (%s)"
 
-#: src/fe-gtk/rawlog.c:125
+#: src/fe-gtk/rawlog.c:127
 msgid "Clear rawlog"
 msgstr "Limpar rexistro crú"
 
-#: src/fe-gtk/search.c:56
+#: src/fe-gtk/search.c:57
 msgid "The window you opened this Search for doesn't exist anymore."
 msgstr "A ventá que abreu esta busca non existe máis."
 
-#: src/fe-gtk/search.c:64
+#: src/fe-gtk/search.c:65
 msgid "Search hit end, not found."
-msgstr ""
+msgstr "Non hay máis coincidencias, non encontrado."
 
-#: src/fe-gtk/search.c:116
+#: src/fe-gtk/search.c:109
 msgid "XChat: Search"
 msgstr "XChat: Buscar"
 
-#: src/fe-gtk/search.c:134
+#: src/fe-gtk/search.c:127
 msgid "_Match case"
 msgstr "_Coincidir maiúsculas"
 
-#: src/fe-gtk/search.c:140
+#: src/fe-gtk/search.c:133
 msgid "Search _backwards"
 msgstr "Buscar para _atrás"
 
-#: src/fe-gtk/search.c:153
+#: src/fe-gtk/search.c:146
 msgid "_Find"
 msgstr "_Procurar"
 
@@ -4455,121 +4437,116 @@
 msgstr "Realmente desexa eliminar a rede \"%s\" e todos os seus servidores?"
 
 #: src/fe-gtk/servlistgui.c:740
-#, fuzzy
 msgid "#channel"
 msgstr "Canle"
 
-#: src/fe-gtk/servlistgui.c:850
-#, fuzzy
+#: src/fe-gtk/servlistgui.c:847
 msgid "XChat: Favorite Channels (Auto-Join List)"
-msgstr "XChat: Lista de Canles (%s)"
+msgstr "XChat: Lista de canles favoritas (lista de canles ás que se auto-conecta)"
 
-#: src/fe-gtk/servlistgui.c:863
+#: src/fe-gtk/servlistgui.c:859
 #, c-format
 msgid "These channels will be joined whenever you connect to %s."
-msgstr ""
+msgstr "Vostede conectarase a estes canles cando se conecte a %s."
 
-#: src/fe-gtk/servlistgui.c:906
-#, fuzzy
+#: src/fe-gtk/servlistgui.c:902
 msgid "Key (Password)"
-msgstr "Contrasinal:"
+msgstr "Contrasinal"
 
-#: src/fe-gtk/servlistgui.c:937 src/fe-gtk/servlistgui.c:1566
+#: src/fe-gtk/servlistgui.c:933 src/fe-gtk/servlistgui.c:1535
 msgid "_Edit"
 msgstr "E_ditar"
 
-#: src/fe-gtk/servlistgui.c:973
+#: src/fe-gtk/servlistgui.c:969
 #, c-format
 msgid "%s has been removed."
-msgstr ""
+msgstr "%s foi eliminado."
 
-#: src/fe-gtk/servlistgui.c:993
+#: src/fe-gtk/servlistgui.c:989
 #, c-format
 msgid "%s has been added."
-msgstr ""
+msgstr "%s foi engadido."
 
-#: src/fe-gtk/servlistgui.c:1017
+#: src/fe-gtk/servlistgui.c:1013
 msgid "User name and Real name cannot be left blank."
 msgstr "O nome de usuario e nome verdadeiro non poden estár en branco."
 
-#: src/fe-gtk/servlistgui.c:1397
+#: src/fe-gtk/servlistgui.c:1366
 #, c-format
 msgid "XChat: Edit %s"
 msgstr "XChat: Editar %s"
 
-#: src/fe-gtk/servlistgui.c:1416
+#: src/fe-gtk/servlistgui.c:1385
 #, c-format
 msgid "Servers for %s"
 msgstr "Servidor para %s"
 
-#: src/fe-gtk/servlistgui.c:1427
+#: src/fe-gtk/servlistgui.c:1396
 msgid "Connect to selected server only"
 msgstr "Conectar só ao servidor seleccionado"
 
-#: src/fe-gtk/servlistgui.c:1428
+#: src/fe-gtk/servlistgui.c:1397
 msgid "Don't cycle through all the servers when the connection fails."
 msgstr ""
 "Non ciclar a non ser que todos os servidores aos que está conectando fallen."
 
-#: src/fe-gtk/servlistgui.c:1430
+#: src/fe-gtk/servlistgui.c:1399
 msgid "Your Details"
 msgstr "Seus detalles"
 
-#: src/fe-gtk/servlistgui.c:1436
+#: src/fe-gtk/servlistgui.c:1405
 msgid "Use global user information"
 msgstr "Usar información global de usuario"
 
-#: src/fe-gtk/servlistgui.c:1439 src/fe-gtk/servlistgui.c:1671
+#: src/fe-gtk/servlistgui.c:1408 src/fe-gtk/servlistgui.c:1640
 msgid "_Nick name:"
 msgstr "_Alcume:"
 
-#: src/fe-gtk/servlistgui.c:1443 src/fe-gtk/servlistgui.c:1678
+#: src/fe-gtk/servlistgui.c:1412 src/fe-gtk/servlistgui.c:1647
 msgid "Second choice:"
 msgstr "Segunda elección:"
 
-#: src/fe-gtk/servlistgui.c:1447 src/fe-gtk/servlistgui.c:1692
+#: src/fe-gtk/servlistgui.c:1416 src/fe-gtk/servlistgui.c:1661
 msgid "_User name:"
 msgstr "Nome de _usuario:"
 
-#: src/fe-gtk/servlistgui.c:1451 src/fe-gtk/servlistgui.c:1699
+#: src/fe-gtk/servlistgui.c:1420 src/fe-gtk/servlistgui.c:1668
 msgid "Rea_l name:"
 msgstr "Nome _verdadeiro:"
 
-#: src/fe-gtk/servlistgui.c:1454
+#: src/fe-gtk/servlistgui.c:1423
 msgid "Connecting"
 msgstr "Conectando"
 
-#: src/fe-gtk/servlistgui.c:1460
+#: src/fe-gtk/servlistgui.c:1429
 msgid "Auto connect to this network at startup"
 msgstr "Conectarse automaticamente a esta rede ao inicio"
 
-#: src/fe-gtk/servlistgui.c:1462
-#, fuzzy
+#: src/fe-gtk/servlistgui.c:1431
 msgid "Bypass proxy server"
-msgstr "Usar un servidor proxy"
+msgstr "Saltarse as restriccións do servidor proxy"
 
-#: src/fe-gtk/servlistgui.c:1464
+#: src/fe-gtk/servlistgui.c:1433
 msgid "Use SSL for all the servers on this network"
 msgstr "Usar SSL para todos os servidores desta rede"
 
-#: src/fe-gtk/servlistgui.c:1469
+#: src/fe-gtk/servlistgui.c:1438
 msgid "Accept invalid SSL certificate"
 msgstr "Aceptar certificado SSL inválido"
 
-#: src/fe-gtk/servlistgui.c:1475
-#, fuzzy
+#: src/fe-gtk/servlistgui.c:1444
 msgid "_Favorite channels:"
-msgstr "Abandonar a canle:"
+msgstr "Canles _Favoritos:"
 
-#: src/fe-gtk/servlistgui.c:1477
+#: src/fe-gtk/servlistgui.c:1446
 msgid "Channels to join, separated by commas, but not spaces!"
 msgstr "Canles ás que entrar, separados por comas, non por espacios!"
 
-#: src/fe-gtk/servlistgui.c:1480
+#: src/fe-gtk/servlistgui.c:1449
 msgid "Connect command:"
 msgstr "Comando de conexión:"
 
-#: src/fe-gtk/servlistgui.c:1482
+#: src/fe-gtk/servlistgui.c:1451
 msgid ""
 "Extra command to execute after connecting. If you need more than one, set "
 "this to LOAD -e <filename>, where <filename> is a text-file full of commands "
@@ -4579,11 +4556,11 @@
 "establece isto a LOAD -e <nome de ficheiro>, onde <nome de ficheiro> é un "
 "ficheiro de texto de comandos a executar."
 
-#: src/fe-gtk/servlistgui.c:1485
+#: src/fe-gtk/servlistgui.c:1454
 msgid "Nickserv password:"
 msgstr "Contrasinal do servidor de alcumes:"
 
-#: src/fe-gtk/servlistgui.c:1487
+#: src/fe-gtk/servlistgui.c:1456
 msgid ""
 "If your nickname requires a password, enter it here. Not all IRC networks "
 "support this."
@@ -4591,53 +4568,55 @@
 "Se o teu alcume require dun contrasinal, introdúceo aquí. Non todas as redes "
 "IRC soportan isto."
 
-#: src/fe-gtk/servlistgui.c:1491
+#: src/fe-gtk/servlistgui.c:1460
 msgid "Server password:"
 msgstr "Contrasinal do servidor:"
 
-#: src/fe-gtk/servlistgui.c:1493
+#: src/fe-gtk/servlistgui.c:1462
 msgid "Password for the server, if in doubt, leave blank."
 msgstr "Contrasinal para o servidor, se duda, déixeo en branco."
 
-#: src/fe-gtk/servlistgui.c:1496
+#: src/fe-gtk/servlistgui.c:1465
 msgid "Character set:"
 msgstr "Conxunto de caracteres:"
 
-#: src/fe-gtk/servlistgui.c:1649
+#: src/fe-gtk/servlistgui.c:1618
 msgid "XChat: Network List"
 msgstr "XChat: Lista de redes"
 
-#: src/fe-gtk/servlistgui.c:1661
+#: src/fe-gtk/servlistgui.c:1630
 msgid "User Information"
 msgstr "Información de usuario"
 
-#: src/fe-gtk/servlistgui.c:1685
+#: src/fe-gtk/servlistgui.c:1654
 msgid "Third choice:"
 msgstr "Terceira elección:"
 
-#: src/fe-gtk/servlistgui.c:1745
+#: src/fe-gtk/servlistgui.c:1714
 msgid "Networks"
 msgstr "Redes"
 
-#: src/fe-gtk/servlistgui.c:1786
+#: src/fe-gtk/servlistgui.c:1755
 msgid "Skip network list on startup"
 msgstr "Saltar a lista de servidores ao inicio"
 
-#: src/fe-gtk/servlistgui.c:1818
+#: src/fe-gtk/servlistgui.c:1787
 msgid "_Edit..."
 msgstr "_Editar..."
 
-#: src/fe-gtk/servlistgui.c:1825
+#: src/fe-gtk/servlistgui.c:1794
 msgid "_Sort"
 msgstr "_Ordenar"
 
-#: src/fe-gtk/servlistgui.c:1826
+#: src/fe-gtk/servlistgui.c:1795
 msgid ""
 "Sorts the network list in alphabetical order. Use SHIFT-UP and SHIFT-DOWN "
 "keys to move a row."
 msgstr ""
+"Ordena a lista de redes en orde alfabético. Use MAIUSCULAS-ARRIBA e MAIUSCULAS-ABAIXO "
+"para mover unha fila."
 
-#: src/fe-gtk/servlistgui.c:1851
+#: src/fe-gtk/servlistgui.c:1820
 msgid "C_onnect"
 msgstr "C_onectar"
 
@@ -4715,7 +4694,7 @@
 
 #: src/fe-gtk/setup.c:123 src/fe-gtk/setup.c:394
 msgid "See strftime manpage for details."
-msgstr "Vexa a páxina do manual de strftime para máis detalles"
+msgstr "Vexa a páxina do manual de strftime para máis detalles."
 
 #: src/fe-gtk/setup.c:130 src/fe-gtk/setup.c:170
 msgid "A-Z"
@@ -4723,7 +4702,7 @@
 
 #: src/fe-gtk/setup.c:131
 msgid "Last-spoke order"
-msgstr ""
+msgstr "Os últimos que falaron primeiro"
 
 #: src/fe-gtk/setup.c:137 src/fe-gtk/setup.c:1701
 msgid "Input box"
@@ -4784,19 +4763,19 @@
 
 #: src/fe-gtk/setup.c:179 src/fe-gtk/setup.c:191
 msgid "Left (Upper)"
-msgstr ""
+msgstr "Arriba á esquerda"
 
 #: src/fe-gtk/setup.c:180 src/fe-gtk/setup.c:192
 msgid "Left (Lower)"
-msgstr ""
+msgstr "Abaixo á esquerda"
 
 #: src/fe-gtk/setup.c:181 src/fe-gtk/setup.c:193
 msgid "Right (Upper)"
-msgstr ""
+msgstr "Arriba á dereita"
 
 #: src/fe-gtk/setup.c:182 src/fe-gtk/setup.c:194
 msgid "Right (Lower)"
-msgstr ""
+msgstr "Abaixo á dereita"
 
 #: src/fe-gtk/setup.c:183
 msgid "Top"
@@ -4884,9 +4863,8 @@
 msgstr "Ordenar solapas en orde alfabético"
 
 #: src/fe-gtk/setup.c:254
-#, fuzzy
 msgid "Smaller text"
-msgstr "Solapas pequenas"
+msgstr "Texto máis pequeno"
 
 #: src/fe-gtk/setup.c:256
 msgid "Focus new tabs:"
@@ -4894,7 +4872,7 @@
 
 #: src/fe-gtk/setup.c:258
 msgid "Show channel switcher at:"
-msgstr ""
+msgstr "Amosar seleccionador de canles:"
 
 #: src/fe-gtk/setup.c:259
 msgid "Shorten tab labels to:"
@@ -4934,7 +4912,7 @@
 
 #: src/fe-gtk/setup.c:273
 msgid "Browse for save folder every time"
-msgstr ""
+msgstr "Preguntar polo cartafol no que gardar de cada vez"
 
 #: src/fe-gtk/setup.c:279
 msgid "Files and Directories"
@@ -5025,9 +5003,8 @@
 msgstr "Alertas"
 
 #: src/fe-gtk/setup.c:333
-#, fuzzy
 msgid "Show tray balloons on:"
-msgstr "Amosar solapas:"
+msgstr "Amosar ventás emerxentes en:"
 
 #: src/fe-gtk/setup.c:335
 msgid "Blink tray icon on:"
@@ -5068,11 +5045,12 @@
 msgstr "Os alcumes para resaltar sempre:"
 
 #: src/fe-gtk/setup.c:347
-#, fuzzy
 msgid ""
 "Separate multiple words with commas.\n"
 "Wildcards are accepted."
-msgstr "Separar palabras múltiples con comas."
+msgstr ""
+"Separar palabras múltiples con comas.\n"
+"Permítense comodíns."
 
 #: src/fe-gtk/setup.c:353
 msgid "Default Messages"
@@ -5168,12 +5146,11 @@
 
 #: src/fe-gtk/setup.c:386
 msgid "Display scrollback from previous session"
-msgstr ""
+msgstr "Amosar contidos da sesión anterior"
 
 #: src/fe-gtk/setup.c:387
-#, fuzzy
 msgid "Enable logging of conversations to disk"
-msgstr "Habilitar o rexistro de conversacións"
+msgstr "Habilitar o rexistro de conversacións ao disco"
 
 #: src/fe-gtk/setup.c:388
 msgid "Log filename:"
@@ -5226,7 +5203,7 @@
 
 #: src/fe-gtk/setup.c:416
 msgid "DCC Get Only"
-msgstr ""
+msgstr "Só DCC Get"
 
 #: src/fe-gtk/setup.c:422
 msgid "Your Address"
@@ -5417,9 +5394,8 @@
 msgstr "Lista de usuarios"
 
 #: src/fe-gtk/setup.c:1703
-#, fuzzy
 msgid "Channel switcher"
-msgstr "canles con"
+msgstr "Cambiar canles"
 
 #: src/fe-gtk/setup.c:1704
 msgid "Colors"
@@ -5454,6 +5430,8 @@
 "You cannot place the tree on the top or bottom!\n"
 "Please change to the <b>Tabs</b> layout in the <b>View</b> menu first."
 msgstr ""
+"Non pode poñer a árbore de canles enriba ou debaixo.\n"
+"Por favor primeiro cambie ao esquema de <b>Solapas</b> no menú <b>Ver</b>."
 
 #: src/fe-gtk/setup.c:2017
 msgid "Some settings were changed that require a restart to take full effect."
@@ -5506,35 +5484,42 @@
 msgid "Test All"
 msgstr "Probar todo"
 
-#: src/fe-gtk/urlgrab.c:96
+#: src/fe-gtk/urlgrab.c:98
 msgid "URL"
 msgstr "URL"
 
-#: src/fe-gtk/urlgrab.c:186
+#: src/fe-gtk/urlgrab.c:188
 msgid "XChat: URL Grabber"
 msgstr "XChat: Capturador de URL"
 
-#: src/fe-gtk/urlgrab.c:199
+#: src/fe-gtk/urlgrab.c:201
 msgid "Clear list"
 msgstr "Limpar lista"
 
-#: src/fe-gtk/urlgrab.c:201
+#: src/fe-gtk/urlgrab.c:203
 msgid "Copy selected URL"
 msgstr "Copiar a URL seleccionada"
 
-#: src/fe-gtk/urlgrab.c:201
+#: src/fe-gtk/urlgrab.c:203
 msgid "Copy"
 msgstr "Copiar"
 
-#: src/fe-gtk/urlgrab.c:203
+#: src/fe-gtk/urlgrab.c:205
 msgid "Save list to a file"
 msgstr "Gardar lista nun ficheiro"
 
-#: src/fe-gtk/userlistgui.c:119
+#: src/fe-gtk/userlistgui.c:111
 #, c-format
 msgid "%d ops, %d total"
 msgstr "%d ops, %d total"
 
+#~ msgid "About XChat"
+#~ msgstr "Acerca de XChat"
+
+#, fuzzy
+#~ msgid "Set _back"
+#~ msgstr "Buscar para _atrás"
+
 #~ msgid "Direct client-to-client"
 #~ msgstr "Cliente a cliente directamente"
 
@@ -5607,9 +5592,6 @@
 #~ msgid "Telnet"
 #~ msgstr "Telnet"
 
-#~ msgid "About XChat"
-#~ msgstr "Acerca de XChat"
-
 #~ msgid "Blink tray on message"
 #~ msgstr "Intermitencia da bandexa en mensaxe"
 
## Patch by Jos<E9> Alejandro Carrillo Neira <j.alec.n@gmail.com>
--- a/po/es.po
+++ b/po/es.po
@@ -1,20 +1,20 @@
-# Mensajes en español para X-Chat
-# Copyright (C) 2004 Free Software Foundation, Inc.
-# This file is distributed under the same license as the X-Chat package.
-# Juan Pablo Puerta <jppuerta@iname.com>, 1999
-# Antonio de la Torre <adltorre@terra.es>, 2001
-# Pablo Gonzalo del Campo <pablodc@bigfoot.com>,2002
-# Ramón Rey Vicente <ramon.rey@hispalinux.es>, 2003,2004
-# Rafael Bermúdez <rafaelbermudez@gmail.com>, 2006
-# Rubén C. Díaz Alonso <outime@gmail.com>, 2006
-# 
+# Mensajes en español para X-Chat
+# Copyright (C) 2004 Free Software Foundation, Inc.
+# This file is distributed under the same license as the X-Chat package.
+# Juan Pablo Puerta <jppuerta@iname.com>, 1999
+# Antonio de la Torre <adltorre@terra.es>, 2001
+# Pablo Gonzalo del Campo <pablodc@bigfoot.com>,2002
+# Ramón Rey Vicente <ramon.rey@hispalinux.es>, 2003,2004
+# Rafael Bermúdez <rafaelbermudez@gmail.com>, 2006
+# Rubén C. Díaz Alonso <outime@gmail.com>, 2006
+#
 msgid ""
 msgstr ""
 "Project-Id-Version: xchat 2.6.7\n"
 "Report-Msgid-Bugs-To: www.xchat.org\n"
-"POT-Creation-Date: 2010-05-30 13:56+1000\n"
-"PO-Revision-Date: 2006-08-30 13:56-0700\n"
-"Last-Translator: Rubén C. Díaz Alonso <outime@gmail.com>\n"
+"POT-Creation-Date: 2008-06-12 18:39+1000\n"
+"PO-Revision-Date: 2008-10-24 18:47+0100\n"
+"Last-Translator: José Alejandro Carrillo Neira <j.alec.n@gmail.com>\n"
 "Language-Team: Spanish <es@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -24,15 +24,15 @@
 msgid "Cannot create ~/.xchat2"
 msgstr "No se puede crear ~/.xchat2"
 
-#: src/common/cfgfiles.c:713
+#: src/common/cfgfiles.c:711
 msgid "I'm busy"
 msgstr "Estoy ocupado"
 
-#: src/common/cfgfiles.c:714
+#: src/common/cfgfiles.c:712
 msgid "Leaving"
 msgstr "Saliendo"
 
-#: src/common/cfgfiles.c:761
+#: src/common/cfgfiles.c:759
 msgid ""
 "* Running IRC as root is stupid! You should\n"
 "  create a User Account and use that to login.\n"
@@ -56,7 +56,8 @@
 msgid "Done"
 msgstr "Terminado"
 
-#: src/common/dcc.c:71 src/fe-gtk/menu.c:942
+#: src/common/dcc.c:71
+#: src/fe-gtk/menu.c:928
 msgid "Connect"
 msgstr "Conectar"
 
@@ -64,14 +65,21 @@
 msgid "Aborted"
 msgstr "Abortado"
 
-#: src/common/dcc.c:1886 src/common/outbound.c:2449
+#: src/common/dcc.c:1886
+#: src/common/outbound.c:2451
 #, c-format
 msgid "Cannot access %s\n"
 msgstr "No se puede acceder a %s\n"
 
-#: src/common/dcc.c:1887 src/common/text.c:1261 src/common/text.c:1299
-#: src/common/text.c:1310 src/common/text.c:1317 src/common/text.c:1330
-#: src/common/text.c:1347 src/common/text.c:1447 src/common/util.c:353
+#: src/common/dcc.c:1887
+#: src/common/text.c:1224
+#: src/common/text.c:1262
+#: src/common/text.c:1273
+#: src/common/text.c:1280
+#: src/common/text.c:1293
+#: src/common/text.c:1310
+#: src/common/text.c:1410
+#: src/common/util.c:353
 msgid "Error"
 msgstr "Error"
 
@@ -84,14 +92,22 @@
 msgid "No active DCCs\n"
 msgstr "No hay DCCs activos\n"
 
-#: src/common/ignore.c:120 src/common/ignore.c:124 src/common/ignore.c:128
-#: src/common/ignore.c:132 src/common/ignore.c:136 src/common/ignore.c:140
+#: src/common/ignore.c:120
+#: src/common/ignore.c:124
+#: src/common/ignore.c:128
+#: src/common/ignore.c:132
+#: src/common/ignore.c:136
+#: src/common/ignore.c:140
 #: src/common/ignore.c:144
 msgid "YES  "
 msgstr "SÍ  "
 
-#: src/common/ignore.c:122 src/common/ignore.c:126 src/common/ignore.c:130
-#: src/common/ignore.c:134 src/common/ignore.c:138 src/common/ignore.c:142
+#: src/common/ignore.c:122
+#: src/common/ignore.c:126
+#: src/common/ignore.c:130
+#: src/common/ignore.c:134
+#: src/common/ignore.c:138
+#: src/common/ignore.c:142
 #: src/common/ignore.c:146
 msgid "NO   "
 msgstr "NO   "
@@ -127,118 +143,99 @@
 #: src/common/outbound.c:338
 #, c-format
 msgid "Already marked away: %s\n"
-msgstr ""
+msgstr "Ya está puesto como ausente: %s\n"
 
 #: src/common/outbound.c:411
 msgid "Already marked back.\n"
-msgstr ""
+msgstr "Ya está puesto como disponible.\n"
 
 #: src/common/outbound.c:1777
 msgid "I need /bin/sh to run!\n"
 msgstr "¡Se necesita /bin/sh para poder ejecutarse!\n"
 
-#: src/common/outbound.c:2146
+#: src/common/outbound.c:2148
 msgid "Commands Available:"
 msgstr "Órdenes disponibles:"
 
-#: src/common/outbound.c:2160
+#: src/common/outbound.c:2162
 msgid "User defined commands:"
 msgstr "Órdenes definidas por el usuario:"
 
-#: src/common/outbound.c:2176
+#: src/common/outbound.c:2178
 msgid "Plugin defined commands:"
 msgstr "Órdenes definidas por el complemento:"
 
-#: src/common/outbound.c:2187
+#: src/common/outbound.c:2189
 msgid "Type /HELP <command> for more information, or /HELP -l"
 msgstr "Escriba /HELP <orden> para obtener más información, ó /HELP -l"
 
-#: src/common/outbound.c:2272
+#: src/common/outbound.c:2274
 #, c-format
 msgid "Unknown arg '%s' ignored."
 msgstr "Argumento desconocido '%s' ignorado."
 
-#: src/common/outbound.c:3221
+#: src/common/outbound.c:3223
 msgid "No such plugin found.\n"
 msgstr "No se encontró la extensión.\n"
 
-#: src/common/outbound.c:3226 src/fe-gtk/plugingui.c:184
+#: src/common/outbound.c:3228
+#: src/fe-gtk/plugingui.c:186
 msgid "That plugin is refusing to unload.\n"
-msgstr "Esta extensión se niega a ser desactivada.\n"
+msgstr "Esa extensión se niega a ser desactivada.\n"
 
-#: src/common/outbound.c:3495
+#: src/common/outbound.c:3497
 msgid "ADDBUTTON <name> <action>, adds a button under the user-list"
-msgstr ""
-"ADDBUTTON <nombre> <acción>, añade un botón debajo de la lista de usuarios"
+msgstr "ADDBUTTON <nombre> <acción>, añade un botón debajo de la lista de usuarios"
 
-#: src/common/outbound.c:3497
+#: src/common/outbound.c:3499
 msgid "ALLCHAN <cmd>, sends a command to all channels you're in"
-msgstr ""
-"ALLCHAN <cmd>, envía una orden a todos los canales a los que se ha unido"
+msgstr "ALLCHAN <cmd>, envía una orden a todos los canales a los que se ha unido"
 
-#: src/common/outbound.c:3499
+#: src/common/outbound.c:3501
 msgid "ALLCHANL <cmd>, sends a command to all channels you're in"
-msgstr ""
-"ALLCHAN <cmd>, envía una orden a todos los canales a los que se ha unido"
+msgstr "ALLCHANL <cmd>, envía una orden a todos los canales a los que se ha unido"
 
-#: src/common/outbound.c:3501
+#: src/common/outbound.c:3503
 msgid "ALLSERV <cmd>, sends a command to all servers you're in"
-msgstr ""
-"ALLSERV <cmd>, envía una orden a todos los servidores a los que se ha "
-"conectado"
+msgstr "ALLSERV <cmd>, envía una orden a todos los servidores a los que se ha conectado"
 
-#: src/common/outbound.c:3502
+#: src/common/outbound.c:3504
 msgid "AWAY [<reason>], sets you away"
-msgstr "AWAY [<razón>], establece su ausencia"
+msgstr "AWAY [<razón>], cambia tu estado a ausente"
 
-#: src/common/outbound.c:3503
+#: src/common/outbound.c:3505
 msgid "BACK, sets you back (not away)"
-msgstr ""
+msgstr "BACK, cambia tu estado a disponible (no ausente)"
 
-#: src/common/outbound.c:3505
-msgid ""
-"BAN <mask> [<bantype>], bans everyone matching the mask from the current "
-"channel. If they are already on the channel this doesn't kick them (needs "
-"chanop)"
-msgstr ""
-"BAN <máscara> [<tipo de veto>], banea a todos aquellos que concuerden con la "
-"máscara del canal actual. Si ya están en el canal esto no les expulsa (es "
-"necesario ser operador del canal)"
+#: src/common/outbound.c:3507
+msgid "BAN <mask> [<bantype>], bans everyone matching the mask from the current channel. If they are already on the channel this doesn't kick them (needs chanop)"
+msgstr "BAN <máscara> [<tipo de ban>], banea a todos aquellos que concuerden con la máscara del canal actual. Si ya están en el canal esto no les expulsa (es necesario ser operador del canal)"
 
-#: src/common/outbound.c:3506
-#, fuzzy
+#: src/common/outbound.c:3508
 msgid "CHANOPT [-quiet] <variable> [<value>]"
-msgstr "SET [-quite] <variable> [<valor>]"
+msgstr "CHANOPT [-quiet] <variable> [<valor>]"
 
-#: src/common/outbound.c:3508
-#, fuzzy
+#: src/common/outbound.c:3510
 msgid "CLEAR [ALL|HISTORY], Clears the current text window or command history"
-msgstr "CLEAR, Limpia la ventana de texto actual"
+msgstr "CLEAR [ALL|HISTORY], Limpia el historial de la ventana de texto o de comandos activa"
 
-#: src/common/outbound.c:3509
+#: src/common/outbound.c:3511
 msgid "CLOSE, Closes the current window/tab"
-msgstr "CLOSE, Cierra la ventana o solapa actual"
-
-#: src/common/outbound.c:3512
-msgid "COUNTRY [-s] <code|wildcard>, finds a country code, eg: au = australia"
-msgstr ""
-"COUNTRY [-s] <código|comodín>, busca un código de país, ej: au = Australia"
+msgstr "CLOSE, Cierra la ventana o pestaña actual"
 
 #: src/common/outbound.c:3514
-msgid ""
-"CTCP <nick> <message>, send the CTCP message to nick, common messages are "
-"VERSION and USERINFO"
-msgstr ""
-"CTCP <apodo> <mensaje>, envía el mensaje CTCP al apodo, los mensajes comunes "
-"son VERSION y USERINFO"
+msgid "COUNTRY [-s] <code|wildcard>, finds a country code, eg: au = australia"
+msgstr "COUNTRY [-s] <código|comodín>, busca un código de país, ej: au = Australia"
 
 #: src/common/outbound.c:3516
-#, fuzzy
-msgid ""
-"CYCLE [<channel>], parts the current or given channel and immediately rejoins"
-msgstr "CYCLE, se marcha del canal actual y vuelve a entrar inmediatamente"
+msgid "CTCP <nick> <message>, send the CTCP message to nick, common messages are VERSION and USERINFO"
+msgstr "CTCP <pseudónimo> <mensaje>, envía el mensaje CTCP al pseudónimo, los mensajes comunes son VERSION y USERINFO"
 
 #: src/common/outbound.c:3518
+msgid "CYCLE [<channel>], parts the current or given channel and immediately rejoins"
+msgstr "CYCLE [<canal>], sale del canal activo o de un canal dado e inmediatamente se une a este"
+
+#: src/common/outbound.c:3520
 msgid ""
 "\n"
 "DCC GET <nick>                      - accept an offered file\n"
@@ -251,114 +248,84 @@
 "         /dcc close send johnsmith file.tar.gz"
 msgstr ""
 "\n"
-"DCC GET <apodo>                         - recibe un archivo ofrecido\n"
-"DCC SEND [-maxcps=#] <apodo> [archivo]  - envía un archivo a una persona\n"
-"DCC PSEND [-maxcps=#] <apodo> [archivo] - envía un archivo usando modo "
-"pasivo\n"
+"DCC GET <pseudónimo>                         - recibe un archivo ofrecido\n"
+"DCC SEND [-maxcps=#] <pseudónimo> [archivo]  - envía un archivo a una persona\n"
+"DCC PSEND [-maxcps=#] <pseudónimo> [archivo] - envía un archivo usando modo pasivo\n"
 "DCC LIST                                - muestra la lista DCC\n"
-"DCC CHAT <apodo>                        - ofrece el DCC CHAT a alguien\n"
-"DCC PCHAT <apodo>                       - ofrece el DCC CHAT usando modo "
-"pasivo\n"
-"DCC CLOSE <tipo> <apodo> <archivo>      - ejemplo:\n"
+"DCC CHAT <pseudónimo>                        - ofrece el DCC CHAT a alguien\n"
+"DCC PCHAT <pseudónimo>                       - ofrece el DCC CHAT usando modo pasivo\n"
+"DCC CLOSE <tipo> <pseudónimo> <archivo>      - ejemplo:\n"
 "             /dcc close send juanperez archivo.tar.gz"
 
-#: src/common/outbound.c:3530
-msgid ""
-"DEHOP <nick>, removes chanhalf-op status from the nick on the current "
-"channel (needs chanop)"
-msgstr ""
-"DEHOP <apodo>, quita el estado de semi-operador del canal al apodo en el "
-"canal actual (necesita ser operador del canal)"
-
 #: src/common/outbound.c:3532
-msgid "DELBUTTON <name>, deletes a button from under the user-list"
-msgstr "DELBUTTON <nombre>, borra un botón de debajo de la lista de usuarios"
+msgid "DEHOP <nick>, removes chanhalf-op status from the nick on the current channel (needs chanop)"
+msgstr "DEHOP <pseudónimo>, quita el estado de semi-operador del canal al pseudónimo en el canal actual (necesita ser operador del canal)"
 
 #: src/common/outbound.c:3534
-msgid ""
-"DEOP <nick>, removes chanop status from the nick on the current channel "
-"(needs chanop)"
-msgstr ""
-"DEOP <apodo>, quita el estado de operador al apodo en el canal actual "
-"(necesita ser operador del canal)"
+msgid "DELBUTTON <name>, deletes a button from under the user-list"
+msgstr "DELBUTTON <nombre>, borra un botón de debajo de la lista de usuarios"
 
 #: src/common/outbound.c:3536
-msgid ""
-"DEVOICE <nick>, removes voice status from the nick on the current channel "
-"(needs chanop)"
-msgstr ""
-"DEVOICE <apodo>, quita el estado de voz del apodo en el canal actual "
-"(necesita ser operador del canal)"
+msgid "DEOP <nick>, removes chanop status from the nick on the current channel (needs chanop)"
+msgstr "DEOP <pseudónimo>, quita el estado de operador al pseudónimo en el canal actual (necesita ser operador del canal)"
 
-#: src/common/outbound.c:3537
+#: src/common/outbound.c:3538
+msgid "DEVOICE <nick>, removes voice status from the nick on the current channel (needs chanop)"
+msgstr "DEVOICE <pseudónimo>, quita el estado de voz del pseudónimo en el canal actual (necesita ser operador del canal)"
+
+#: src/common/outbound.c:3539
 msgid "DISCON, Disconnects from server"
 msgstr "DISCON, Se desconecta del servidor"
 
-#: src/common/outbound.c:3538
+#: src/common/outbound.c:3540
 msgid "DNS <nick|host|ip>, Finds a users IP number"
-msgstr "DNS <apodo|equipo|ip>, Busca la dirección IP de un usuario"
+msgstr "DNS <pseudónimo|equipo|ip>, Busca la dirección IP de un usuario"
 
-#: src/common/outbound.c:3539
+#: src/common/outbound.c:3541
 msgid "ECHO <text>, Prints text locally"
 msgstr "ECHO <texto>, Imprime texto localmente"
 
-#: src/common/outbound.c:3542
-msgid ""
-"EXEC [-o] <command>, runs the command. If -o flag is used then output is "
-"sent to current channel, else is printed to current text box"
-msgstr ""
-"EXEC [-o] <orden>, ejecuta la orden. Si se usa la bandera -o entonces la "
-"salida es enviada al canal actual, si no, se imprime en la caja de texto "
-"actual"
-
 #: src/common/outbound.c:3544
-msgid "EXECCONT, sends the process SIGCONT"
-msgstr "EXECCONT, envía al proceso la señal de continuar"
+msgid "EXEC [-o] <command>, runs the command. If -o flag is used then output is sent to current channel, else is printed to current text box"
+msgstr "EXEC [-o] <orden>, ejecuta la orden. Si se usa la bandera -o entonces la salida es enviada al canal actual, si no, se imprime en la caja de texto actual"
 
-#: src/common/outbound.c:3547
-msgid ""
-"EXECKILL [-9], kills a running exec in the current session. If -9 is given "
-"the process is SIGKILL'ed"
-msgstr ""
-"EXECKILL [-9], mata un ejecutable corriendo en la sesión actual. Si de "
-"indica -9 el proceso es matado por la fuerza"
+#: src/common/outbound.c:3546
+msgid "EXECCONT, sends the process SIGCONT"
+msgstr "EXECCONT, envía al proceso la señal de continuar SIGCONT"
 
 #: src/common/outbound.c:3549
+msgid "EXECKILL [-9], kills a running exec in the current session. If -9 is given the process is SIGKILL'ed"
+msgstr "EXECKILL [-9], mata un ejecutable corriendo en la sesión actual. Si de indica -9 el proceso es matado por la fuerza con SIGKILL"
+
+#: src/common/outbound.c:3551
 msgid "EXECSTOP, sends the process SIGSTOP"
-msgstr "EXECSTOP, envía al proceso la señal de detenerse"
+msgstr "EXECSTOP, envía al proceso la señal de detenerse SIGSTOP"
 
-#: src/common/outbound.c:3550
+#: src/common/outbound.c:3552
 msgid "EXECWRITE, sends data to the processes stdin"
 msgstr "EXECWRITE, envía los datos a la entrada estándar del proceso"
 
-#: src/common/outbound.c:3554
+#: src/common/outbound.c:3556
 msgid "FLUSHQ, flushes the current server's send queue"
-msgstr "FLUSHQ, borra la cola de envío actual del servidor"
+msgstr "FLUSHQ, borra la cola de envío del servidor actual"
 
-#: src/common/outbound.c:3556
+#: src/common/outbound.c:3558
 msgid "GATE <host> [<port>], proxies through a host, port defaults to 23"
-msgstr ""
-"GATE <equipo> [<puerto>], utiliza un proxy a través de un equipo, el puerto "
-"predeterminado es el 23"
+msgstr "GATE <equipo> [<puerto>], utiliza un proxy a través de un equipo, el puerto predeterminado es el 23"
 
-# fuzzy
-#: src/common/outbound.c:3560
-#, fuzzy
-msgid "GHOST <nick> [password], Kills a ghosted nickname"
-msgstr "GHOST <apodo> <contraseña> "
+#: src/common/outbound.c:3562
+msgid "GHOST <nick> <password>, Kills a ghosted nickname"
+msgstr "GHOST <pseudónimo> <contraseña>, mata un pseudónimo fantasma "
 
-#: src/common/outbound.c:3565
+#: src/common/outbound.c:3567
 msgid "HOP <nick>, gives chanhalf-op status to the nick (needs chanop)"
-msgstr ""
-"HOP <apodo>, otorga estado de semi-operador al apodo (necesita ser operador "
-"del canal)"
+msgstr "HOP <pseudónimo>, otorga estado de semi-operador al pseudónimo (necesita ser operador del canal)"
 
-# fuzzy
-#: src/common/outbound.c:3566
+#: src/common/outbound.c:3568
 msgid "ID <password>, identifies yourself to nickserv"
-msgstr "ID <contraseña> "
+msgstr "ID <contraseña>, te identifica con NickServ"
 
-#: src/common/outbound.c:3568
+#: src/common/outbound.c:3570
 msgid ""
 "IGNORE <mask> <types..> <options..>\n"
 "    mask - host mask to ignore, eg: *!*@*.aol.com\n"
@@ -372,223 +339,155 @@
 "            PRIV, CHAN, NOTI, CTCP, INVI, ALL\n"
 "    opciones - NOSAVE, QUIET"
 
-#: src/common/outbound.c:3575
-msgid ""
-"INVITE <nick> [<channel>], invites someone to a channel, by default the "
-"current channel (needs chanop)"
-msgstr ""
-"INVITE <apodo> [<canal>], invita a alguien a un canal, por omisión el canal "
-"actual (necesita ser operador del canal)"
+#: src/common/outbound.c:3577
+msgid "INVITE <nick> [<channel>], invites someone to a channel, by default the current channel (needs chanop)"
+msgstr "INVITE <pseudónimo> [<canal>], invita a alguien a un canal, por omisión el canal actual (necesita ser operador del canal)"
 
-#: src/common/outbound.c:3576
+#: src/common/outbound.c:3578
 msgid "JOIN <channel>, joins the channel"
 msgstr "JOIN <canal>, entra al canal"
 
-#: src/common/outbound.c:3578
+#: src/common/outbound.c:3580
 msgid "KICK <nick>, kicks the nick from the current channel (needs chanop)"
-msgstr ""
-"KICK <apodo>, expulsa al apodo del canal actual (necesita ser operador del "
-"canal)"
+msgstr "KICK <pseudónimo>, expulsa al pseudónimo del canal actual (necesita ser operador del canal)"
 
-#: src/common/outbound.c:3580
-msgid ""
-"KICKBAN <nick>, bans then kicks the nick from the current channel (needs "
-"chanop)"
-msgstr ""
-"KICKBAN <apodo>, banea y luego expulsa al apodo del canal actual (necesita "
-"ser operador del canal)"
+#: src/common/outbound.c:3582
+msgid "KICKBAN <nick>, bans then kicks the nick from the current channel (needs chanop)"
+msgstr "KICKBAN <pseudónimo>, banea y luego expulsa al pseudónimo del canal actual (necesita ser operador del canal)"
 
-#: src/common/outbound.c:3583
+#: src/common/outbound.c:3585
 msgid "LAGCHECK, forces a new lag check"
 msgstr "LAGCHECK, fuerza una nueva prueba de retardo"
 
-#: src/common/outbound.c:3585
+#: src/common/outbound.c:3587
 msgid "LASTLOG <string>, searches for a string in the buffer"
 msgstr "LASTLOG <texto>, busca el texto en el buffer"
 
-#: src/common/outbound.c:3587
+#: src/common/outbound.c:3589
 msgid "LOAD [-e] <file>, loads a plugin or script"
 msgstr "LOAD [-e] <archivo>, carga un complemento (plugin) o un guión (script)"
 
-#: src/common/outbound.c:3590
-msgid ""
-"MDEHOP, Mass deop's all chanhalf-ops in the current channel (needs chanop)"
-msgstr ""
-"MDEHOP, Quita masivamente el estado de semi-operador en el canal actual "
-"(necesita ser operador del canal)"
-
 #: src/common/outbound.c:3592
-msgid "MDEOP, Mass deop's all chanops in the current channel (needs chanop)"
-msgstr ""
-"MDEOP, Quita masivamente el estado de operador en el canal actual (necesita "
-"ser operador del canal)"
+msgid "MDEHOP, Mass deop's all chanhalf-ops in the current channel (needs chanop)"
+msgstr "MDEHOP, Quita masivamente el estado de semi-operador en el canal actual (necesita ser operador del canal)"
 
 #: src/common/outbound.c:3594
-msgid ""
-"ME <action>, sends the action to the current channel (actions are written in "
-"the 3rd person, like /me jumps)"
-msgstr ""
-"ME <acción>, envía la acción al canal actual (las acciones están escritas en "
-"tercera persona del inglés, como /me jumps)"
+msgid "MDEOP, Mass deop's all chanops in the current channel (needs chanop)"
+msgstr "MDEOP, Quita masivamente el estado de operador en el canal actual (necesita ser operador del canal)"
 
-#: src/common/outbound.c:3598
-msgid ""
-"MKICK, Mass kicks everyone except you in the current channel (needs chanop)"
-msgstr ""
-"MKICK, Expulsa masivamente a todos excepto a usted en el canal actual "
-"(necesita ser operador del canal)"
+#: src/common/outbound.c:3596
+msgid "ME <action>, sends the action to the current channel (actions are written in the 3rd person, like /me jumps)"
+msgstr "ME <acción>, envía la acción al canal actual (las acciones están escritas en tercera persona del inglés, como /me jumps)"
+
+#: src/common/outbound.c:3600
+msgid "MKICK, Mass kicks everyone except you in the current channel (needs chanop)"
+msgstr "MKICK, Expulsa masivamente a todos excepto a usted en el canal actual (necesita ser operador del canal)"
 
-#: src/common/outbound.c:3601
+#: src/common/outbound.c:3603
 msgid "MOP, Mass op's all users in the current channel (needs chanop)"
-msgstr ""
-"MOP, Otorga masivamente el estado de operador del canal actual (necesita ser "
-"operador del canal)"
+msgstr "MOP, Otorga masivamente el estado de operador del canal actual (necesita ser operador del canal)"
 
-#: src/common/outbound.c:3602
+#: src/common/outbound.c:3604
 msgid "MSG <nick> <message>, sends a private message"
-msgstr "MSG <apodo> <mensaje>, envía un mensaje privado"
+msgstr "MSG <pseudónimo> <mensaje>, envía un mensaje privado"
 
-#: src/common/outbound.c:3605
+#: src/common/outbound.c:3607
 msgid "NAMES, Lists the nicks on the current channel"
-msgstr "NAMES, Lista los apodos del canal actual"
+msgstr "NAMES, Lista los pseudónimos del canal actual"
 
-#: src/common/outbound.c:3607
+#: src/common/outbound.c:3609
 msgid "NCTCP <nick> <message>, Sends a CTCP notice"
-msgstr "NCTCP <apodo> <mensaje>, Envía una noticia CTCP"
+msgstr "NCTCP <pseudónimo> <mensaje>, Envía una noticia CTCP"
 
-#: src/common/outbound.c:3608
+#: src/common/outbound.c:3610
 msgid "NEWSERVER [-noconnect] <hostname> [<port>]"
 msgstr "NEWSERVER [-noconnect] <nombre del equipo> [<puerto>]"
 
-#: src/common/outbound.c:3609
+#: src/common/outbound.c:3611
 msgid "NICK <nickname>, sets your nick"
-msgstr "NICK <apodo>, establece su apodo"
-
-#: src/common/outbound.c:3612
-msgid ""
-"NOTICE <nick/channel> <message>, sends a notice. Notices are a type of "
-"message that should be auto reacted to"
-msgstr ""
-"NOTICE <apodo/canal> <mensaje>, envía una noticia. Las noticias son una "
-"especie de mensaje que debería ser auto publicado"
+msgstr "NICK <pseudónimo>, establece su pseudónimo"
 
 #: src/common/outbound.c:3614
-#, fuzzy
-msgid ""
-"NOTIFY [-n network1[,network2,...]] [<nick>], displays your notify list or "
-"adds someone to it"
-msgstr ""
-"NOTIFY [<apodo>], lista su lista de notificaciones o agrega a alguien a ella"
+msgid "NOTICE <nick/channel> <message>, sends a notice. Notices are a type of message that should be auto reacted to"
+msgstr "NOTICE <pseudónimo/canal> <mensaje>, envía una noticia. Las noticias son una especie de mensaje que debería ser auto publicado"
 
 #: src/common/outbound.c:3616
-msgid "OP <nick>, gives chanop status to the nick (needs chanop)"
-msgstr ""
-"OP <apodo>, otorga el estado de operador del canal al apodo (necesita ser "
-"operador del canal)"
+msgid "NOTIFY [-n network1[,network2,...]] [<nick>], displays your notify list or adds someone to it"
+msgstr "NOTIFY [-n red1,[,red2,...]] [<pseudónimo>], muestra tus notificaciones o añade alguien a estas"
 
 #: src/common/outbound.c:3618
-msgid ""
-"PART [<channel>] [<reason>], leaves the channel, by default the current one"
-msgstr ""
-"PART [<canal>] [<razón>], abandona el canal, por omisión el canal actual"
+msgid "OP <nick>, gives chanop status to the nick (needs chanop)"
+msgstr "OP <pseudónimo>, otorga el estado de operador del canal al pseudónimo (necesita ser operador del canal)"
 
 #: src/common/outbound.c:3620
-msgid "PING <nick | channel>, CTCP pings nick or channel"
-msgstr "PING <apodo | canal>, Envía pings CTCP al apodo o canal"
+msgid "PART [<channel>] [<reason>], leaves the channel, by default the current one"
+msgstr "PART [<canal>] [<razón>], abandona el canal, por omisión el canal actual"
 
 #: src/common/outbound.c:3622
-#, fuzzy
-msgid "QUERY [-nofocus] <nick>, opens up a new privmsg window to someone"
-msgstr ""
-"QUERY <apodo>, abre una nueva ventana privada de mensajes hacia alguien"
+msgid "PING <nick | channel>, CTCP pings nick or channel"
+msgstr "PING <pseudónimo | canal>, Envía pings CTCP al pseudónimo o canal"
 
 #: src/common/outbound.c:3624
+msgid "QUERY [-nofocus] <nick>, opens up a new privmsg window to someone"
+msgstr "QUERY [-nofocus] <pseudónimo>, abre una ventana de mensaje privado con <pseudónimo> nueva."
+
+#: src/common/outbound.c:3626
 msgid "QUIT [<reason>], disconnects from the current server"
 msgstr "QUIT [<razón>], se desconecta del servidor actual"
 
-#: src/common/outbound.c:3626
+#: src/common/outbound.c:3628
 msgid "QUOTE <text>, sends the text in raw form to the server"
 msgstr "QUOTE <texto>, envía el texto en formato plano hacia el servidor"
 
-#: src/common/outbound.c:3629
-msgid ""
-"RECONNECT [-ssl] [<host>] [<port>] [<password>], Can be called just as /"
-"RECONNECT to reconnect to the current server or with /RECONNECT ALL to "
-"reconnect to all the open servers"
-msgstr ""
-"RECONNECT [-ssl] [<equipo>] [<puerto>] [<contraseña>], Puede ser llamado "
-"sólo como /RECONNECT para reconectarse al servidor actual o con /"
-"RECONNECT_ALL para reconectarse a todos los servidores abiertos"
-
-#: src/common/outbound.c:3632
-msgid ""
-"RECONNECT [<host>] [<port>] [<password>], Can be called just as /RECONNECT "
-"to reconnect to the current server or with /RECONNECT ALL to reconnect to "
-"all the open servers"
-msgstr ""
-"RECONNECT [<equipo>] [<puerto>] [<contraseña>], Puede ser llamado sólo como /"
-"RECONNECT para reconectarse al servidor actual o con /RECONNECT ALL para "
-"reconectarse a todos los servidores abiertos"
+#: src/common/outbound.c:3631
+msgid "RECONNECT [-ssl] [<host>] [<port>] [<password>], Can be called just as /RECONNECT to reconnect to the current server or with /RECONNECT ALL to reconnect to all the open servers"
+msgstr "RECONNECT [-ssl] [<equipo>] [<puerto>] [<contraseña>], Puede ser llamado sólo como /RECONNECT para reconectarse al servidor actual o con /RECONNECT_ALL para reconectarse a todos los servidores abiertos"
 
 #: src/common/outbound.c:3634
-msgid ""
-"RECV <text>, send raw data to xchat, as if it was received from the irc "
-"server"
-msgstr ""
-"RECV <texto>, envía datos crudos hacia xchat como si estos fuesen recibidos "
-"desde el servidor IRC"
+msgid "RECONNECT [<host>] [<port>] [<password>], Can be called just as /RECONNECT to reconnect to the current server or with /RECONNECT ALL to reconnect to all the open servers"
+msgstr "RECONNECT [<equipo>] [<puerto>] [<contraseña>], Puede ser llamado sólo como /RECONNECT para reconectarse al servidor actual o con /RECONNECT ALL para reconectarse a todos los servidores abiertos"
 
-#: src/common/outbound.c:3637
+#: src/common/outbound.c:3636
+msgid "RECV <text>, send raw data to xchat, as if it was received from the irc server"
+msgstr "RECV <texto>, envía datos crudos hacia xchat como si estos fuesen recibidos desde el servidor IRC"
+
+#: src/common/outbound.c:3639
 msgid "SAY <text>, sends the text to the object in the current window"
 msgstr "SAY <texto>, envía el texto hacia un objeto de la ventana actual"
 
-#: src/common/outbound.c:3638
+#: src/common/outbound.c:3640
 msgid "SEND <nick> [<file>]"
-msgstr "SEND <apodo> [<archivo>]"
+msgstr "SEND <pseudónimo> [<archivo>]"
 
-#: src/common/outbound.c:3641
+#: src/common/outbound.c:3643
 msgid "SERVCHAN [-ssl] <host> <port> <channel>, connects and joins a channel"
-msgstr ""
-"SERVCHAN [-ssl] <equipo> <puerto> <canal>, Lo conecta y entra en un canal"
+msgstr "SERVCHAN [-ssl] <equipo> <puerto> <canal>, Lo conecta y entra en un canal"
 
-#: src/common/outbound.c:3644
+#: src/common/outbound.c:3646
 msgid "SERVCHAN <host> <port> <channel>, connects and joins a channel"
 msgstr "SERVCHAN <host> <port> <channel>, Le conecta y entra en un canal"
 
-#: src/common/outbound.c:3648
-msgid ""
-"SERVER [-ssl] <host> [<port>] [<password>], connects to a server, the "
-"default port is 6667 for normal connections, and 9999 for ssl connections"
-msgstr ""
-"SERVER [-ssl] <equipo> [<puerto>] [<contraseña>], lo conecta al servidor, el "
-"puerto predeterminado es 6667 para conexiones normales y 9999 para "
-"conexiones ssl"
-
-#: src/common/outbound.c:3651
-msgid ""
-"SERVER <host> [<port>] [<password>], connects to a server, the default port "
-"is 6667"
-msgstr ""
-"SERVER <equipo> [<puerto>] [<contraseña>], lo conecta a un servidor, el "
-"puerto predeterminado es 6667"
+#: src/common/outbound.c:3650
+msgid "SERVER [-ssl] <host> [<port>] [<password>], connects to a server, the default port is 6667 for normal connections, and 9999 for ssl connections"
+msgstr "SERVER [-ssl] <equipo> [<puerto>] [<contraseña>], lo conecta al servidor, el puerto predeterminado es 6667 para conexiones normales y 9999 para conexiones ssl"
 
 #: src/common/outbound.c:3653
-#, fuzzy
-msgid "SET [-e] [-off|-on] [-quiet] <variable> [<value>]"
-msgstr "SET [-quite] <variable> [<valor>]"
+msgid "SERVER <host> [<port>] [<password>], connects to a server, the default port is 6667"
+msgstr "SERVER <equipo> [<puerto>] [<contraseña>], lo conecta a un servidor, el puerto predeterminado es 6667"
 
-#: src/common/outbound.c:3654
+#: src/common/outbound.c:3655
+msgid "SET [-e] [-or] [-quiet] <variable> [<value>]"
+msgstr "SET [-e] [-or]  [-quiet]<variable> [<valor>]"
+
+#: src/common/outbound.c:3656
 msgid "SETCURSOR [-|+]<position>"
 msgstr "SETCURSOR [-|+]<posición>"
 
-#: src/common/outbound.c:3659
-msgid ""
-"TOPIC [<topic>], sets the topic if one is given, else shows the current topic"
-msgstr ""
-"TOPIC [<asunto>], Establece el asunto si se provee uno, si no, muestra el "
-"topic actual"
-
 #: src/common/outbound.c:3661
+msgid "TOPIC [<topic>], sets the topic if one is given, else shows the current topic"
+msgstr "TOPIC [<asunto>], Establece el asunto si se provee uno, si no, muestra el topic actual"
+
+#: src/common/outbound.c:3663
 msgid ""
 "\n"
 "TRAY -f <timeout> <file1> [<file2>] Blink tray between two icons.\n"
@@ -597,54 +496,51 @@
 "TRAY -t <text>                      Set the tray tooltip.\n"
 "TRAY -b <title> <text>              Set the tray balloon."
 msgstr ""
+"\n"
+"TRAY -f <tiempo de espera> <fichero 1> [<fichero 2>]	Hace intermitencia del ícono de la bandeja del sistema entre 2 íconos.\n"
+"TRAY -f <nombre de fichero>		Establece un ícono fijo al icono de la bandeja de sistema.\n"
+"TRAY -i <número>				Pestañea el ícono de la bandeja del sistema.\n"
+"TRAY -t <texto>					Establece la etiqueta del ícono de la bandeja del sistema.\n"
+"TRAY -b <título> <texto>			Establece el globo del ícono de la bandeja del sistema."
 
-#: src/common/outbound.c:3668
+#: src/common/outbound.c:3670
 msgid "UNBAN <mask> [<mask>...], unbans the specified masks."
-msgstr ""
-"UNBAN <máscara> [<máscara>...], reincorpora las máscaras especificadas."
+msgstr "UNBAN <máscara> [<máscara>...], reincorpora las máscaras especificadas."
 
-#: src/common/outbound.c:3669
+#: src/common/outbound.c:3671
 msgid "UNIGNORE <mask> [QUIET]"
 msgstr "UNIGNORE <máscara> [QUIET]"
 
-#: src/common/outbound.c:3670
+#: src/common/outbound.c:3672
 msgid "UNLOAD <name>, unloads a plugin or script"
 msgstr "UNLOAD <nombre>, desactiva una extensión (plugin) o un guión (script)"
 
-#: src/common/outbound.c:3671
+#: src/common/outbound.c:3673
 msgid "URL <url>, opens a URL in your browser"
 msgstr "URL <url>, abre una URL en su navegador"
 
-#: src/common/outbound.c:3673
-msgid ""
-"USELECT [-a] [-s] <nick1> <nick2> etc, highlights nick(s) in channel userlist"
-msgstr ""
-"USELECT [-a] [-s] <apodo1> <apodo2> etc, resalta el (los) apodo(s) en la "
-"lista de usuarios del canal"
+#: src/common/outbound.c:3675
+msgid "USELECT [-a] [-s] <nick1> <nick2> etc, highlights nick(s) in channel userlist"
+msgstr "USELECT [-a] [-s] <pseudónimo1> <pseudónimo2> etc, resalta el (los) pseudónimo(s) en la lista de usuarios del canal"
 
-#: src/common/outbound.c:3676
+#: src/common/outbound.c:3678
 msgid "VOICE <nick>, gives voice status to someone (needs chanop)"
-msgstr ""
-"VOICE <apodo>, le otorga el estado de voz a alguien (necesita ser operador "
-"del canal)"
+msgstr "VOICE <pseudónimo>, le otorga el estado de voz a alguien (necesita ser operador del canal)"
 
-#: src/common/outbound.c:3678
+#: src/common/outbound.c:3680
 msgid "WALLCHAN <message>, writes the message to all channels"
 msgstr "WALLCHAN <mensaje>, escribe el mensaje a todos los canales"
 
-#: src/common/outbound.c:3680
-msgid ""
-"WALLCHOP <message>, sends the message to all chanops on the current channel"
-msgstr ""
-"WALLCHOP <mensaje>, envía el mensaje a todos los operadores del canal en el "
-"canal actual"
+#: src/common/outbound.c:3682
+msgid "WALLCHOP <message>, sends the message to all chanops on the current channel"
+msgstr "WALLCHOP <mensaje>, envía el mensaje a todos los operadores del canal en el canal actual"
 
-#: src/common/outbound.c:3713
+#: src/common/outbound.c:3715
 #, c-format
 msgid "Usage: %s\n"
 msgstr "Uso: %s\n"
 
-#: src/common/outbound.c:3718
+#: src/common/outbound.c:3720
 msgid ""
 "\n"
 "No help available on that command.\n"
@@ -652,26 +548,26 @@
 "\n"
 "No hay ayuda disponible para esa orden.\n"
 
-#: src/common/outbound.c:3724
+#: src/common/outbound.c:3726
 msgid "No such command.\n"
 msgstr "No existe esa orden.\n"
 
-#: src/common/outbound.c:4055
+#: src/common/outbound.c:4057
 msgid "Bad arguments for user command.\n"
 msgstr "Argumentos erróneos para la orden de usuario.\n"
 
-#: src/common/outbound.c:4215
+#: src/common/outbound.c:4217
 msgid "Too many recursive usercommands, aborting."
 msgstr "Demasiados comandos recursivos de usuario, abortando."
 
-#: src/common/outbound.c:4298
+#: src/common/outbound.c:4300
 msgid "Unknown Command. Try /help\n"
 msgstr "Orden desconocida. Pruebe /help\n"
 
-#: src/common/plugin.c:356 src/common/plugin.c:397
+#: src/common/plugin.c:356
+#: src/common/plugin.c:397
 msgid "No xchat_plugin_init symbol; is this really an xchat plugin?"
-msgstr ""
-"No tiene el símbolo xchat_plugin_init. ¿Es de verdad una extensiçon de xchat?"
+msgstr "No tiene el símbolo xchat_plugin_init. ¿Es de verdad una extensiçon de xchat?"
 
 #: src/common/server.c:634
 msgid "Are you sure this is a SSL capable server and port?\n"
@@ -690,16 +586,14 @@
 msgid "Proxy traversal failed.\n"
 msgstr "Ha fallado el proxy traversal.\n"
 
-#: src/common/servlist.c:667
+#: src/common/servlist.c:643
 #, c-format
 msgid "Cycling to next server in %s...\n"
 msgstr "Ciclando al siguiente servidor en %s...\n"
 
-#: src/common/servlist.c:1118
+#: src/common/servlist.c:1094
 #, c-format
-msgid ""
-"Warning: \"%s\" character set is unknown. No conversion will be applied for "
-"network %s."
+msgid "Warning: \"%s\" character set is unknown. No conversion will be applied for network %s."
 msgstr ""
 "Atención: el conjunto de caracteres \"%s\" es desconocido. No se\n"
 "aplicará conversión para la red %s."
@@ -801,9 +695,8 @@
 msgstr "%C22*%O$t%C26$1%O da voz a%C26 $2"
 
 #: src/common/textevents.h:96
-#, fuzzy
 msgid "%C22*%O$t%C22Connected. Now logging in..."
-msgstr "%C22*%O$t%C22Conectado. Ahora registrándose.."
+msgstr "%C22*%O$t%C22Conectado. Ahora registrándose..."
 
 #: src/common/textevents.h:99
 msgid "%C22*%O$t%C22Connecting to $1 ($2) port $3%O..."
@@ -839,8 +732,7 @@
 
 #: src/common/textevents.h:123
 msgid "%C22*%O$tDCC CHAT connection established to %C26$1 %C30[%O$2%C30]"
-msgstr ""
-"%C22*%O$tConexión para charla DCC establecida con %C26$1 %C30[%O$2%C30]"
+msgstr "%C22*%O$tConexión para charla DCC establecida con %C26$1 %C30[%O$2%C30]"
 
 #: src/common/textevents.h:126
 msgid "%C22*%O$tDCC CHAT to %C26$1%O lost ($4)."
@@ -872,12 +764,8 @@
 msgstr "%C24,18 Tipo De/Para Estado Tamaño Pos Archivo         "
 
 #: src/common/textevents.h:147
-msgid ""
-"%C22*%O$tReceived a malformed DCC request from %C26$1%O.%010%C22*%O"
-"$tContents of packet: $2"
-msgstr ""
-"%C22*%O$tSe ha recibido una petición DCC errónea de %C26$1%O.%010%C22*%O"
-"$tContenidos del paquete: $2"
+msgid "%C22*%O$tReceived a malformed DCC request from %C26$1%O.%010%C22*%O$tContents of packet: $2"
+msgstr "%C22*%O$tSe ha recibido una petición DCC errónea de %C26$1%O.%010%C22*%O$tContenidos del paquete: $2"
 
 #: src/common/textevents.h:150
 msgid "%C22*%O$tOffering%C26 $1%O to%C26 $2"
@@ -892,16 +780,12 @@
 msgstr "-%C10-%C11-%O$tRecepción DCC %C11$2%O para %C11$1%O abortado."
 
 #: src/common/textevents.h:159
-msgid ""
-"%C22*%O$tDCC RECV%C26 $1%O from%C26 $3%O complete %C30[%C26$4%O cps%C30]%O."
-msgstr ""
-"%C22*%O$tRecepción DCC %C26 $1%O de%C26 $3%O completada %C30[%C26$4%O cps%"
-"C30]%O."
+msgid "%C22*%O$tDCC RECV%C26 $1%O from%C26 $3%O complete %C30[%C26$4%O cps%C30]%O."
+msgstr "%C22*%O$tRecepción DCC %C26 $1%O de%C26 $3%O completada %C30[%C26$4%O cps%C30]%O."
 
 #: src/common/textevents.h:162
 msgid "%C22*%O$tDCC RECV connection established to%C26 $1 %C30[%O$2%C30]"
-msgstr ""
-"%C22*%O$tConexión para recepción DCC establecida con%C26 $1 %C30[%O$2%C30]"
+msgstr "%C22*%O$tConexión para recepción DCC establecida con%C26 $1 %C30[%O$2%C30]"
 
 #: src/common/textevents.h:165
 msgid "%C22*%O$tDCC RECV%C26 $1%O from%C26 $3%O failed ($4)."
@@ -912,11 +796,8 @@
 msgstr "%C22*%O$tRecepción DCC: No se pudo abrir $1 para escritura ($2)."
 
 #: src/common/textevents.h:171
-msgid ""
-"%C22*%O$tThe file%C26 $1%C already exists, saving it as%C26 $2%O instead."
-msgstr ""
-"%C22*%O$tEl archivo%C26 $1%C ya existe, guardándolo como%C26 $2%O en su "
-"lugar."
+msgid "%C22*%O$tThe file%C26 $1%C already exists, saving it as%C26 $2%O instead."
+msgstr "%C22*%O$tEl archivo%C26 $1%C ya existe, guardándolo como%C26 $2%O en su lugar."
 
 #: src/common/textevents.h:174
 msgid "%C22*%O$t%C26$1 %Ohas requested to resume%C26 $2 %Cfrom%C26 $3%C."
@@ -927,11 +808,8 @@
 msgstr "%C22*%O$tEnvío DCC%C26 $2%O para%C26 $1%O abortado."
 
 #: src/common/textevents.h:180
-msgid ""
-"%C22*%O$tDCC SEND%C26 $1%O to%C26 $2%O complete %C30[%C26$3%O cps%C30]%O."
-msgstr ""
-"%C22*%O$tEnvío DCC%C26 $1%O para%C26 $2%O completado %C30[%C26$3%O cps%C30]%"
-"O."
+msgid "%C22*%O$tDCC SEND%C26 $1%O to%C26 $2%O complete %C30[%C26$3%O cps%C30]%O."
+msgstr "%C22*%O$tEnvío DCC%C26 $1%O para%C26 $2%O completado %C30[%C26$3%O cps%C30]%O."
 
 #: src/common/textevents.h:183
 msgid "%C22*%O$tDCC SEND connection established to%C26 $1 %C30[%O$2%C30]"
@@ -951,8 +829,7 @@
 
 #: src/common/textevents.h:195
 msgid "%C22*%O$tDCC $1%C26 $2 %Oto%C26 $3 %Otimed out - aborting."
-msgstr ""
-"%C22*%O$tDCC $1%C26 $2 %Opara%C26 $3 %Oagotó el tiempo de espera - abortando."
+msgstr "%C22*%O$tDCC $1%C26 $2 %Opara%C26 $3 %Oagotó el tiempo de espera - abortando."
 
 #: src/common/textevents.h:198
 msgid "%C22*%O$t$1 deleted from notify list."
@@ -994,8 +871,7 @@
 
 #: src/common/textevents.h:228
 msgid "%C22*%O$tCannot join%C26 %B$1 %O(Channel is invite only)."
-msgstr ""
-"%C22*%O$tNo pudo entrar a%C26 %B$1 %O(El canal es sólo para invitados)."
+msgstr "%C22*%O$tNo pudo entrar a%C26 %B$1 %O(El canal es sólo para invitados)."
 
 #: src/common/textevents.h:231
 msgid "%C22*%O$tYou have been invited to%C26 $1%O by%C26 $2%C (%C26$3%C)"
@@ -1027,8 +903,7 @@
 
 #: src/common/textevents.h:258
 msgid "%C22*%O$tNickname already in use. Use /NICK to try another."
-msgstr ""
-"%C22*%O$tEl apodo ya está siendo usado. Use /NICK para intentar con otro."
+msgstr "%C22*%O$tEl pseudónimo ya está siendo usado. Use /NICK para intentar con otro."
 
 #: src/common/textevents.h:261
 msgid "%C22*%O$tNo such DCC."
@@ -1051,14 +926,12 @@
 msgstr "%C22*%O$t$1 usuarios en la lista de notificaciones."
 
 #: src/common/textevents.h:282
-#, fuzzy
 msgid "%C22*%O$tNotify: $1 is offline ($3)."
-msgstr "-%C10-%C11-%O$tNotificación: $1 se ha desconectado ($2)."
+msgstr "%C22*%O$tNotificación: $1 se ha desconectado ($3)."
 
 #: src/common/textevents.h:285
-#, fuzzy
 msgid "%C22*%O$tNotify: $1 is online ($3)."
-msgstr "%C22*%O$tNotificación: $1 se ha conectado ($2)."
+msgstr "%C22*%O$tNotificación: $1 se ha conectado ($3)."
 
 #: src/common/textevents.h:291
 msgid "%C23*%O$t%C23$1 (%O%C23$2) has left $3"
@@ -1076,138 +949,137 @@
 msgid "%C22*%O$tNo ping reply for $1 seconds, disconnecting."
 msgstr "%C22*%O$tNo hubo respuesta al ping en $1 segundos, desconectando."
 
-#: src/common/textevents.h:315
+#: src/common/textevents.h:309
 msgid "%C22*%O$tA process is already running"
 msgstr "%C22*%O$tYa se está ejecutando un proceso"
 
-#: src/common/textevents.h:318
+#: src/common/textevents.h:312
 msgid "%C23*%O$t%C23$1 has quit (%O%C23%B%B$2%O%C23)"
 msgstr "%C23*%O$t%C23$1 se ha marchado (%O%C23%B%B$2%O%C23)"
 
-#: src/common/textevents.h:321
+#: src/common/textevents.h:315
 msgid "%C22*%O$t$1 sets modes%B %C30[%O$2%B%C30]"
 msgstr "%C22*%O$t$1 establece modos%B %C30[%O$2%B%C30]"
 
-#: src/common/textevents.h:324
+#: src/common/textevents.h:318
 msgid "%C28-%C29$1/Wallops%C28-%O$t$2"
 msgstr "%C28-%C29$1/Mensajes de los operadores%C28-%O$t$2"
 
-#: src/common/textevents.h:327
+#: src/common/textevents.h:321
 msgid "%C22*%O$tLooking up IP number for%C26 $1%O..."
 msgstr "%C22*%O$tBuscando número de IP para%C26 $1%O..."
 
-#: src/common/textevents.h:330
+#: src/common/textevents.h:324
 msgid "%C22*%O$t%C22Connected."
 msgstr "%C22*%O$t%C22Conectado."
 
-#: src/common/textevents.h:336
+#: src/common/textevents.h:330
 msgid "%C22*%O$t%C22Looking up $1"
 msgstr "%C22*%O$t%C22Buscando $1"
 
-#: src/common/textevents.h:348
+#: src/common/textevents.h:339
 msgid "%C22*%O$tStopped previous connection attempt (pid=$1)"
 msgstr "%C22*%O$tSe paró el anterior intento de conexión (pid=$1)"
 
-#: src/common/textevents.h:351
+#: src/common/textevents.h:342
 msgid "%C29*%O$t%C29Topic for $1%C %C29is: $2"
 msgstr "%C29*%O$t%C29El topic para $1%C %C29es $2"
 
-#: src/common/textevents.h:354
+#: src/common/textevents.h:345
 msgid "%C22*%O$t$1 has changed the topic to: $2"
 msgstr "%C22*%O$t$1 ha cambiado el topic a: $2"
 
-#: src/common/textevents.h:357
+#: src/common/textevents.h:348
 msgid "%C29*%O$t%C29Topic for $1%C %C29set by $2%C %C29at $3"
 msgstr "%C29*%O$t%C29Topic para $1%C %C29definido por $2%C %C29en $3"
 
-#: src/common/textevents.h:360
+#: src/common/textevents.h:351
 msgid "%C22*%O$tUnknown host. Maybe you misspelled it?"
 msgstr "%C22*%O$tEquipo desconocido. ¿Quizá se ha equivocado?"
 
-#: src/common/textevents.h:363
+#: src/common/textevents.h:354
 msgid "%C22*%O$tCannot join%C26 %B$1 %O(User limit reached)."
-msgstr ""
-"%C22*%O$tNo puede entrar a%C26 %B$1 %O(Se llegó al límite de usuarios)."
+msgstr "%C22*%O$tNo puede entrar a%C26 %B$1 %O(Se llegó al límite de usuarios)."
 
-#: src/common/textevents.h:366
+#: src/common/textevents.h:357
 msgid "%C22*%O$t%C26Users on $1:%C $2"
 msgstr "%C22*%O$t%C26Usuarios en $1:%C $2"
 
-#: src/common/textevents.h:369
+#: src/common/textevents.h:360
 msgid "%C22*%O$t%C28[%O$1%C28] %O$2%C27 $3"
 msgstr "%C22*%O$t%C28[%O$1%C28] %O$2%C27 $3"
 
-#: src/common/textevents.h:372
+#: src/common/textevents.h:363
 msgid "%C22*%O$t%C28[%O$1%C28] %Cis away %C30(%O$2%O%C30)"
 msgstr "%C22*%O$t%C28[%O$1%C28] %Cestá ausente %C30(%O$2%O%C30)"
 
-#: src/common/textevents.h:375 src/common/textevents.h:381
-#: src/common/textevents.h:396 src/common/textevents.h:399
+#: src/common/textevents.h:366
+#: src/common/textevents.h:372
+#: src/common/textevents.h:387
+#: src/common/textevents.h:390
 msgid "%C22*%O$t%C28[%O$1%C28]%O $2"
 msgstr "%C22*%O$t%C28[%O$1%C28]%O $2"
 
-#: src/common/textevents.h:378
+#: src/common/textevents.h:369
 msgid "%C22*%O$t%C28[%O$1%C28] %OEnd of WHOIS list."
 msgstr "%C22*%O$t%C28[%O$1%C28] %OFinal de la lista WHOIS."
 
-#: src/common/textevents.h:384
+#: src/common/textevents.h:375
 msgid "%C22*%O$t%C28[%O$1%C28]%O idle%C26 $2"
 msgstr "%C22*%O$t%C28[%O$1%C28]%O inactivo%C26 $2"
 
-#: src/common/textevents.h:387
+#: src/common/textevents.h:378
 msgid "%C22*%O$t%C28[%O$1%C28]%O idle%C26 $2%O, signon:%C26 $3"
 msgstr "%C22*%O$t%C28[%O$1%C28]%O inactivo%C26 $2%O, entró:%C26 $3"
 
-#: src/common/textevents.h:390
+#: src/common/textevents.h:381
 msgid "%C22*%O$t%C28[%O$1%C28] %C30(%O$2@$3%C30)%O: $4"
 msgstr "%C22*%O$t%C28[%O$1%C28] %C30(%O$2@$3%C30)%O: $4"
 
-#: src/common/textevents.h:393
+#: src/common/textevents.h:384
 msgid "%C22*%O$t%C28[%O$1%C28] %Oreal user@host%C27 $2%O, real IP%C27 $3"
-msgstr ""
-"%C22*%O$t%C28[%O$1%C28] %Overdadero usuario@equipo%C27 $2%O, verdadera IP%"
-"C27 $3"
+msgstr "%C22*%O$t%C28[%O$1%C28] %Overdadero usuario@equipo%C27 $2%O, verdadera IP%C27 $3"
 
-#: src/common/textevents.h:402
+#: src/common/textevents.h:393
 msgid "%C19*%O$t%C19Now talking on $2"
 msgstr "%C19*%O$t%C19Has entrado en $2"
 
-#: src/common/textevents.h:405
+#: src/common/textevents.h:396
 msgid "%C23*$tYou have been kicked from $2 by $3 ($4%O%C23)"
 msgstr "%C23*$tSe le ha echado de $2 por $3 ($4%O%C23)"
 
-#: src/common/textevents.h:408
+#: src/common/textevents.h:399
 #, c-format
 msgid "%C23*$tYou have left channel $3"
 msgstr "%C23*$tHa abandonado el canal $3"
 
-#: src/common/textevents.h:411
+#: src/common/textevents.h:402
 msgid "%C23*$tYou have left channel $3 (%O%C23%B%B$4%O%C23)"
 msgstr "%C23*$tHa abandonado el canal $3 (%O%C23%B%B$4%O%C23)"
 
-#: src/common/textevents.h:417
+#: src/common/textevents.h:408
 msgid "%C22*%O$tYou've invited%C26 $1%O to%C26 $2%O (%C26$3%O)"
 msgstr "%C22*%O$tEstá invitando%C26 $1%O  a%C26 $2%O (%C26$3%O)"
 
-#: src/common/textevents.h:423
+#: src/common/textevents.h:414
 msgid "%C22*%O$tYou are now known as $2"
 msgstr "%C22*%O$tUsted es ahora conocido como $2"
 
-#: src/common/text.c:347
+#: src/common/text.c:318
 msgid "Loaded log from"
-msgstr ""
+msgstr "Registro cargado de"
 
-#: src/common/text.c:366
+#: src/common/text.c:336
 #, c-format
 msgid "**** ENDING LOGGING AT %s\n"
 msgstr "**** FINALIZANDO CONEXIÓN EN %s\n"
 
-#: src/common/text.c:575
+#: src/common/text.c:545
 #, c-format
 msgid "**** BEGIN LOGGING AT %s\n"
 msgstr "**** INICIANDO CONEXIÓN EN %s\n"
 
-#: src/common/text.c:594
+#: src/common/text.c:564
 #, c-format
 msgid ""
 "* Can't open log file(s) for writing. Check the\n"
@@ -1216,459 +1088,545 @@
 "* No se pudo abrir el archivo de registro para escritura. Compruebe los\n"
 "  persisos de %s/xchatlogs"
 
-#: src/common/text.c:961
+#: src/common/text.c:931
 msgid "Left message"
 msgstr "Mensaje de ausencia"
 
-#: src/common/text.c:962
+#: src/common/text.c:932
 msgid "Right message"
 msgstr "El mensaje"
 
-#: src/common/text.c:966
+#: src/common/text.c:936
 msgid "The nick of the joining person"
-msgstr "El apodo de la persona que entra"
+msgstr "El pseudónimo de la persona que entra"
 
-#: src/common/text.c:967
+#: src/common/text.c:937
 msgid "The channel being joined"
 msgstr "El canal al que está entrando"
 
-#: src/common/text.c:968 src/common/text.c:1016 src/common/text.c:1067
+#: src/common/text.c:938
+#: src/common/text.c:985
+#: src/common/text.c:1036
 msgid "The host of the person"
 msgstr "El equipo de la persona"
 
-#: src/common/text.c:972 src/common/text.c:979 src/common/text.c:986
-#: src/common/text.c:1174 src/common/text.c:1181 src/common/text.c:1186
-#: src/common/text.c:1191 src/common/text.c:1196 src/common/text.c:1202
-#: src/common/text.c:1207 src/common/text.c:1211 src/common/text.c:1217
-#: src/common/text.c:1223 src/common/text.c:1275 src/common/text.c:1286
-#: src/common/text.c:1291 src/common/text.c:1296 src/common/text.c:1305
-#: src/common/text.c:1316 src/common/text.c:1323 src/common/text.c:1329
-#: src/common/text.c:1334 src/common/text.c:1339 src/common/text.c:1346
-#: src/common/text.c:1352 src/common/text.c:1358 src/common/text.c:1363
-#: src/common/text.c:1368 src/common/text.c:1372 src/common/text.c:1378
-#: src/common/text.c:1386 src/common/text.c:1420 src/common/text.c:1425
+#: src/common/text.c:942
+#: src/common/text.c:948
+#: src/common/text.c:955
+#: src/common/text.c:1143
+#: src/common/text.c:1150
+#: src/common/text.c:1155
+#: src/common/text.c:1160
+#: src/common/text.c:1165
+#: src/common/text.c:1171
+#: src/common/text.c:1176
+#: src/common/text.c:1180
+#: src/common/text.c:1186
+#: src/common/text.c:1192
+#: src/common/text.c:1238
+#: src/common/text.c:1249
+#: src/common/text.c:1254
+#: src/common/text.c:1259
+#: src/common/text.c:1268
+#: src/common/text.c:1279
+#: src/common/text.c:1286
+#: src/common/text.c:1292
+#: src/common/text.c:1297
+#: src/common/text.c:1302
+#: src/common/text.c:1309
+#: src/common/text.c:1315
+#: src/common/text.c:1321
+#: src/common/text.c:1326
+#: src/common/text.c:1331
+#: src/common/text.c:1335
+#: src/common/text.c:1341
+#: src/common/text.c:1349
+#: src/common/text.c:1383
+#: src/common/text.c:1388
 msgid "Nickname"
 msgstr "Apodo"
 
-#: src/common/text.c:973
+#: src/common/text.c:943
 msgid "The action"
 msgstr "La acción"
 
-#: src/common/text.c:974 src/common/text.c:981
+#: src/common/text.c:944
+#: src/common/text.c:950
 msgid "Mode char"
 msgstr "Modo carácter"
 
-#: src/common/text.c:975 src/common/text.c:982 src/common/text.c:988
-msgid "Identified text"
-msgstr "Texto de info"
-
-#: src/common/text.c:980
+#: src/common/text.c:949
 msgid "The text"
 msgstr "El texto"
 
-#: src/common/text.c:987 src/common/text.c:1044 src/common/text.c:1050
+#: src/common/text.c:951
+#: src/common/text.c:957
+msgid "Identified text"
+msgstr "Texto de info"
+
+#: src/common/text.c:956
+#: src/common/text.c:1013
+#: src/common/text.c:1019
 msgid "The message"
 msgstr "El mensaje"
 
-#: src/common/text.c:992 src/common/text.c:1054
+#: src/common/text.c:961
+#: src/common/text.c:1023
 msgid "Old nickname"
 msgstr "Apodo anterior"
 
-#: src/common/text.c:993 src/common/text.c:1055
+#: src/common/text.c:962
+#: src/common/text.c:1024
 msgid "New nickname"
-msgstr "Nuevo apodo"
+msgstr "Nuevo pseudónimo"
 
-#: src/common/text.c:997
+#: src/common/text.c:966
 msgid "Nick of person who changed the topic"
 msgstr "Apodo de la persona que ha cambiado el topic"
 
-#: src/common/text.c:998 src/common/text.c:1004 src/fe-gtk/chanlist.c:766
+#: src/common/text.c:967
+#: src/common/text.c:973
+#: src/fe-gtk/chanlist.c:766
 #: src/fe-gtk/chanlist.c:869
 msgid "Topic"
 msgstr "Topic"
 
-#: src/common/text.c:999 src/common/text.c:1003 src/common/text.c:1440
-#: src/fe-gtk/chanlist.c:764 src/fe-gtk/ignoregui.c:174
-#: src/fe-gtk/servlistgui.c:896
+#: src/common/text.c:968
+#: src/common/text.c:972
+#: src/common/text.c:1403
+#: src/fe-gtk/chanlist.c:764
+#: src/fe-gtk/ignoregui.c:176
+#: src/fe-gtk/servlistgui.c:892
 msgid "Channel"
 msgstr "Canal"
 
-#: src/common/text.c:1008 src/common/text.c:1061
+#: src/common/text.c:977
+#: src/common/text.c:1030
 msgid "The nickname of the kicker"
-msgstr "El apodo del que expulsa"
+msgstr "El pseudónimo del que expulsa"
 
-#: src/common/text.c:1009 src/common/text.c:1059
+#: src/common/text.c:978
+#: src/common/text.c:1028
 msgid "The person being kicked"
 msgstr "La persona que esta siendo expulsada"
 
-#: src/common/text.c:1010 src/common/text.c:1017 src/common/text.c:1021
-#: src/common/text.c:1026 src/common/text.c:1060 src/common/text.c:1068
-#: src/common/text.c:1075
+#: src/common/text.c:979
+#: src/common/text.c:986
+#: src/common/text.c:990
+#: src/common/text.c:995
+#: src/common/text.c:1029
+#: src/common/text.c:1037
+#: src/common/text.c:1044
 msgid "The channel"
 msgstr "El canal"
 
-#: src/common/text.c:1011 src/common/text.c:1062 src/common/text.c:1069
+#: src/common/text.c:980
+#: src/common/text.c:1031
+#: src/common/text.c:1038
 msgid "The reason"
 msgstr "La razón"
 
-#: src/common/text.c:1015 src/common/text.c:1066
+#: src/common/text.c:984
+#: src/common/text.c:1035
 msgid "The nick of the person leaving"
-msgstr "El apodo de la persona que abandona"
+msgstr "El pseudónimo de la persona que abandona"
 
-#: src/common/text.c:1022 src/common/text.c:1028
+#: src/common/text.c:991
+#: src/common/text.c:997
 msgid "The time"
 msgstr "El tiempo"
 
-#: src/common/text.c:1027
+#: src/common/text.c:996
 msgid "The creator"
 msgstr "El creador"
 
-#: src/common/text.c:1032 src/fe-gtk/dccgui.c:768 src/fe-gtk/dccgui.c:1001
+#: src/common/text.c:1001
+#: src/fe-gtk/dccgui.c:763
+#: src/fe-gtk/dccgui.c:996
 msgid "Nick"
 msgstr "Apodo"
 
-#: src/common/text.c:1033 src/common/text.c:1292
+#: src/common/text.c:1002
+#: src/common/text.c:1255
 msgid "Reason"
 msgstr "Razón"
 
-#: src/common/text.c:1034 src/common/text.c:1176 src/common/text.c:1265
+#: src/common/text.c:1003
+#: src/common/text.c:1145
+#: src/common/text.c:1228
 msgid "Host"
 msgstr "Equipo"
 
-#: src/common/text.c:1038 src/common/text.c:1043 src/common/text.c:1048
+#: src/common/text.c:1007
+#: src/common/text.c:1012
+#: src/common/text.c:1017
 msgid "Who it's from"
 msgstr "De quién viene"
 
-#: src/common/text.c:1039
+#: src/common/text.c:1008
 msgid "The time in x.x format (see below)"
 msgstr "El tiempo en el formato x.x (vea debajo)"
 
-#: src/common/text.c:1049 src/common/text.c:1086
+#: src/common/text.c:1018
+#: src/common/text.c:1055
 msgid "The Channel it's going to"
 msgstr "El canal se va a"
 
-#: src/common/text.c:1073
+#: src/common/text.c:1042
 msgid "The sound"
 msgstr "El sonido"
 
-#: src/common/text.c:1074 src/common/text.c:1080 src/common/text.c:1085
+#: src/common/text.c:1043
+#: src/common/text.c:1049
+#: src/common/text.c:1054
 msgid "The nick of the person"
-msgstr "El apodo de la persona"
+msgstr "El pseudónimo de la persona"
 
-#: src/common/text.c:1079 src/common/text.c:1084
+#: src/common/text.c:1048
+#: src/common/text.c:1053
 msgid "The CTCP event"
 msgstr "El evento CTCP"
 
-#: src/common/text.c:1090
+#: src/common/text.c:1059
 msgid "The nick of the person who set the key"
-msgstr "El apodo de la persona que establece la clave"
+msgstr "El pseudónimo de la persona que establece la clave"
 
-#: src/common/text.c:1091
+#: src/common/text.c:1060
 msgid "The key"
 msgstr "La clave"
 
-#: src/common/text.c:1095
+#: src/common/text.c:1064
 msgid "The nick of the person who set the limit"
-msgstr "El apodo de la persona que establece el límite"
+msgstr "El pseudónimo de la persona que establece el límite"
 
-#: src/common/text.c:1096
+#: src/common/text.c:1065
 msgid "The limit"
 msgstr "El limite"
 
-#: src/common/text.c:1100
+#: src/common/text.c:1069
 msgid "The nick of the person who did the op'ing"
-msgstr "El apodo de la persona que otorgó los permisos de operador"
+msgstr "El pseudónimo de la persona que otorgó los permisos de operador"
 
-#: src/common/text.c:1101
+#: src/common/text.c:1070
 msgid "The nick of the person who has been op'ed"
-msgstr "El apodo de la persona que ha sido convertida en operador"
+msgstr "El pseudónimo de la persona que ha sido convertida en operador"
 
-#: src/common/text.c:1105
+#: src/common/text.c:1074
 msgid "The nick of the person who has been halfop'ed"
-msgstr "El apodo de la persona que ha sido convertida en semi-operador"
+msgstr "El pseudónimo de la persona que ha sido convertida en semi-operador"
 
-#: src/common/text.c:1106
+#: src/common/text.c:1075
 msgid "The nick of the person who did the halfop'ing"
-msgstr "El apodo de la persona que otorgó los permisos de semi-operador"
+msgstr "El pseudónimo de la persona que otorgó los permisos de semi-operador"
 
-#: src/common/text.c:1110
+#: src/common/text.c:1079
 msgid "The nick of the person who did the voice'ing"
-msgstr "El apodo de la persona que otorgó los permisos de voz"
+msgstr "El pseudónimo de la persona que otorgó los permisos de voz"
 
-#: src/common/text.c:1111
+#: src/common/text.c:1080
 msgid "The nick of the person who has been voice'ed"
-msgstr "El apodo de la persona que ha sido convertida en voz"
+msgstr "El pseudónimo de la persona que ha sido convertida en voz"
 
-#: src/common/text.c:1115
+#: src/common/text.c:1084
 msgid "The nick of the person who did the banning"
-msgstr "El apodo de la persona que realizó el veto (banning)"
+msgstr "El pseudónimo de la persona que realizó el veto (banning)"
 
-#: src/common/text.c:1116 src/common/text.c:1143
+#: src/common/text.c:1085
+#: src/common/text.c:1112
 msgid "The ban mask"
 msgstr "La máscara de vetos"
 
-#: src/common/text.c:1120
+#: src/common/text.c:1089
 msgid "The nick who removed the key"
-msgstr "El apodo de quien ha eliminado la clave"
+msgstr "El pseudónimo de quien ha eliminado la clave"
 
-#: src/common/text.c:1124
+#: src/common/text.c:1093
 msgid "The nick who removed the limit"
-msgstr "El apodo de quien ha eliminado el límite"
+msgstr "El pseudónimo de quien ha eliminado el límite"
 
-#: src/common/text.c:1128
+#: src/common/text.c:1097
 msgid "The nick of the person of did the deop'ing"
-msgstr "El apodo de la persona que ha revocado los permisos de operador"
+msgstr "El pseudónimo de la persona que ha revocado los permisos de operador"
 
-#: src/common/text.c:1129
+#: src/common/text.c:1098
 msgid "The nick of the person who has been deop'ed"
-msgstr "El apodo de la persona a la que se la quitado el permiso de operador"
+msgstr "El pseudónimo de la persona a la que se la quitado el permiso de operador"
 
-#: src/common/text.c:1132
+#: src/common/text.c:1101
 msgid "The nick of the person of did the dehalfop'ing"
-msgstr "El apodo de la persona que ha removido los permisos de semi-operador"
+msgstr "El pseudónimo de la persona que ha removido los permisos de semi-operador"
 
-#: src/common/text.c:1133
+#: src/common/text.c:1102
 msgid "The nick of the person who has been dehalfop'ed"
-msgstr ""
-"El apodo de la persona a la que se la quitado los permisos de semi-operador"
+msgstr "El pseudónimo de la persona a la que se la quitado los permisos de semi-operador"
 
-#: src/common/text.c:1137
+#: src/common/text.c:1106
 msgid "The nick of the person of did the devoice'ing"
-msgstr "El apodo de la persona que ha revocado lo permisos de voz"
+msgstr "El pseudónimo de la persona que ha revocado lo permisos de voz"
 
-#: src/common/text.c:1138
+#: src/common/text.c:1107
 msgid "The nick of the person who has been devoice'ed"
-msgstr "El apodo de la persona a la que se la quitado los permisos de voz"
+msgstr "El pseudónimo de la persona a la que se la quitado los permisos de voz"
 
-#: src/common/text.c:1142
+#: src/common/text.c:1111
 msgid "The nick of the person of did the unban'ing"
-msgstr "El apodo de la persona que ha revocado el veto"
+msgstr "El pseudónimo de la persona que ha revocado el veto"
 
-#: src/common/text.c:1147
+#: src/common/text.c:1116
 msgid "The nick of the person who did the exempt"
-msgstr "El apodo de la persona que otorgó la excepción"
+msgstr "El pseudónimo de la persona que otorgó la excepción"
 
-#: src/common/text.c:1148 src/common/text.c:1153
+#: src/common/text.c:1117
+#: src/common/text.c:1122
 msgid "The exempt mask"
 msgstr "La máscara de excención"
 
-#: src/common/text.c:1152
+#: src/common/text.c:1121
 msgid "The nick of the person removed the exempt"
-msgstr "El apodo de la persona que ha quitado la exención"
+msgstr "El pseudónimo de la persona que ha quitado la exención"
 
-#: src/common/text.c:1157
+#: src/common/text.c:1126
 msgid "The nick of the person who did the invite"
-msgstr "El apodo de la persona que ha realizado la invitación"
+msgstr "El pseudónimo de la persona que ha realizado la invitación"
 
-#: src/common/text.c:1158 src/common/text.c:1163
+#: src/common/text.c:1127
+#: src/common/text.c:1132
 msgid "The invite mask"
 msgstr "La máscara de invitación"
 
-#: src/common/text.c:1162
+#: src/common/text.c:1131
 msgid "The nick of the person removed the invite"
-msgstr "El apodo de la persona que ha removido la invitación"
+msgstr "El pseudónimo de la persona que ha removido la invitación"
 
-#: src/common/text.c:1167
+#: src/common/text.c:1136
 msgid "The nick of the person setting the mode"
-msgstr "El apodo de la persona que ha establecido el modo"
+msgstr "El pseudónimo de la persona que ha establecido el modo"
 
-#: src/common/text.c:1168
+#: src/common/text.c:1137
 msgid "The mode's sign (+/-)"
 msgstr "El signo del modo (+/-)"
 
-#: src/common/text.c:1169
+#: src/common/text.c:1138
 msgid "The mode letter"
 msgstr "La letra del modo"
 
-#: src/common/text.c:1170
+#: src/common/text.c:1139
 msgid "The channel it's being set on"
 msgstr "El canal esta siendo configurado"
 
-#: src/common/text.c:1175
+#: src/common/text.c:1144
 msgid "Username"
 msgstr "Nombre de usuario"
 
-#: src/common/text.c:1177
+#: src/common/text.c:1146
 msgid "Full name"
 msgstr "Nombre completo"
 
-#: src/common/text.c:1182
+#: src/common/text.c:1151
 msgid "Channel Membership/\"is an IRC operator\""
 msgstr "Membresía de canal/es un operador de IRC"
 
-#: src/common/text.c:1187
+#: src/common/text.c:1156
 msgid "Server Information"
 msgstr "Información del servidor"
 
-#: src/common/text.c:1192 src/common/text.c:1197
+#: src/common/text.c:1161
+#: src/common/text.c:1166
 msgid "Idle time"
 msgstr "Tiempo inactivo"
 
-#: src/common/text.c:1198
+#: src/common/text.c:1167
 msgid "Signon time"
 msgstr "Tiempo de conexión"
 
-#: src/common/text.c:1203
+#: src/common/text.c:1172
 msgid "Away reason"
 msgstr "Razón de ausencia"
 
-#: src/common/text.c:1212 src/common/text.c:1218 src/common/text.c:1226
-#: src/common/text.c:1412
+#: src/common/text.c:1181
+#: src/common/text.c:1187
+#: src/common/text.c:1195
+#: src/common/text.c:1375
 msgid "Message"
 msgstr "Mensaje"
 
-#: src/common/text.c:1219
+#: src/common/text.c:1188
 msgid "Account"
 msgstr "Cuenta"
 
-#: src/common/text.c:1224
+#: src/common/text.c:1193
 msgid "Real user@host"
 msgstr "Verdadero usuario@equipo"
 
-#: src/common/text.c:1225
+#: src/common/text.c:1194
 msgid "Real IP"
 msgstr "Verdadera IP"
 
-#: src/common/text.c:1230 src/common/text.c:1245 src/common/text.c:1251
-#: src/common/text.c:1281 src/common/text.c:1435
+#: src/common/text.c:1199
+#: src/common/text.c:1208
+#: src/common/text.c:1214
+#: src/common/text.c:1244
+#: src/common/text.c:1398
 msgid "Channel Name"
 msgstr "Nombre del canal"
 
-#: src/common/text.c:1234 src/common/text.c:1240 src/common/text.c:1398
-#: src/fe-gtk/menu.c:1418 src/fe-gtk/menu.c:1606 src/fe-gtk/textgui.c:390
+#: src/common/text.c:1203
+#: src/common/text.c:1361
+#: src/fe-gtk/menu.c:1404
+#: src/fe-gtk/menu.c:1592
+#: src/fe-gtk/textgui.c:390
 msgid "Text"
 msgstr "Texto"
 
-#: src/common/text.c:1235 src/common/text.c:1241 src/common/text.c:1247
-#: src/common/text.c:1276 src/common/text.c:1394 src/common/text.c:1436
+#: src/common/text.c:1204
+#: src/common/text.c:1210
+#: src/common/text.c:1239
+#: src/common/text.c:1357
+#: src/common/text.c:1399
 msgid "Server Name"
 msgstr "Nombre del servidor"
 
-#: src/common/text.c:1236
-msgid "Raw Numeric or Identifier"
-msgstr ""
-
-#: src/common/text.c:1246
+#: src/common/text.c:1209
 msgid "Nick of person who invited you"
 msgstr "Apodo de la persona que le ha invitado"
 
-#: src/common/text.c:1252 src/fe-gtk/chanlist.c:765
+#: src/common/text.c:1215
+#: src/fe-gtk/chanlist.c:765
 msgid "Users"
 msgstr "Usuarios"
 
-#: src/common/text.c:1256
+#: src/common/text.c:1219
 msgid "Nickname in use"
 msgstr "Apodo en uso"
 
-#: src/common/text.c:1257
+#: src/common/text.c:1220
 msgid "Nick being tried"
-msgstr "Intentando usar el apodo"
+msgstr "Intentando usar el pseudónimo"
 
-#: src/common/text.c:1266 src/common/text.c:1402
+#: src/common/text.c:1229
+#: src/common/text.c:1365
 msgid "IP"
 msgstr "IP"
 
-#: src/common/text.c:1267 src/common/text.c:1298
+#: src/common/text.c:1230
+#: src/common/text.c:1261
 msgid "Port"
 msgstr "Puerto"
 
-#: src/common/text.c:1277 src/fe-gtk/notifygui.c:137 src/fe-gtk/setup.c:1713
+#: src/common/text.c:1240
+#: src/fe-gtk/notifygui.c:139
+#: src/fe-gtk/setup.c:1713
 msgid "Network"
 msgstr "Red"
 
-#: src/common/text.c:1282 src/common/text.c:1287
+#: src/common/text.c:1245
+#: src/common/text.c:1250
 msgid "Modes string"
 msgstr "Cadena de modos"
 
-#: src/common/text.c:1297 src/common/text.c:1335 src/common/text.c:1340
-#: src/common/text.c:1381
+#: src/common/text.c:1260
+#: src/common/text.c:1298
+#: src/common/text.c:1303
+#: src/common/text.c:1344
 msgid "IP address"
 msgstr "Dirección IP"
 
-#: src/common/text.c:1303 src/common/text.c:1328
+#: src/common/text.c:1266
+#: src/common/text.c:1291
 msgid "DCC Type"
 msgstr "Tipo DCC"
 
-#: src/common/text.c:1304 src/common/text.c:1309 src/common/text.c:1314
-#: src/common/text.c:1321 src/common/text.c:1341 src/common/text.c:1345
-#: src/common/text.c:1351 src/common/text.c:1357 src/common/text.c:1364
-#: src/common/text.c:1373 src/common/text.c:1379
+#: src/common/text.c:1267
+#: src/common/text.c:1272
+#: src/common/text.c:1277
+#: src/common/text.c:1284
+#: src/common/text.c:1304
+#: src/common/text.c:1308
+#: src/common/text.c:1314
+#: src/common/text.c:1320
+#: src/common/text.c:1327
+#: src/common/text.c:1336
+#: src/common/text.c:1342
 msgid "Filename"
 msgstr "Nombre de archivo"
 
-#: src/common/text.c:1315 src/common/text.c:1322
+#: src/common/text.c:1278
+#: src/common/text.c:1285
 msgid "Destination filename"
 msgstr "Nombre de archivo de destino"
 
-#: src/common/text.c:1324 src/common/text.c:1353
+#: src/common/text.c:1287
+#: src/common/text.c:1316
 msgid "CPS"
 msgstr "CPS"
 
-#: src/common/text.c:1359
+#: src/common/text.c:1322
 msgid "Pathname"
 msgstr "Ruta"
 
-#: src/common/text.c:1374 src/fe-gtk/dccgui.c:764
+#: src/common/text.c:1337
+#: src/fe-gtk/dccgui.c:759
 msgid "Position"
 msgstr "Posición"
 
-#: src/common/text.c:1380 src/fe-gtk/dccgui.c:763
+#: src/common/text.c:1343
+#: src/fe-gtk/dccgui.c:758
 msgid "Size"
 msgstr "Tamaño"
 
-#: src/common/text.c:1385
+#: src/common/text.c:1348
 msgid "DCC String"
 msgstr "Cadena DCC"
 
-#: src/common/text.c:1390
+#: src/common/text.c:1353
 msgid "Number of notify items"
 msgstr "Número de elementos de notificación"
 
-#: src/common/text.c:1406
+#: src/common/text.c:1369
 msgid "Old Filename"
 msgstr "Nombre anterior del archivo"
 
-#: src/common/text.c:1407
+#: src/common/text.c:1370
 msgid "New Filename"
 msgstr "Nombre nuevo del archivo"
 
-#: src/common/text.c:1411
+#: src/common/text.c:1374
 msgid "Receiver"
 msgstr "Receptor"
 
-#: src/common/text.c:1416
+#: src/common/text.c:1379
 msgid "Hostmask"
 msgstr "Máscara de equipo"
 
-#: src/common/text.c:1421
+#: src/common/text.c:1384
 msgid "Hostname"
 msgstr "Nombre de equipo"
 
-#: src/common/text.c:1426
+#: src/common/text.c:1389
 msgid "The Packet"
 msgstr "El paquete"
 
-#: src/common/text.c:1430
+#: src/common/text.c:1393
 msgid "Seconds"
 msgstr "Segundos"
 
-#: src/common/text.c:1434
+#: src/common/text.c:1397
 msgid "Nick of person who have been invited"
 msgstr "Apodo de la persona que ha sido invitada"
 
-#: src/common/text.c:1441
+#: src/common/text.c:1404
 msgid "Banmask"
 msgstr "Máscara de veto"
 
-#: src/common/text.c:1442
+#: src/common/text.c:1405
 msgid "Who set the ban"
 msgstr "Quien ha establecido el veto"
 
-#: src/common/text.c:1443
+#: src/common/text.c:1406
 msgid "Ban time"
 msgstr "Tiempo de veto"
 
-#: src/common/text.c:1483
+#: src/common/text.c:1446
 #, c-format
 msgid ""
 "Error parsing event %s.\n"
@@ -1677,7 +1635,7 @@
 "Error al analizar el evento %s.\n"
 "Cargando el predeterminado"
 
-#: src/common/text.c:2225
+#: src/common/text.c:2189
 #, c-format
 msgid ""
 "Cannot read sound file:\n"
@@ -1711,9 +1669,8 @@
 msgstr "Conexión reiniciada por el par"
 
 #: src/common/util.c:848
-#, fuzzy
 msgid "Ascension Island"
-msgstr "Islas Cocos"
+msgstr "Isla de Ascensión"
 
 #: src/common/util.c:849
 msgid "Andorra"
@@ -1784,9 +1741,8 @@
 msgstr "Aruba"
 
 #: src/common/util.c:866
-#, fuzzy
 msgid "Aland Islands"
-msgstr "Islas Malvinas"
+msgstr "Islas de Åland"
 
 #: src/common/util.c:867
 msgid "Azerbaijan"
@@ -1882,7 +1838,7 @@
 
 #: src/common/util.c:890
 msgid "Democratic Republic of Congo"
-msgstr ""
+msgstr "República Democrática del Congo"
 
 #: src/common/util.c:891
 msgid "Central African Republic"
@@ -2010,7 +1966,7 @@
 
 #: src/common/util.c:922
 msgid "European Union"
-msgstr ""
+msgstr "Unión Europea"
 
 #: src/common/util.c:923
 msgid "Finland"
@@ -2154,7 +2110,7 @@
 
 #: src/common/util.c:958
 msgid "Isle of Man"
-msgstr ""
+msgstr "Isla de Man"
 
 #: src/common/util.c:959
 msgid "India"
@@ -2190,7 +2146,7 @@
 
 #: src/common/util.c:967
 msgid "Jersey"
-msgstr ""
+msgstr "Jersey"
 
 #: src/common/util.c:968
 msgid "Jamaica"
@@ -2632,7 +2588,8 @@
 msgid "Tokelau"
 msgstr "Tokelau"
 
-#: src/common/util.c:1078 src/common/util.c:1082
+#: src/common/util.c:1078
+#: src/common/util.c:1082
 msgid "East Timor"
 msgstr "Timor Oriental"
 
@@ -2752,33 +2709,31 @@
 msgid "Zimbabwe"
 msgstr "Zimbabwe"
 
-#: src/common/util.c:1118 src/common/util.c:1128 src/fe-gtk/menu.c:616
+#: src/common/util.c:1118
+#: src/common/util.c:1128
+#: src/fe-gtk/menu.c:611
 msgid "Unknown"
 msgstr "Desconocido"
 
 #: src/common/xchat.c:726
-#, fuzzy
 msgid "_Open Dialog Window"
-msgstr "Abrir la ventana de diálogo"
+msgstr "_Abre una ventana de diálogo"
 
 #: src/common/xchat.c:727
-#, fuzzy
 msgid "_Send a File"
-msgstr "Enviar un archivo"
+msgstr "_Envía un fichero"
 
 #: src/common/xchat.c:728
-#, fuzzy
 msgid "_User Info (WhoIs)"
-msgstr "Información de usuario (WHOIS)"
+msgstr "Información del _Usuario (WhoIs)"
 
 #: src/common/xchat.c:729
 msgid "_Add to Friends List"
-msgstr ""
+msgstr "_Añadir a la Lista de Amigos"
 
 #: src/common/xchat.c:730
-#, fuzzy
 msgid "O_perator Actions"
-msgstr "Opciones"
+msgstr "Acciones de O_perador"
 
 #: src/common/xchat.c:732
 msgid "Give Ops"
@@ -2800,16 +2755,23 @@
 msgid "Kick/Ban"
 msgstr "Echar/Banear"
 
-#: src/common/xchat.c:738 src/common/xchat.c:775
+#: src/common/xchat.c:738
+#: src/common/xchat.c:775
 msgid "Kick"
 msgstr "Echar"
 
-#: src/common/xchat.c:739 src/common/xchat.c:740 src/common/xchat.c:741
-#: src/common/xchat.c:742 src/common/xchat.c:743 src/common/xchat.c:774
+#: src/common/xchat.c:739
+#: src/common/xchat.c:740
+#: src/common/xchat.c:741
+#: src/common/xchat.c:742
+#: src/common/xchat.c:743
+#: src/common/xchat.c:774
 msgid "Ban"
 msgstr "Banear"
 
-#: src/common/xchat.c:744 src/common/xchat.c:745 src/common/xchat.c:746
+#: src/common/xchat.c:744
+#: src/common/xchat.c:745
+#: src/common/xchat.c:746
 #: src/common/xchat.c:747
 msgid "KickBan"
 msgstr "Echar y banear"
@@ -2822,7 +2784,8 @@
 msgid "Join Channel..."
 msgstr "Entrar al canal..."
 
-#: src/common/xchat.c:759 src/fe-gtk/menu.c:1295
+#: src/common/xchat.c:759
+#: src/fe-gtk/menu.c:1281
 msgid "Enter Channel to Join:"
 msgstr "Introduzca el canal al que quiere entrar:"
 
@@ -2875,8 +2838,10 @@
 msgid "Chat"
 msgstr "Charla"
 
-#: src/common/xchat.c:791 src/fe-gtk/banlist.c:411 src/fe-gtk/ignoregui.c:387
-#: src/fe-gtk/urlgrab.c:199
+#: src/common/xchat.c:791
+#: src/fe-gtk/banlist.c:413
+#: src/fe-gtk/ignoregui.c:389
+#: src/fe-gtk/urlgrab.c:201
 msgid "Clear"
 msgstr "Limpiar"
 
@@ -2889,26 +2854,23 @@
 msgstr "No se ha podido conectar al bus de la sesión"
 
 #: src/common/dbus/dbus-client.c:86
-#, fuzzy
 msgid "Failed to complete NameHasOwner"
-msgstr "Imposible completar comando"
+msgstr "Fallo al completar NameHasOwner"
 
 #: src/common/dbus/dbus-client.c:112
-#, fuzzy
 msgid "Failed to complete Command"
-msgstr "Imposible completar comando"
+msgstr "Fallo al completar Command"
 
 #: src/common/dbus/dbus-plugin.c:30
-#, fuzzy
 msgid "remote access"
-msgstr "acceso remoto xchat"
+msgstr "acceso remoto"
 
 #: src/common/dbus/dbus-plugin.c:31
 msgid "plugin for remote access using DBUS"
 msgstr "complemento para acceso remoto usando DBUS"
 
 #: src/common/dbus/dbus-plugin.c:897
-#, fuzzy, c-format
+#, c-format
 msgid "Couldn't connect to session bus: %s\n"
 msgstr "No se ha podido conectar al bus de la sesión : %s\n"
 
@@ -2917,88 +2879,92 @@
 msgid "Failed to acquire %s: %s\n"
 msgstr "Imposible adquirir %s: %s\n"
 
-#: src/fe-gtk/about.c:100
-#, fuzzy
+#: src/fe-gtk/about.c:102
 msgid "About "
 msgstr "_Acerca de"
 
-#: src/fe-gtk/about.c:131
+#: src/fe-gtk/about.c:133
 msgid "A multiplatform IRC Client"
 msgstr "Un cliente de IRC multiplataforma."
 
-#: src/fe-gtk/ascii.c:133
+#: src/fe-gtk/ascii.c:135
 msgid "Character Chart"
 msgstr "Lista de caracteres"
 
-#: src/fe-gtk/banlist.c:149 src/fe-gtk/chanlist.c:305
-#: src/fe-gtk/plugin-tray.c:304
+#: src/fe-gtk/banlist.c:151
+#: src/fe-gtk/chanlist.c:305
+#: src/fe-gtk/plugin-tray.c:302
 msgid "Not connected."
 msgstr "No conectado."
 
-#: src/fe-gtk/banlist.c:247 src/fe-gtk/banlist.c:327
+#: src/fe-gtk/banlist.c:249
+#: src/fe-gtk/banlist.c:329
 msgid "You must select some bans."
 msgstr "Debe seleccionar algún baneado"
 
-#: src/fe-gtk/banlist.c:276
+#: src/fe-gtk/banlist.c:278
 #, c-format
 msgid "Are you sure you want to remove all bans in %s?"
-msgstr ""
+msgstr "¿Estás seguro que quieres quitar todos los baneos en %s?"
 
-#: src/fe-gtk/banlist.c:342 src/fe-gtk/ignoregui.c:173
+#: src/fe-gtk/banlist.c:344
+#: src/fe-gtk/ignoregui.c:175
 msgid "Mask"
 msgstr "Máscara"
 
-#: src/fe-gtk/banlist.c:343
+#: src/fe-gtk/banlist.c:345
 msgid "From"
 msgstr "De"
 
-#: src/fe-gtk/banlist.c:344
+#: src/fe-gtk/banlist.c:346
 msgid "Date"
 msgstr "Fecha"
 
-#: src/fe-gtk/banlist.c:387
+#: src/fe-gtk/banlist.c:389
 msgid "You can only open the Ban List window while in a channel tab."
 msgstr "Sólo puedes abrir la lista de bans mientras hay pestaña de canal."
 
-#: src/fe-gtk/banlist.c:391
+#: src/fe-gtk/banlist.c:393
 #, c-format
 msgid "XChat: Ban List (%s)"
 msgstr "XChat: Lista de bans (%s)"
 
-#: src/fe-gtk/banlist.c:407 src/fe-gtk/notifygui.c:430
+#: src/fe-gtk/banlist.c:409
+#: src/fe-gtk/notifygui.c:432
 msgid "Remove"
 msgstr "Quitar"
 
-#: src/fe-gtk/banlist.c:409
+#: src/fe-gtk/banlist.c:411
 msgid "Crop"
 msgstr "Achicar"
 
-#: src/fe-gtk/banlist.c:413
+#: src/fe-gtk/banlist.c:415
 msgid "Refresh"
 msgstr "Refrescar"
 
 #: src/fe-gtk/chanlist.c:111
-#, fuzzy, c-format
+#, c-format
 msgid "Displaying %d/%d users on %d/%d channels."
-msgstr "Estadísticas de usuarios y canales: %d/%d Usuarios en %d/%d Canales"
+msgstr "Mostrando %d/%d usuarios en %d/%d canales."
 
-#: src/fe-gtk/chanlist.c:526 src/fe-gtk/menu.c:1231 src/fe-gtk/urlgrab.c:146
+#: src/fe-gtk/chanlist.c:526
+#: src/fe-gtk/menu.c:1217
+#: src/fe-gtk/urlgrab.c:148
 msgid "Select an output filename"
 msgstr "Seleccione un archivo de salida"
 
-#: src/fe-gtk/chanlist.c:631 src/fe-gtk/chanlist.c:799
-#, fuzzy
+#: src/fe-gtk/chanlist.c:631
+#: src/fe-gtk/chanlist.c:799
 msgid "_Join Channel"
-msgstr "Entrar al canal"
+msgstr "_Unirse al Canal"
 
 #: src/fe-gtk/chanlist.c:633
-#, fuzzy
 msgid "_Copy Channel Name"
-msgstr "Nombre del canal"
+msgstr "_Copiar el Nombre del Canal"
 
 #: src/fe-gtk/chanlist.c:635
 msgid "Copy _Topic Text"
-msgstr ""
+msgstr "Copiar el texto del _tema"
 
 #: src/fe-gtk/chanlist.c:724
 #, c-format
@@ -3006,79 +2972,72 @@
 msgstr "XChat: Lista de canales (%s)"
 
 #: src/fe-gtk/chanlist.c:781
-#, fuzzy
 msgid "_Search"
-msgstr "XChat: Buscar"
+msgstr "_Buscar"
 
 #: src/fe-gtk/chanlist.c:787
-#, fuzzy
 msgid "_Download List"
-msgstr "Descargar archivos en:"
+msgstr "_Descargar Lista"
 
 #: src/fe-gtk/chanlist.c:793
-#, fuzzy
 msgid "Save _List..."
-msgstr "Lista de servidores..."
+msgstr "Guardar _Lista como..."
 
 #: src/fe-gtk/chanlist.c:806
 msgid "Show only:"
-msgstr ""
+msgstr "Mostrar solo:"
 
 #: src/fe-gtk/chanlist.c:818
-#, fuzzy
 msgid "channels with"
-msgstr "canal"
+msgstr "canales con"
 
 #: src/fe-gtk/chanlist.c:831
 msgid "to"
-msgstr ""
+msgstr "a"
 
 #: src/fe-gtk/chanlist.c:843
-#, fuzzy
 msgid "users."
-msgstr "Usuarios"
+msgstr "usuarios."
 
 #: src/fe-gtk/chanlist.c:849
 msgid "Look in:"
-msgstr ""
+msgstr "Buscar en:"
 
 #: src/fe-gtk/chanlist.c:861
-#, fuzzy
 msgid "Channel name"
 msgstr "Nombre del canal"
 
 #: src/fe-gtk/chanlist.c:882
-#, fuzzy
 msgid "Search type:"
-msgstr "Buscar texto..."
+msgstr "Tipo de búsqueda:"
 
 #: src/fe-gtk/chanlist.c:889
 msgid "Simple Search"
-msgstr ""
+msgstr "Búsqueda Simple"
 
 #: src/fe-gtk/chanlist.c:890
-#, fuzzy
 msgid "Pattern Match (Wildcards)"
-msgstr "Coincidir con exp. regular:"
+msgstr "Coincidencia de Patrones (Comodínes)"
 
 #: src/fe-gtk/chanlist.c:892
 msgid "Regular Expression"
-msgstr ""
+msgstr "Expresión Regular"
 
-#: src/fe-gtk/chanlist.c:903 src/fe-gtk/search.c:125
+#: src/fe-gtk/chanlist.c:903
+#: src/fe-gtk/search.c:118
 msgid "Find:"
 msgstr "Buscar:"
 
-#: src/fe-gtk/dccgui.c:167
+#: src/fe-gtk/dccgui.c:166
 #, c-format
 msgid "Send file to %s"
 msgstr "Enviar archivo a %s"
 
-#: src/fe-gtk/dccgui.c:497
+#: src/fe-gtk/dccgui.c:496
 msgid "That file is not resumable."
 msgstr "Ese archivo no se puede retomar"
 
-#: src/fe-gtk/dccgui.c:501
+#: src/fe-gtk/dccgui.c:500
 #, c-format
 msgid ""
 "Cannot access file: %s\n"
@@ -3089,94 +3048,91 @@
 "%s.\n"
 "No es posible retomar."
 
-#: src/fe-gtk/dccgui.c:508
-msgid ""
-"File in download directory is larger than file offered. Resuming not "
-"possible."
-msgstr ""
-"El archivo en el directorio de descarga es más grande que el archivo "
-"afrecido. No es posible retomar."
+#: src/fe-gtk/dccgui.c:507
+msgid "File in download directory is larger than file offered. Resuming not possible."
+msgstr "El archivo en el directorio de descarga es más grande que el archivo afrecido. No es posible retomar."
 
-#: src/fe-gtk/dccgui.c:512
+#: src/fe-gtk/dccgui.c:511
 msgid "Cannot resume the same file from two people."
 msgstr "No se puede retomar el mismo archivo de dos personas."
 
-#: src/fe-gtk/dccgui.c:745
-#, fuzzy
+#: src/fe-gtk/dccgui.c:740
 msgid "XChat: Uploads and Downloads"
-msgstr "XChat: Órdenes definidas por el usuario"
+msgstr "XChat: Subidas y Descargas"
 
-#: src/fe-gtk/dccgui.c:761 src/fe-gtk/dccgui.c:1000 src/fe-gtk/notifygui.c:136
+#: src/fe-gtk/dccgui.c:756
+#: src/fe-gtk/dccgui.c:995
+#: src/fe-gtk/notifygui.c:138
 msgid "Status"
 msgstr "Estado"
 
-#: src/fe-gtk/dccgui.c:762 src/fe-gtk/plugingui.c:73
+#: src/fe-gtk/dccgui.c:757
+#: src/fe-gtk/plugingui.c:75
 msgid "File"
 msgstr "Archivo"
 
-#: src/fe-gtk/dccgui.c:767
+#: src/fe-gtk/dccgui.c:762
 msgid "ETA"
 msgstr "Tiempo"
 
-#: src/fe-gtk/dccgui.c:792 src/fe-gtk/menu.c:1607
+#: src/fe-gtk/dccgui.c:787
+#: src/fe-gtk/menu.c:1593
 msgid "Both"
 msgstr "Ambos"
 
-#: src/fe-gtk/dccgui.c:798
+#: src/fe-gtk/dccgui.c:793
 msgid "Uploads"
 msgstr "Subidos"
 
-#: src/fe-gtk/dccgui.c:804
-#, fuzzy
+#: src/fe-gtk/dccgui.c:799
 msgid "Downloads"
-msgstr "Descargar archivos en:"
+msgstr "Descargas"
 
-#: src/fe-gtk/dccgui.c:809
-#, fuzzy
+#: src/fe-gtk/dccgui.c:804
 msgid "Details"
-msgstr "Sus datos"
+msgstr "Detalles"
 
-#: src/fe-gtk/dccgui.c:820
+#: src/fe-gtk/dccgui.c:815
 msgid "File:"
 msgstr "Archivo:"
 
-#: src/fe-gtk/dccgui.c:821
-#, fuzzy
+#: src/fe-gtk/dccgui.c:816
 msgid "Address:"
-msgstr "Dirección"
+msgstr "Dirección:"
 
-#: src/fe-gtk/dccgui.c:827 src/fe-gtk/dccgui.c:1024
+#: src/fe-gtk/dccgui.c:822
+#: src/fe-gtk/dccgui.c:1019
 msgid "Abort"
 msgstr "Abortar"
 
-#: src/fe-gtk/dccgui.c:828 src/fe-gtk/dccgui.c:1025
+#: src/fe-gtk/dccgui.c:823
+#: src/fe-gtk/dccgui.c:1020
 msgid "Accept"
 msgstr "Aceptar"
 
-#: src/fe-gtk/dccgui.c:829
+#: src/fe-gtk/dccgui.c:824
 msgid "Resume"
 msgstr "Continuar"
 
-#: src/fe-gtk/dccgui.c:830
+#: src/fe-gtk/dccgui.c:825
 msgid "Open Folder..."
 msgstr "Abrir carpeta..."
 
-#: src/fe-gtk/dccgui.c:990
+#: src/fe-gtk/dccgui.c:985
 msgid "XChat: DCC Chat List"
 msgstr "XChat: Lista de conversación DCC"
 
-#: src/fe-gtk/dccgui.c:1002
+#: src/fe-gtk/dccgui.c:997
 msgid "Recv"
 msgstr "Recibido"
 
-#: src/fe-gtk/dccgui.c:1003
+#: src/fe-gtk/dccgui.c:998
 msgid "Sent"
 msgstr "Enviado"
 
-#: src/fe-gtk/dccgui.c:1004
-#, fuzzy
+#: src/fe-gtk/dccgui.c:999
 msgid "Start Time"
-msgstr "Tiempo de inicio"
+msgstr "Hora de Inicio"
 
 #: src/fe-gtk/editlist.c:139
 msgid "*NEW*"
@@ -3186,8 +3142,9 @@
 msgid "EDIT ME"
 msgstr "EDÍTAME"
 
-#: src/fe-gtk/editlist.c:310 src/fe-gtk/notifygui.c:135
-#: src/fe-gtk/plugingui.c:71
+#: src/fe-gtk/editlist.c:310
+#: src/fe-gtk/notifygui.c:137
+#: src/fe-gtk/plugingui.c:73
 msgid "Name"
 msgstr "Nombre"
 
@@ -3211,11 +3168,14 @@
 msgid "Save"
 msgstr "Guardar"
 
-#: src/fe-gtk/editlist.c:363 src/fe-gtk/fkeys.c:765
+#: src/fe-gtk/editlist.c:363
+#: src/fe-gtk/fkeys.c:765
 msgid "Add New"
 msgstr "Agregar nuevo"
 
-#: src/fe-gtk/editlist.c:367 src/fe-gtk/fkeys.c:770 src/fe-gtk/ignoregui.c:385
+#: src/fe-gtk/editlist.c:367
+#: src/fe-gtk/fkeys.c:770
+#: src/fe-gtk/ignoregui.c:387
 msgid "Delete"
 msgstr "Borrar"
 
@@ -3227,52 +3187,52 @@
 msgid "Help"
 msgstr "Ayuda"
 
-#: src/fe-gtk/fe-gtk.c:124
+#: src/fe-gtk/fe-gtk.c:126
 msgid "Don't auto connect to servers"
 msgstr "No reconectarse al servidor automáticamente"
 
-#: src/fe-gtk/fe-gtk.c:125
+#: src/fe-gtk/fe-gtk.c:127
 msgid "Use a different config directory"
 msgstr "usar un directorio de configuración diferente"
 
-#: src/fe-gtk/fe-gtk.c:126
+#: src/fe-gtk/fe-gtk.c:128
 msgid "Don't auto load any plugins"
 msgstr "No activar automáticamente ningún complemento"
 
-#: src/fe-gtk/fe-gtk.c:127
+#: src/fe-gtk/fe-gtk.c:129
 msgid "Show plugin auto-load directory"
 msgstr "Mostrar complemento autocargar directorio"
 
-#: src/fe-gtk/fe-gtk.c:128
+#: src/fe-gtk/fe-gtk.c:130
 msgid "Show user config directory"
 msgstr "Mostrar directorio de configuración de usuario"
 
-#: src/fe-gtk/fe-gtk.c:129
+#: src/fe-gtk/fe-gtk.c:131
 msgid "Open an irc://server:port/channel URL"
 msgstr "Abrir una URL irc://server:port/channel"
 
-#: src/fe-gtk/fe-gtk.c:131 src/fe-gtk/setup.c:212
+#: src/fe-gtk/fe-gtk.c:133
+#: src/fe-gtk/setup.c:212
 msgid "Execute command:"
 msgstr "Ejecutar orden:"
 
-#: src/fe-gtk/fe-gtk.c:132
+#: src/fe-gtk/fe-gtk.c:134
 msgid "Open URL or execute command in an existing XChat"
-msgstr ""
+msgstr "Abre una URL o ejecuta un comando en un XChat abierto."
 
-#: src/fe-gtk/fe-gtk.c:134
+#: src/fe-gtk/fe-gtk.c:136
 msgid "Begin minimized. Level 0=Normal 1=Iconified 2=Tray"
-msgstr ""
+msgstr "Lanzar minimizado. Nivel 0=Normal 1=Iconificado 2=Bandeja del Sistema"
 
-#: src/fe-gtk/fe-gtk.c:134
-#, fuzzy
+#: src/fe-gtk/fe-gtk.c:136
 msgid "level"
-msgstr "Nunca"
+msgstr "nivel"
 
-#: src/fe-gtk/fe-gtk.c:135
+#: src/fe-gtk/fe-gtk.c:137
 msgid "Show version information"
 msgstr "Mostrar información de la versión"
 
-#: src/fe-gtk/fe-gtk.c:255
+#: src/fe-gtk/fe-gtk.c:257
 #, c-format
 msgid ""
 "Failed to open font:\n"
@@ -3283,119 +3243,61 @@
 "\n"
 "%s"
 
-#: src/fe-gtk/fe-gtk.c:634
+#: src/fe-gtk/fe-gtk.c:636
 msgid "Search buffer is empty.\n"
 msgstr "El buffer de búsqueda esta vacio.\n"
 
-#: src/fe-gtk/fe-gtk.c:730
+#: src/fe-gtk/fe-gtk.c:732
 #, c-format
 msgid "%d bytes"
 msgstr "%d bytes"
 
-#: src/fe-gtk/fe-gtk.c:731
+#: src/fe-gtk/fe-gtk.c:733
 #, c-format
 msgid "Network send queue: %d bytes"
-msgstr ""
+msgstr "Cola de espera de envío de red: %d bytes"
 
 #: src/fe-gtk/fkeys.c:159
 msgid ""
-"The Run Command action runs the data in Data 1 as if it has been typed into "
-"the entry box where you pressed the key sequence. Thus it can contain text "
-"(which will be sent to the channel/person), commands or user commands. When "
-"run all \\n characters in Data 1 are used to deliminate seperate commands so "
-"it is possible to run more than one command. If you want a \\ in the actual "
-"text run then enter \\\\"
-msgstr ""
-"La acción ^BRun Command^B ejecuta los datos en Data 1 como si hubiesen sido "
-"escritos en la caja de texto donde presionó la secuencia de teclas. No "
-"obstante puede contener comandos de texto (los cuales serán enviados al "
-"canal o persona), o comandos de usuario. Cuando se ejecuten todos los "
-"caracteres en Data 1 son usados para delimitar comandos separados de ese "
-"modo es posible ejecutar más de un comando. Si quiere un \\ en el texto de "
-"ejecución actual ejecutelo y luego presione Intro \\\\"
+"The Run Command action runs the data in Data 1 as if it has been typed into the entry box where you pressed the key sequence. Thus it can contain text (which will be sent to the channel/person), commands or user commands. When run all \\n"
+" characters in Data 1 are used to deliminate seperate commands so it is possible to run more than one command. If you want a \\ in the actual text run then enter \\\\"
+msgstr "La acción ^BRun Command^B ejecuta los datos en Data 1 como si hubiesen sido escritos en la caja de texto donde presionó la secuencia de teclas. No obstante puede contener comandos de texto (los cuales serán enviados al canal o persona), o comandos de usuario. Cuando se ejecuten todos los caracteres en Data 1 son usados para delimitar comandos separados de ese modo es posible ejecutar más de un comando. Si quiere un \\ en el texto de ejecución actual ejecutelo y luego presione Intro \\\\"
 
 #: src/fe-gtk/fkeys.c:161
-msgid ""
-"The Change Page command switches between pages in the notebook. Set Data 1 "
-"to the page you want to switch to. If Data 2 is set to anything then the "
-"switch will be relative to the current position"
-msgstr ""
-"El comando ^BChange Page^B cambia entre las paginas del bloc de notas. "
-"Inicialice Data 1 con la página a la que desea cambiar. Si Data 2 está "
-"configurado para cualquiera entonces el cambio será relativo a la posición "
-"actual."
+msgid "The Change Page command switches between pages in the notebook. Set Data 1 to the page you want to switch to. If Data 2 is set to anything then the switch will be relative to the current position"
+msgstr "El comando ^BChange Page^B cambia entre las paginas del bloc de notas. Inicialice Data 1 con la página a la que desea cambiar. Si Data 2 está configurado para cualquiera entonces el cambio será relativo a la posición actual."
 
 #: src/fe-gtk/fkeys.c:163
-msgid ""
-"The Insert in Buffer command will insert the contents of Data 1 into the "
-"entry where the key sequence was pressed at the current cursor position"
-msgstr ""
-"El comando ^BInsert in Buffer^B insertará el contenido de Data 1 en la "
-"entrada donde la secuencia de teclas fué presionada en la posición actual "
-"del cursor"
+msgid "The Insert in Buffer command will insert the contents of Data 1 into the entry where the key sequence was pressed at the current cursor position"
+msgstr "El comando ^BInsert in Buffer^B insertará el contenido de Data 1 en la entrada donde la secuencia de teclas fué presionada en la posición actual del cursor"
 
 #: src/fe-gtk/fkeys.c:165
-msgid ""
-"The Scroll Page command scrolls the text widget up or down one page or one "
-"line. Set Data 1 to either Up, Down, +1 or -1."
-msgstr ""
-"El comando ^BScroll Page^B desplaza el control de texto hacia arriba o abajo "
-"un página. Si Data 1 esta configurado como cualquiera la página se "
-"desplazará hacia arriba, sino se desplazará hacia abajo."
+msgid "The Scroll Page command scrolls the text widget up or down one page or one line. Set Data 1 to either Up, Down, +1 or -1."
+msgstr "El comando ^BScroll Page^B desplaza el control de texto hacia arriba o abajo un página. Si Data 1 esta configurado como cualquiera la página se desplazará hacia arriba, sino se desplazará hacia abajo."
 
 #: src/fe-gtk/fkeys.c:167
-msgid ""
-"The Set Buffer command sets the entry where the key sequence was entered to "
-"the contents of Data 1"
-msgstr ""
-"El comando ^BSet Buffer^B establece la entrada donde la secuencia de teclas "
-"fué introducida a los contenidos de Data 1"
+msgid "The Set Buffer command sets the entry where the key sequence was entered to the contents of Data 1"
+msgstr "El comando ^BSet Buffer^B establece la entrada donde la secuencia de teclas fué introducida a los contenidos de Data 1"
 
 #: src/fe-gtk/fkeys.c:169
-msgid ""
-"The Last Command command sets the entry to contain the last command entered "
-"- the same as pressing up in a shell"
-msgstr ""
-"El comando ^BLast Command^B establece la entrada para contener el último "
-"comando ingresado  al igual que presionar la tecla arriba en la línea de "
-"comandos"
+msgid "The Last Command command sets the entry to contain the last command entered - the same as pressing up in a shell"
+msgstr "El comando ^BLast Command^B establece la entrada para contener el último comando ingresado  al igual que presionar la tecla arriba en la línea de comandos"
 
 #: src/fe-gtk/fkeys.c:171
-msgid ""
-"The Next Command command sets the entry to contain the next command entered "
-"- the same as pressing down in a shell"
-msgstr ""
-"El comando ^BNext Command^B establece la entrada para que contenga el "
-"siguiente comando ingresado al igual que al presionar la tecla abajo en la "
-"línea de comandos"
+msgid "The Next Command command sets the entry to contain the next command entered - the same as pressing down in a shell"
+msgstr "El comando ^BNext Command^B establece la entrada para que contenga el siguiente comando ingresado al igual que al presionar la tecla abajo en la línea de comandos"
 
 #: src/fe-gtk/fkeys.c:173
-msgid ""
-"This command changes the text in the entry to finish an incomplete nickname "
-"or command. If Data 1 is set then double-tabbing in a string will select the "
-"last nick, not the next"
-msgstr ""
-"Este comando cambia el texto en la entrada para completar un apodo "
-"incompleto o un comando. Si Data 1 esta establecido entonces al presionar "
-"dos veces la tecla TAB sobre una cadena seleccionará el último apodo, no el "
-"siguiente."
+msgid "This command changes the text in the entry to finish an incomplete nickname or command. If Data 1 is set then double-tabbing in a string will select the last nick, not the next"
+msgstr "Este comando cambia el texto en la entrada para completar un pseudónimo incompleto o un comando. Si Data 1 esta establecido entonces al presionar dos veces la tecla TAB sobre una cadena seleccionará el último pseudónimo, no el siguiente."
 
 #: src/fe-gtk/fkeys.c:175
-msgid ""
-"This command scrolls up and down through the list of nicks. If Data 1 is set "
-"to anything it will scroll up, else it scrolls down"
-msgstr ""
-"Este comando desplaza hacia arriba y abajo la lista de apodos. Si Data 1 "
-"esta establecido a cualquiera entonces se desplazará hacia arriba, sino se "
-"desplazará hacia abajo"
+msgid "This command scrolls up and down through the list of nicks. If Data 1 is set to anything it will scroll up, else it scrolls down"
+msgstr "Este comando desplaza hacia arriba y abajo la lista de pseudónimos. Si Data 1 esta establecido a cualquiera entonces se desplazará hacia arriba, sino se desplazará hacia abajo"
 
 #: src/fe-gtk/fkeys.c:177
-msgid ""
-"This command checks the last word entered in the entry against the replace "
-"list and replaces it if it finds a match"
-msgstr ""
-"Este comando comprueba la última palabra introducida en la entrada contra la "
-"lista de reemplazos y la reemplaza si encuentra una coincidencia"
+msgid "This command checks the last word entered in the entry against the replace list and replaces it if it finds a match"
+msgstr "Este comando comprueba la última palabra introducida en la entrada contra la lista de reemplazos y la reemplaza si encuentra una coincidencia"
 
 #: src/fe-gtk/fkeys.c:179
 msgid "This command moves the front tab left by one"
@@ -3415,18 +3317,22 @@
 
 #: src/fe-gtk/fkeys.c:187
 msgid "Push input line into history but doesn't send to server"
-msgstr ""
-"Colocar la linea de entrada en el historial pero sin enviarla al servidor"
+msgstr "Colocar la linea de entrada en el historial pero sin enviarla al servidor"
 
 #: src/fe-gtk/fkeys.c:198
 msgid "There was an error loading key bindings configuration"
-msgstr ""
-"Ha ocurrido un error cargando la configuración de las combinaciones de teclas"
+msgstr "Ha ocurrido un error cargando la configuración de las combinaciones de teclas"
 
-#: src/fe-gtk/fkeys.c:450 src/fe-gtk/fkeys.c:451 src/fe-gtk/fkeys.c:452
-#: src/fe-gtk/fkeys.c:453 src/fe-gtk/fkeys.c:743 src/fe-gtk/fkeys.c:749
-#: src/fe-gtk/fkeys.c:754 src/fe-gtk/maingui.c:1642 src/fe-gtk/maingui.c:1758
-#: src/fe-gtk/maingui.c:3259
+#: src/fe-gtk/fkeys.c:450
+#: src/fe-gtk/fkeys.c:451
+#: src/fe-gtk/fkeys.c:452
+#: src/fe-gtk/fkeys.c:453
+#: src/fe-gtk/fkeys.c:743
+#: src/fe-gtk/fkeys.c:749
+#: src/fe-gtk/fkeys.c:754
+#: src/fe-gtk/maingui.c:1635
+#: src/fe-gtk/maingui.c:1751
+#: src/fe-gtk/maingui.c:3252
 msgid "<none>"
 msgstr "<ninguno>"
 
@@ -3434,7 +3340,8 @@
 msgid "Mod"
 msgstr "Mod"
 
-#: src/fe-gtk/fkeys.c:708 src/fe-gtk/fkeys.c:803
+#: src/fe-gtk/fkeys.c:708
+#: src/fe-gtk/fkeys.c:803
 msgid "Key"
 msgstr "Tecla"
 
@@ -3476,8 +3383,7 @@
 "Unknown keyname %s in key bindings config file\n"
 "Load aborted, please fix %s/keybindings.conf\n"
 msgstr ""
-"Nombre de tecla desconocido %s en el archivo de configuración de "
-"combinaciones de teclas\n"
+"Nombre de tecla desconocido %s en el archivo de configuración de combinaciones de teclas\n"
 "Carga abortada, por favor corrija %s/.xchat/keybindings.conf\n"
 
 #: src/fe-gtk/fkeys.c:1057
@@ -3486,8 +3392,7 @@
 "Unknown action %s in key bindings config file\n"
 "Load aborted, Please fix %s/keybindings\n"
 msgstr ""
-"Acción desconocida %s en el archivo de configuración de combinaciones de "
-"teclas\n"
+"Acción desconocida %s en el archivo de configuración de combinaciones de teclas\n"
 "Carga abortada, por favor corrija %s/.xchat/keybindings\n"
 
 #: src/fe-gtk/fkeys.c:1078
@@ -3509,8 +3414,7 @@
 "Key bindings config file is corrupt, load aborted\n"
 "Please fix %s/keybindings.conf\n"
 msgstr ""
-"El archivo de configuración de las combinaciones de teclas está corrupto, "
-"carga abortada\n"
+"El archivo de configuración de las combinaciones de teclas está corrupto, carga abortada\n"
 "Por favor, corrija %s/.xchat/keybindings.conf\n"
 
 #: src/fe-gtk/gtkutil.c:117
@@ -3521,70 +3425,72 @@
 msgid "Cannot read that file."
 msgstr "No se puede leer ese archivo."
 
-#: src/fe-gtk/ignoregui.c:115 src/fe-gtk/ignoregui.c:262
+#: src/fe-gtk/ignoregui.c:117
+#: src/fe-gtk/ignoregui.c:264
 msgid "That mask already exists."
 msgstr "Esa máscara ya existe."
 
-#: src/fe-gtk/ignoregui.c:175 src/fe-gtk/maingui.c:2139
+#: src/fe-gtk/ignoregui.c:177
+#: src/fe-gtk/maingui.c:2132
 msgid "Private"
 msgstr "Privado"
 
-#: src/fe-gtk/ignoregui.c:176
+#: src/fe-gtk/ignoregui.c:178
 msgid "Notice"
 msgstr "Noticia"
 
-#: src/fe-gtk/ignoregui.c:177
+#: src/fe-gtk/ignoregui.c:179
 msgid "CTCP"
 msgstr "CTCP"
 
-#: src/fe-gtk/ignoregui.c:178
+#: src/fe-gtk/ignoregui.c:180
 msgid "DCC"
 msgstr "DCC"
 
-#: src/fe-gtk/ignoregui.c:179
+#: src/fe-gtk/ignoregui.c:181
 msgid "Invite"
 msgstr "Invitar"
 
-#: src/fe-gtk/ignoregui.c:180
+#: src/fe-gtk/ignoregui.c:182
 msgid "Unignore"
 msgstr "No ignorar"
 
-#: src/fe-gtk/ignoregui.c:306
+#: src/fe-gtk/ignoregui.c:308
 msgid "Enter mask to ignore:"
 msgstr "Introduzca la máscara que quiere ignorar:"
 
-#: src/fe-gtk/ignoregui.c:353
+#: src/fe-gtk/ignoregui.c:355
 msgid "XChat: Ignore list"
 msgstr "XChat: Lista de ignorados"
 
-#: src/fe-gtk/ignoregui.c:360
+#: src/fe-gtk/ignoregui.c:362
 msgid "Ignore Stats:"
 msgstr "Estadísticas de ignorados:"
 
-#: src/fe-gtk/ignoregui.c:368
+#: src/fe-gtk/ignoregui.c:370
 msgid "Channel:"
 msgstr "Canal:"
 
-#: src/fe-gtk/ignoregui.c:369
+#: src/fe-gtk/ignoregui.c:371
 msgid "Private:"
 msgstr "Privado:"
 
-#: src/fe-gtk/ignoregui.c:370
+#: src/fe-gtk/ignoregui.c:372
 msgid "Notice:"
 msgstr "Noticia:"
 
-#: src/fe-gtk/ignoregui.c:371
+#: src/fe-gtk/ignoregui.c:373
 msgid "CTCP:"
 msgstr "CTCP:"
 
-#: src/fe-gtk/ignoregui.c:372
+#: src/fe-gtk/ignoregui.c:374
 msgid "Invite:"
 msgstr "Invitar:"
 
-#: src/fe-gtk/ignoregui.c:383 src/fe-gtk/notifygui.c:426
-#, fuzzy
+#: src/fe-gtk/ignoregui.c:385
+#: src/fe-gtk/notifygui.c:428
 msgid "Add..."
-msgstr "Agregar"
+msgstr "Añadir..."
 
 #: src/fe-gtk/joind.c:83
 msgid "Channel name too short, try again."
@@ -3600,12 +3506,8 @@
 msgstr "Conexión a %s completa."
 
 #: src/fe-gtk/joind.c:159
-msgid ""
-"In the Server-List window, no channel (chat room) has been entered to be "
-"automatically joined for this network."
-msgstr ""
-"En la ventana de lista de servidores, no se ha ingresado un canal (chat "
-"room) para unirse a él en esta red."
+msgid "In the Server-List window, no channel (chat room) has been entered to be automatically joined for this network."
+msgstr "En la ventana de lista de servidores, no se ha ingresado un canal (chat room) para unirse a él en esta red."
 
 #: src/fe-gtk/joind.c:165
 msgid "What would you like to do next?"
@@ -3635,167 +3537,160 @@
 msgid "_Always show this dialog after connecting."
 msgstr "Siempre mostrar este diálogo después de la conexión."
 
-#: src/fe-gtk/maingui.c:504
+#: src/fe-gtk/maingui.c:506
 msgid "Dialog with"
 msgstr "Diálogo con"
 
-#: src/fe-gtk/maingui.c:795
+#: src/fe-gtk/maingui.c:793
 #, c-format
 msgid "Topic for %s is: %s"
 msgstr "Topic para %s es: %s"
 
-#: src/fe-gtk/maingui.c:800
+#: src/fe-gtk/maingui.c:798
 msgid "No topic is set"
 msgstr "No está definido ningun topic"
 
-#: src/fe-gtk/maingui.c:1189
+#: src/fe-gtk/maingui.c:1182
 #, c-format
-msgid ""
-"This server still has %d channels or dialogs associated with it. Close them "
-"all?"
-msgstr ""
-"Este servidor aún tiene %d canales o diálogos asociados con él. ¿Desea "
-"cerrarlos todos?"
+msgid "This server still has %d channels or dialogs associated with it. Close them all?"
+msgstr "Este servidor aún tiene %d canales o diálogos asociados con él. ¿Desea cerrarlos todos?"
 
-#: src/fe-gtk/maingui.c:1283
-#, fuzzy
+#: src/fe-gtk/maingui.c:1276
 msgid "Quit XChat?"
-msgstr "Acerca de XChat"
+msgstr "¿Salir de XChat?"
 
-#: src/fe-gtk/maingui.c:1304
+#: src/fe-gtk/maingui.c:1297
 msgid "Don't ask next time."
-msgstr ""
+msgstr "No preguntar la próxima vez."
 
-#: src/fe-gtk/maingui.c:1310
-#, fuzzy, c-format
+#: src/fe-gtk/maingui.c:1303
+#, c-format
 msgid "You are connected to %i IRC networks."
-msgstr "Conectarse automáticamente al inicio"
+msgstr "Estás conectado a %i redes IRC"
 
-#: src/fe-gtk/maingui.c:1312
+#: src/fe-gtk/maingui.c:1305
 msgid "Are you sure you want to quit?"
-msgstr ""
+msgstr "¿Estás seguro que quieres salir?"
 
-#: src/fe-gtk/maingui.c:1314
-#, fuzzy
+#: src/fe-gtk/maingui.c:1307
 msgid "Some file transfers are still active."
-msgstr ""
-"Algunas transferencias de archivos siguen activas, ¿desea salir de xchat?"
+msgstr "Algunas transferencias de ficheros aún estan activas."
 
-#: src/fe-gtk/maingui.c:1332
+#: src/fe-gtk/maingui.c:1325
 msgid "_Minimize to Tray"
-msgstr ""
+msgstr "_Minimizar a la bandeja"
 
-#: src/fe-gtk/maingui.c:1552
+#: src/fe-gtk/maingui.c:1545
 msgid "Insert Attribute or Color Code"
 msgstr "Insertar atributo o código de color"
 
-#: src/fe-gtk/maingui.c:1554
+#: src/fe-gtk/maingui.c:1547
 msgid "<b>Bold</b>"
 msgstr "<b>Negrita</b>"
 
-#: src/fe-gtk/maingui.c:1555
+#: src/fe-gtk/maingui.c:1548
 msgid "<u>Underline</u>"
 msgstr "<u>Subrayado</u>"
 
-#: src/fe-gtk/maingui.c:1557
+#: src/fe-gtk/maingui.c:1550
 msgid "Normal"
 msgstr "Normal"
 
-#: src/fe-gtk/maingui.c:1559
+#: src/fe-gtk/maingui.c:1552
 msgid "Colors 0-7"
 msgstr "Colores 0-7"
 
-#: src/fe-gtk/maingui.c:1569
+#: src/fe-gtk/maingui.c:1562
 msgid "Colors 8-15"
 msgstr "Colores 8-15"
 
-#: src/fe-gtk/maingui.c:1612
-#, fuzzy
+#: src/fe-gtk/maingui.c:1605
 msgid "_Settings"
-msgstr "C_onfiguración"
+msgstr "Pr_opiedades"
 
-#: src/fe-gtk/maingui.c:1614
+#: src/fe-gtk/maingui.c:1607
 msgid "_Log to Disk"
-msgstr ""
+msgstr "_Registrar al disco"
 
-#: src/fe-gtk/maingui.c:1615
+#: src/fe-gtk/maingui.c:1608
 msgid "_Reload Scrollback"
-msgstr ""
+msgstr "Recar_gar el registro de mensajes"
 
-#: src/fe-gtk/maingui.c:1617
-#, fuzzy
+#: src/fe-gtk/maingui.c:1610
 msgid "_Hide Join/Part Messages"
-msgstr "Ocultar mensajes de entrar/marchar"
+msgstr "_Ocultar mensajes de entrada/salida de usuarios."
 
-#: src/fe-gtk/maingui.c:1625
-#, fuzzy
+#: src/fe-gtk/maingui.c:1618
 msgid "_Extra Alerts"
-msgstr "Alertas"
+msgstr "Alertas _Extra"
 
-#: src/fe-gtk/maingui.c:1627
-#, fuzzy
+#: src/fe-gtk/maingui.c:1620
 msgid "Beep on _Message"
-msgstr "Pitar al llegar mensaje"
+msgstr "Emitir sonido al recibir un mensaje"
 
-#: src/fe-gtk/maingui.c:1628
+#: src/fe-gtk/maingui.c:1621
 msgid "Blink Tray _Icon"
-msgstr ""
+msgstr "Pestañear el ícono de la bandeja del sistema"
 
-#: src/fe-gtk/maingui.c:1629
+#: src/fe-gtk/maingui.c:1622
 msgid "Blink Task _Bar"
-msgstr ""
+msgstr "Pestañear la _Bandeja de Tareas"
 
-#: src/fe-gtk/maingui.c:1667 src/fe-gtk/menu.c:2142
-#, fuzzy
+#: src/fe-gtk/maingui.c:1660
+#: src/fe-gtk/menu.c:2124
 msgid "_Detach"
-msgstr "Separar solapa"
+msgstr "_Separar"
 
-#: src/fe-gtk/maingui.c:1669 src/fe-gtk/menu.c:2143 src/fe-gtk/menu.c:2148
-#: src/fe-gtk/plugingui.c:234 src/fe-gtk/search.c:151
+#: src/fe-gtk/maingui.c:1662
+#: src/fe-gtk/menu.c:2125
+#: src/fe-gtk/menu.c:2130
+#: src/fe-gtk/plugingui.c:236
+#: src/fe-gtk/search.c:144
 msgid "_Close"
 msgstr "_Cerrar"
 
-#: src/fe-gtk/maingui.c:2007 src/fe-gtk/maingui.c:2113
+#: src/fe-gtk/maingui.c:2000
+#: src/fe-gtk/maingui.c:2106
 msgid "User limit must be a number!\n"
 msgstr "¡El límite de usuarios debe ser un número!\n"
 
-#: src/fe-gtk/maingui.c:2135
+#: src/fe-gtk/maingui.c:2128
 msgid "Topic Protection"
 msgstr "Protección del topic"
 
-#: src/fe-gtk/maingui.c:2136
+#: src/fe-gtk/maingui.c:2129
 msgid "No outside messages"
 msgstr "No hay mensajes externos"
 
-#: src/fe-gtk/maingui.c:2137
+#: src/fe-gtk/maingui.c:2130
 msgid "Secret"
 msgstr "Secreto"
 
-#: src/fe-gtk/maingui.c:2138
+#: src/fe-gtk/maingui.c:2131
 msgid "Invite Only"
 msgstr "Sólo para invitados"
 
-#: src/fe-gtk/maingui.c:2140
+#: src/fe-gtk/maingui.c:2133
 msgid "Moderated"
 msgstr "Moderado"
 
-#: src/fe-gtk/maingui.c:2141
+#: src/fe-gtk/maingui.c:2134
 msgid "Ban List"
 msgstr "Lista de prohibidos"
 
-#: src/fe-gtk/maingui.c:2143
+#: src/fe-gtk/maingui.c:2136
 msgid "Keyword"
 msgstr "Palabra clave"
 
-#: src/fe-gtk/maingui.c:2155
+#: src/fe-gtk/maingui.c:2148
 msgid "User Limit"
 msgstr "Límite de usuarios"
 
-#: src/fe-gtk/maingui.c:2264
+#: src/fe-gtk/maingui.c:2257
 msgid "Show/Hide userlist"
 msgstr "Mostrar/Ocultar la lista de usuarios"
 
-#: src/fe-gtk/maingui.c:2389
+#: src/fe-gtk/maingui.c:2382
 msgid ""
 "Unable to set transparent background!\n"
 "\n"
@@ -3807,104 +3702,101 @@
 "Puede estar usando un gestor de ventanas \n"
 "que no está soportado actualmente.\n"
 
-#: src/fe-gtk/maingui.c:2660
+#: src/fe-gtk/maingui.c:2653
 msgid "Enter new nickname:"
-msgstr "Ingrese el apodo nuevo:"
+msgstr "Ingrese el pseudónimo nuevo:"
 
-#: src/fe-gtk/menu.c:124
+#: src/fe-gtk/menu.c:126
 msgid "Host unknown"
 msgstr "Equipo desconocido"
 
-#: src/fe-gtk/menu.c:615
+#: src/fe-gtk/menu.c:610
 #, c-format
 msgid "<tt><b>%-11s</b></tt> %s"
 msgstr "<tt><b>%-11s</b></tt> %s"
 
-#: src/fe-gtk/menu.c:621 src/fe-gtk/menu.c:625
+#: src/fe-gtk/menu.c:616
+#: src/fe-gtk/menu.c:620
 msgid "Real Name:"
 msgstr "Nombre real:"
 
-#: src/fe-gtk/menu.c:632
+#: src/fe-gtk/menu.c:624
 msgid "User:"
 msgstr "Usuario:"
 
-#: src/fe-gtk/menu.c:639
+#: src/fe-gtk/menu.c:628
 msgid "Country:"
 msgstr "País:"
 
-#: src/fe-gtk/menu.c:646
+#: src/fe-gtk/menu.c:632
 msgid "Server:"
 msgstr "Servidor:"
 
-#: src/fe-gtk/menu.c:657
+#: src/fe-gtk/menu.c:640
 #, c-format
 msgid "%u minutes ago"
 msgstr "hace %u minutos"
 
-#: src/fe-gtk/menu.c:659 src/fe-gtk/menu.c:662
+#: src/fe-gtk/menu.c:642
+#: src/fe-gtk/menu.c:645
 msgid "Last Msg:"
 msgstr "Último mensaje:"
 
-#: src/fe-gtk/menu.c:672
+#: src/fe-gtk/menu.c:655
 msgid "Away Msg:"
 msgstr "Mensaje de ausencia:"
 
-#: src/fe-gtk/menu.c:730
+#: src/fe-gtk/menu.c:710
 #, c-format
 msgid "%d nicks selected."
-msgstr ""
+msgstr "%d pseudónimos seleccionados."
 
-#: src/fe-gtk/menu.c:855
-msgid ""
-"The Menubar is now hidden. You can show it again by pressing F9 or right-"
-"clicking in a blank part of the main text area."
-msgstr ""
-"La barra de menú ahora está oculta. Puede mostrarla otra vez presionando F9 "
-"o pulsando el botón derecho en una parte en blanco de área de texto "
-"principal."
+#: src/fe-gtk/menu.c:835
+msgid "The Menubar is now hidden. You can show it again by pressing F9 or right-clicking in a blank part of the main text area."
+msgstr "La barra de menú ahora está oculta. Puede mostrarla otra vez presionando F9 o pulsando el botón derecho en una parte en blanco de área de texto principal."
 
-#: src/fe-gtk/menu.c:944
+#: src/fe-gtk/menu.c:930
 msgid "Open Link in Browser"
 msgstr "Abrir enlace en el navegador"
 
-#: src/fe-gtk/menu.c:945
+#: src/fe-gtk/menu.c:931
 msgid "Copy Selected Link"
 msgstr "Copiar URL seleccionada"
 
-#: src/fe-gtk/menu.c:1007 src/fe-gtk/menu.c:1278
+#: src/fe-gtk/menu.c:993
+#: src/fe-gtk/menu.c:1264
 msgid "Join Channel"
 msgstr "Entrar al canal"
 
-#: src/fe-gtk/menu.c:1011
+#: src/fe-gtk/menu.c:997
 msgid "Part Channel"
 msgstr "Invitar Canal"
 
-#: src/fe-gtk/menu.c:1013
+#: src/fe-gtk/menu.c:999
 msgid "Cycle Channel"
 msgstr "Ciclar canal"
 
-#: src/fe-gtk/menu.c:1049
+#: src/fe-gtk/menu.c:1035
 msgid "_Remove from Favorites"
-msgstr ""
+msgstr "_Eliminar de Favoritos"
 
-#: src/fe-gtk/menu.c:1051
+#: src/fe-gtk/menu.c:1037
 msgid "_Add to Favorites"
-msgstr ""
+msgstr "_Añadir a Favoritos"
 
-#: src/fe-gtk/menu.c:1070
+#: src/fe-gtk/menu.c:1056
 msgid "XChat: User menu"
 msgstr "XChat: Menú de usuario"
 
-#: src/fe-gtk/menu.c:1079
+#: src/fe-gtk/menu.c:1065
 msgid "Edit This Menu..."
 msgstr "Editar este menú..."
 
-#: src/fe-gtk/menu.c:1280
+#: src/fe-gtk/menu.c:1266
 msgid "Retrieve channel list..."
 msgstr "Recuperar lista de canales..."
 
-#: src/fe-gtk/menu.c:1348
-#, fuzzy
+#: src/fe-gtk/menu.c:1334
 msgid ""
 "User Commands - Special codes:\n"
 "\n"
@@ -3925,11 +3817,12 @@
 "%2 would be \"john\"\n"
 "&2 would be \"john hello\"."
 msgstr ""
-"Órdenes de usuario - Códigos especiales:\n"
+"Comandos de usuario - Códigos especiales:\n"
 "\n"
 "%c  =  canal actual\n"
+"%e  =  nombre de la red actual\n"
 "%m  =  información de la máquina\n"
-"%n  =  su apodo\n"
+"%n  =  su pseudónimo\n"
 "%t  =  hora/fecha\n"
 "%v  =  versión de xchat\n"
 "%2  =  palabra 2\n"
@@ -3943,8 +3836,7 @@
 "%2 podría ser \"john\"\n"
 "&2 podría ser \"john hello\"."
 
-#: src/fe-gtk/menu.c:1364
-#, fuzzy
+#: src/fe-gtk/menu.c:1350
 msgid ""
 "Userlist Buttons - Special codes:\n"
 "\n"
@@ -3959,16 +3851,16 @@
 msgstr ""
 "Botones de la lista de usuarios - Códigos especiales:\n"
 "\n"
-"%a  =  todos los apodos seleccionados\n"
+"%a  =  todos los pseudónimos seleccionados\n"
 "%c  =  canal actual\n"
-"%h  =  nombre del equipo del apodo seleccionado\n"
+"%e  =  nombre de la red actual\n"
+"%h  =  nombre del equipo del pseudónimo seleccionado\n"
 "%m  =  información de la maquina\n"
-"%n  =  su apodo\n"
-"%s  =  apodo seleccionado\n"
+"%n  =  su pseudónimo\n"
+"%s  =  pseudónimo seleccionado\n"
 "%t  =  hora/fecha\n"
 
-#: src/fe-gtk/menu.c:1374
-#, fuzzy
+#: src/fe-gtk/menu.c:1360
 msgid ""
 "Dialog Buttons - Special codes:\n"
 "\n"
@@ -3983,16 +3875,16 @@
 msgstr ""
 "Botones del dialogo - Códigos especiales:\n"
 "\n"
-"%a  =  todos los apodos seleccionados\n"
+"%a  =  todos los pseudónimos seleccionados\n"
 "%c  =  canal actual\n"
-"%h  =  nombre del equipo del apodo seleccionado\n"
+"%e  =  nombre de la red actual\n"
+"%h  =  nombre del equipo del pseudónimo seleccionado\n"
 "%m  =  información de la maquina\n"
-"%n  =  su apodo\n"
-"%s  =  apodo seleccionado\n"
+"%n  =  su pseudónimo\n"
+"%s  =  pseudónimo seleccionado\n"
 "%t  =  hora/fecha\n"
 
-#: src/fe-gtk/menu.c:1384
-#, fuzzy
+#: src/fe-gtk/menu.c:1370
 msgid ""
 "CTCP Replies - Special codes:\n"
 "\n"
@@ -4010,16 +3902,17 @@
 "Respuestas CTCP -Códigos especiales:\n"
 "\n"
 "%d  =  datos (el ctcp completo)\n"
+"%e  =  nombre de la red actual\n"
 "%m  =  información de la máquina\n"
-"%s  =  apodo de quien envió el ctcp\n"
+"%s  =  pseudónimo de quien envió el ctcp\n"
 "%t  =  hora/fecha\n"
 "%2  =  palabra 2\n"
 "%3  =  palabra 3\n"
-"&2  =  palabra 2 hasta el fin de linea\n"
-"&3  =  palabra 3 hasta el fin de linea\n"
+"&2  =  palabra 2 hasta el final de la línea\n"
+"&3  =  palabra 3 hasta el final de la línea\n"
 "\n"
 
-#: src/fe-gtk/menu.c:1395
+#: src/fe-gtk/menu.c:1381
 #, c-format
 msgid ""
 "URL Handlers - Special codes:\n"
@@ -4038,483 +3931,483 @@
 "que debería ser enviado hacia un shell \n"
 "en vez de hacia XChat"
 
-#: src/fe-gtk/menu.c:1404
+#: src/fe-gtk/menu.c:1390
 msgid "XChat: User Defined Commands"
 msgstr "XChat: Órdenes definidas por el usuario"
 
-#: src/fe-gtk/menu.c:1411
+#: src/fe-gtk/menu.c:1397
 msgid "XChat: Userlist Popup menu"
 msgstr "XChat: Menú emergente de la lista de usuarios"
 
-#: src/fe-gtk/menu.c:1418
+#: src/fe-gtk/menu.c:1404
 msgid "Replace with"
 msgstr "Reemplazar con"
 
-#: src/fe-gtk/menu.c:1418
+#: src/fe-gtk/menu.c:1404
 msgid "XChat: Replace"
 msgstr "XChat: Reemplazar"
 
-#: src/fe-gtk/menu.c:1425
+#: src/fe-gtk/menu.c:1411
 msgid "XChat: URL Handlers"
 msgstr "XChat: Manejadores de URL"
 
-#: src/fe-gtk/menu.c:1444
+#: src/fe-gtk/menu.c:1430
 msgid "XChat: Userlist buttons"
 msgstr "XChat: Botones de la lista de usuarios"
 
-#: src/fe-gtk/menu.c:1451
+#: src/fe-gtk/menu.c:1437
 msgid "XChat: Dialog buttons"
 msgstr "XChat: Botones de diálogo"
 
-#: src/fe-gtk/menu.c:1458
+#: src/fe-gtk/menu.c:1444
 msgid "XChat: CTCP Replies"
 msgstr "XChat: Respuestas CTCP"
 
-#: src/fe-gtk/menu.c:1564
+#: src/fe-gtk/menu.c:1550
 msgid "_XChat"
 msgstr "_XChat"
 
-#: src/fe-gtk/menu.c:1565
-#, fuzzy
+#: src/fe-gtk/menu.c:1551
 msgid "Network Li_st..."
-msgstr "Configuración de red"
+msgstr "Li_sta de Redes..."
 
-#: src/fe-gtk/menu.c:1568
+#: src/fe-gtk/menu.c:1554
 msgid "_New"
 msgstr "_Nuevo"
 
-#: src/fe-gtk/menu.c:1569
+#: src/fe-gtk/menu.c:1555
 msgid "Server Tab..."
 msgstr "Solapa de servidor..."
 
-#: src/fe-gtk/menu.c:1570
+#: src/fe-gtk/menu.c:1556
 msgid "Channel Tab..."
 msgstr "Solapa de canal..."
 
-#: src/fe-gtk/menu.c:1571
+#: src/fe-gtk/menu.c:1557
 msgid "Server Window..."
 msgstr "Ventana de servidor..."
 
-#: src/fe-gtk/menu.c:1572
+#: src/fe-gtk/menu.c:1558
 msgid "Channel Window..."
 msgstr "Ventana de canal..."
 
-#: src/fe-gtk/menu.c:1577 src/fe-gtk/menu.c:1579
+#: src/fe-gtk/menu.c:1563
+#: src/fe-gtk/menu.c:1565
 msgid "_Load Plugin or Script..."
 msgstr "Cargar guión o complemento..."
 
-#: src/fe-gtk/menu.c:1587 src/fe-gtk/plugin-tray.c:610
+#: src/fe-gtk/menu.c:1573
+#: src/fe-gtk/plugin-tray.c:604
 msgid "_Quit"
 msgstr "_Salir"
 
-#: src/fe-gtk/menu.c:1589
+#: src/fe-gtk/menu.c:1575
 msgid "_View"
 msgstr "_Ver"
 
-#: src/fe-gtk/menu.c:1591
-#, fuzzy
+#: src/fe-gtk/menu.c:1577
 msgid "_Menu Bar"
-msgstr "Barra del menú"
+msgstr "Barra de _Menús"
 
-#: src/fe-gtk/menu.c:1592
-#, fuzzy
+#: src/fe-gtk/menu.c:1578
 msgid "_Topic Bar"
-msgstr "Barra del topic"
+msgstr "Barra del _Tema"
 
-#: src/fe-gtk/menu.c:1593
-#, fuzzy
+#: src/fe-gtk/menu.c:1579
 msgid "_User List"
-msgstr "Lista de usuarios"
+msgstr "Lista de_Usuarios"
 
-#: src/fe-gtk/menu.c:1594
-#, fuzzy
+#: src/fe-gtk/menu.c:1580
 msgid "U_serlist Buttons"
-msgstr "Botones de lista de usuarios"
+msgstr "Botones de la Lista de U_suarios"
 
-#: src/fe-gtk/menu.c:1595
+#: src/fe-gtk/menu.c:1581
 msgid "M_ode Buttons"
 msgstr "Botones del modo del canal"
 
-#: src/fe-gtk/menu.c:1597
-#, fuzzy
+#: src/fe-gtk/menu.c:1583
 msgid "_Channel Switcher"
-msgstr "Lista de canales..."
+msgstr "Conmutador de _Canales"
 
-#: src/fe-gtk/menu.c:1599
+#: src/fe-gtk/menu.c:1585
 msgid "_Tabs"
 msgstr "Solapas"
 
-#: src/fe-gtk/menu.c:1600
+#: src/fe-gtk/menu.c:1586
 msgid "T_ree"
 msgstr "Árbol"
 
-#: src/fe-gtk/menu.c:1602
-#, fuzzy
+#: src/fe-gtk/menu.c:1588
 msgid "_Network Meters"
-msgstr "Configuración de red"
+msgstr "_Medidores de tráfico de Red"
 
-#: src/fe-gtk/menu.c:1604
+#: src/fe-gtk/menu.c:1590
 msgid "Off"
 msgstr "Apagar"
 
-#: src/fe-gtk/menu.c:1605
+#: src/fe-gtk/menu.c:1591
 msgid "Graph"
 msgstr "Gráfico"
 
-#: src/fe-gtk/menu.c:1610
+#: src/fe-gtk/menu.c:1596
 msgid "_Server"
 msgstr "_Servidor"
 
-#: src/fe-gtk/menu.c:1611
+#: src/fe-gtk/menu.c:1597
 msgid "_Disconnect"
 msgstr "_Desconectar"
 
-#: src/fe-gtk/menu.c:1612
+#: src/fe-gtk/menu.c:1598
 msgid "_Reconnect"
 msgstr "_Reconectar"
 
-#: src/fe-gtk/menu.c:1613
-#, fuzzy
+#: src/fe-gtk/menu.c:1599
 msgid "Join a Channel..."
-msgstr "Entrar al canal..."
+msgstr "Unirse a un Canal..."
 
-#: src/fe-gtk/menu.c:1614
-#, fuzzy
+#: src/fe-gtk/menu.c:1600
 msgid "List of Channels..."
-msgstr "Entrar al canal..."
+msgstr "Lista de Canales..."
 
-#: src/fe-gtk/menu.c:1617
+#: src/fe-gtk/menu.c:1603
 msgid "Marked Away"
 msgstr "Ausencia marcada"
 
-#: src/fe-gtk/menu.c:1619
+#: src/fe-gtk/menu.c:1605
 msgid "_Usermenu"
 msgstr "Menú de usuario"
 
-#: src/fe-gtk/menu.c:1621
+#: src/fe-gtk/menu.c:1607
 msgid "S_ettings"
 msgstr "C_onfiguración"
 
-#: src/fe-gtk/menu.c:1622
+#: src/fe-gtk/menu.c:1608
 msgid "_Preferences"
 msgstr "_Preferencias"
 
-#: src/fe-gtk/menu.c:1624
+#: src/fe-gtk/menu.c:1610
 msgid "Advanced"
 msgstr "Avanzado"
 
-#: src/fe-gtk/menu.c:1625
+#: src/fe-gtk/menu.c:1611
 msgid "Auto Replace..."
 msgstr "Reemplazar automáticamente.."
 
-#: src/fe-gtk/menu.c:1626
+#: src/fe-gtk/menu.c:1612
 msgid "CTCP Replies..."
 msgstr "Respuestas CTCP..."
 
-#: src/fe-gtk/menu.c:1627
+#: src/fe-gtk/menu.c:1613
 msgid "Dialog Buttons..."
 msgstr "Botones de diálogo..."
 
-#: src/fe-gtk/menu.c:1628
+#: src/fe-gtk/menu.c:1614
 msgid "Keyboard Shortcuts..."
 msgstr "Atajos de teclado..."
 
-#: src/fe-gtk/menu.c:1629
+#: src/fe-gtk/menu.c:1615
 msgid "Text Events..."
 msgstr "Textos de eventos..."
 
-#: src/fe-gtk/menu.c:1630
+#: src/fe-gtk/menu.c:1616
 msgid "URL Handlers..."
 msgstr "Manejadores de URL..."
 
-#: src/fe-gtk/menu.c:1631
+#: src/fe-gtk/menu.c:1617
 msgid "User Commands..."
 msgstr "Órdenes de usuario..."
 
-#: src/fe-gtk/menu.c:1632
+#: src/fe-gtk/menu.c:1618
 msgid "Userlist Buttons..."
 msgstr "Botones de lista de usuarios..."
 
-#: src/fe-gtk/menu.c:1633
+#: src/fe-gtk/menu.c:1619
 msgid "Userlist Popup..."
 msgstr "Ventana de lista de usuarios..."
 
-#: src/fe-gtk/menu.c:1636
+#: src/fe-gtk/menu.c:1622
 msgid "_Window"
 msgstr "_Ventana"
 
-#: src/fe-gtk/menu.c:1637
+#: src/fe-gtk/menu.c:1623
 msgid "Ban List..."
 msgstr "Lista de bans..."
 
-#: src/fe-gtk/menu.c:1638
+#: src/fe-gtk/menu.c:1624
 msgid "Character Chart..."
 msgstr "Lista de caracteres..."
 
-#: src/fe-gtk/menu.c:1639
+#: src/fe-gtk/menu.c:1625
 msgid "Direct Chat..."
 msgstr "Charla directa..."
 
-#: src/fe-gtk/menu.c:1640
+#: src/fe-gtk/menu.c:1626
 msgid "File Transfers..."
 msgstr "Transferencias de archivos..."
 
-#: src/fe-gtk/menu.c:1641
-#, fuzzy
+#: src/fe-gtk/menu.c:1627
 msgid "Friends List..."
-msgstr "Lista de bans..."
+msgstr "Lista de Amigos..."
 
-#: src/fe-gtk/menu.c:1642
+#: src/fe-gtk/menu.c:1628
 msgid "Ignore List..."
 msgstr "Lista de ignorados..."
 
-#: src/fe-gtk/menu.c:1643
+#: src/fe-gtk/menu.c:1629
 msgid "Plugins and Scripts..."
 msgstr "Complementos y guiones..."
 
-#: src/fe-gtk/menu.c:1644
+#: src/fe-gtk/menu.c:1630
 msgid "Raw Log..."
 msgstr "Registro plano..."
 
-#: src/fe-gtk/menu.c:1645
+#: src/fe-gtk/menu.c:1631
 msgid "URL Grabber..."
 msgstr "Capturador de URL..."
 
-#: src/fe-gtk/menu.c:1647
+#: src/fe-gtk/menu.c:1633
 msgid "Reset Marker Line"
 msgstr "Reiniciar la línea de marcado"
 
-#: src/fe-gtk/menu.c:1648
+#: src/fe-gtk/menu.c:1634
 msgid "C_lear Text"
 msgstr "_Limpiar texto"
 
-#: src/fe-gtk/menu.c:1650
+#: src/fe-gtk/menu.c:1636
 msgid "Search Text..."
 msgstr "Buscar texto..."
 
-#: src/fe-gtk/menu.c:1651
+#: src/fe-gtk/menu.c:1637
 msgid "Save Text..."
 msgstr "Guardar texto..."
 
-#: src/fe-gtk/menu.c:1653 src/fe-gtk/menu.c:2134
+#: src/fe-gtk/menu.c:1639
+#: src/fe-gtk/menu.c:2116
 msgid "_Help"
 msgstr "A_yuda"
 
-#: src/fe-gtk/menu.c:1654
+#: src/fe-gtk/menu.c:1640
 msgid "_Contents"
 msgstr "_Contenidos"
 
-#: src/fe-gtk/menu.c:1656
+#: src/fe-gtk/menu.c:1642
 msgid "Check for updates"
-msgstr ""
+msgstr "Comprobar actualizaciones"
 
-#: src/fe-gtk/menu.c:1658
+#: src/fe-gtk/menu.c:1644
 msgid "_About"
 msgstr "_Acerca de"
 
-#: src/fe-gtk/menu.c:2147
-#, fuzzy
+#: src/fe-gtk/menu.c:2129
 msgid "_Attach"
-msgstr "_Ventana adjunta"
+msgstr "_Adjuntar"
 
-#: src/fe-gtk/notifygui.c:138
+#: src/fe-gtk/notifygui.c:140
 msgid "Last Seen"
 msgstr "Visto por última vez"
 
-#: src/fe-gtk/notifygui.c:180
+#: src/fe-gtk/notifygui.c:182
 msgid "Offline"
 msgstr "Desconectado"
 
-#: src/fe-gtk/notifygui.c:200 src/fe-gtk/setup.c:231
+#: src/fe-gtk/notifygui.c:202
+#: src/fe-gtk/setup.c:231
 msgid "Never"
 msgstr "Nunca"
 
-#: src/fe-gtk/notifygui.c:203 src/fe-gtk/notifygui.c:228
-#, fuzzy, c-format
+#: src/fe-gtk/notifygui.c:205
+#: src/fe-gtk/notifygui.c:230
+#, c-format
 msgid "%d minutes ago"
-msgstr "hace %u minutos"
+msgstr "hace %d minutos"
 
-#: src/fe-gtk/notifygui.c:218
+#: src/fe-gtk/notifygui.c:220
 msgid "Online"
 msgstr "Conectado"
 
-#: src/fe-gtk/notifygui.c:347
+#: src/fe-gtk/notifygui.c:349
 msgid "Enter nickname to add:"
-msgstr "Introduzica el apodo a añadir:"
+msgstr "Introduzica el pseudónimo a añadir:"
 
-#: src/fe-gtk/notifygui.c:376
+#: src/fe-gtk/notifygui.c:378
 msgid "Notify on these networks:"
-msgstr ""
+msgstr "Notificaciones en estas redes:"
 
-#: src/fe-gtk/notifygui.c:387
+#: src/fe-gtk/notifygui.c:389
 msgid "Comma separated list of networks is accepted."
-msgstr ""
+msgstr "Se acepta una lista de redes separadas por comas."
 
-#: src/fe-gtk/notifygui.c:413
-#, fuzzy
+#: src/fe-gtk/notifygui.c:415
 msgid "XChat: Friends List"
-msgstr "XChat: Lista de archivos a enviar"
+msgstr "XChat: Lista de Amigos"
 
-#: src/fe-gtk/notifygui.c:434
-#, fuzzy
+#: src/fe-gtk/notifygui.c:436
 msgid "Open Dialog"
-msgstr "Abrir la ventana de diálogo"
+msgstr "Abrir una ventana de diálogo"
 
-#: src/fe-gtk/plugin-tray.c:250
+#: src/fe-gtk/plugin-tray.c:248
 msgid ""
 "Cannot find 'notify-send' to open balloon alerts.\n"
 "Please install libnotify."
 msgstr ""
+"No se puede encontrar 'notify-send' para abrir alertas de globo.\n"
+"Por favor installe libnotify."
 
-#: src/fe-gtk/plugin-tray.c:301
+#: src/fe-gtk/plugin-tray.c:299
 #, c-format
 msgid "XChat: Connected to %u networks and %u channels"
-msgstr ""
+msgstr "XChat: Conectado a %u redes y %u canales."
 
-#: src/fe-gtk/plugin-tray.c:589
+#: src/fe-gtk/plugin-tray.c:583
 msgid "_Restore"
-msgstr ""
+msgstr "_Restaurar"
 
-#: src/fe-gtk/plugin-tray.c:591
-#, fuzzy
+#: src/fe-gtk/plugin-tray.c:585
 msgid "_Hide"
-msgstr "Oculto"
+msgstr "Ocul_tar"
 
-#: src/fe-gtk/plugin-tray.c:594
+#: src/fe-gtk/plugin-tray.c:588
 msgid "_Blink on"
-msgstr ""
+msgstr "_Pestañear para"
 
-#: src/fe-gtk/plugin-tray.c:595 src/fe-gtk/setup.c:479
-#, fuzzy
+#: src/fe-gtk/plugin-tray.c:589
+#: src/fe-gtk/setup.c:479
 msgid "Channel Message"
-msgstr "Nombre del canal"
+msgstr "Mensaje al Canal"
 
-#: src/fe-gtk/plugin-tray.c:596 src/fe-gtk/setup.c:480
-#, fuzzy
+#: src/fe-gtk/plugin-tray.c:590
+#: src/fe-gtk/setup.c:480
 msgid "Private Message"
-msgstr "Pitar en mensajes privados"
+msgstr "Mensajes Privados"
 
-#: src/fe-gtk/plugin-tray.c:597 src/fe-gtk/setup.c:481
-#, fuzzy
+#: src/fe-gtk/plugin-tray.c:591
+#: src/fe-gtk/setup.c:481
 msgid "Highlighted Message"
-msgstr "Pitar en mensajes resaltados"
+msgstr "Mensaje Resaltado"
 
-#: src/fe-gtk/plugin-tray.c:600
+#: src/fe-gtk/plugin-tray.c:594
 msgid "_Change status"
-msgstr ""
+msgstr "_Cambiar estado"
 
-#: src/fe-gtk/plugin-tray.c:602
-#, fuzzy
+#: src/fe-gtk/plugin-tray.c:596
 msgid "_Away"
-msgstr "Ausente"
+msgstr "_Ausente"
 
-#: src/fe-gtk/plugin-tray.c:605
+#: src/fe-gtk/plugin-tray.c:599
 msgid "_Back"
-msgstr ""
+msgstr "_Disponible"
 
-#: src/fe-gtk/plugin-tray.c:654 src/fe-gtk/plugin-tray.c:662
+#: src/fe-gtk/plugin-tray.c:648
+#: src/fe-gtk/plugin-tray.c:656
 #, c-format
 msgid "XChat: Highlighted message from: %s (%s)"
-msgstr ""
+msgstr "XChat: Mensaje resaltado de: %s (%s)"
 
-#: src/fe-gtk/plugin-tray.c:657
+#: src/fe-gtk/plugin-tray.c:651
 #, c-format
 msgid "XChat: %u highlighted messages, latest from: %s (%s)"
-msgstr ""
+msgstr "XChat: %u mensajes resaltados, el último de: %s (%s)"
 
-#: src/fe-gtk/plugin-tray.c:680 src/fe-gtk/plugin-tray.c:687
+#: src/fe-gtk/plugin-tray.c:674
+#: src/fe-gtk/plugin-tray.c:681
 #, c-format
 msgid "XChat: New public message from: %s (%s)"
-msgstr ""
+msgstr "XChat: Nuevo mensaje público de: %s (%s)"
 
-#: src/fe-gtk/plugin-tray.c:683
+#: src/fe-gtk/plugin-tray.c:677
 #, c-format
 msgid "XChat: %u new public messages."
-msgstr ""
+msgstr "XChat: %u mensajes públicos nuevos."
 
-#: src/fe-gtk/plugin-tray.c:709 src/fe-gtk/plugin-tray.c:716
+#: src/fe-gtk/plugin-tray.c:703
+#: src/fe-gtk/plugin-tray.c:710
 #, c-format
 msgid "XChat: Private message from: %s (%s)"
-msgstr ""
+msgstr "XChat: Mensaje privado de: %s (%s)"
 
-#: src/fe-gtk/plugin-tray.c:712
+#: src/fe-gtk/plugin-tray.c:706
 #, c-format
 msgid "XChat: %u private messages, latest from: %s (%s)"
-msgstr ""
+msgstr "XChat: %u mensajes privados, el último de: %s (%s)"
 
-#: src/fe-gtk/plugin-tray.c:762 src/fe-gtk/plugin-tray.c:770
+#: src/fe-gtk/plugin-tray.c:756
+#: src/fe-gtk/plugin-tray.c:764
 #, c-format
 msgid "XChat: File offer from: %s (%s)"
-msgstr ""
+msgstr "XChat; Fichero ofrecido por: %s (%s)"
 
-#: src/fe-gtk/plugin-tray.c:765
+#: src/fe-gtk/plugin-tray.c:759
 #, c-format
 msgid "XChat: %u file offers, latest from: %s (%s)"
-msgstr ""
+msgstr "XChat: %u ficheros ofrecidos, el último por %s (%s)"
 
-#: src/fe-gtk/plugingui.c:72
+#: src/fe-gtk/plugingui.c:74
 msgid "Version"
 msgstr "Versión"
 
-#: src/fe-gtk/plugingui.c:74 src/fe-gtk/textgui.c:424
+#: src/fe-gtk/plugingui.c:76
+#: src/fe-gtk/textgui.c:424
 msgid "Description"
 msgstr "Descripción"
 
-#: src/fe-gtk/plugingui.c:149
+#: src/fe-gtk/plugingui.c:151
 msgid "Select a Plugin or Script to load"
 msgstr "Seleccione una extensión o guión a cargar"
 
-#: src/fe-gtk/plugingui.c:221
+#: src/fe-gtk/plugingui.c:223
 msgid "XChat: Plugins and Scripts"
 msgstr "XChat: complementos y guiones"
 
-#: src/fe-gtk/plugingui.c:227
+#: src/fe-gtk/plugingui.c:229
 msgid "_Load..."
 msgstr "_Cargar..."
 
-#: src/fe-gtk/plugingui.c:230
+#: src/fe-gtk/plugingui.c:232
 msgid "_UnLoad"
 msgstr "_Desactivar"
 
-#: src/fe-gtk/rawlog.c:79 src/fe-gtk/rawlog.c:128 src/fe-gtk/textgui.c:438
-#: src/fe-gtk/urlgrab.c:203
+#: src/fe-gtk/rawlog.c:81
+#: src/fe-gtk/rawlog.c:130
+#: src/fe-gtk/textgui.c:438
+#: src/fe-gtk/urlgrab.c:205
 msgid "Save As..."
 msgstr "Guardar como..."
 
-#: src/fe-gtk/rawlog.c:95
+#: src/fe-gtk/rawlog.c:97
 #, c-format
 msgid "XChat: Rawlog (%s)"
 msgstr "XChat: Registro plano (%s)"
 
-#: src/fe-gtk/rawlog.c:125
+#: src/fe-gtk/rawlog.c:127
 msgid "Clear rawlog"
 msgstr "Limpiar registro plano"
 
-#: src/fe-gtk/search.c:56
+#: src/fe-gtk/search.c:57
 msgid "The window you opened this Search for doesn't exist anymore."
 msgstr "La ventana que ha abierto esta búsqueda no existe mas."
 
-#: src/fe-gtk/search.c:64
+#: src/fe-gtk/search.c:65
 msgid "Search hit end, not found."
 msgstr "Terminó la búsqueda, no se encontró."
 
-#: src/fe-gtk/search.c:116
+#: src/fe-gtk/search.c:109
 msgid "XChat: Search"
 msgstr "XChat: Buscar"
 
-#: src/fe-gtk/search.c:134
+#: src/fe-gtk/search.c:127
 msgid "_Match case"
-msgstr ""
+msgstr "_Coincidir mayúsculas"
 
-#: src/fe-gtk/search.c:140
+#: src/fe-gtk/search.c:133
 msgid "Search _backwards"
-msgstr ""
+msgstr "_Buscar hacia atrás"
 
-#: src/fe-gtk/search.c:153
+#: src/fe-gtk/search.c:146
 msgid "_Find"
 msgstr "Buscar"
 
-#: src/fe-gtk/servlistgui.c:171 src/fe-gtk/servlistgui.c:269
+#: src/fe-gtk/servlistgui.c:171
+#: src/fe-gtk/servlistgui.c:269
 msgid "New Network"
 msgstr "Nueva red"
 
@@ -4524,190 +4417,176 @@
 msgstr "¿Realmente desea eliminar la red \"%s\" y todos sus servidores?"
 
 #: src/fe-gtk/servlistgui.c:740
-#, fuzzy
 msgid "#channel"
-msgstr "canal"
+msgstr "#canal"
 
-#: src/fe-gtk/servlistgui.c:850
-#, fuzzy
+#: src/fe-gtk/servlistgui.c:847
 msgid "XChat: Favorite Channels (Auto-Join List)"
-msgstr "XChat: Lista de canales (%s)"
+msgstr "XChat: Lista de canales Favoritos (Lista de entrada automática)"
 
-#: src/fe-gtk/servlistgui.c:863
+#: src/fe-gtk/servlistgui.c:859
 #, c-format
 msgid "These channels will be joined whenever you connect to %s."
-msgstr ""
+msgstr "Cuando te conectes a %s te unirás a estos canales."
 
-#: src/fe-gtk/servlistgui.c:906
-#, fuzzy
+#: src/fe-gtk/servlistgui.c:902
 msgid "Key (Password)"
-msgstr "Contraseña:"
+msgstr "Llave (Contraseña)"
 
-#: src/fe-gtk/servlistgui.c:937 src/fe-gtk/servlistgui.c:1566
+#: src/fe-gtk/servlistgui.c:933
+#: src/fe-gtk/servlistgui.c:1535
 msgid "_Edit"
 msgstr "_Editar"
 
-#: src/fe-gtk/servlistgui.c:973
+#: src/fe-gtk/servlistgui.c:969
 #, c-format
 msgid "%s has been removed."
-msgstr ""
+msgstr "%s ha sido suprimido."
 
-#: src/fe-gtk/servlistgui.c:993
+#: src/fe-gtk/servlistgui.c:989
 #, c-format
 msgid "%s has been added."
-msgstr ""
+msgstr "%s ha sido añadido."
 
-#: src/fe-gtk/servlistgui.c:1017
+#: src/fe-gtk/servlistgui.c:1013
 msgid "User name and Real name cannot be left blank."
 msgstr "EL nombre y el nombre real no pueden estar en blanco."
 
-#: src/fe-gtk/servlistgui.c:1397
+#: src/fe-gtk/servlistgui.c:1366
 #, c-format
 msgid "XChat: Edit %s"
 msgstr "XChat: Editar %s"
 
-#: src/fe-gtk/servlistgui.c:1416
+#: src/fe-gtk/servlistgui.c:1385
 #, c-format
 msgid "Servers for %s"
 msgstr "Servidores para %s"
 
-#: src/fe-gtk/servlistgui.c:1427
+#: src/fe-gtk/servlistgui.c:1396
 msgid "Connect to selected server only"
 msgstr "Conectar únicamente al servidor seleccionado"
 
-#: src/fe-gtk/servlistgui.c:1428
+#: src/fe-gtk/servlistgui.c:1397
 msgid "Don't cycle through all the servers when the connection fails."
 msgstr "No recorrer todos los servidores cuando la conexión falle."
 
-#: src/fe-gtk/servlistgui.c:1430
+#: src/fe-gtk/servlistgui.c:1399
 msgid "Your Details"
 msgstr "Sus datos"
 
-#: src/fe-gtk/servlistgui.c:1436
+#: src/fe-gtk/servlistgui.c:1405
 msgid "Use global user information"
 msgstr "Usar información global de usuario"
 
-#: src/fe-gtk/servlistgui.c:1439 src/fe-gtk/servlistgui.c:1671
+#: src/fe-gtk/servlistgui.c:1408
+#: src/fe-gtk/servlistgui.c:1640
 msgid "_Nick name:"
 msgstr "Apodo:"
 
-#: src/fe-gtk/servlistgui.c:1443 src/fe-gtk/servlistgui.c:1678
+#: src/fe-gtk/servlistgui.c:1412
+#: src/fe-gtk/servlistgui.c:1647
 msgid "Second choice:"
 msgstr "Segunda opción:"
 
-#: src/fe-gtk/servlistgui.c:1447 src/fe-gtk/servlistgui.c:1692
+#: src/fe-gtk/servlistgui.c:1416
+#: src/fe-gtk/servlistgui.c:1661
 msgid "_User name:"
 msgstr "Nombre de _usuario:"
 
-#: src/fe-gtk/servlistgui.c:1451 src/fe-gtk/servlistgui.c:1699
+#: src/fe-gtk/servlistgui.c:1420
+#: src/fe-gtk/servlistgui.c:1668
 msgid "Rea_l name:"
 msgstr "Nombre rea_l:"
 
-#: src/fe-gtk/servlistgui.c:1454
+#: src/fe-gtk/servlistgui.c:1423
 msgid "Connecting"
 msgstr "Conectando"
 
-#: src/fe-gtk/servlistgui.c:1460
+#: src/fe-gtk/servlistgui.c:1429
 msgid "Auto connect to this network at startup"
 msgstr "Conectarse automáticamente al inicio"
 
-#: src/fe-gtk/servlistgui.c:1462
-#, fuzzy
+#: src/fe-gtk/servlistgui.c:1431
 msgid "Bypass proxy server"
-msgstr "Usar un servidor proxy"
+msgstr "Saltarse las restricciones del servidor proxy"
 
-#: src/fe-gtk/servlistgui.c:1464
+#: src/fe-gtk/servlistgui.c:1433
 msgid "Use SSL for all the servers on this network"
 msgstr "Usar SSL con todos los servidores de esta red"
 
-#: src/fe-gtk/servlistgui.c:1469
+#: src/fe-gtk/servlistgui.c:1438
 msgid "Accept invalid SSL certificate"
 msgstr "Aceptar certificado inválido"
 
-#: src/fe-gtk/servlistgui.c:1475
-#, fuzzy
+#: src/fe-gtk/servlistgui.c:1444
 msgid "_Favorite channels:"
-msgstr "Abandonar canal:"
+msgstr "Canales _Favoritos:"
 
-#: src/fe-gtk/servlistgui.c:1477
+#: src/fe-gtk/servlistgui.c:1446
 msgid "Channels to join, separated by commas, but not spaces!"
 msgstr "Canales a los que entrar, separados por comas, ¡no por espacios!"
 
-#: src/fe-gtk/servlistgui.c:1480
+#: src/fe-gtk/servlistgui.c:1449
 msgid "Connect command:"
 msgstr "Orden de conexión:"
 
-#: src/fe-gtk/servlistgui.c:1482
-msgid ""
-"Extra command to execute after connecting. If you need more than one, set "
-"this to LOAD -e <filename>, where <filename> is a text-file full of commands "
-"to execute."
-msgstr ""
-"Orden extra para ejecutar después de conectarse. Si necesita más de una, "
-"póngala como «LOAD -e <nombrearchivo>», donde <nombrearchivo> es un archivo "
-"de texto con ordenes a ejecutar."
+#: src/fe-gtk/servlistgui.c:1451
+msgid "Extra command to execute after connecting. If you need more than one, set this to LOAD -e <filename>, where <filename> is a text-file full of commands to execute."
+msgstr "Orden extra para ejecutar después de conectarse. Si necesita más de una, póngala como «LOAD -e <nombrearchivo>», donde <nombrearchivo> es un archivo de texto con ordenes a ejecutar."
 
-#: src/fe-gtk/servlistgui.c:1485
+#: src/fe-gtk/servlistgui.c:1454
 msgid "Nickserv password:"
 msgstr "Contraseña del «nickserv»:"
 
-#: src/fe-gtk/servlistgui.c:1487
-msgid ""
-"If your nickname requires a password, enter it here. Not all IRC networks "
-"support this."
-msgstr ""
-"Si su apodo requiere contraseña, ingrésela aquí. No todas las redes IRC "
-"soportan esta característica."
+#: src/fe-gtk/servlistgui.c:1456
+msgid "If your nickname requires a password, enter it here. Not all IRC networks support this."
+msgstr "Si su pseudónimo requiere contraseña, ingrésela aquí. No todas las redes IRC soportan esta característica."
 
-#: src/fe-gtk/servlistgui.c:1491
+#: src/fe-gtk/servlistgui.c:1460
 msgid "Server password:"
 msgstr "Contraseña del servidor:"
 
-#: src/fe-gtk/servlistgui.c:1493
+#: src/fe-gtk/servlistgui.c:1462
 msgid "Password for the server, if in doubt, leave blank."
 msgstr "Contraseña para el servidor. En caso de duda, dejar en blanco."
 
-#: src/fe-gtk/servlistgui.c:1496
+#: src/fe-gtk/servlistgui.c:1465
 msgid "Character set:"
 msgstr "Juego de caracteres:"
 
-#: src/fe-gtk/servlistgui.c:1649
-#, fuzzy
+#: src/fe-gtk/servlistgui.c:1618
 msgid "XChat: Network List"
-msgstr "XChat: Lista de notificacines"
+msgstr "XChat: Lista de Redes"
 
-#: src/fe-gtk/servlistgui.c:1661
+#: src/fe-gtk/servlistgui.c:1630
 msgid "User Information"
 msgstr "Información sobre usuario"
 
-#: src/fe-gtk/servlistgui.c:1685
+#: src/fe-gtk/servlistgui.c:1654
 msgid "Third choice:"
 msgstr "Tercera opción:"
 
-#: src/fe-gtk/servlistgui.c:1745
+#: src/fe-gtk/servlistgui.c:1714
 msgid "Networks"
 msgstr "Redes"
 
-#: src/fe-gtk/servlistgui.c:1786
-#, fuzzy
+#: src/fe-gtk/servlistgui.c:1755
 msgid "Skip network list on startup"
-msgstr "No mostrar lista de servidores al inicio"
+msgstr "No mostrar la lista de redes al iniciar el programa"
 
-#: src/fe-gtk/servlistgui.c:1818
+#: src/fe-gtk/servlistgui.c:1787
 msgid "_Edit..."
 msgstr "_Editar..."
 
-#: src/fe-gtk/servlistgui.c:1825
+#: src/fe-gtk/servlistgui.c:1794
 msgid "_Sort"
 msgstr "Ordenar"
 
-#: src/fe-gtk/servlistgui.c:1826
-msgid ""
-"Sorts the network list in alphabetical order. Use SHIFT-UP and SHIFT-DOWN "
-"keys to move a row."
-msgstr ""
+#: src/fe-gtk/servlistgui.c:1795
+msgid "Sorts the network list in alphabetical order. Use SHIFT-UP and SHIFT-DOWN keys to move a row."
+msgstr "Ordena la lista de redes en orden alfabético. Usa las teclas SHIFT-ARRIBA y SHIFT-ABAJO para mover una fila."
 
-#: src/fe-gtk/servlistgui.c:1851
+#: src/fe-gtk/servlistgui.c:1820
 msgid "C_onnect"
 msgstr "C_onectar"
 
@@ -4737,11 +4616,11 @@
 
 #: src/fe-gtk/setup.c:110
 msgid "Indent nick names"
-msgstr "Indentar apodos"
+msgstr "Indentar pseudónimos"
 
 #: src/fe-gtk/setup.c:111
 msgid "Make nick names right-justified"
-msgstr "Justificar los apodos a la derecha."
+msgstr "Justificar los pseudónimos a la derecha."
 
 #: src/fe-gtk/setup.c:112
 msgid "Transparent background"
@@ -4771,7 +4650,8 @@
 msgid "Blue:"
 msgstr "Azul:"
 
-#: src/fe-gtk/setup.c:120 src/fe-gtk/setup.c:391
+#: src/fe-gtk/setup.c:120
+#: src/fe-gtk/setup.c:391
 msgid "Time Stamps"
 msgstr "Marcas de fecha/hora"
 
@@ -4783,23 +4663,27 @@
 msgid "Time stamp format:"
 msgstr "Formato de inserción de hora:"
 
-#: src/fe-gtk/setup.c:123 src/fe-gtk/setup.c:394
+#: src/fe-gtk/setup.c:123
+#: src/fe-gtk/setup.c:394
 msgid "See strftime manpage for details."
 msgstr "Vea la página del manual de strftime para obtener más detalles."
 
-#: src/fe-gtk/setup.c:130 src/fe-gtk/setup.c:170
+#: src/fe-gtk/setup.c:130
+#: src/fe-gtk/setup.c:170
 msgid "A-Z"
 msgstr "A-Z"
 
 #: src/fe-gtk/setup.c:131
 msgid "Last-spoke order"
-msgstr ""
+msgstr "Última persona que habló"
 
-#: src/fe-gtk/setup.c:137 src/fe-gtk/setup.c:1701
+#: src/fe-gtk/setup.c:137
+#: src/fe-gtk/setup.c:1701
 msgid "Input box"
 msgstr "Caja de entrada"
 
-#: src/fe-gtk/setup.c:138 src/fe-gtk/setup.c:202
+#: src/fe-gtk/setup.c:138
+#: src/fe-gtk/setup.c:202
 msgid "Use the Text box font and colors"
 msgstr "Usar la tipografía y colores de la caja de texto"
 
@@ -4809,20 +4693,19 @@
 
 #: src/fe-gtk/setup.c:143
 msgid "Nick Completion"
-msgstr "Completar apodo"
+msgstr "Completar pseudónimo"
 
 #: src/fe-gtk/setup.c:144
 msgid "Automatic nick completion (without TAB key)"
-msgstr "Completar apodo automáticamente (sin TAB)"
+msgstr "Completar pseudónimo automáticamente (sin TAB)"
 
 #: src/fe-gtk/setup.c:146
 msgid "Nick completion suffix:"
-msgstr "Sufijo al completar el apodo:"
+msgstr "Sufijo al completar el pseudónimo:"
 
 #: src/fe-gtk/setup.c:147
-#, fuzzy
 msgid "Nick completion sorted:"
-msgstr "Sufijo al completar el apodo:"
+msgstr "Orden para el autocompletado de pseudónimos:"
 
 #: src/fe-gtk/setup.c:150
 msgid "Input Box Codes"
@@ -4853,21 +4736,25 @@
 msgid "Unsorted"
 msgstr "Desordenada"
 
-#: src/fe-gtk/setup.c:179 src/fe-gtk/setup.c:191
+#: src/fe-gtk/setup.c:179
+#: src/fe-gtk/setup.c:191
 msgid "Left (Upper)"
-msgstr ""
+msgstr "Izquierda (Arriba)"
 
-#: src/fe-gtk/setup.c:180 src/fe-gtk/setup.c:192
+#: src/fe-gtk/setup.c:180
+#: src/fe-gtk/setup.c:192
 msgid "Left (Lower)"
-msgstr ""
+msgstr "Izquierda (Abajo)"
 
-#: src/fe-gtk/setup.c:181 src/fe-gtk/setup.c:193
+#: src/fe-gtk/setup.c:181
+#: src/fe-gtk/setup.c:193
 msgid "Right (Upper)"
-msgstr ""
+msgstr "Derecha (Arriba)"
 
-#: src/fe-gtk/setup.c:182 src/fe-gtk/setup.c:194
+#: src/fe-gtk/setup.c:182
+#: src/fe-gtk/setup.c:194
 msgid "Right (Lower)"
-msgstr ""
+msgstr "Derecha (Abajo)"
 
 #: src/fe-gtk/setup.c:183
 msgid "Top"
@@ -4894,9 +4781,8 @@
 msgstr "Lista de usuarios ordenada por:"
 
 #: src/fe-gtk/setup.c:205
-#, fuzzy
 msgid "Show user list at:"
-msgstr "Mostrar/Ocultar la lista de usuarios"
+msgstr "Mostrar la lista de usuarios en:"
 
 #: src/fe-gtk/setup.c:207
 msgid "Away tracking"
@@ -4904,8 +4790,7 @@
 
 #: src/fe-gtk/setup.c:208
 msgid "Track the Away status of users and mark them in a different color"
-msgstr ""
-"Seguir el estado de ausencia de usuarios y marcarlos en un color diferente"
+msgstr "Seguir el estado de ausencia de usuarios y marcarlos en un color diferente"
 
 #: src/fe-gtk/setup.c:209
 msgid "On channels smaller than:"
@@ -4919,7 +4804,8 @@
 msgid "Windows"
 msgstr "Ventanas"
 
-#: src/fe-gtk/setup.c:224 src/fe-gtk/setup.c:240
+#: src/fe-gtk/setup.c:224
+#: src/fe-gtk/setup.c:240
 msgid "Tabs"
 msgstr "Solapas"
 
@@ -4932,13 +4818,12 @@
 msgstr "Solo solapas solicitadas"
 
 #: src/fe-gtk/setup.c:242
-#, fuzzy
 msgid "Tree"
 msgstr "Árbol"
 
 #: src/fe-gtk/setup.c:249
 msgid "Switcher type:"
-msgstr ""
+msgstr "Tipo de conmutador:"
 
 #: src/fe-gtk/setup.c:250
 msgid "Open an extra tab for server messages"
@@ -4949,27 +4834,24 @@
 msgstr "Abrir solapa extra para las noticias del servidor"
 
 #: src/fe-gtk/setup.c:252
-#, fuzzy
 msgid "Open a new tab when you receive a private message"
-msgstr "Abrir solapa extra para los mensajes del servidor"
+msgstr "Abrir una nueva pestaña cuando recibas un mensaje privado"
 
 #: src/fe-gtk/setup.c:253
 msgid "Sort tabs in alphabetical order"
 msgstr "Ordenar solapas alfabéticamente"
 
 #: src/fe-gtk/setup.c:254
-#, fuzzy
 msgid "Smaller text"
-msgstr "Solapas pequeñas"
+msgstr "Texto pequeño"
 
 #: src/fe-gtk/setup.c:256
 msgid "Focus new tabs:"
 msgstr "Centrarse en nuevas solapas:"
 
 #: src/fe-gtk/setup.c:258
-#, fuzzy
 msgid "Show channel switcher at:"
-msgstr "En canales más pequeños que:"
+msgstr "Mostrar el conmutador de canales a la:"
 
 #: src/fe-gtk/setup.c:259
 msgid "Shorten tab labels to:"
@@ -5000,9 +4882,8 @@
 msgstr "¿Abrir DCC, Ignorar, Notificar etc en solapas o en ventanas?"
 
 #: src/fe-gtk/setup.c:271
-#, fuzzy
 msgid "No"
-msgstr "Ninguno"
+msgstr "No"
 
 #: src/fe-gtk/setup.c:272
 msgid "Yes"
@@ -5030,7 +4911,7 @@
 
 #: src/fe-gtk/setup.c:283
 msgid "Save nick name in filenames"
-msgstr "Guardar el apodo en los nombres de archivos"
+msgstr "Guardar el pseudónimo en los nombres de archivos"
 
 #: src/fe-gtk/setup.c:285
 msgid "Network Settings"
@@ -5041,12 +4922,8 @@
 msgstr "Obtener mi IP del servidor IRC"
 
 #: src/fe-gtk/setup.c:287
-msgid ""
-"Asks the IRC server for your real address. Use this if you have a 192.168.*."
-"* address!"
-msgstr ""
-"Pregunta su dirección real al servidor IRC. ¡Úselo si tiene una dirección "
-"del tipo 192.168.*.*!"
+msgid "Asks the IRC server for your real address. Use this if you have a 192.168.*.* address!"
+msgstr "Pregunta su dirección real al servidor IRC. ¡Úselo si tiene una dirección del tipo 192.168.*.*!"
 
 #: src/fe-gtk/setup.c:288
 msgid "DCC IP address:"
@@ -5076,7 +4953,8 @@
 msgid "One upload:"
 msgstr "Una subida:"
 
-#: src/fe-gtk/setup.c:296 src/fe-gtk/setup.c:298
+#: src/fe-gtk/setup.c:296
+#: src/fe-gtk/setup.c:298
 msgid "Maximum speed for one transfer"
 msgstr "Velocidad máx. para una transferencia"
 
@@ -5088,7 +4966,8 @@
 msgid "All uploads combined:"
 msgstr "Todas las subidas combinadas:"
 
-#: src/fe-gtk/setup.c:300 src/fe-gtk/setup.c:302
+#: src/fe-gtk/setup.c:300
+#: src/fe-gtk/setup.c:302
 msgid "Maximum speed for all files"
 msgstr "Velocidad máx. para todo el tráfico"
 
@@ -5096,62 +4975,58 @@
 msgid "All downloads combined:"
 msgstr "Todas las descargas combinadas:"
 
-#: src/fe-gtk/setup.c:329 src/fe-gtk/setup.c:1707
+#: src/fe-gtk/setup.c:329
+#: src/fe-gtk/setup.c:1707
 msgid "Alerts"
 msgstr "Alertas"
 
 #: src/fe-gtk/setup.c:333
-#, fuzzy
 msgid "Show tray balloons on:"
-msgstr "Mostrar solapas:"
+msgstr "Mostrar globos de la bandeja del sistema para:"
 
 #: src/fe-gtk/setup.c:335
 msgid "Blink tray icon on:"
-msgstr ""
+msgstr "Pestañear el icono de la bandeja del sistema para:"
 
 #: src/fe-gtk/setup.c:336
 msgid "Blink task bar on:"
-msgstr ""
+msgstr "Pestañea la barra de tareas para:"
 
 #: src/fe-gtk/setup.c:337
 msgid "Make a beep sound on:"
-msgstr ""
+msgstr "Emitir un sonido para:"
 
 #: src/fe-gtk/setup.c:339
 msgid "Enable system tray icon"
-msgstr ""
+msgstr "Habilita el ícono de la bandeja del sistema"
 
 #: src/fe-gtk/setup.c:341
-#, fuzzy
 msgid "Highlighted Messages"
-msgstr "Pitar en mensajes resaltados"
+msgstr "Mensajes Resaltados"
 
 #: src/fe-gtk/setup.c:342
-msgid ""
-"Highlighted messages are ones where your nickname is mentioned, but also:"
-msgstr ""
+msgid "Highlighted messages are ones where your nickname is mentioned, but also:"
+msgstr "Los mensajes resaltados son aquellos donde tu pseudónimo es mencionado, pero tambien:"
 
 #: src/fe-gtk/setup.c:344
-#, fuzzy
 msgid "Extra words to highlight:"
 msgstr "Palabras adicionales para resaltar:"
 
 #: src/fe-gtk/setup.c:345
-#, fuzzy
 msgid "Nick names not to highlight:"
-msgstr "Apodos que no resaltará:"
+msgstr "Pseudónimos no resaltados"
 
 #: src/fe-gtk/setup.c:346
-#, fuzzy
 msgid "Nick names to always highlight:"
-msgstr "Apodos que no resaltará:"
+msgstr "Pseudónimos resaltados:"
 
 #: src/fe-gtk/setup.c:347
-#, fuzzy
 msgid ""
 "Separate multiple words with commas.\n"
 "Wildcards are accepted."
-msgstr "separar palabras múltiples con comas."
+msgstr ""
+"Separar palabras múltiples con comas.\n"
+"Se permiten comodines."
 
 #: src/fe-gtk/setup.c:353
 msgid "Default Messages"
@@ -5215,8 +5090,7 @@
 
 #: src/fe-gtk/setup.c:372
 msgid "Sends a /WHOIS when a user comes online in your notify list"
-msgstr ""
-"Envía un /WHOIS cuando un usuario de la lista de notificaciones se conecta"
+msgstr "Envía un /WHOIS cuando un usuario de la lista de notificaciones se conecta"
 
 #: src/fe-gtk/setup.c:373
 msgid "Hide join and part messages"
@@ -5242,18 +5116,18 @@
 msgid "Chat window"
 msgstr "Ventana de canal"
 
-#: src/fe-gtk/setup.c:385 src/fe-gtk/setup.c:1709
+#: src/fe-gtk/setup.c:385
+#: src/fe-gtk/setup.c:1709
 msgid "Logging"
 msgstr "Registros"
 
 #: src/fe-gtk/setup.c:386
 msgid "Display scrollback from previous session"
-msgstr ""
+msgstr "Mostrar el registro de la sesión anterior"
 
 #: src/fe-gtk/setup.c:387
-#, fuzzy
 msgid "Enable logging of conversations to disk"
-msgstr "Habilitar el registro de conversaciones"
+msgstr "Habilitar el registro de conversaciones al disco"
 
 #: src/fe-gtk/setup.c:388
 msgid "Log filename:"
@@ -5294,16 +5168,15 @@
 
 #: src/fe-gtk/setup.c:407
 msgid "MS Proxy (ISA)"
-msgstr ""
+msgstr "MS Proxy (ISA)"
 
 #: src/fe-gtk/setup.c:414
 msgid "All Connections"
 msgstr "Todas las conexiones"
 
 #: src/fe-gtk/setup.c:415
-#, fuzzy
 msgid "IRC Server Only"
-msgstr "Sólo para el servidor de IRC"
+msgstr "Sólo Servidor IRC"
 
 #: src/fe-gtk/setup.c:416
 msgid "DCC Get Only"
@@ -5386,9 +5259,8 @@
 msgstr "Marcar usuarios no identificados con:"
 
 #: src/fe-gtk/setup.c:1161
-#, fuzzy
 msgid "Open Data Folder"
-msgstr "Abrir carpeta..."
+msgstr "Abrir carpeta de registros..."
 
 #: src/fe-gtk/setup.c:1215
 msgid "Select color"
@@ -5406,11 +5278,13 @@
 msgid "Local colors:"
 msgstr "Colores locales:"
 
-#: src/fe-gtk/setup.c:1313 src/fe-gtk/setup.c:1318
+#: src/fe-gtk/setup.c:1313
+#: src/fe-gtk/setup.c:1318
 msgid "Foreground:"
 msgstr "Primer plano:"
 
-#: src/fe-gtk/setup.c:1314 src/fe-gtk/setup.c:1319
+#: src/fe-gtk/setup.c:1314
+#: src/fe-gtk/setup.c:1319
 msgid "Background:"
 msgstr "Fondo:"
 
@@ -5442,7 +5316,8 @@
 msgid "Highlight:"
 msgstr "Resaltar:"
 
-#: src/fe-gtk/setup.c:1423 src/fe-gtk/textgui.c:389
+#: src/fe-gtk/setup.c:1423
+#: src/fe-gtk/textgui.c:389
 msgid "Event"
 msgstr "Evento"
 
@@ -5499,9 +5374,8 @@
 msgstr "Lista de usuarios"
 
 #: src/fe-gtk/setup.c:1703
-#, fuzzy
 msgid "Channel switcher"
-msgstr "Lista de canales..."
+msgstr "Conmutador de Canales"
 
 #: src/fe-gtk/setup.c:1704
 msgid "Colors"
@@ -5536,11 +5410,12 @@
 "You cannot place the tree on the top or bottom!\n"
 "Please change to the <b>Tabs</b> layout in the <b>View</b> menu first."
 msgstr ""
+"¡No puedes poner el árbol al principio o al final!\n"
+"Por favor cambia a la estructura en <b>Pestañas</b> en el menú <b>Ver</b> primero."
 
 #: src/fe-gtk/setup.c:2017
 msgid "Some settings were changed that require a restart to take full effect."
-msgstr ""
-"Algunas opciones que han cambiado requieren un reinicio para tener efecto."
+msgstr "Algunas opciones que han cambiado requieren un reinicio para tener efecto."
 
 #: src/fe-gtk/setup.c:2025
 msgid ""
@@ -5567,7 +5442,8 @@
 msgid "This signal is only passed %d args, $%d is invalid"
 msgstr "Esta señal sólo ha pasado %d argumentos, $%d es inválido"
 
-#: src/fe-gtk/textgui.c:304 src/fe-gtk/textgui.c:327
+#: src/fe-gtk/textgui.c:304
+#: src/fe-gtk/textgui.c:327
 msgid "Print Texts File"
 msgstr "Imprimir archivos de textos"
 
@@ -5587,185 +5463,201 @@
 msgid "Test All"
 msgstr "Probar todo"
 
-#: src/fe-gtk/urlgrab.c:96
+#: src/fe-gtk/urlgrab.c:98
 msgid "URL"
 msgstr "URL"
 
-#: src/fe-gtk/urlgrab.c:186
+#: src/fe-gtk/urlgrab.c:188
 msgid "XChat: URL Grabber"
 msgstr "XChat: Capturador de URL"
 
-#: src/fe-gtk/urlgrab.c:199
+#: src/fe-gtk/urlgrab.c:201
 msgid "Clear list"
 msgstr "Limpiar la lista"
 
-#: src/fe-gtk/urlgrab.c:201
+#: src/fe-gtk/urlgrab.c:203
 msgid "Copy selected URL"
 msgstr "Copiar URL seleccionada"
 
-#: src/fe-gtk/urlgrab.c:201
+#: src/fe-gtk/urlgrab.c:203
 msgid "Copy"
 msgstr "Copiar"
 
-#: src/fe-gtk/urlgrab.c:203
+#: src/fe-gtk/urlgrab.c:205
 msgid "Save list to a file"
 msgstr "Guardar lista en un archivo."
 
-#: src/fe-gtk/userlistgui.c:119
+#: src/fe-gtk/userlistgui.c:111
 #, c-format
 msgid "%d ops, %d total"
 msgstr "%d ops, %d total"
 
-#~ msgid "%C18*$t$1%O $2"
-#~ msgstr "%C18*$t$1%O $2"
-
-#~ msgid "%C21*%O$t%C21%B$1%O%C21 $2"
-#~ msgstr "%C21*%O$t%C21%B$1%O%C21 $2"
-
-#~ msgid "%C18%H<%H$4$1%H>%H%O$t$2"
-#~ msgstr "%C18%H<%H$4$1%H>%H%O$t$2"
-
-#~ msgid "$4%C21%B%H<%H$1%H>%H%O%C21$t$2"
-#~ msgstr "$4%C21%B%H<%H$1%H>%H%O%C21$t$2"
-
-#~ msgid "%C28-%C29$1/$2%C28-%O$t$3"
-#~ msgstr "%C28-%C29$1/$2%C28-%O$t$3"
-
-#~ msgid "$1$t$2"
-#~ msgstr "$1$t$2"
-
-#~ msgid "%C19>%O$1%C19<%O$t$2"
-#~ msgstr "%C19>%O$1%C19<%O$t$2"
-
-#~ msgid "%C16*%O$t$1%O"
-#~ msgstr "%C16*%O$t$1%O"
-
-#~ msgid "%C28-%C29$1%C28-%O$t$2"
-#~ msgstr "%C28-%C29$1%C28-%O$t$2"
-
-#~ msgid "%C28*%C29$3$1%C28*$t%O$2"
-#~ msgstr "%C28*%C29$3$1%C28*$t%O$2"
-
-#~ msgid "%C18%H<%H$3$1%H>%H%O$t$2"
-#~ msgstr "%C18%H<%H$3$1%H>%H%O$t$2"
-
-#~ msgid "%C22*%O$t$1"
-#~ msgstr "%C22*%O$t$1"
-
-#~ msgid "%C31%H<%H$4$1%H>%H%O%C30$t$2"
-#~ msgstr "%C31%H<%H$4$1%H>%H%O%C30$t$2"
-
-#~ msgid "PID"
-#~ msgstr "PID"
-
-#~ msgid "US Minor Outlying Islands"
-#~ msgstr "Islas Americanas Menores del Exterior"
+#~ msgid "About XChat"
+#~ msgstr "Acerca de XChat"
+#~ msgid "C_hannels to join:"
+#~ msgstr "Canales a los que unirse:"
 
+#, fuzzy
+#~ msgid "Execute command"
+#~ msgstr "Ejecutar orden:"
 #~ msgid "Direct client-to-client"
 #~ msgstr "Cliente a cliente directamente"
-
 #~ msgid "Send File"
 #~ msgstr "Enviar archivo"
-
 #~ msgid "Offer Chat"
 #~ msgstr "Ofrecer charla"
-
 #~ msgid "Abort Chat"
 #~ msgstr "Abortar la charla"
-
 #~ msgid "Userinfo"
 #~ msgstr "Información del usuario"
-
 #~ msgid "Clientinfo"
 #~ msgstr "Información del cliente"
-
 #~ msgid "Time"
 #~ msgstr "Tiempo"
-
 #~ msgid "Finger"
 #~ msgstr "Finger"
-
 #~ msgid "Oper"
 #~ msgstr "Operador"
-
 #~ msgid "Kill this user"
 #~ msgstr "Eliminar a este usuario"
-
 #~ msgid "Mode"
 #~ msgstr "Modo"
-
 #~ msgid "Give Half-Ops"
 #~ msgstr "Dar Op"
-
 #~ msgid "Take Half-Ops"
 #~ msgstr "Tomar Op"
-
 #~ msgid "Ignore"
 #~ msgstr "Ignorar"
-
 #~ msgid "Ignore User"
 #~ msgstr "Ignorar usuario"
-
 #~ msgid "UnIgnore User"
 #~ msgstr "No ignorar usario"
-
 #~ msgid "Info"
 #~ msgstr "Info"
-
 #~ msgid "Who"
 #~ msgstr "Who"
-
 #~ msgid "DNS Lookup"
 #~ msgstr "Búsqueda DNS"
-
 #~ msgid "Trace"
 #~ msgstr "Rastrear"
-
 #~ msgid "UserHost"
 #~ msgstr "Máquina del usuario"
-
 #~ msgid "External"
 #~ msgstr "Programas externos"
-
 #~ msgid "Traceroute"
 #~ msgstr "Rastrear ruta"
-
 #~ msgid "Telnet"
 #~ msgstr "Telnet"
 
+#, fuzzy
+#~ msgid "Blink tray on message"
+#~ msgstr "Pitar al llegar mensaje"
+#~ msgid "Show join/part messages"
+#~ msgstr "Mostrar mensajes de entrada/salida del canal"
+#~ msgid "Color paste"
+#~ msgstr "Pegar color"
+#~ msgid "_Close Tab"
+#~ msgstr "_Cerrar solapa"
+#~ msgid "Channel List..."
+#~ msgstr "Lista de canales..."
+#~ msgid "Notify List..."
+#~ msgstr "Lista de notificaciones..."
+#~ msgid "_Close Window"
+#~ msgstr "_Cerrar ventana"
+#~ msgid "User"
+#~ msgstr "Usuario"
+#~ msgid "XChat: Notify List"
+#~ msgstr "XChat: Lista de notificacines"
 #~ msgid "Unban"
 #~ msgstr "Eliminar veto"
 
+#, fuzzy
+#~ msgid "Channel Switcher"
+#~ msgstr "canal"
+#~ msgid "No other tabs open, quit xchat?"
+#~ msgstr "No hay mas solapas abiertas, ¿salir de xchat?"
+#~ msgid "_Layout"
+#~ msgstr "_Disposición"
+
+#, fuzzy
+#~ msgid "Quit..."
+#~ msgstr "Salir:"
+#~ msgid "Resizable user list"
+#~ msgstr "Lista de usuarios redimensionable"
+#~ msgid "Left"
+#~ msgstr "Izquierda"
+#~ msgid "Right"
+#~ msgstr "Derecha"
+
+#, fuzzy
+#~ msgid "Above user list"
+#~ msgstr "Lista de usuarios redimensionable"
+#~ msgid "US Minor Outlying Islands"
+#~ msgstr "Islas Americanas Menores del Exterior"
+
+#, fuzzy
+#~ msgid "File Offer"
+#~ msgstr "Transferencias de archivos"
+#~ msgid "Flash taskbar on highlighted messages"
+#~ msgstr "Iluminar barra de tareas en mensajes resaltados"
+
+#, fuzzy
+#~ msgid "Flash taskbar on private messages"
+#~ msgstr "Iluminar barra de tareas en mensajes resaltados"
+#~ msgid "Beep on highlighted messages"
+#~ msgstr "Pitar en mensajes resaltados"
+#~ msgid "Beep on private messages"
+#~ msgstr "Pitar en mensajes privados"
+#~ msgid "Beep on channel messages"
+#~ msgstr "Pitar en mensajes de canal"
+#~ msgid "%C18*$t$1%O $2"
+#~ msgstr "%C18*$t$1%O $2"
+#~ msgid "%C21*%O$t%C21%B$1%O%C21 $2"
+#~ msgstr "%C21*%O$t%C21%B$1%O%C21 $2"
+#~ msgid "%C18%H<%H$4$1%H>%H%O$t$2"
+#~ msgstr "%C18%H<%H$4$1%H>%H%O$t$2"
+#~ msgid "$4%C21%B%H<%H$1%H>%H%O%C21$t$2"
+#~ msgstr "$4%C21%B%H<%H$1%H>%H%O%C21$t$2"
+#~ msgid "%C28-%C29$1/$2%C28-%O$t$3"
+#~ msgstr "%C28-%C29$1/$2%C28-%O$t$3"
+#~ msgid "$1$t$2"
+#~ msgstr "$1$t$2"
+#~ msgid "%C19>%O$1%C19<%O$t$2"
+#~ msgstr "%C19>%O$1%C19<%O$t$2"
+#~ msgid "%C16*%O$t$1%O"
+#~ msgstr "%C16*%O$t$1%O"
+#~ msgid "%C28-%C29$1%C28-%O$t$2"
+#~ msgstr "%C28-%C29$1%C28-%O$t$2"
+#~ msgid "%C28*%C29$3$1%C28*$t%O$2"
+#~ msgstr "%C28*%C29$3$1%C28*$t%O$2"
+#~ msgid "%C18%H<%H$3$1%H>%H%O$t$2"
+#~ msgstr "%C18%H<%H$3$1%H>%H%O$t$2"
+#~ msgid "%C22*%O$t$1"
+#~ msgstr "%C22*%O$t$1"
+#~ msgid "%C31%H<%H$4$1%H>%H%O%C30$t$2"
+#~ msgstr "%C31%H<%H$4$1%H>%H%O%C30$t$2"
+#~ msgid "PID"
+#~ msgstr "PID"
 #~ msgid "I can't save an empty list!"
 #~ msgstr "¡No se puede guardar una lista vacia!"
-
 #~ msgid "List display options:"
 #~ msgstr "Opciones para mostrar la lista:"
-
 #~ msgid "Minimum Users:"
 #~ msgstr "Usuarios mínimos:"
-
 #~ msgid "Maximum Users:"
 #~ msgstr "Usuarios máximos:"
-
 #~ msgid "Regex Match:"
 #~ msgstr "Coincidir con exp. regular:"
-
 #~ msgid "Apply Match to:"
 #~ msgstr "Aplicar coincidencia a:"
-
 #~ msgid "Apply"
 #~ msgstr "Aplicar"
-
 #~ msgid "Refresh the list"
 #~ msgstr "Refrescar la lista"
-
 #~ msgid "Save the list"
 #~ msgstr "Guardar la lista"
-
 #~ msgid "None"
 #~ msgstr "Ninguno"
-
 #~ msgid "To"
 #~ msgstr "Para"
 
@@ -5776,185 +5668,97 @@
 #, fuzzy
 #~ msgid "Speed limit"
 #~ msgstr "Limite de velocidad"
-
 #~ msgid "XChat: File Receive List"
 #~ msgstr "XChat: Lista de recepción de archivos"
-
 #~ msgid "Open"
 #~ msgstr "Abrir"
-
 #~ msgid "Ack"
 #~ msgstr "Aceptado"
-
 #~ msgid "To/From"
 #~ msgstr "Para/De"
-
-#~ msgid "No other tabs open, quit xchat?"
-#~ msgstr "No hay mas solapas abiertas, ¿salir de xchat?"
-
-#~ msgid "Show join/part messages"
-#~ msgstr "Mostrar mensajes de entrada/salida del canal"
-
-#~ msgid "Color paste"
-#~ msgstr "Pegar color"
-
 #~ msgid "Go to"
 #~ msgstr "Ir a"
-
-#~ msgid "_Close Tab"
-#~ msgstr "_Cerrar solapa"
-
-#~ msgid "_Layout"
-#~ msgstr "_Disposición"
-
-#~ msgid "Notify List..."
-#~ msgstr "Lista de notificaciones..."
-
-#~ msgid "_Close Window"
-#~ msgstr "_Cerrar ventana"
-
-#~ msgid "User"
-#~ msgstr "Usuario"
-
 #~ msgid "Server"
 #~ msgstr "Servidor"
-
-#~ msgid "XChat: Notify List"
-#~ msgstr "XChat: Lista de notificacines"
-
-#~ msgid "C_hannels to join:"
-#~ msgstr "Canales a los que unirse:"
-
-#~ msgid "Resizable user list"
-#~ msgstr "Lista de usuarios redimensionable"
-
-#~ msgid "Left"
-#~ msgstr "Izquierda"
-
-#~ msgid "Right"
-#~ msgstr "Derecha"
-
 #~ msgid "Tabs Location"
 #~ msgstr "Solapas colocadas en:"
-
 #~ msgid "(Can be a text file relative to ~/.xchat2/)."
 #~ msgstr "(Puede ser un archivo de texto relativo a ~/.xchat2/)."
-
 #~ msgid "(Can be a text file relative to config dir)."
 #~ msgstr ""
 #~ "(Puede ser un archivo de texto relativo al directorio de configuración)."
-
-#~ msgid "Flash taskbar on highlighted messages"
-#~ msgstr "Iluminar barra de tareas en mensajes resaltados"
-
-#~ msgid "Beep on channel messages"
-#~ msgstr "Pitar en mensajes de canal"
-
 #~ msgid "Open an irc:// url"
 #~ msgstr "Abrir una url irc://"
-
 #~ msgid "irc://server:port/channel"
 #~ msgstr "irc://servidor:puerto/canal"
-
 #~ msgid "Execute a xchat command"
 #~ msgstr "Ejecutar una orden de xchat"
-
 #~ msgid "\"Command to execute\""
 #~ msgstr "\"Orden a ejecutar\""
-
 #~ msgid "Prints some text to the current tab/window"
 #~ msgstr "Imprime textos en la ventana/solapa actual"
-
 #~ msgid "\"Text to print\""
 #~ msgstr "\"Texto a imprimir\""
-
 #~ msgid "Change the context to the channel"
 #~ msgstr "Cambiar el contexto al canal"
-
 #~ msgid "Change the context to the server"
 #~ msgstr "Cambiar el contexto al servidor"
-
 #~ msgid "server"
 #~ msgstr "servidor"
-
 #~ msgid "Get some informations from xchat"
 #~ msgstr "Obtener información desde xchat"
-
 #~ msgid "id"
 #~ msgstr "id"
-
 #~ msgid "Get settings from xchat"
 #~ msgstr "Obtener configuraciones de xchat"
-
 #~ msgid "name"
 #~ msgstr "nombre"
-
 #~ msgid ""
 #~ "xchat-remote: %s\n"
 #~ "Try `xchat-remote --help' for more information\n"
 #~ msgstr ""
 #~ "xchat-remote: %s\n"
 #~ "Intente `xchat-remote --help' para más información\n"
-
 #~ msgid "Failed to complete SetContext"
 #~ msgstr "Imposible completar SetContext"
-
 #~ msgid "Failed to complete print"
 #~ msgstr "Imposible completar la impresión"
-
 #~ msgid "Failed to complete GetInfo"
 #~ msgstr "Imposible completar GetInfo"
-
 #~ msgid "Failed to complete GetPrefs"
 #~ msgstr "Imposible completar GetPrefs"
-
 #~ msgid "%s doesn't exist\n"
 #~ msgstr "no existe %s\n"
-
 #~ msgid "%s loaded successfully!\n"
 #~ msgstr "%s se cargó exitosamente\n"
-
 #~ msgid "Add"
 #~ msgstr "Agregar"
-
 #~ msgid "Convert spaces to underscore before sending"
 #~ msgstr "Convertir espacios a guiones bajos"
-
 #~ msgid "France, Metropolitan"
 #~ msgstr "Francia Metropolitana"
-
 #~ msgid "Neutral Zone"
 #~ msgstr "Zona Neutral"
-
 #~ msgid "From:"
 #~ msgstr "De:"
-
 #~ msgid "To:"
 #~ msgstr "Para:"
-
 #~ msgid "Size:"
 #~ msgstr "Tamaño:"
-
 #~ msgid "MIME Type"
 #~ msgstr "Tipo MIME"
-
 #~ msgid "Settings saved."
 #~ msgstr "Configuraciones guardadas."
-
 #~ msgid "Save rawlog"
 #~ msgstr "Guardar registro plano"
-
 #~ msgid "Save rawlog..."
 #~ msgstr "Guardar registro plano..."
-
 #~ msgid "XChat: Server List"
 #~ msgstr "XChat: Lista de servidores"
-
 #~ msgid "Completes nick names without using the TAB key"
-#~ msgstr "Completar apodos sin usar el tabulador"
-
+#~ msgstr "Completar pseudónimos sin usar el tabulador"
 #~ msgid "Input Box Appearance"
 #~ msgstr "Apariencia"
-
 #~ msgid "(See strftime manpage for details)."
 #~ msgstr "(Vea la página del manual de strftime para obtener mas detalles)."
+
## 51_freenode_ircd-seven.dpatch by Terence Simpson <tsimpson@kubuntu.org>
##
## Origin: http://adipose.attenuate.org/~stephen/ircd-seven/xchat-ircd-seven-identify-msg.patch.txt
## Description: Add support for ircd-seven CAP command.
--- a/src/common/proto-irc.c
+++ b/src/common/proto-irc.c
@@ -45,6 +45,7 @@
 {
 	if (serv->password[0])
 		tcp_sendf (serv, "PASS %s\r\n", serv->password);
+	tcp_sendf (serv, "CAP LS\r\n");
 
 	tcp_sendf (serv,
 				  "NICK %s\r\n"
@@ -1109,6 +1110,38 @@
 			return;
 		}
 	}
+
+	else if (len == 3)
+	{
+		guint32 t;
+
+		t = WORDL((guint8)type[0], (guint8)type[1], (guint8)type[2], (guint8)type[3]);
+		switch (t)
+		{
+		case WORDL('C','A','P','\0'):
+			if (strncasecmp(word[4], "ACK", 3) == 0)
+			{
+				if (strncasecmp(word[5][0]==':' ? word[5]+1 : word[5],
+					"identify-msg", 12) == 0)
+				{
+					serv->have_idmsg = TRUE;
+					tcp_send_len(serv, "CAP END\r\n", 9);
+				}
+			}
+			else if (strncasecmp(word[4], "LS", 2) == 0)
+			{
+				if (strstr(word_eol[5], "identify-msg") != 0)
+					tcp_send_len(serv, "CAP REQ :identify-msg\r\n", 23);
+				else
+					tcp_send_len(serv, "CAP END\r\n", 9);
+			}
+			else if (strncasecmp(word[4], "NAK",3) == 0)
+			{
+				tcp_send_len(serv, "CAP END\r\n", 9);
+			}
+			return;
+		}
+	}
 
 garbage:
 	/* unknown message */
## 52_fix_implicit_declaration.dpatch by Fabrice Coutadeur <fabricesp@ubuntu.com>
##
## Origin: http://lists.opensuse.org/opensuse-commit/2009-07/msg00981.html
## Description: Fix "implicitly converted to pointer at ignoregui.c:192" error.
## This fixes a FTBFS in ia64 and amd64
--- a/src/fe-gtk/ignoregui.c
+++ b/src/fe-gtk/ignoregui.c
@@ -36,6 +36,7 @@
 #include <gtk/gtkliststore.h>
 #include <gtk/gtktreeview.h>
 #include <gtk/gtktreeselection.h>
+#include <gtk/gtkcelllayout.h>
 #include <gtk/gtkcellrenderertext.h>
 #include <gtk/gtkcellrenderertoggle.h>
 
@@ -187,7 +188,7 @@
 	for (col_id=0; (col = gtk_tree_view_get_column (GTK_TREE_VIEW (view), col_id));
 	     col_id++)
 	{
-		GList *list = gtk_tree_view_column_get_cell_renderers (col);
+		GList *list = gtk_cell_layout_get_cells (GTK_CELL_LAYOUT (col));
 		GList *tmp;
 
 		for (tmp = list; tmp; tmp = tmp->next)
## Patch by <davian818@gmail.com>

--- a/po/ru.po
+++ b/po/ru.po
@@ -11,29 +11,28 @@
 msgstr ""
 "Project-Id-Version: xchat-2.8.4\n"
 "Report-Msgid-Bugs-To: www.xchat.org\n"
-"POT-Creation-Date: 2010-05-30 13:56+1000\n"
+"POT-Creation-Date: 2008-06-12 18:39+1000\n"
 "PO-Revision-Date: 2010-05-13 03:41+0700\n"
 "Last-Translator: Алекс <davian818@gmail.com>\n"
 "Language-Team: Russian <gnu@mx.ru>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%"
-"10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
+"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
 
 #: src/common/cfgfiles.c:354
 msgid "Cannot create ~/.xchat2"
 msgstr "Не удалось создать ~/.xchat2"
 
-#: src/common/cfgfiles.c:713
+#: src/common/cfgfiles.c:711
 msgid "I'm busy"
 msgstr "Я занят"
 
-#: src/common/cfgfiles.c:714
+#: src/common/cfgfiles.c:712
 msgid "Leaving"
-msgstr "Ухожу я от вас"
+msgstr "Ухожу я от вас (xchat 2.4.5 или старше)"
 
-#: src/common/cfgfiles.c:761
+#: src/common/cfgfiles.c:759
 msgid ""
 "* Running IRC as root is stupid! You should\n"
 "  create a User Account and use that to login.\n"
@@ -57,7 +56,8 @@
 msgid "Done"
 msgstr "Готово"
 
-#: src/common/dcc.c:71 src/fe-gtk/menu.c:942
+#: src/common/dcc.c:71
+#: src/fe-gtk/menu.c:928
 msgid "Connect"
 msgstr "Соединение"
 
@@ -65,14 +65,21 @@
 msgid "Aborted"
 msgstr "Остановлено"
 
-#: src/common/dcc.c:1886 src/common/outbound.c:2449
+#: src/common/dcc.c:1886
+#: src/common/outbound.c:2451
 #, c-format
 msgid "Cannot access %s\n"
 msgstr "Нет доступа к %s\n"
 
-#: src/common/dcc.c:1887 src/common/text.c:1261 src/common/text.c:1299
-#: src/common/text.c:1310 src/common/text.c:1317 src/common/text.c:1330
-#: src/common/text.c:1347 src/common/text.c:1447 src/common/util.c:353
+#: src/common/dcc.c:1887
+#: src/common/text.c:1224
+#: src/common/text.c:1262
+#: src/common/text.c:1273
+#: src/common/text.c:1280
+#: src/common/text.c:1293
+#: src/common/text.c:1310
+#: src/common/text.c:1410
+#: src/common/util.c:353
 msgid "Error"
 msgstr "Ошибка"
 
@@ -85,14 +92,22 @@
 msgid "No active DCCs\n"
 msgstr "Нет активных DCC\n"
 
-#: src/common/ignore.c:120 src/common/ignore.c:124 src/common/ignore.c:128
-#: src/common/ignore.c:132 src/common/ignore.c:136 src/common/ignore.c:140
+#: src/common/ignore.c:120
+#: src/common/ignore.c:124
+#: src/common/ignore.c:128
+#: src/common/ignore.c:132
+#: src/common/ignore.c:136
+#: src/common/ignore.c:140
 #: src/common/ignore.c:144
 msgid "YES  "
 msgstr "ДА   "
 
-#: src/common/ignore.c:122 src/common/ignore.c:126 src/common/ignore.c:130
-#: src/common/ignore.c:134 src/common/ignore.c:138 src/common/ignore.c:142
+#: src/common/ignore.c:122
+#: src/common/ignore.c:126
+#: src/common/ignore.c:130
+#: src/common/ignore.c:134
+#: src/common/ignore.c:138
+#: src/common/ignore.c:142
 #: src/common/ignore.c:146
 msgid "NO   "
 msgstr "НЕТ  "
@@ -138,100 +153,89 @@
 msgid "I need /bin/sh to run!\n"
 msgstr "Отсутствует /bin/sh для запуска!\n"
 
-#: src/common/outbound.c:2146
+#: src/common/outbound.c:2148
 msgid "Commands Available:"
 msgstr "Доступные команды:"
 
-#: src/common/outbound.c:2160
+#: src/common/outbound.c:2162
 msgid "User defined commands:"
 msgstr "Определенные пользователем команды:"
 
-#: src/common/outbound.c:2176
+#: src/common/outbound.c:2178
 msgid "Plugin defined commands:"
 msgstr "Определенные расширениями команды:"
 
-#: src/common/outbound.c:2187
+#: src/common/outbound.c:2189
 msgid "Type /HELP <command> for more information, or /HELP -l"
 msgstr "Наберите /HELP <имя команды> для более полной информации, или /HELP -l"
 
-#: src/common/outbound.c:2272
+#: src/common/outbound.c:2274
 #, c-format
 msgid "Unknown arg '%s' ignored."
 msgstr "Игнорируется неизвестный аргумент \"%s\"."
 
-#: src/common/outbound.c:3221
+#: src/common/outbound.c:3223
 msgid "No such plugin found.\n"
 msgstr "Плагин не найден\n"
 
-#: src/common/outbound.c:3226 src/fe-gtk/plugingui.c:184
+#: src/common/outbound.c:3228
+#: src/fe-gtk/plugingui.c:186
 msgid "That plugin is refusing to unload.\n"
 msgstr "Плагин невозможно выгрузить.\n"
 
-#: src/common/outbound.c:3495
+#: src/common/outbound.c:3497
 msgid "ADDBUTTON <name> <action>, adds a button under the user-list"
-msgstr ""
-"ADDBUTTON <название> <действие> добавляет кнопку под списком пользователей"
+msgstr "ADDBUTTON <название> <действие> добавляет кнопку под списком пользователей"
 
-#: src/common/outbound.c:3497
+#: src/common/outbound.c:3499
 msgid "ALLCHAN <cmd>, sends a command to all channels you're in"
 msgstr "ALLCHAN <команда>, посылает команду во всех каналах где вы есть "
 
-#: src/common/outbound.c:3499
+#: src/common/outbound.c:3501
 msgid "ALLCHANL <cmd>, sends a command to all channels you're in"
 msgstr "ALLCHANL <команда>, посылает команду на все ваши каналы"
 
-#: src/common/outbound.c:3501
+#: src/common/outbound.c:3503
 msgid "ALLSERV <cmd>, sends a command to all servers you're in"
 msgstr "ALLSERV <cmd>, посылает команду на всех серверах где вы есть "
 
-#: src/common/outbound.c:3502
+#: src/common/outbound.c:3504
 msgid "AWAY [<reason>], sets you away"
 msgstr "AWAY [<причина>], устанавливает флаг отсутствия"
 
-#: src/common/outbound.c:3503
+#: src/common/outbound.c:3505
 msgid "BACK, sets you back (not away)"
 msgstr "BACK, сбрасывает флаг остутствия"
 
-#: src/common/outbound.c:3505
-msgid ""
-"BAN <mask> [<bantype>], bans everyone matching the mask from the current "
-"channel. If they are already on the channel this doesn't kick them (needs "
-"chanop)"
-msgstr ""
-"BAN <маска> [<тип>], блокирует доступ на текущий канал для каждого, "
-"совпадающего с маской. Если они уже на канале, то они не будут скинуты (для "
-"этого нужно быть оператором канала)"
+#: src/common/outbound.c:3507
+msgid "BAN <mask> [<bantype>], bans everyone matching the mask from the current channel. If they are already on the channel this doesn't kick them (needs chanop)"
+msgstr "BAN <маска> [<тип>], блокирует доступ на текущий канал для каждого, совпадающего с маской. Если они уже на канале, то они не будут скинуты (для этого нужно быть оператором канала)"
 
-#: src/common/outbound.c:3506
+#: src/common/outbound.c:3508
 msgid "CHANOPT [-quiet] <variable> [<value>]"
 msgstr "CHANOPT [-quiet] <переменная> [<значение>]"
 
-#: src/common/outbound.c:3508
+#: src/common/outbound.c:3510
 msgid "CLEAR [ALL|HISTORY], Clears the current text window or command history"
 msgstr "CLEAR  [ALL|HISTORY], очищает текущее окно или историю команд"
 
-#: src/common/outbound.c:3509
+#: src/common/outbound.c:3511
 msgid "CLOSE, Closes the current window/tab"
 msgstr "CLOSE, закрывает текущее окно или вкладку"
 
-#: src/common/outbound.c:3512
+#: src/common/outbound.c:3514
 msgid "COUNTRY [-s] <code|wildcard>, finds a country code, eg: au = australia"
 msgstr "COUNTRY [-s] <код|маска>, находит код страны, например: au = Австралия"
 
-#: src/common/outbound.c:3514
-msgid ""
-"CTCP <nick> <message>, send the CTCP message to nick, common messages are "
-"VERSION and USERINFO"
-msgstr ""
-"CTCP <ник> <сообщение>, посылает пользователю с указанным ником CCTP-"
-"сообщение, обычные сообщения -- VERSION и USERINFO"
-
 #: src/common/outbound.c:3516
-msgid ""
-"CYCLE [<channel>], parts the current or given channel and immediately rejoins"
-msgstr "CYCLE [<channel>], выйти с текущего канала и немедленно зайти"
+msgid "CTCP <nick> <message>, send the CTCP message to nick, common messages are VERSION and USERINFO"
+msgstr "CTCP <ник> <сообщение>, посылает пользователю с указанным ником CCTP-сообщение, обычные сообщения -- VERSION и USERINFO"
 
 #: src/common/outbound.c:3518
+msgid "CYCLE [<channel>], parts the current or given channel and immediately rejoins"
+msgstr "CYCLE [<channel>], выйти с текущего канала и немедленно зайти"
+
+#: src/common/outbound.c:3520
 msgid ""
 "\n"
 "DCC GET <nick>                      - accept an offered file\n"
@@ -253,100 +257,81 @@
 "DCC CLOSE <тип> <имя> <файл>         пример:\n"
 "         /dcc close send johnsmith file.tar.gz"
 
-#: src/common/outbound.c:3530
-msgid ""
-"DEHOP <nick>, removes chanhalf-op status from the nick on the current "
-"channel (needs chanop)"
+#: src/common/outbound.c:3532
+msgid "DEHOP <nick>, removes chanhalf-op status from the nick on the current channel (needs chanop)"
 msgstr ""
 "DEHOP <имя>, удаляет chanhalf-op статус у имени на текущем канале\n"
 "(нужны права администратора канала)"
 
-#: src/common/outbound.c:3532
+#: src/common/outbound.c:3534
 msgid "DELBUTTON <name>, deletes a button from under the user-list"
 msgstr "DELBUTTON <имя>, удаляет кнопку из-под списка пользователей"
 
-#: src/common/outbound.c:3534
-msgid ""
-"DEOP <nick>, removes chanop status from the nick on the current channel "
-"(needs chanop)"
-msgstr ""
-"DEOP <nick>, убирает права администратора канала у пользователя на текущем "
-"канале (требует права администратора)."
-
 #: src/common/outbound.c:3536
-msgid ""
-"DEVOICE <nick>, removes voice status from the nick on the current channel "
-"(needs chanop)"
+msgid "DEOP <nick>, removes chanop status from the nick on the current channel (needs chanop)"
+msgstr "DEOP <nick>, убирает права администратора канала у пользователя на текущем канале (требует права администратора)."
+
+#: src/common/outbound.c:3538
+msgid "DEVOICE <nick>, removes voice status from the nick on the current channel (needs chanop)"
 msgstr ""
-"DEVOICE <nick>, удаляет право голоса у пользователя с переданным именем на "
-"текущем\n"
+"DEVOICE <nick>, удаляет право голоса у пользователя с переданным именем на текущем\n"
 "канале. Для использования нужны права администратора канала"
 
-#: src/common/outbound.c:3537
+#: src/common/outbound.c:3539
 msgid "DISCON, Disconnects from server"
 msgstr "DISCON, отсоединиться от сервера"
 
-#: src/common/outbound.c:3538
+#: src/common/outbound.c:3540
 msgid "DNS <nick|host|ip>, Finds a users IP number"
 msgstr "DNS <имя,адрес,IP> - поиск IP адреса пользователя"
 
-#: src/common/outbound.c:3539
+#: src/common/outbound.c:3541
 msgid "ECHO <text>, Prints text locally"
 msgstr "ECHO <текст>, вывести текст на локальной машине"
 
-#: src/common/outbound.c:3542
-msgid ""
-"EXEC [-o] <command>, runs the command. If -o flag is used then output is "
-"sent to current channel, else is printed to current text box"
+#: src/common/outbound.c:3544
+msgid "EXEC [-o] <command>, runs the command. If -o flag is used then output is sent to current channel, else is printed to current text box"
 msgstr ""
 "EXEC [-o] <Команда>, выполняет команду. При передаче опции -o вывод \n"
-"команды перенаправляется в текущий канал. Иначе вывод печатается в текущем "
-"окне"
+"команды перенаправляется в текущий канал. Иначе вывод печатается в текущем окне"
 
-#: src/common/outbound.c:3544
+#: src/common/outbound.c:3546
 msgid "EXECCONT, sends the process SIGCONT"
 msgstr "EXECCONT, sends the process SIGCONT"
 
-#: src/common/outbound.c:3547
-msgid ""
-"EXECKILL [-9], kills a running exec in the current session. If -9 is given "
-"the process is SIGKILL'ed"
-msgstr ""
-"EXECKILL [-9], уничтожает выполняющийся процесс в текущей сессии. Если -9 "
-"процессу перадается сигнал SIGKILL"
-
 #: src/common/outbound.c:3549
+msgid "EXECKILL [-9], kills a running exec in the current session. If -9 is given the process is SIGKILL'ed"
+msgstr "EXECKILL [-9], уничтожает выполняющийся процесс в текущей сессии. Если -9 процессу перадается сигнал SIGKILL"
+
+#: src/common/outbound.c:3551
 msgid "EXECSTOP, sends the process SIGSTOP"
 msgstr "EXECSTOP, посылает процессу сигнал SIGSTOP"
 
-#: src/common/outbound.c:3550
+#: src/common/outbound.c:3552
 msgid "EXECWRITE, sends data to the processes stdin"
 msgstr "EXECWRITE, посылает процессу данные на stdin"
 
-#: src/common/outbound.c:3554
+#: src/common/outbound.c:3556
 msgid "FLUSHQ, flushes the current server's send queue"
 msgstr "FLUSHQ, сбрасывает текущую очередь отправки сервера"
 
-#: src/common/outbound.c:3556
+#: src/common/outbound.c:3558
 msgid "GATE <host> [<port>], proxies through a host, port defaults to 23"
 msgstr "GATE <адрес> [<порт>], прокси через хост, порт по умолчанию - 23"
 
-#: src/common/outbound.c:3560
-#, fuzzy
-msgid "GHOST <nick> [password], Kills a ghosted nickname"
+#: src/common/outbound.c:3562
+msgid "GHOST <nick> <password>, Kills a ghosted nickname"
 msgstr "GHOST <имя> <пароль>, Убрать фантомное имя пользователя"
 
-#: src/common/outbound.c:3565
+#: src/common/outbound.c:3567
 msgid "HOP <nick>, gives chanhalf-op status to the nick (needs chanop)"
-msgstr ""
-"HOP <Ник>, дает статус полуоператора канала пользователю (требуются права "
-"оператора)"
+msgstr "HOP <Ник>, дает статус полуоператора канала пользователю (требуются права оператора)"
 
-#: src/common/outbound.c:3566
+#: src/common/outbound.c:3568
 msgid "ID <password>, identifies yourself to nickserv"
 msgstr "ID <пароль>, представиться nickserv-у"
 
-#: src/common/outbound.c:3568
+#: src/common/outbound.c:3570
 msgid ""
 "IGNORE <mask> <types..> <options..>\n"
 "    mask - host mask to ignore, eg: *!*@*.aol.com\n"
@@ -360,218 +345,155 @@
 "            PRIV, CHAN, NOTI, CTCP, DCC, INVI, ALL\n"
 "    параметры - NOSAVE, QUIET"
 
-#: src/common/outbound.c:3575
-msgid ""
-"INVITE <nick> [<channel>], invites someone to a channel, by default the "
-"current channel (needs chanop)"
-msgstr ""
-"INVITE <Ник> [<канал>], приглашает кого-либо на канал, по умолчанию, на "
-"текущий (требует права оператора)"
+#: src/common/outbound.c:3577
+msgid "INVITE <nick> [<channel>], invites someone to a channel, by default the current channel (needs chanop)"
+msgstr "INVITE <Ник> [<канал>], приглашает кого-либо на канал, по умолчанию, на текущий (требует права оператора)"
 
-#: src/common/outbound.c:3576
+#: src/common/outbound.c:3578
 msgid "JOIN <channel>, joins the channel"
 msgstr "JOIN <канал>, зайти на канал"
 
-#: src/common/outbound.c:3578
+#: src/common/outbound.c:3580
 msgid "KICK <nick>, kicks the nick from the current channel (needs chanop)"
 msgstr "KICK <Ник>, удаляет человека с текущего канала (нужны права оператора)"
 
-#: src/common/outbound.c:3580
-msgid ""
-"KICKBAN <nick>, bans then kicks the nick from the current channel (needs "
-"chanop)"
-msgstr ""
-"KICKBAN <Ник>, удаляет и ставит бан с данного канала (требуются права "
-"оператора)"
+#: src/common/outbound.c:3582
+msgid "KICKBAN <nick>, bans then kicks the nick from the current channel (needs chanop)"
+msgstr "KICKBAN <Ник>, удаляет и ставит бан с данного канала (требуются права оператора)"
 
-#: src/common/outbound.c:3583
+#: src/common/outbound.c:3585
 msgid "LAGCHECK, forces a new lag check"
 msgstr "LAGCHECK, инициирует новую проверку канала"
 
-#: src/common/outbound.c:3585
+#: src/common/outbound.c:3587
 msgid "LASTLOG <string>, searches for a string in the buffer"
 msgstr "LASTLOG <Строка>, ищет строку в буфере"
 
-#: src/common/outbound.c:3587
+#: src/common/outbound.c:3589
 msgid "LOAD [-e] <file>, loads a plugin or script"
 msgstr "LOAD [-e] <ИмяФайла>, загружает скрипт или плагин"
 
-#: src/common/outbound.c:3590
-msgid ""
-"MDEHOP, Mass deop's all chanhalf-ops in the current channel (needs chanop)"
-msgstr ""
-"MDEHOP, убирает у всех на текущем канале права полуоператора (требуются "
-"права оператора)"
-
 #: src/common/outbound.c:3592
-msgid "MDEOP, Mass deop's all chanops in the current channel (needs chanop)"
-msgstr ""
-"MDEOP, убирает у всех права оператора на текущем канале (требуются права "
-"оператора)"
+msgid "MDEHOP, Mass deop's all chanhalf-ops in the current channel (needs chanop)"
+msgstr "MDEHOP, убирает у всех на текущем канале права полуоператора (требуются права оператора)"
 
 #: src/common/outbound.c:3594
-msgid ""
-"ME <action>, sends the action to the current channel (actions are written in "
-"the 3rd person, like /me jumps)"
-msgstr ""
-"ME <action>, посылает действие на текущий канал (действие пишется от "
-"третьего лица, например, /me прыгает)"
+msgid "MDEOP, Mass deop's all chanops in the current channel (needs chanop)"
+msgstr "MDEOP, убирает у всех права оператора на текущем канале (требуются права оператора)"
 
-#: src/common/outbound.c:3598
-msgid ""
-"MKICK, Mass kicks everyone except you in the current channel (needs chanop)"
+#: src/common/outbound.c:3596
+msgid "ME <action>, sends the action to the current channel (actions are written in the 3rd person, like /me jumps)"
+msgstr "ME <action>, посылает действие на текущий канал (действие пишется от третьего лица, например, /me прыгает)"
+
+#: src/common/outbound.c:3600
+msgid "MKICK, Mass kicks everyone except you in the current channel (needs chanop)"
 msgstr "MKICK, удаляет всех, кроме себя, с канала (требуются права оператора)"
 
-#: src/common/outbound.c:3601
+#: src/common/outbound.c:3603
 msgid "MOP, Mass op's all users in the current channel (needs chanop)"
-msgstr ""
-"MOP, Устанавливает всем пользователям текущего канала права оператора "
-"(требуются права оператора канала)"
+msgstr "MOP, Устанавливает всем пользователям текущего канала права оператора (требуются права оператора канала)"
 
-#: src/common/outbound.c:3602
+#: src/common/outbound.c:3604
 msgid "MSG <nick> <message>, sends a private message"
 msgstr "MSG <Ник> <сообщение>, отправляет приватное сообщение"
 
-#: src/common/outbound.c:3605
+#: src/common/outbound.c:3607
 msgid "NAMES, Lists the nicks on the current channel"
 msgstr "NAMES, показывает список посетителей текущего канала"
 
-#: src/common/outbound.c:3607
+#: src/common/outbound.c:3609
 msgid "NCTCP <nick> <message>, Sends a CTCP notice"
 msgstr "NCTCP <Ник> <сообщение>, отправляет CTCP сообщение"
 
-#: src/common/outbound.c:3608
+#: src/common/outbound.c:3610
 msgid "NEWSERVER [-noconnect] <hostname> [<port>]"
 msgstr "NEWSERVER [-noconnect] <ИмяСервера> [<порт>]"
 
-#: src/common/outbound.c:3609
+#: src/common/outbound.c:3611
 msgid "NICK <nickname>, sets your nick"
 msgstr "/NICK <Ник>, меняет ваш ник"
 
-#: src/common/outbound.c:3612
-msgid ""
-"NOTICE <nick/channel> <message>, sends a notice. Notices are a type of "
-"message that should be auto reacted to"
-msgstr ""
-"NOTICE <Ник/канал> <сообщение>, посылает уведомление. Уведомление - тип "
-"сообщений that should be auto reacted to"
-
 #: src/common/outbound.c:3614
-msgid ""
-"NOTIFY [-n network1[,network2,...]] [<nick>], displays your notify list or "
-"adds someone to it"
-msgstr ""
-"NOTIFY [-n network1[,network2,...]] [<Ник>], показывает список ваших "
-"уведомлений или добавляет что-либо к ним"
+msgid "NOTICE <nick/channel> <message>, sends a notice. Notices are a type of message that should be auto reacted to"
+msgstr "NOTICE <Ник/канал> <сообщение>, посылает уведомление. Уведомление - тип сообщений that should be auto reacted to"
 
 #: src/common/outbound.c:3616
-msgid "OP <nick>, gives chanop status to the nick (needs chanop)"
-msgstr ""
-"OP <Ник>, дает пользователю статус оператора канала (требуются права "
-"администратора)"
+msgid "NOTIFY [-n network1[,network2,...]] [<nick>], displays your notify list or adds someone to it"
+msgstr "NOTIFY [-n network1[,network2,...]] [<Ник>], показывает список ваших уведомлений или добавляет что-либо к ним"
 
 #: src/common/outbound.c:3618
-msgid ""
-"PART [<channel>] [<reason>], leaves the channel, by default the current one"
-msgstr "PART [<Канал>] [<Причина>], выйти с канала, по умолчанию - с текущего"
+msgid "OP <nick>, gives chanop status to the nick (needs chanop)"
+msgstr "OP <Ник>, дает пользователю статус оператора канала (требуются права администратора)"
 
 #: src/common/outbound.c:3620
+msgid "PART [<channel>] [<reason>], leaves the channel, by default the current one"
+msgstr "PART [<Канал>] [<Причина>], выйти с канала, по умолчанию - с текущего"
+
+#: src/common/outbound.c:3622
 msgid "PING <nick | channel>, CTCP pings nick or channel"
 msgstr "PING <Ник | канал>, CTCP-пинг пользователя или канала"
 
-#: src/common/outbound.c:3622
+#: src/common/outbound.c:3624
 msgid "QUERY [-nofocus] <nick>, opens up a new privmsg window to someone"
 msgstr "QUERY  [-nofocus] <Ник>, открыть новое окно приватных сообщений"
 
-#: src/common/outbound.c:3624
+#: src/common/outbound.c:3626
 msgid "QUIT [<reason>], disconnects from the current server"
 msgstr "QUIT [<причина>] - отсоединение от текущего сервера"
 
-#: src/common/outbound.c:3626
+#: src/common/outbound.c:3628
 msgid "QUOTE <text>, sends the text in raw form to the server"
 msgstr "QUOTE <Текст>, отсылает текст в чистом виде на сервер"
 
-#: src/common/outbound.c:3629
-msgid ""
-"RECONNECT [-ssl] [<host>] [<port>] [<password>], Can be called just as /"
-"RECONNECT to reconnect to the current server or with /RECONNECT ALL to "
-"reconnect to all the open servers"
-msgstr ""
-"RECONNECT [-ssl] [<Сервер>] [<Порт>] [<Пароль>]. Может использоваться только "
-"как /RECONNECT для переподключения к текущему серверу или с /RECONNECT ALL "
-"для переподключения ко всем серверам"
-
-#: src/common/outbound.c:3632
-msgid ""
-"RECONNECT [<host>] [<port>] [<password>], Can be called just as /RECONNECT "
-"to reconnect to the current server or with /RECONNECT ALL to reconnect to "
-"all the open servers"
-msgstr ""
-"RECONNECT [-ssl] [<Сервер>] [<Порт>] [<Пароль>]. Может использоваться только "
-"как /RECONNECT для переподключения к текущему серверу или с /RECONNECT ALL "
-"для переподключения ко всем серверам"
+#: src/common/outbound.c:3631
+msgid "RECONNECT [-ssl] [<host>] [<port>] [<password>], Can be called just as /RECONNECT to reconnect to the current server or with /RECONNECT ALL to reconnect to all the open servers"
+msgstr "RECONNECT [-ssl] [<Сервер>] [<Порт>] [<Пароль>]. Может использоваться только как /RECONNECT для переподключения к текущему серверу или с /RECONNECT ALL для переподключения ко всем серверам"
 
 #: src/common/outbound.c:3634
-msgid ""
-"RECV <text>, send raw data to xchat, as if it was received from the irc "
-"server"
-msgstr ""
-"RECV <Текст>, посылает данные в xchat, как если бы они были получены от "
-"сервера"
+msgid "RECONNECT [<host>] [<port>] [<password>], Can be called just as /RECONNECT to reconnect to the current server or with /RECONNECT ALL to reconnect to all the open servers"
+msgstr "RECONNECT [-ssl] [<Сервер>] [<Порт>] [<Пароль>]. Может использоваться только как /RECONNECT для переподключения к текущему серверу или с /RECONNECT ALL для переподключения ко всем серверам"
 
-#: src/common/outbound.c:3637
+#: src/common/outbound.c:3636
+msgid "RECV <text>, send raw data to xchat, as if it was received from the irc server"
+msgstr "RECV <Текст>, посылает данные в xchat, как если бы они были получены от сервера"
+
+#: src/common/outbound.c:3639
 msgid "SAY <text>, sends the text to the object in the current window"
 msgstr "SAY <Текст>, посылает текст объекту в текущем окне"
 
-#: src/common/outbound.c:3638
+#: src/common/outbound.c:3640
 msgid "SEND <nick> [<file>]"
 msgstr "SEND <псевдоним> [<файл>]"
 
-#: src/common/outbound.c:3641
+#: src/common/outbound.c:3643
 msgid "SERVCHAN [-ssl] <host> <port> <channel>, connects and joins a channel"
-msgstr ""
-"SERVCHAN [-ssl] <Сервер> <порт> <канал>, подключиться к серверу, а затем к "
-"каналу"
+msgstr "SERVCHAN [-ssl] <Сервер> <порт> <канал>, подключиться к серверу, а затем к каналу"
 
-#: src/common/outbound.c:3644
+#: src/common/outbound.c:3646
 msgid "SERVCHAN <host> <port> <channel>, connects and joins a channel"
-msgstr ""
-"SERVCHAN [-ssl] <Сервер> <порт> <канал>, подключиться к серверу, а затем к "
-"каналу"
-
-#: src/common/outbound.c:3648
-msgid ""
-"SERVER [-ssl] <host> [<port>] [<password>], connects to a server, the "
-"default port is 6667 for normal connections, and 9999 for ssl connections"
-msgstr ""
-"SERVER [-ssl] <адрес> [<порт>] [<пароль>] соединяет с сервером. Порт по "
-"умолчанию 6667 для нормальных соединений и 9999 для соединений через SSL"
+msgstr "SERVCHAN [-ssl] <Сервер> <порт> <канал>, подключиться к серверу, а затем к каналу"
 
-#: src/common/outbound.c:3651
-msgid ""
-"SERVER <host> [<port>] [<password>], connects to a server, the default port "
-"is 6667"
-msgstr ""
-"SERVER <адрес> [<порт>] [<пароль>] соединяет с сервером. Порт по умолчанию "
-"6667"
+#: src/common/outbound.c:3650
+msgid "SERVER [-ssl] <host> [<port>] [<password>], connects to a server, the default port is 6667 for normal connections, and 9999 for ssl connections"
+msgstr "SERVER [-ssl] <адрес> [<порт>] [<пароль>] соединяет с сервером. Порт по умолчанию 6667 для нормальных соединений и 9999 для соединений через SSL"
 
 #: src/common/outbound.c:3653
-#, fuzzy
-msgid "SET [-e] [-off|-on] [-quiet] <variable> [<value>]"
+msgid "SERVER <host> [<port>] [<password>], connects to a server, the default port is 6667"
+msgstr "SERVER <адрес> [<порт>] [<пароль>] соединяет с сервером. Порт по умолчанию 6667"
+
+#: src/common/outbound.c:3655
+msgid "SET [-e] [-or] [-quiet] <variable> [<value>]"
 msgstr "SET [-e] [-or] [-quiet] <переменная> [<значение>]"
 
-#: src/common/outbound.c:3654
+#: src/common/outbound.c:3656
 msgid "SETCURSOR [-|+]<position>"
 msgstr "SETCURSOR [-|+]<позиция>"
 
-#: src/common/outbound.c:3659
-msgid ""
-"TOPIC [<topic>], sets the topic if one is given, else shows the current topic"
-msgstr ""
-"TOPIC [<тема>], устанавливает тему, если она указана. Иначе отображает "
-"текущую тему"
-
 #: src/common/outbound.c:3661
+msgid "TOPIC [<topic>], sets the topic if one is given, else shows the current topic"
+msgstr "TOPIC [<тема>], устанавливает тему, если она указана. Иначе отображает текущую тему"
+
+#: src/common/outbound.c:3663
 msgid ""
 "\n"
 "TRAY -f <timeout> <file1> [<file2>] Blink tray between two icons.\n"
@@ -587,48 +509,44 @@
 "TRAY -t <текст>                      Set the tray tooltip.\n"
 "TRAY -b <заголовок> <текст>          Set the tray balloon."
 
-#: src/common/outbound.c:3668
+#: src/common/outbound.c:3670
 msgid "UNBAN <mask> [<mask>...], unbans the specified masks."
 msgstr "UNBAN <маска> [<маска>...], снять запрет для специфической маски"
 
-#: src/common/outbound.c:3669
+#: src/common/outbound.c:3671
 msgid "UNIGNORE <mask> [QUIET]"
 msgstr "UNIGNORE <маска> [QUIET]"
 
-#: src/common/outbound.c:3670
+#: src/common/outbound.c:3672
 msgid "UNLOAD <name>, unloads a plugin or script"
 msgstr "UNLOAD <имя>, выгрузить плагин или скрипт"
 
-#: src/common/outbound.c:3671
+#: src/common/outbound.c:3673
 msgid "URL <url>, opens a URL in your browser"
 msgstr "URL <адрес>, открыть ссылку в браузере"
 
-#: src/common/outbound.c:3673
-msgid ""
-"USELECT [-a] [-s] <nick1> <nick2> etc, highlights nick(s) in channel userlist"
-msgstr ""
-"USELECT [-a] [-s] <имя1> <имя2> и т.д., выделить имена в списке пользователей"
+#: src/common/outbound.c:3675
+msgid "USELECT [-a] [-s] <nick1> <nick2> etc, highlights nick(s) in channel userlist"
+msgstr "USELECT [-a] [-s] <имя1> <имя2> и т.д., выделить имена в списке пользователей"
 
-#: src/common/outbound.c:3676
+#: src/common/outbound.c:3678
 msgid "VOICE <nick>, gives voice status to someone (needs chanop)"
 msgstr "VOICE <Ник>, дает право голоса кому-либо (требуются права оператора)"
 
-#: src/common/outbound.c:3678
+#: src/common/outbound.c:3680
 msgid "WALLCHAN <message>, writes the message to all channels"
 msgstr "WALLCHAN <Сообщение>, посылает сообщение на все каналы"
 
-#: src/common/outbound.c:3680
-msgid ""
-"WALLCHOP <message>, sends the message to all chanops on the current channel"
-msgstr ""
-"WALLCHOP <Сообщение>, посылает сообщение всемl операторам текущего канала"
+#: src/common/outbound.c:3682
+msgid "WALLCHOP <message>, sends the message to all chanops on the current channel"
+msgstr "WALLCHOP <Сообщение>, посылает сообщение всемl операторам текущего канала"
 
-#: src/common/outbound.c:3713
+#: src/common/outbound.c:3715
 #, c-format
 msgid "Usage: %s\n"
 msgstr "Использование: %s\n"
 
-#: src/common/outbound.c:3718
+#: src/common/outbound.c:3720
 msgid ""
 "\n"
 "No help available on that command.\n"
@@ -636,23 +554,24 @@
 "\n"
 "По этой команде нет помощи.\n"
 
-#: src/common/outbound.c:3724
+#: src/common/outbound.c:3726
 msgid "No such command.\n"
 msgstr "Команда не существует\n"
 
-#: src/common/outbound.c:4055
+#: src/common/outbound.c:4057
 msgid "Bad arguments for user command.\n"
 msgstr "Недопустимые аргументы команды пользователя.\n"
 
-#: src/common/outbound.c:4215
+#: src/common/outbound.c:4217
 msgid "Too many recursive usercommands, aborting."
 msgstr "Очень много рекурсивных команд пользователя, прерывание."
 
-#: src/common/outbound.c:4298
+#: src/common/outbound.c:4300
 msgid "Unknown Command. Try /help\n"
 msgstr "Неизвестная команда. Попробуйте /help\n"
 
-#: src/common/plugin.c:356 src/common/plugin.c:397
+#: src/common/plugin.c:356
+#: src/common/plugin.c:397
 msgid "No xchat_plugin_init symbol; is this really an xchat plugin?"
 msgstr "Нет символа xchat_plugin_init; вы уверены, что это плагин для xchat?"
 
@@ -673,18 +592,15 @@
 msgid "Proxy traversal failed.\n"
 msgstr "Ошибка прохождения через прокси.\n"
 
-#: src/common/servlist.c:667
+#: src/common/servlist.c:643
 #, c-format
 msgid "Cycling to next server in %s...\n"
 msgstr "Переключаемся к следующему серверу %s...\n"
 
-#: src/common/servlist.c:1118
+#: src/common/servlist.c:1094
 #, c-format
-msgid ""
-"Warning: \"%s\" character set is unknown. No conversion will be applied for "
-"network %s."
-msgstr ""
-"Предупреждение: кодировка \"%s\" неизвестна. Трансляции для %s сети не будет."
+msgid "Warning: \"%s\" character set is unknown. No conversion will be applied for network %s."
+msgstr "Предупреждение: кодировка \"%s\" неизвестна. Трансляции для %s сети не будет."
 
 #: src/common/textevents.h:6
 msgid "%C22*%O$t$1 added to notify list."
@@ -852,12 +768,8 @@
 msgstr "%C24,18 Type  В/От    Состояние  Размер    Позиция     Файл         "
 
 #: src/common/textevents.h:147
-msgid ""
-"%C22*%O$tReceived a malformed DCC request from %C26$1%O.%010%C22*%O"
-"$tContents of packet: $2"
-msgstr ""
-"%C22*%O$tПринят неверный DCC-запрос от %C26$1%O.%010%C22*%O$tСодержимое "
-"пакета: $2"
+msgid "%C22*%O$tReceived a malformed DCC request from %C26$1%O.%010%C22*%O$tContents of packet: $2"
+msgstr "%C22*%O$tПринят неверный DCC-запрос от %C26$1%O.%010%C22*%O$tСодержимое пакета: $2"
 
 #: src/common/textevents.h:150
 msgid "%C22*%O$tOffering%C26 $1%O to%C26 $2"
@@ -872,10 +784,8 @@
 msgstr "%C22*%O$tDCC RECV%C26 $2%O с%C26 $1%O прервано."
 
 #: src/common/textevents.h:159
-msgid ""
-"%C22*%O$tDCC RECV%C26 $1%O from%C26 $3%O complete %C30[%C26$4%O cps%C30]%O."
-msgstr ""
-"%C22*%O$tDCC RECV%C26 $1%O от%C26 $3%O завершено %C30[%C26$4%O cps%C30]%O."
+msgid "%C22*%O$tDCC RECV%C26 $1%O from%C26 $3%O complete %C30[%C26$4%O cps%C30]%O."
+msgstr "%C22*%O$tDCC RECV%C26 $1%O от%C26 $3%O завершено %C30[%C26$4%O cps%C30]%O."
 
 #: src/common/textevents.h:162
 msgid "%C22*%O$tDCC RECV connection established to%C26 $1 %C30[%O$2%C30]"
@@ -890,11 +800,8 @@
 msgstr "%C22*%O$tDCC RECV: Не могу открыть $1 для записи ($2)."
 
 #: src/common/textevents.h:171
-msgid ""
-"%C22*%O$tThe file%C26 $1%C already exists, saving it as%C26 $2%O instead."
-msgstr ""
-"%C22*%O$tФайл%C26 $1%C уже существует, сохраняем его как%C26 $2%O вместо "
-"этого."
+msgid "%C22*%O$tThe file%C26 $1%C already exists, saving it as%C26 $2%O instead."
+msgstr "%C22*%O$tФайл%C26 $1%C уже существует, сохраняем его как%C26 $2%O вместо этого."
 
 #: src/common/textevents.h:174
 msgid "%C22*%O$t%C26$1 %Ohas requested to resume%C26 $2 %Cfrom%C26 $3%C."
@@ -905,10 +812,8 @@
 msgstr "%C22*%O$tDCC SEND%C26 $2%O к%C26 $1%O прервано."
 
 #: src/common/textevents.h:180
-msgid ""
-"%C22*%O$tDCC SEND%C26 $1%O to%C26 $2%O complete %C30[%C26$3%O cps%C30]%O."
-msgstr ""
-"%C22*%O$tDCC SEND%C26 $1%O к%C26 $2%O завершено %C30[%C26$3%O cps%C30]%O."
+msgid "%C22*%O$tDCC SEND%C26 $1%O to%C26 $2%O complete %C30[%C26$3%O cps%C30]%O."
+msgstr "%C22*%O$tDCC SEND%C26 $1%O к%C26 $2%O завершено %C30[%C26$3%O cps%C30]%O."
 
 #: src/common/textevents.h:183
 msgid "%C22*%O$tDCC SEND connection established to%C26 $1 %C30[%O$2%C30]"
@@ -970,8 +875,7 @@
 
 #: src/common/textevents.h:228
 msgid "%C22*%O$tCannot join%C26 %B$1 %O(Channel is invite only)."
-msgstr ""
-"%C22*%O$tНевозможно подключиться%C26 %B$1 %O(Канал только по приглашениям)."
+msgstr "%C22*%O$tНевозможно подключиться%C26 %B$1 %O(Канал только по приглашениям)."
 
 #: src/common/textevents.h:231
 msgid "%C22*%O$tYou have been invited to%C26 $1%O by%C26 $2%C (%C26$3%C)"
@@ -983,8 +887,7 @@
 
 #: src/common/textevents.h:237
 msgid "%C22*%O$tCannot join%C26 %B$1 %O(Requires keyword)."
-msgstr ""
-"%C22-*%O$tНевозможно подключится %C26 %B$1 %O(Требуется ключевое слово)."
+msgstr "%C22-*%O$tНевозможно подключится %C26 %B$1 %O(Требуется ключевое слово)."
 
 #: src/common/textevents.h:240
 msgid "%C21*%O$t%C21$1 has kicked $2 from $3 ($4%O%C21)"
@@ -1004,8 +907,7 @@
 
 #: src/common/textevents.h:258
 msgid "%C22*%O$tNickname already in use. Use /NICK to try another."
-msgstr ""
-"%C22*%O$tНик уже используется. Используйте /NICK, чтобы попробовать другой."
+msgstr "%C22*%O$tНик уже используется. Используйте /NICK, чтобы попробовать другой."
 
 #: src/common/textevents.h:261
 msgid "%C22*%O$tNo such DCC."
@@ -1051,137 +953,137 @@
 msgid "%C22*%O$tNo ping reply for $1 seconds, disconnecting."
 msgstr "%C22*%O$tНе получено ответов в течении $1 секунд.Отсоединение."
 
-#: src/common/textevents.h:315
+#: src/common/textevents.h:309
 msgid "%C22*%O$tA process is already running"
 msgstr "%C22*%O$tПроцесс уже запущен"
 
-#: src/common/textevents.h:318
+#: src/common/textevents.h:312
 msgid "%C23*%O$t%C23$1 has quit (%O%C23%B%B$2%O%C23)"
 msgstr "%C23*%O$t%C23$1 ушел (%O%C23%B%B$2%O%C23)"
 
-#: src/common/textevents.h:321
+#: src/common/textevents.h:315
 msgid "%C22*%O$t$1 sets modes%B %C30[%O$2%B%C30]"
 msgstr "%C22*%O$t$1 установил режимы%B %C30[%O$2%B%C30]"
 
-#: src/common/textevents.h:324
+#: src/common/textevents.h:318
 msgid "%C28-%C29$1/Wallops%C28-%O$t$2"
 msgstr "%C28-%C29$1/Wallops%C28-%O$t$2 "
 
-#: src/common/textevents.h:327
+#: src/common/textevents.h:321
 msgid "%C22*%O$tLooking up IP number for%C26 $1%O..."
 msgstr "%C22*%O$tПоиск IP-адреса для%C26 $1%O..."
 
-#: src/common/textevents.h:330
+#: src/common/textevents.h:324
 msgid "%C22*%O$t%C22Connected."
 msgstr "%C22*%O$t%C22Соединение установлено."
 
-#: src/common/textevents.h:336
+#: src/common/textevents.h:330
 msgid "%C22*%O$t%C22Looking up $1"
 msgstr "%C22*%O$t%C22Ищу $1"
 
-#: src/common/textevents.h:348
+#: src/common/textevents.h:339
 msgid "%C22*%O$tStopped previous connection attempt (pid=$1)"
 msgstr "%C22*%O$tОстановлена предыдущая попытка соединения (pid=$1)"
 
-#: src/common/textevents.h:351
+#: src/common/textevents.h:342
 msgid "%C29*%O$t%C29Topic for $1%C %C29is: $2"
 msgstr "%C29*%O$t%C29Тема для $1%C %C29is: $2"
 
-#: src/common/textevents.h:354
+#: src/common/textevents.h:345
 msgid "%C22*%O$t$1 has changed the topic to: $2"
 msgstr "%C22*%O$t$1 изменил тему на: $2"
 
-#: src/common/textevents.h:357
+#: src/common/textevents.h:348
 msgid "%C29*%O$t%C29Topic for $1%C %C29set by $2%C %C29at $3"
 msgstr "%C29*%O$t%C29Тема для $1%C %C29 установлена $2%C %C29в $3"
 
-#: src/common/textevents.h:360
+#: src/common/textevents.h:351
 msgid "%C22*%O$tUnknown host. Maybe you misspelled it?"
 msgstr "%C22*%O$tНеизвестный хост. Возможно, вы ошиблись?"
 
-#: src/common/textevents.h:363
+#: src/common/textevents.h:354
 msgid "%C22*%O$tCannot join%C26 %B$1 %O(User limit reached)."
 msgstr "%C22*%O$tНевозможно зайти%C26 %B$1 %O(Лимит пользователей исчерпан)."
 
-#: src/common/textevents.h:366
+#: src/common/textevents.h:357
 msgid "%C22*%O$t%C26Users on $1:%C $2"
 msgstr "%C22*%O$t%C26пользователей на $1:%C $2"
 
-#: src/common/textevents.h:369
+#: src/common/textevents.h:360
 msgid "%C22*%O$t%C28[%O$1%C28] %O$2%C27 $3"
 msgstr "%C22*%O$t%C28[%O$1%C28] %O$2%C27 $3 "
 
-#: src/common/textevents.h:372
+#: src/common/textevents.h:363
 msgid "%C22*%O$t%C28[%O$1%C28] %Cis away %C30(%O$2%O%C30)"
 msgstr "%C22*%O$t%C28[%O$1%C28] %Cнедоступен %C30(%O$2%O%C30)"
 
-#: src/common/textevents.h:375 src/common/textevents.h:381
-#: src/common/textevents.h:396 src/common/textevents.h:399
+#: src/common/textevents.h:366
+#: src/common/textevents.h:372
+#: src/common/textevents.h:387
+#: src/common/textevents.h:390
 msgid "%C22*%O$t%C28[%O$1%C28]%O $2"
 msgstr "%C22*%O$t%C28[%O$1%C28]%O $2 "
 
-#: src/common/textevents.h:378
+#: src/common/textevents.h:369
 msgid "%C22*%O$t%C28[%O$1%C28] %OEnd of WHOIS list."
 msgstr "%C22*%O$t%C28[%O$1%C28] %OКонец списка WHOIS."
 
-#: src/common/textevents.h:384
+#: src/common/textevents.h:375
 msgid "%C22*%O$t%C28[%O$1%C28]%O idle%C26 $2"
 msgstr "%C22*%O$t%C28[%O$1%C28]%O не работает %C26 $2"
 
-#: src/common/textevents.h:387
+#: src/common/textevents.h:378
 msgid "%C22*%O$t%C28[%O$1%C28]%O idle%C26 $2%O, signon:%C26 $3"
 msgstr "%C22*%O$t%C28[%O$1%C28]%O не работает%C26 $2%O, подписан:%C26 $3"
 
-#: src/common/textevents.h:390
+#: src/common/textevents.h:381
 msgid "%C22*%O$t%C28[%O$1%C28] %C30(%O$2@$3%C30)%O: $4"
 msgstr "%C22*%O$t%C28[%O$1%C28] %C30(%O$2@$3%C30)%O: $4"
 
-#: src/common/textevents.h:393
+#: src/common/textevents.h:384
 msgid "%C22*%O$t%C28[%O$1%C28] %Oreal user@host%C27 $2%O, real IP%C27 $3"
-msgstr ""
-"%C22*%O$t%C28[%O$1%C28] %Oнастоящие пользователь@машина%C27 $2%O, настоящий "
-"IP%C27 $3"
+msgstr "%C22*%O$t%C28[%O$1%C28] %Oнастоящие пользователь@машина%C27 $2%O, настоящий IP%C27 $3"
 
-#: src/common/textevents.h:402
+#: src/common/textevents.h:393
 msgid "%C19*%O$t%C19Now talking on $2"
 msgstr "%C19*%O$t%C19Сейчас общаетесь на $2"
 
-#: src/common/textevents.h:405
+#: src/common/textevents.h:396
 msgid "%C23*$tYou have been kicked from $2 by $3 ($4%O%C23)"
 msgstr "%C23*$t$3 изгнал вас из канала $2 ($4%O%C23)"
 
-#: src/common/textevents.h:408
+#: src/common/textevents.h:399
 #, c-format
 msgid "%C23*$tYou have left channel $3"
 msgstr "%C23*$tВы ушли с канала $3"
 
-#: src/common/textevents.h:411
+#: src/common/textevents.h:402
 msgid "%C23*$tYou have left channel $3 (%O%C23%B%B$4%O%C23)"
 msgstr "%C23*$tВы ушли из канала $3 (%O%C23%B%B$4%O%C23)"
 
-#: src/common/textevents.h:417
+#: src/common/textevents.h:408
 msgid "%C22*%O$tYou've invited%C26 $1%O to%C26 $2%O (%C26$3%O)"
 msgstr "%C22*%O$tВы пришласили%C26 $1%O на канал%C26 $2%O (%C26$3%O)"
 
-#: src/common/textevents.h:423
+#: src/common/textevents.h:414
 msgid "%C22*%O$tYou are now known as $2"
 msgstr "%C22*%O$tТеперь вы известны как $2"
 
-#: src/common/text.c:347
+#: src/common/text.c:318
 msgid "Loaded log from"
 msgstr "Загружен протокол от"
 
-#: src/common/text.c:366
+#: src/common/text.c:336
 #, c-format
 msgid "**** ENDING LOGGING AT %s\n"
 msgstr "**** ЗАКАНЧИВАЕТСЯ ВХОЖДЕНИЕ НА %s\n"
 
-#: src/common/text.c:575
+#: src/common/text.c:545
 #, c-format
 msgid "**** BEGIN LOGGING AT %s\n"
 msgstr "**** НАЧАЛО ВХОЖДЕНИЯ НА %s\n"
 
-#: src/common/text.c:594
+#: src/common/text.c:564
 #, c-format
 msgid ""
 "* Can't open log file(s) for writing. Check the\n"
@@ -1190,458 +1092,545 @@
 "* Не могу открыть лог-файл(ы) для записи. Проверьте\n"
 "  Права доступа на %s/xchatlogs"
 
-#: src/common/text.c:961
+#: src/common/text.c:931
 msgid "Left message"
 msgstr "Сообщение слева"
 
-#: src/common/text.c:962
+#: src/common/text.c:932
 msgid "Right message"
 msgstr "Сообщение справа"
 
-#: src/common/text.c:966
+#: src/common/text.c:936
 msgid "The nick of the joining person"
 msgstr "Имя зашедшей персоны"
 
-#: src/common/text.c:967
+#: src/common/text.c:937
 msgid "The channel being joined"
 msgstr "Вы уже на канале"
 
-#: src/common/text.c:968 src/common/text.c:1016 src/common/text.c:1067
+#: src/common/text.c:938
+#: src/common/text.c:985
+#: src/common/text.c:1036
 msgid "The host of the person"
 msgstr "Адрес компьютера персоны"
 
-#: src/common/text.c:972 src/common/text.c:979 src/common/text.c:986
-#: src/common/text.c:1174 src/common/text.c:1181 src/common/text.c:1186
-#: src/common/text.c:1191 src/common/text.c:1196 src/common/text.c:1202
-#: src/common/text.c:1207 src/common/text.c:1211 src/common/text.c:1217
-#: src/common/text.c:1223 src/common/text.c:1275 src/common/text.c:1286
-#: src/common/text.c:1291 src/common/text.c:1296 src/common/text.c:1305
-#: src/common/text.c:1316 src/common/text.c:1323 src/common/text.c:1329
-#: src/common/text.c:1334 src/common/text.c:1339 src/common/text.c:1346
-#: src/common/text.c:1352 src/common/text.c:1358 src/common/text.c:1363
-#: src/common/text.c:1368 src/common/text.c:1372 src/common/text.c:1378
-#: src/common/text.c:1386 src/common/text.c:1420 src/common/text.c:1425
+#: src/common/text.c:942
+#: src/common/text.c:948
+#: src/common/text.c:955
+#: src/common/text.c:1143
+#: src/common/text.c:1150
+#: src/common/text.c:1155
+#: src/common/text.c:1160
+#: src/common/text.c:1165
+#: src/common/text.c:1171
+#: src/common/text.c:1176
+#: src/common/text.c:1180
+#: src/common/text.c:1186
+#: src/common/text.c:1192
+#: src/common/text.c:1238
+#: src/common/text.c:1249
+#: src/common/text.c:1254
+#: src/common/text.c:1259
+#: src/common/text.c:1268
+#: src/common/text.c:1279
+#: src/common/text.c:1286
+#: src/common/text.c:1292
+#: src/common/text.c:1297
+#: src/common/text.c:1302
+#: src/common/text.c:1309
+#: src/common/text.c:1315
+#: src/common/text.c:1321
+#: src/common/text.c:1326
+#: src/common/text.c:1331
+#: src/common/text.c:1335
+#: src/common/text.c:1341
+#: src/common/text.c:1349
+#: src/common/text.c:1383
+#: src/common/text.c:1388
 msgid "Nickname"
 msgstr "Ник"
 
-#: src/common/text.c:973
+#: src/common/text.c:943
 msgid "The action"
 msgstr "Действие"
 
-#: src/common/text.c:974 src/common/text.c:981
+#: src/common/text.c:944
+#: src/common/text.c:950
 msgid "Mode char"
 msgstr "Символ режима"
 
-#: src/common/text.c:975 src/common/text.c:982 src/common/text.c:988
-msgid "Identified text"
-msgstr "Выявленный текст"
-
-#: src/common/text.c:980
+#: src/common/text.c:949
 msgid "The text"
 msgstr "Текст"
 
-#: src/common/text.c:987 src/common/text.c:1044 src/common/text.c:1050
+#: src/common/text.c:951
+#: src/common/text.c:957
+msgid "Identified text"
+msgstr "Выявленный текст"
+
+#: src/common/text.c:956
+#: src/common/text.c:1013
+#: src/common/text.c:1019
 msgid "The message"
 msgstr "Сообщение"
 
-#: src/common/text.c:992 src/common/text.c:1054
+#: src/common/text.c:961
+#: src/common/text.c:1023
 msgid "Old nickname"
 msgstr "Старый ник"
 
-#: src/common/text.c:993 src/common/text.c:1055
+#: src/common/text.c:962
+#: src/common/text.c:1024
 msgid "New nickname"
 msgstr "Новый ник"
 
-#: src/common/text.c:997
+#: src/common/text.c:966
 msgid "Nick of person who changed the topic"
 msgstr "Ник человека, который поменял Топик"
 
-#: src/common/text.c:998 src/common/text.c:1004 src/fe-gtk/chanlist.c:766
+#: src/common/text.c:967
+#: src/common/text.c:973
+#: src/fe-gtk/chanlist.c:766
 #: src/fe-gtk/chanlist.c:869
 msgid "Topic"
 msgstr "Топик"
 
-#: src/common/text.c:999 src/common/text.c:1003 src/common/text.c:1440
-#: src/fe-gtk/chanlist.c:764 src/fe-gtk/ignoregui.c:174
-#: src/fe-gtk/servlistgui.c:896
+#: src/common/text.c:968
+#: src/common/text.c:972
+#: src/common/text.c:1403
+#: src/fe-gtk/chanlist.c:764
+#: src/fe-gtk/ignoregui.c:176
+#: src/fe-gtk/servlistgui.c:892
 msgid "Channel"
 msgstr "Канал"
 
-#: src/common/text.c:1008 src/common/text.c:1061
+#: src/common/text.c:977
+#: src/common/text.c:1030
 msgid "The nickname of the kicker"
 msgstr "Ник выкинувшего"
 
-#: src/common/text.c:1009 src/common/text.c:1059
+#: src/common/text.c:978
+#: src/common/text.c:1028
 msgid "The person being kicked"
 msgstr "Персона выкинута"
 
-#: src/common/text.c:1010 src/common/text.c:1017 src/common/text.c:1021
-#: src/common/text.c:1026 src/common/text.c:1060 src/common/text.c:1068
-#: src/common/text.c:1075
+#: src/common/text.c:979
+#: src/common/text.c:986
+#: src/common/text.c:990
+#: src/common/text.c:995
+#: src/common/text.c:1029
+#: src/common/text.c:1037
+#: src/common/text.c:1044
 msgid "The channel"
 msgstr "Канал"
 
-#: src/common/text.c:1011 src/common/text.c:1062 src/common/text.c:1069
+#: src/common/text.c:980
+#: src/common/text.c:1031
+#: src/common/text.c:1038
 msgid "The reason"
 msgstr "Причина"
 
-#: src/common/text.c:1015 src/common/text.c:1066
+#: src/common/text.c:984
+#: src/common/text.c:1035
 msgid "The nick of the person leaving"
 msgstr "Ник вышедшего"
 
-#: src/common/text.c:1022 src/common/text.c:1028
+#: src/common/text.c:991
+#: src/common/text.c:997
 msgid "The time"
 msgstr "Время"
 
-#: src/common/text.c:1027
+#: src/common/text.c:996
 msgid "The creator"
 msgstr "Создатель"
 
-#: src/common/text.c:1032 src/fe-gtk/dccgui.c:768 src/fe-gtk/dccgui.c:1001
+#: src/common/text.c:1001
+#: src/fe-gtk/dccgui.c:763
+#: src/fe-gtk/dccgui.c:996
 msgid "Nick"
 msgstr "Ник"
 
-#: src/common/text.c:1033 src/common/text.c:1292
+#: src/common/text.c:1002
+#: src/common/text.c:1255
 msgid "Reason"
 msgstr "Причина"
 
-#: src/common/text.c:1034 src/common/text.c:1176 src/common/text.c:1265
+#: src/common/text.c:1003
+#: src/common/text.c:1145
+#: src/common/text.c:1228
 msgid "Host"
 msgstr "Адрес машины"
 
-#: src/common/text.c:1038 src/common/text.c:1043 src/common/text.c:1048
+#: src/common/text.c:1007
+#: src/common/text.c:1012
+#: src/common/text.c:1017
 msgid "Who it's from"
 msgstr "Откуда этот"
 
-#: src/common/text.c:1039
+#: src/common/text.c:1008
 msgid "The time in x.x format (see below)"
 msgstr "Время в формате x.x (см. ниже)"
 
-#: src/common/text.c:1049 src/common/text.c:1086
+#: src/common/text.c:1018
+#: src/common/text.c:1055
 msgid "The Channel it's going to"
 msgstr "Список каналов..."
 
-#: src/common/text.c:1073
+#: src/common/text.c:1042
 msgid "The sound"
 msgstr "Звук"
 
-#: src/common/text.c:1074 src/common/text.c:1080 src/common/text.c:1085
+#: src/common/text.c:1043
+#: src/common/text.c:1049
+#: src/common/text.c:1054
 msgid "The nick of the person"
 msgstr "Ник персоны"
 
-#: src/common/text.c:1079 src/common/text.c:1084
+#: src/common/text.c:1048
+#: src/common/text.c:1053
 msgid "The CTCP event"
 msgstr "CTCP событие"
 
-#: src/common/text.c:1090
+#: src/common/text.c:1059
 msgid "The nick of the person who set the key"
 msgstr "Ник персоны, установившей ключ"
 
-#: src/common/text.c:1091
+#: src/common/text.c:1060
 msgid "The key"
 msgstr "Ключ"
 
-#: src/common/text.c:1095
+#: src/common/text.c:1064
 msgid "The nick of the person who set the limit"
 msgstr "Ник персоны, установившей лимит"
 
-#: src/common/text.c:1096
+#: src/common/text.c:1065
 msgid "The limit"
 msgstr "Ограничение"
 
-#: src/common/text.c:1100
+#: src/common/text.c:1069
 msgid "The nick of the person who did the op'ing"
 msgstr "Ник человека, установившего оператора"
 
-#: src/common/text.c:1101
+#: src/common/text.c:1070
 msgid "The nick of the person who has been op'ed"
 msgstr "Ник персоны, кому дали права оператора"
 
-#: src/common/text.c:1105
+#: src/common/text.c:1074
 msgid "The nick of the person who has been halfop'ed"
 msgstr "Ник персоны, кому дали права полуоператора"
 
-#: src/common/text.c:1106
+#: src/common/text.c:1075
 msgid "The nick of the person who did the halfop'ing"
 msgstr "Ник человека, который дал права полуоператора"
 
-#: src/common/text.c:1110
+#: src/common/text.c:1079
 msgid "The nick of the person who did the voice'ing"
 msgstr "Ник человека, который дал право голоса"
 
-#: src/common/text.c:1111
+#: src/common/text.c:1080
 msgid "The nick of the person who has been voice'ed"
 msgstr "Ник человека, которому дали право голоса"
 
-#: src/common/text.c:1115
+#: src/common/text.c:1084
 msgid "The nick of the person who did the banning"
 msgstr "Ник забанившего"
 
-#: src/common/text.c:1116 src/common/text.c:1143
+#: src/common/text.c:1085
+#: src/common/text.c:1112
 msgid "The ban mask"
 msgstr "Маска бана"
 
-#: src/common/text.c:1120
+#: src/common/text.c:1089
 msgid "The nick who removed the key"
 msgstr "Ник удалившего ключ"
 
-#: src/common/text.c:1124
+#: src/common/text.c:1093
 msgid "The nick who removed the limit"
 msgstr "Ник удалившего ограничение"
 
-#: src/common/text.c:1128
+#: src/common/text.c:1097
 msgid "The nick of the person of did the deop'ing"
 msgstr "Ник персоны, который де-опнул"
 
-#: src/common/text.c:1129
+#: src/common/text.c:1098
 msgid "The nick of the person who has been deop'ed"
 msgstr "Ник персоны, которого де-опили."
 
-#: src/common/text.c:1132
+#: src/common/text.c:1101
 msgid "The nick of the person of did the dehalfop'ing"
 msgstr "Ник персоны, который снял статус полуоператора"
 
-#: src/common/text.c:1133
+#: src/common/text.c:1102
 msgid "The nick of the person who has been dehalfop'ed"
 msgstr "Ник персоны, с которой сняли статус полуоператора"
 
-#: src/common/text.c:1137
+#: src/common/text.c:1106
 msgid "The nick of the person of did the devoice'ing"
 msgstr "Ник персоны, который снял право голоса"
 
-#: src/common/text.c:1138
+#: src/common/text.c:1107
 msgid "The nick of the person who has been devoice'ed"
 msgstr "Ник персоны, с которой сняли право голоса"
 
-#: src/common/text.c:1142
+#: src/common/text.c:1111
 msgid "The nick of the person of did the unban'ing"
 msgstr "Ник персоны, снявшей бан."
 
-#: src/common/text.c:1147
+#: src/common/text.c:1116
 msgid "The nick of the person who did the exempt"
 msgstr "Ник персоны, вызвавшей исключение"
 
-#: src/common/text.c:1148 src/common/text.c:1153
+#: src/common/text.c:1117
+#: src/common/text.c:1122
 msgid "The exempt mask"
 msgstr "Маска исключения"
 
-#: src/common/text.c:1152
+#: src/common/text.c:1121
 msgid "The nick of the person removed the exempt"
 msgstr "Ник персоны, убравшей исключение"
 
-#: src/common/text.c:1157
+#: src/common/text.c:1126
 msgid "The nick of the person who did the invite"
 msgstr "Ник персоны, сделавшей приглашение"
 
-#: src/common/text.c:1158 src/common/text.c:1163
+#: src/common/text.c:1127
+#: src/common/text.c:1132
 msgid "The invite mask"
 msgstr "Маска приглашения"
 
-#: src/common/text.c:1162
+#: src/common/text.c:1131
 msgid "The nick of the person removed the invite"
 msgstr "Ник персоны, удалившей приглашение"
 
-#: src/common/text.c:1167
+#: src/common/text.c:1136
 msgid "The nick of the person setting the mode"
 msgstr "Ник персоны, установившего режим"
 
-#: src/common/text.c:1168
+#: src/common/text.c:1137
 msgid "The mode's sign (+/-)"
 msgstr "Знаки режима (+/-)"
 
-#: src/common/text.c:1169
+#: src/common/text.c:1138
 msgid "The mode letter"
 msgstr "Буквы режима"
 
-#: src/common/text.c:1170
+#: src/common/text.c:1139
 msgid "The channel it's being set on"
 msgstr "Канал установлен"
 
-#: src/common/text.c:1175
+#: src/common/text.c:1144
 msgid "Username"
 msgstr "Имя пользователя"
 
-#: src/common/text.c:1177
+#: src/common/text.c:1146
 msgid "Full name"
 msgstr "Полное имя"
 
-#: src/common/text.c:1182
+#: src/common/text.c:1151
 msgid "Channel Membership/\"is an IRC operator\""
 msgstr "Член канала/\"IRC - оператор\""
 
-#: src/common/text.c:1187
+#: src/common/text.c:1156
 msgid "Server Information"
 msgstr "Информация о сервере"
 
-#: src/common/text.c:1192 src/common/text.c:1197
+#: src/common/text.c:1161
+#: src/common/text.c:1166
 msgid "Idle time"
 msgstr "Время простоя"
 
-#: src/common/text.c:1198
+#: src/common/text.c:1167
 msgid "Signon time"
 msgstr "Время ввода пароля"
 
-#: src/common/text.c:1203
+#: src/common/text.c:1172
 msgid "Away reason"
 msgstr "Причина ухода:"
 
-#: src/common/text.c:1212 src/common/text.c:1218 src/common/text.c:1226
-#: src/common/text.c:1412
+#: src/common/text.c:1181
+#: src/common/text.c:1187
+#: src/common/text.c:1195
+#: src/common/text.c:1375
 msgid "Message"
 msgstr "Сообщение"
 
-#: src/common/text.c:1219
+#: src/common/text.c:1188
 msgid "Account"
 msgstr "Учетная запись"
 
-#: src/common/text.c:1224
+#: src/common/text.c:1193
 msgid "Real user@host"
 msgstr "Фактический пользователь@компьютер"
 
-#: src/common/text.c:1225
+#: src/common/text.c:1194
 msgid "Real IP"
 msgstr "Фактический IP"
 
-#: src/common/text.c:1230 src/common/text.c:1245 src/common/text.c:1251
-#: src/common/text.c:1281 src/common/text.c:1435
+#: src/common/text.c:1199
+#: src/common/text.c:1208
+#: src/common/text.c:1214
+#: src/common/text.c:1244
+#: src/common/text.c:1398
 msgid "Channel Name"
 msgstr "Имя канала"
 
-#: src/common/text.c:1234 src/common/text.c:1240 src/common/text.c:1398
-#: src/fe-gtk/menu.c:1418 src/fe-gtk/menu.c:1606 src/fe-gtk/textgui.c:390
+#: src/common/text.c:1203
+#: src/common/text.c:1361
+#: src/fe-gtk/menu.c:1404
+#: src/fe-gtk/menu.c:1592
+#: src/fe-gtk/textgui.c:390
 msgid "Text"
 msgstr "Текст"
 
-#: src/common/text.c:1235 src/common/text.c:1241 src/common/text.c:1247
-#: src/common/text.c:1276 src/common/text.c:1394 src/common/text.c:1436
+#: src/common/text.c:1204
+#: src/common/text.c:1210
+#: src/common/text.c:1239
+#: src/common/text.c:1357
+#: src/common/text.c:1399
 msgid "Server Name"
 msgstr "Имя сервера"
 
-#: src/common/text.c:1236
-msgid "Raw Numeric or Identifier"
-msgstr ""
-
-#: src/common/text.c:1246
+#: src/common/text.c:1209
 msgid "Nick of person who invited you"
 msgstr "Ник персоны, пригласившей вас"
 
-#: src/common/text.c:1252 src/fe-gtk/chanlist.c:765
+#: src/common/text.c:1215
+#: src/fe-gtk/chanlist.c:765
 msgid "Users"
 msgstr "Пользователи"
 
-#: src/common/text.c:1256
+#: src/common/text.c:1219
 msgid "Nickname in use"
 msgstr "Ник используется"
 
-#: src/common/text.c:1257
+#: src/common/text.c:1220
 msgid "Nick being tried"
 msgstr "Пробуем ник"
 
-#: src/common/text.c:1266 src/common/text.c:1402
+#: src/common/text.c:1229
+#: src/common/text.c:1365
 msgid "IP"
 msgstr "IP"
 
-#: src/common/text.c:1267 src/common/text.c:1298
+#: src/common/text.c:1230
+#: src/common/text.c:1261
 msgid "Port"
 msgstr "Порт"
 
-#: src/common/text.c:1277 src/fe-gtk/notifygui.c:137 src/fe-gtk/setup.c:1713
+#: src/common/text.c:1240
+#: src/fe-gtk/notifygui.c:139
+#: src/fe-gtk/setup.c:1713
 msgid "Network"
 msgstr "Сеть"
 
-#: src/common/text.c:1282 src/common/text.c:1287
+#: src/common/text.c:1245
+#: src/common/text.c:1250
 msgid "Modes string"
 msgstr "Строка режимов"
 
-#: src/common/text.c:1297 src/common/text.c:1335 src/common/text.c:1340
-#: src/common/text.c:1381
+#: src/common/text.c:1260
+#: src/common/text.c:1298
+#: src/common/text.c:1303
+#: src/common/text.c:1344
 msgid "IP address"
 msgstr "IP Адрес"
 
-#: src/common/text.c:1303 src/common/text.c:1328
+#: src/common/text.c:1266
+#: src/common/text.c:1291
 msgid "DCC Type"
 msgstr "Тип DCC"
 
-#: src/common/text.c:1304 src/common/text.c:1309 src/common/text.c:1314
-#: src/common/text.c:1321 src/common/text.c:1341 src/common/text.c:1345
-#: src/common/text.c:1351 src/common/text.c:1357 src/common/text.c:1364
-#: src/common/text.c:1373 src/common/text.c:1379
+#: src/common/text.c:1267
+#: src/common/text.c:1272
+#: src/common/text.c:1277
+#: src/common/text.c:1284
+#: src/common/text.c:1304
+#: src/common/text.c:1308
+#: src/common/text.c:1314
+#: src/common/text.c:1320
+#: src/common/text.c:1327
+#: src/common/text.c:1336
+#: src/common/text.c:1342
 msgid "Filename"
 msgstr "Имя файла"
 
-#: src/common/text.c:1315 src/common/text.c:1322
+#: src/common/text.c:1278
+#: src/common/text.c:1285
 msgid "Destination filename"
 msgstr "Имя файла у получателя"
 
-#: src/common/text.c:1324 src/common/text.c:1353
+#: src/common/text.c:1287
+#: src/common/text.c:1316
 msgid "CPS"
 msgstr "CPS"
 
-#: src/common/text.c:1359
+#: src/common/text.c:1322
 msgid "Pathname"
 msgstr "Путь"
 
-#: src/common/text.c:1374 src/fe-gtk/dccgui.c:764
+#: src/common/text.c:1337
+#: src/fe-gtk/dccgui.c:759
 msgid "Position"
 msgstr "Положение"
 
-#: src/common/text.c:1380 src/fe-gtk/dccgui.c:763
+#: src/common/text.c:1343
+#: src/fe-gtk/dccgui.c:758
 msgid "Size"
 msgstr "Размер"
 
-#: src/common/text.c:1385
+#: src/common/text.c:1348
 msgid "DCC String"
 msgstr "Строка DCC"
 
-#: src/common/text.c:1390
+#: src/common/text.c:1353
 msgid "Number of notify items"
 msgstr "Количество уведомлений"
 
-#: src/common/text.c:1406
+#: src/common/text.c:1369
 msgid "Old Filename"
 msgstr "Старое имя файла"
 
-#: src/common/text.c:1407
+#: src/common/text.c:1370
 msgid "New Filename"
 msgstr "Новое имя файла"
 
-#: src/common/text.c:1411
+#: src/common/text.c:1374
 msgid "Receiver"
 msgstr "Получатель"
 
-#: src/common/text.c:1416
+#: src/common/text.c:1379
 msgid "Hostmask"
 msgstr "Маска компьютера"
 
-#: src/common/text.c:1421
+#: src/common/text.c:1384
 msgid "Hostname"
 msgstr "Имя машины"
 
-#: src/common/text.c:1426
+#: src/common/text.c:1389
 msgid "The Packet"
 msgstr "Пакет"
 
-#: src/common/text.c:1430
+#: src/common/text.c:1393
 msgid "Seconds"
 msgstr "Секунд."
 
-#: src/common/text.c:1434
+#: src/common/text.c:1397
 msgid "Nick of person who have been invited"
 msgstr "Ник приглашенного"
 
-#: src/common/text.c:1441
+#: src/common/text.c:1404
 msgid "Banmask"
 msgstr "Маска бана"
 
-#: src/common/text.c:1442
+#: src/common/text.c:1405
 msgid "Who set the ban"
 msgstr "Кто установил бан"
 
-#: src/common/text.c:1443
+#: src/common/text.c:1406
 msgid "Ban time"
 msgstr "Продолжительность бана"
 
-#: src/common/text.c:1483
+#: src/common/text.c:1446
 #, c-format
 msgid ""
 "Error parsing event %s.\n"
@@ -1650,7 +1639,7 @@
 "Ошибка разбора события %s.\n"
 "Загружаем по умолчанию."
 
-#: src/common/text.c:2225
+#: src/common/text.c:2189
 #, c-format
 msgid ""
 "Cannot read sound file:\n"
@@ -2603,7 +2592,8 @@
 msgid "Tokelau"
 msgstr "о-ва Токелау"
 
-#: src/common/util.c:1078 src/common/util.c:1082
+#: src/common/util.c:1078
+#: src/common/util.c:1082
 msgid "East Timor"
 msgstr "Восточный Тимор"
 
@@ -2723,7 +2713,9 @@
 msgid "Zimbabwe"
 msgstr "Зимбабве"
 
-#: src/common/util.c:1118 src/common/util.c:1128 src/fe-gtk/menu.c:616
+#: src/common/util.c:1118
+#: src/common/util.c:1128
+#: src/fe-gtk/menu.c:611
 msgid "Unknown"
 msgstr "Неизвестно"
 
@@ -2767,16 +2759,23 @@
 msgid "Kick/Ban"
 msgstr "Кик/Бан"
 
-#: src/common/xchat.c:738 src/common/xchat.c:775
+#: src/common/xchat.c:738
+#: src/common/xchat.c:775
 msgid "Kick"
 msgstr "Кик"
 
-#: src/common/xchat.c:739 src/common/xchat.c:740 src/common/xchat.c:741
-#: src/common/xchat.c:742 src/common/xchat.c:743 src/common/xchat.c:774
+#: src/common/xchat.c:739
+#: src/common/xchat.c:740
+#: src/common/xchat.c:741
+#: src/common/xchat.c:742
+#: src/common/xchat.c:743
+#: src/common/xchat.c:774
 msgid "Ban"
 msgstr "Бан"
 
-#: src/common/xchat.c:744 src/common/xchat.c:745 src/common/xchat.c:746
+#: src/common/xchat.c:744
+#: src/common/xchat.c:745
+#: src/common/xchat.c:746
 #: src/common/xchat.c:747
 msgid "KickBan"
 msgstr "Кик+Бан"
@@ -2789,7 +2788,8 @@
 msgid "Join Channel..."
 msgstr "Зайти на канал..."
 
-#: src/common/xchat.c:759 src/fe-gtk/menu.c:1295
+#: src/common/xchat.c:759
+#: src/fe-gtk/menu.c:1281
 msgid "Enter Channel to Join:"
 msgstr "Введите канал для входа:"
 
@@ -2842,8 +2842,10 @@
 msgid "Chat"
 msgstr "Разговор"
 
-#: src/common/xchat.c:791 src/fe-gtk/banlist.c:411 src/fe-gtk/ignoregui.c:387
-#: src/fe-gtk/urlgrab.c:199
+#: src/common/xchat.c:791
+#: src/fe-gtk/banlist.c:413
+#: src/fe-gtk/ignoregui.c:389
+#: src/fe-gtk/urlgrab.c:201
 msgid "Clear"
 msgstr "Очистить"
 
@@ -2881,62 +2883,66 @@
 msgid "Failed to acquire %s: %s\n"
 msgstr "Не удалось получить %s: %s\n"
 
-#: src/fe-gtk/about.c:100
+#: src/fe-gtk/about.c:102
 msgid "About "
 msgstr "О программе"
 
-#: src/fe-gtk/about.c:131
+#: src/fe-gtk/about.c:133
 msgid "A multiplatform IRC Client"
 msgstr "Многоплатформенный IRC-клиент"
 
-#: src/fe-gtk/ascii.c:133
+#: src/fe-gtk/ascii.c:135
 msgid "Character Chart"
 msgstr "Кодировка"
 
-#: src/fe-gtk/banlist.c:149 src/fe-gtk/chanlist.c:305
-#: src/fe-gtk/plugin-tray.c:304
+#: src/fe-gtk/banlist.c:151
+#: src/fe-gtk/chanlist.c:305
+#: src/fe-gtk/plugin-tray.c:302
 msgid "Not connected."
 msgstr "Нет соединения."
 
-#: src/fe-gtk/banlist.c:247 src/fe-gtk/banlist.c:327
+#: src/fe-gtk/banlist.c:249
+#: src/fe-gtk/banlist.c:329
 msgid "You must select some bans."
 msgstr "Вы должны выбрать баны."
 
-#: src/fe-gtk/banlist.c:276
+#: src/fe-gtk/banlist.c:278
 #, c-format
 msgid "Are you sure you want to remove all bans in %s?"
 msgstr "Вы действительно хотите снять все баны с %s?"
 
-#: src/fe-gtk/banlist.c:342 src/fe-gtk/ignoregui.c:173
+#: src/fe-gtk/banlist.c:344
+#: src/fe-gtk/ignoregui.c:175
 msgid "Mask"
 msgstr "Маска"
 
-#: src/fe-gtk/banlist.c:343
+#: src/fe-gtk/banlist.c:345
 msgid "From"
 msgstr "От"
 
-#: src/fe-gtk/banlist.c:344
+#: src/fe-gtk/banlist.c:346
 msgid "Date"
 msgstr "Дата"
 
-#: src/fe-gtk/banlist.c:387
+#: src/fe-gtk/banlist.c:389
 msgid "You can only open the Ban List window while in a channel tab."
 msgstr "Список банов можно отктыть только при открытой вкладке канала."
 
-#: src/fe-gtk/banlist.c:391
+#: src/fe-gtk/banlist.c:393
 #, c-format
 msgid "XChat: Ban List (%s)"
 msgstr "X-Chat: Список банов (%s)"
 
-#: src/fe-gtk/banlist.c:407 src/fe-gtk/notifygui.c:430
+#: src/fe-gtk/banlist.c:409
+#: src/fe-gtk/notifygui.c:432
 msgid "Remove"
 msgstr "Удалить"
 
-#: src/fe-gtk/banlist.c:409
+#: src/fe-gtk/banlist.c:411
 msgid "Crop"
 msgstr "Сжать"
 
-#: src/fe-gtk/banlist.c:413
+#: src/fe-gtk/banlist.c:415
 msgid "Refresh"
 msgstr "Обновить"
 
@@ -2945,11 +2951,14 @@
 msgid "Displaying %d/%d users on %d/%d channels."
 msgstr "Статистика: %d/%d пользователей  на %d/%d каналах"
 
-#: src/fe-gtk/chanlist.c:526 src/fe-gtk/menu.c:1231 src/fe-gtk/urlgrab.c:146
+#: src/fe-gtk/chanlist.c:526
+#: src/fe-gtk/menu.c:1217
+#: src/fe-gtk/urlgrab.c:148
 msgid "Select an output filename"
 msgstr "Выберите файл для вывода"
 
-#: src/fe-gtk/chanlist.c:631 src/fe-gtk/chanlist.c:799
+#: src/fe-gtk/chanlist.c:631
+#: src/fe-gtk/chanlist.c:799
 msgid "_Join Channel"
 msgstr "Зайти на канал"
 
@@ -3018,20 +3027,21 @@
 msgid "Regular Expression"
 msgstr "Регулярное выражение"
 
-#: src/fe-gtk/chanlist.c:903 src/fe-gtk/search.c:125
+#: src/fe-gtk/chanlist.c:903
+#: src/fe-gtk/search.c:118
 msgid "Find:"
 msgstr "Поиск:"
 
-#: src/fe-gtk/dccgui.c:167
+#: src/fe-gtk/dccgui.c:166
 #, c-format
 msgid "Send file to %s"
 msgstr "Отправить файл %s"
 
-#: src/fe-gtk/dccgui.c:497
+#: src/fe-gtk/dccgui.c:496
 msgid "That file is not resumable."
 msgstr "Файл нельзя продолжить."
 
-#: src/fe-gtk/dccgui.c:501
+#: src/fe-gtk/dccgui.c:500
 #, c-format
 msgid ""
 "Cannot access file: %s\n"
@@ -3042,85 +3052,89 @@
 "%s.\n"
 "Продолжение не доступно."
 
-#: src/fe-gtk/dccgui.c:508
-msgid ""
-"File in download directory is larger than file offered. Resuming not "
-"possible."
+#: src/fe-gtk/dccgui.c:507
+msgid "File in download directory is larger than file offered. Resuming not possible."
 msgstr "Файл во входном каталоге больше запрошенного. Продолжение невозможно."
 
-#: src/fe-gtk/dccgui.c:512
+#: src/fe-gtk/dccgui.c:511
 msgid "Cannot resume the same file from two people."
 msgstr "Не могу продолжить одинаковый файл от 2 пользователей."
 
-#: src/fe-gtk/dccgui.c:745
+#: src/fe-gtk/dccgui.c:740
 msgid "XChat: Uploads and Downloads"
 msgstr "XChat: Прием и передача файлов"
 
-#: src/fe-gtk/dccgui.c:761 src/fe-gtk/dccgui.c:1000 src/fe-gtk/notifygui.c:136
+#: src/fe-gtk/dccgui.c:756
+#: src/fe-gtk/dccgui.c:995
+#: src/fe-gtk/notifygui.c:138
 msgid "Status"
 msgstr "Статус"
 
-#: src/fe-gtk/dccgui.c:762 src/fe-gtk/plugingui.c:73
+#: src/fe-gtk/dccgui.c:757
+#: src/fe-gtk/plugingui.c:75
 msgid "File"
 msgstr "Файл"
 
-#: src/fe-gtk/dccgui.c:767
+#: src/fe-gtk/dccgui.c:762
 msgid "ETA"
 msgstr "Осталось"
 
-#: src/fe-gtk/dccgui.c:792 src/fe-gtk/menu.c:1607
+#: src/fe-gtk/dccgui.c:787
+#: src/fe-gtk/menu.c:1593
 msgid "Both"
 msgstr "Оба"
 
-#: src/fe-gtk/dccgui.c:798
+#: src/fe-gtk/dccgui.c:793
 msgid "Uploads"
 msgstr "Отгрузки"
 
-#: src/fe-gtk/dccgui.c:804
+#: src/fe-gtk/dccgui.c:799
 msgid "Downloads"
 msgstr "Загрузки"
 
-#: src/fe-gtk/dccgui.c:809
+#: src/fe-gtk/dccgui.c:804
 msgid "Details"
 msgstr "Подробно"
 
-#: src/fe-gtk/dccgui.c:820
+#: src/fe-gtk/dccgui.c:815
 msgid "File:"
 msgstr "Файл:"
 
-#: src/fe-gtk/dccgui.c:821
+#: src/fe-gtk/dccgui.c:816
 msgid "Address:"
 msgstr "Адрес:"
 
-#: src/fe-gtk/dccgui.c:827 src/fe-gtk/dccgui.c:1024
+#: src/fe-gtk/dccgui.c:822
+#: src/fe-gtk/dccgui.c:1019
 msgid "Abort"
 msgstr "Прервать"
 
-#: src/fe-gtk/dccgui.c:828 src/fe-gtk/dccgui.c:1025
+#: src/fe-gtk/dccgui.c:823
+#: src/fe-gtk/dccgui.c:1020
 msgid "Accept"
 msgstr "Подтвердить"
 
-#: src/fe-gtk/dccgui.c:829
+#: src/fe-gtk/dccgui.c:824
 msgid "Resume"
 msgstr "Продолж."
 
-#: src/fe-gtk/dccgui.c:830
+#: src/fe-gtk/dccgui.c:825
 msgid "Open Folder..."
 msgstr "Открыть папку..."
 
-#: src/fe-gtk/dccgui.c:990
+#: src/fe-gtk/dccgui.c:985
 msgid "XChat: DCC Chat List"
 msgstr "XChat: Список разговоров по DCC"
 
-#: src/fe-gtk/dccgui.c:1002
+#: src/fe-gtk/dccgui.c:997
 msgid "Recv"
 msgstr "Прин"
 
-#: src/fe-gtk/dccgui.c:1003
+#: src/fe-gtk/dccgui.c:998
 msgid "Sent"
 msgstr "Отпр"
 
-#: src/fe-gtk/dccgui.c:1004
+#: src/fe-gtk/dccgui.c:999
 msgid "Start Time"
 msgstr "Время Начала"
 
@@ -3132,8 +3146,9 @@
 msgid "EDIT ME"
 msgstr "Исправь!!!"
 
-#: src/fe-gtk/editlist.c:310 src/fe-gtk/notifygui.c:135
-#: src/fe-gtk/plugingui.c:71
+#: src/fe-gtk/editlist.c:310
+#: src/fe-gtk/notifygui.c:137
+#: src/fe-gtk/plugingui.c:73
 msgid "Name"
 msgstr "Имя"
 
@@ -3157,11 +3172,14 @@
 msgid "Save"
 msgstr "Записать"
 
-#: src/fe-gtk/editlist.c:363 src/fe-gtk/fkeys.c:765
+#: src/fe-gtk/editlist.c:363
+#: src/fe-gtk/fkeys.c:765
 msgid "Add New"
 msgstr "Добавить новый"
 
-#: src/fe-gtk/editlist.c:367 src/fe-gtk/fkeys.c:770 src/fe-gtk/ignoregui.c:385
+#: src/fe-gtk/editlist.c:367
+#: src/fe-gtk/fkeys.c:770
+#: src/fe-gtk/ignoregui.c:387
 msgid "Delete"
 msgstr "Удалить"
 
@@ -3173,51 +3191,52 @@
 msgid "Help"
 msgstr "Помощь"
 
-#: src/fe-gtk/fe-gtk.c:124
+#: src/fe-gtk/fe-gtk.c:126
 msgid "Don't auto connect to servers"
 msgstr "Не подключаться к серверам"
 
-#: src/fe-gtk/fe-gtk.c:125
+#: src/fe-gtk/fe-gtk.c:127
 msgid "Use a different config directory"
 msgstr "используется другой конфигурационный каталог"
 
-#: src/fe-gtk/fe-gtk.c:126
+#: src/fe-gtk/fe-gtk.c:128
 msgid "Don't auto load any plugins"
 msgstr "Не загружать автоматически плагины"
 
-#: src/fe-gtk/fe-gtk.c:127
+#: src/fe-gtk/fe-gtk.c:129
 msgid "Show plugin auto-load directory"
 msgstr "показать каталог автозагружаемых плагинов"
 
-#: src/fe-gtk/fe-gtk.c:128
+#: src/fe-gtk/fe-gtk.c:130
 msgid "Show user config directory"
 msgstr "показать каталог пользовательских настроек"
 
-#: src/fe-gtk/fe-gtk.c:129
+#: src/fe-gtk/fe-gtk.c:131
 msgid "Open an irc://server:port/channel URL"
 msgstr "Открывает URL вида irc://сервер:порт/канал"
 
-#: src/fe-gtk/fe-gtk.c:131 src/fe-gtk/setup.c:212
+#: src/fe-gtk/fe-gtk.c:133
+#: src/fe-gtk/setup.c:212
 msgid "Execute command:"
 msgstr "Выполнить команду:"
 
-#: src/fe-gtk/fe-gtk.c:132
+#: src/fe-gtk/fe-gtk.c:134
 msgid "Open URL or execute command in an existing XChat"
 msgstr "Открыть URL или выполнить команду в запущенном XChat"
 
-#: src/fe-gtk/fe-gtk.c:134
+#: src/fe-gtk/fe-gtk.c:136
 msgid "Begin minimized. Level 0=Normal 1=Iconified 2=Tray"
 msgstr "Вид окна при запуске. Ур. 0=обычное 1=свернутое 2=значок"
 
-#: src/fe-gtk/fe-gtk.c:134
+#: src/fe-gtk/fe-gtk.c:136
 msgid "level"
 msgstr "уровень"
 
-#: src/fe-gtk/fe-gtk.c:135
+#: src/fe-gtk/fe-gtk.c:137
 msgid "Show version information"
 msgstr "Показать информацию о версии"
 
-#: src/fe-gtk/fe-gtk.c:255
+#: src/fe-gtk/fe-gtk.c:257
 #, c-format
 msgid ""
 "Failed to open font:\n"
@@ -3228,110 +3247,61 @@
 "\n"
 "%s"
 
-#: src/fe-gtk/fe-gtk.c:634
+#: src/fe-gtk/fe-gtk.c:636
 msgid "Search buffer is empty.\n"
 msgstr "Буфер поиска пуст.\n"
 
-#: src/fe-gtk/fe-gtk.c:730
+#: src/fe-gtk/fe-gtk.c:732
 #, c-format
 msgid "%d bytes"
 msgstr "%d байт"
 
-#: src/fe-gtk/fe-gtk.c:731
+#: src/fe-gtk/fe-gtk.c:733
 #, c-format
 msgid "Network send queue: %d bytes"
 msgstr "Очередь отправки, байт: %d"
 
 #: src/fe-gtk/fkeys.c:159
 msgid ""
-"The Run Command action runs the data in Data 1 as if it has been typed into "
-"the entry box where you pressed the key sequence. Thus it can contain text "
-"(which will be sent to the channel/person), commands or user commands. When "
-"run all \\n characters in Data 1 are used to deliminate seperate commands so "
-"it is possible to run more than one command. If you want a \\ in the actual "
-"text run then enter \\\\"
-msgstr ""
-"Команда Run запускает данные в Data 1 как если бы они были впечатаны в поле "
-"ввода Где нажата последовательность клавиш. Может содержать текст (который "
-"можно послать на канал/персоне), команды или команды пользователя. Когда "
-"запускает все символы в Data 1 использует для разделения команд, если "
-"возможно запустить больше одной команды Если вы хотите использовать \\ iв "
-"тексте, вводите\\\\"
+"The Run Command action runs the data in Data 1 as if it has been typed into the entry box where you pressed the key sequence. Thus it can contain text (which will be sent to the channel/person), commands or user commands. When run all \\n"
+" characters in Data 1 are used to deliminate seperate commands so it is possible to run more than one command. If you want a \\ in the actual text run then enter \\\\"
+msgstr "Команда Run запускает данные в Data 1 как если бы они были впечатаны в поле ввода Где нажата последовательность клавиш. Может содержать текст (который можно послать на канал/персоне), команды или команды пользователя. Когда запускает все символы в Data 1 использует для разделения команд, если возможно запустить больше одной команды Если вы хотите использовать \\ iв тексте, вводите\\\\"
 
 #: src/fe-gtk/fkeys.c:161
-msgid ""
-"The Change Page command switches between pages in the notebook. Set Data 1 "
-"to the page you want to switch to. If Data 2 is set to anything then the "
-"switch will be relative to the current position"
-msgstr ""
-"Команда Сменить страницу  переключает страницы  записной книжки. Установите "
-"Data 1 на страницу, куда хотите переключиться. Если Data 2 установлена, то "
-"считается относительно текущей позиции."
+msgid "The Change Page command switches between pages in the notebook. Set Data 1 to the page you want to switch to. If Data 2 is set to anything then the switch will be relative to the current position"
+msgstr "Команда Сменить страницу  переключает страницы  записной книжки. Установите Data 1 на страницу, куда хотите переключиться. Если Data 2 установлена, то считается относительно текущей позиции."
 
 #: src/fe-gtk/fkeys.c:163
-msgid ""
-"The Insert in Buffer command will insert the contents of Data 1 into the "
-"entry where the key sequence was pressed at the current cursor position"
-msgstr ""
-"Команда  Вставить в буфер  вставит содержимое Данные 1 в текущую позицию "
-"курсора"
+msgid "The Insert in Buffer command will insert the contents of Data 1 into the entry where the key sequence was pressed at the current cursor position"
+msgstr "Команда  Вставить в буфер  вставит содержимое Данные 1 в текущую позицию курсора"
 
 #: src/fe-gtk/fkeys.c:165
-msgid ""
-"The Scroll Page command scrolls the text widget up or down one page or one "
-"line. Set Data 1 to either Up, Down, +1 or -1."
-msgstr ""
-"Команда  Пролистать страницу  пролистывает текст вверх или вниз. Возможные "
-"значения Данные 1: Up (вверх), Down (вниз), +1 или -1."
+msgid "The Scroll Page command scrolls the text widget up or down one page or one line. Set Data 1 to either Up, Down, +1 or -1."
+msgstr "Команда  Пролистать страницу  пролистывает текст вверх или вниз. Возможные значения Данные 1: Up (вверх), Down (вниз), +1 или -1."
 
 #: src/fe-gtk/fkeys.c:167
-msgid ""
-"The Set Buffer command sets the entry where the key sequence was entered to "
-"the contents of Data 1"
-msgstr ""
-"Команда  Установить буфер содержит последовательность, содержащуюся в Данные "
-"1"
+msgid "The Set Buffer command sets the entry where the key sequence was entered to the contents of Data 1"
+msgstr "Команда  Установить буфер содержит последовательность, содержащуюся в Данные 1"
 
 #: src/fe-gtk/fkeys.c:169
-msgid ""
-"The Last Command command sets the entry to contain the last command entered "
-"- the same as pressing up in a shell"
-msgstr ""
-"Команда  Последняя команда   одержит последнюю введеную команду - такую же, "
-"как в оболочке."
+msgid "The Last Command command sets the entry to contain the last command entered - the same as pressing up in a shell"
+msgstr "Команда  Последняя команда   одержит последнюю введеную команду - такую же, как в оболочке."
 
 #: src/fe-gtk/fkeys.c:171
-msgid ""
-"The Next Command command sets the entry to contain the next command entered "
-"- the same as pressing down in a shell"
-msgstr ""
-"Команда  Следующая команда  содержит следующую введеную команду, - такую же, "
-"как и в оболочке."
+msgid "The Next Command command sets the entry to contain the next command entered - the same as pressing down in a shell"
+msgstr "Команда  Следующая команда  содержит следующую введеную команду, - такую же, как и в оболочке."
 
 #: src/fe-gtk/fkeys.c:173
-msgid ""
-"This command changes the text in the entry to finish an incomplete nickname "
-"or command. If Data 1 is set then double-tabbing in a string will select the "
-"last nick, not the next"
-msgstr ""
-"Команда заменяет текст, дополняя ники и команды. Если Данные 1 установлены, "
-"двойной Tab выбирает последний ник, не следующий."
+msgid "This command changes the text in the entry to finish an incomplete nickname or command. If Data 1 is set then double-tabbing in a string will select the last nick, not the next"
+msgstr "Команда заменяет текст, дополняя ники и команды. Если Данные 1 установлены, двойной Tab выбирает последний ник, не следующий."
 
 #: src/fe-gtk/fkeys.c:175
-msgid ""
-"This command scrolls up and down through the list of nicks. If Data 1 is set "
-"to anything it will scroll up, else it scrolls down"
-msgstr ""
-"Команда прокручивает список ников. Если Данные 1 установлены - прокручивает "
-"вверх, иначе - вниз."
+msgid "This command scrolls up and down through the list of nicks. If Data 1 is set to anything it will scroll up, else it scrolls down"
+msgstr "Команда прокручивает список ников. Если Данные 1 установлены - прокручивает вверх, иначе - вниз."
 
 #: src/fe-gtk/fkeys.c:177
-msgid ""
-"This command checks the last word entered in the entry against the replace "
-"list and replaces it if it finds a match"
-msgstr ""
-"Команда проверяет последнее введенное слово в список замены и заменяет, если "
-"находит соответствие."
+msgid "This command checks the last word entered in the entry against the replace list and replaces it if it finds a match"
+msgstr "Команда проверяет последнее введенное слово в список замены и заменяет, если находит соответствие."
 
 #: src/fe-gtk/fkeys.c:179
 msgid "This command moves the front tab left by one"
@@ -3357,10 +3327,16 @@
 msgid "There was an error loading key bindings configuration"
 msgstr "Ошибка загрузки конфигурации клавиш"
 
-#: src/fe-gtk/fkeys.c:450 src/fe-gtk/fkeys.c:451 src/fe-gtk/fkeys.c:452
-#: src/fe-gtk/fkeys.c:453 src/fe-gtk/fkeys.c:743 src/fe-gtk/fkeys.c:749
-#: src/fe-gtk/fkeys.c:754 src/fe-gtk/maingui.c:1642 src/fe-gtk/maingui.c:1758
-#: src/fe-gtk/maingui.c:3259
+#: src/fe-gtk/fkeys.c:450
+#: src/fe-gtk/fkeys.c:451
+#: src/fe-gtk/fkeys.c:452
+#: src/fe-gtk/fkeys.c:453
+#: src/fe-gtk/fkeys.c:743
+#: src/fe-gtk/fkeys.c:749
+#: src/fe-gtk/fkeys.c:754
+#: src/fe-gtk/maingui.c:1635
+#: src/fe-gtk/maingui.c:1751
+#: src/fe-gtk/maingui.c:3252
 msgid "<none>"
 msgstr "<нет>"
 
@@ -3368,7 +3344,8 @@
 msgid "Mod"
 msgstr "Mod"
 
-#: src/fe-gtk/fkeys.c:708 src/fe-gtk/fkeys.c:803
+#: src/fe-gtk/fkeys.c:708
+#: src/fe-gtk/fkeys.c:803
 msgid "Key"
 msgstr "Клавиша"
 
@@ -3452,67 +3429,70 @@
 msgid "Cannot read that file."
 msgstr "Невозможно прочитать этот файл."
 
-#: src/fe-gtk/ignoregui.c:115 src/fe-gtk/ignoregui.c:262
+#: src/fe-gtk/ignoregui.c:117
+#: src/fe-gtk/ignoregui.c:264
 msgid "That mask already exists."
 msgstr "Такая маска уже существует."
 
-#: src/fe-gtk/ignoregui.c:175 src/fe-gtk/maingui.c:2139
+#: src/fe-gtk/ignoregui.c:177
+#: src/fe-gtk/maingui.c:2132
 msgid "Private"
 msgstr "Личный"
 
-#: src/fe-gtk/ignoregui.c:176
+#: src/fe-gtk/ignoregui.c:178
 msgid "Notice"
 msgstr "Сообщение"
 
-#: src/fe-gtk/ignoregui.c:177
+#: src/fe-gtk/ignoregui.c:179
 msgid "CTCP"
 msgstr "CTCP"
 
-#: src/fe-gtk/ignoregui.c:178
+#: src/fe-gtk/ignoregui.c:180
 msgid "DCC"
 msgstr "DCC"
 
-#: src/fe-gtk/ignoregui.c:179
+#: src/fe-gtk/ignoregui.c:181
 msgid "Invite"
 msgstr "Приглашен"
 
-#: src/fe-gtk/ignoregui.c:180
+#: src/fe-gtk/ignoregui.c:182
 msgid "Unignore"
 msgstr "Не игнорировать"
 
-#: src/fe-gtk/ignoregui.c:306
+#: src/fe-gtk/ignoregui.c:308
 msgid "Enter mask to ignore:"
 msgstr "Введите маску для игнорирования:"
 
-#: src/fe-gtk/ignoregui.c:353
+#: src/fe-gtk/ignoregui.c:355
 msgid "XChat: Ignore list"
 msgstr "X-Chat: Черный список"
 
-#: src/fe-gtk/ignoregui.c:360
+#: src/fe-gtk/ignoregui.c:362
 msgid "Ignore Stats:"
 msgstr "Состояние игнорирования:"
 
-#: src/fe-gtk/ignoregui.c:368
+#: src/fe-gtk/ignoregui.c:370
 msgid "Channel:"
 msgstr "Канал:"
 
-#: src/fe-gtk/ignoregui.c:369
+#: src/fe-gtk/ignoregui.c:371
 msgid "Private:"
 msgstr "Приватный:"
 
-#: src/fe-gtk/ignoregui.c:370
+#: src/fe-gtk/ignoregui.c:372
 msgid "Notice:"
 msgstr "Сообщение:"
 
-#: src/fe-gtk/ignoregui.c:371
+#: src/fe-gtk/ignoregui.c:373
 msgid "CTCP:"
 msgstr "CTCP:"
 
-#: src/fe-gtk/ignoregui.c:372
+#: src/fe-gtk/ignoregui.c:374
 msgid "Invite:"
 msgstr "Пригласить:"
 
-#: src/fe-gtk/ignoregui.c:383 src/fe-gtk/notifygui.c:426
+#: src/fe-gtk/ignoregui.c:385
+#: src/fe-gtk/notifygui.c:428
 msgid "Add..."
 msgstr "Добавить..."
 
@@ -3530,12 +3510,8 @@
 msgstr "Соединение с %s завершено."
 
 #: src/fe-gtk/joind.c:159
-msgid ""
-"In the Server-List window, no channel (chat room) has been entered to be "
-"automatically joined for this network."
-msgstr ""
-"В списке серверов для данной сети не были указаны каналы, в которые следует "
-"автоматически войти."
+msgid "In the Server-List window, no channel (chat room) has been entered to be automatically joined for this network."
+msgstr "В списке серверов для данной сети не были указаны каналы, в которые следует автоматически войти."
 
 #: src/fe-gtk/joind.c:165
 msgid "What would you like to do next?"
@@ -3565,157 +3541,160 @@
 msgid "_Always show this dialog after connecting."
 msgstr "Пока_зывать этот диалог при соединении."
 
-#: src/fe-gtk/maingui.c:504
+#: src/fe-gtk/maingui.c:506
 msgid "Dialog with"
 msgstr "Диалог с"
 
-#: src/fe-gtk/maingui.c:795
+#: src/fe-gtk/maingui.c:793
 #, c-format
 msgid "Topic for %s is: %s"
 msgstr "Тема для %s : %s"
 
-#: src/fe-gtk/maingui.c:800
+#: src/fe-gtk/maingui.c:798
 msgid "No topic is set"
 msgstr "Тема не установлена"
 
-#: src/fe-gtk/maingui.c:1189
+#: src/fe-gtk/maingui.c:1182
 #, c-format
-msgid ""
-"This server still has %d channels or dialogs associated with it. Close them "
-"all?"
+msgid "This server still has %d channels or dialogs associated with it. Close them all?"
 msgstr "Для этого сервера открыто %d каналов или разговоров. Закрыть их все?"
 
-#: src/fe-gtk/maingui.c:1283
+#: src/fe-gtk/maingui.c:1276
 msgid "Quit XChat?"
 msgstr "Выйти из XChat?"
 
-#: src/fe-gtk/maingui.c:1304
+#: src/fe-gtk/maingui.c:1297
 msgid "Don't ask next time."
 msgstr "Не спрашивать в следующий раз"
 
-#: src/fe-gtk/maingui.c:1310
+#: src/fe-gtk/maingui.c:1303
 #, c-format
 msgid "You are connected to %i IRC networks."
 msgstr "Вы подключены к %i IRC-сетям."
 
-#: src/fe-gtk/maingui.c:1312
+#: src/fe-gtk/maingui.c:1305
 msgid "Are you sure you want to quit?"
 msgstr "Вы действительно хотите выйти?"
 
-#: src/fe-gtk/maingui.c:1314
+#: src/fe-gtk/maingui.c:1307
 msgid "Some file transfers are still active."
 msgstr "Некоторые передачи файлов еще активны."
 
-#: src/fe-gtk/maingui.c:1332
+#: src/fe-gtk/maingui.c:1325
 msgid "_Minimize to Tray"
 msgstr "Свернуть в з_начок"
 
-#: src/fe-gtk/maingui.c:1552
+#: src/fe-gtk/maingui.c:1545
 msgid "Insert Attribute or Color Code"
 msgstr "Вставить аттрибут или код цвета"
 
-#: src/fe-gtk/maingui.c:1554
+#: src/fe-gtk/maingui.c:1547
 msgid "<b>Bold</b>"
 msgstr "<b>Жирный</b>"
 
-#: src/fe-gtk/maingui.c:1555
+#: src/fe-gtk/maingui.c:1548
 msgid "<u>Underline</u>"
 msgstr "<u>Подчеркнутый</u>"
 
-#: src/fe-gtk/maingui.c:1557
+#: src/fe-gtk/maingui.c:1550
 msgid "Normal"
 msgstr "Обычный"
 
-#: src/fe-gtk/maingui.c:1559
+#: src/fe-gtk/maingui.c:1552
 msgid "Colors 0-7"
 msgstr "Цвета 0-7"
 
-#: src/fe-gtk/maingui.c:1569
+#: src/fe-gtk/maingui.c:1562
 msgid "Colors 8-15"
 msgstr "Цвета 8-15"
 
-#: src/fe-gtk/maingui.c:1612
+#: src/fe-gtk/maingui.c:1605
 msgid "_Settings"
 msgstr "_Настройки"
 
-#: src/fe-gtk/maingui.c:1614
+#: src/fe-gtk/maingui.c:1607
 msgid "_Log to Disk"
 msgstr "Запись _журнала"
 
-#: src/fe-gtk/maingui.c:1615
+#: src/fe-gtk/maingui.c:1608
 msgid "_Reload Scrollback"
 msgstr "За_гружать буфер"
 
-#: src/fe-gtk/maingui.c:1617
+#: src/fe-gtk/maingui.c:1610
 msgid "_Hide Join/Part Messages"
 msgstr "_Скрыть сообщения о приходе/уходе"
 
-#: src/fe-gtk/maingui.c:1625
+#: src/fe-gtk/maingui.c:1618
 msgid "_Extra Alerts"
 msgstr "Опове_щения"
 
-#: src/fe-gtk/maingui.c:1627
+#: src/fe-gtk/maingui.c:1620
 msgid "Beep on _Message"
 msgstr "_Звуковой сигнал при личном сообщении"
 
-#: src/fe-gtk/maingui.c:1628
+#: src/fe-gtk/maingui.c:1621
 msgid "Blink Tray _Icon"
 msgstr "_Мигание значка при личном сообщении"
 
-#: src/fe-gtk/maingui.c:1629
+#: src/fe-gtk/maingui.c:1622
 msgid "Blink Task _Bar"
 msgstr "Мерцание _окна"
 
-#: src/fe-gtk/maingui.c:1667 src/fe-gtk/menu.c:2142
+#: src/fe-gtk/maingui.c:1660
+#: src/fe-gtk/menu.c:2124
 msgid "_Detach"
 msgstr "Отсо_единить"
 
-#: src/fe-gtk/maingui.c:1669 src/fe-gtk/menu.c:2143 src/fe-gtk/menu.c:2148
-#: src/fe-gtk/plugingui.c:234 src/fe-gtk/search.c:151
+#: src/fe-gtk/maingui.c:1662
+#: src/fe-gtk/menu.c:2125
+#: src/fe-gtk/menu.c:2130
+#: src/fe-gtk/plugingui.c:236
+#: src/fe-gtk/search.c:144
 msgid "_Close"
 msgstr "Закрыть"
 
-#: src/fe-gtk/maingui.c:2007 src/fe-gtk/maingui.c:2113
+#: src/fe-gtk/maingui.c:2000
+#: src/fe-gtk/maingui.c:2106
 msgid "User limit must be a number!\n"
 msgstr "Лимит пользователей должен содержать номер!\n"
 
-#: src/fe-gtk/maingui.c:2135
+#: src/fe-gtk/maingui.c:2128
 msgid "Topic Protection"
 msgstr "Защитить тему"
 
-#: src/fe-gtk/maingui.c:2136
+#: src/fe-gtk/maingui.c:2129
 msgid "No outside messages"
 msgstr "Нет последних сообщений"
 
-#: src/fe-gtk/maingui.c:2137
+#: src/fe-gtk/maingui.c:2130
 msgid "Secret"
 msgstr "Секрет"
 
-#: src/fe-gtk/maingui.c:2138
+#: src/fe-gtk/maingui.c:2131
 msgid "Invite Only"
 msgstr "Только приглашенные"
 
-#: src/fe-gtk/maingui.c:2140
+#: src/fe-gtk/maingui.c:2133
 msgid "Moderated"
 msgstr "Модерируемый"
 
-#: src/fe-gtk/maingui.c:2141
+#: src/fe-gtk/maingui.c:2134
 msgid "Ban List"
 msgstr "Список банов"
 
-#: src/fe-gtk/maingui.c:2143
+#: src/fe-gtk/maingui.c:2136
 msgid "Keyword"
 msgstr "Ключевое слово"
 
-#: src/fe-gtk/maingui.c:2155
+#: src/fe-gtk/maingui.c:2148
 msgid "User Limit"
 msgstr "Ограничение пользователей"
 
-#: src/fe-gtk/maingui.c:2264
+#: src/fe-gtk/maingui.c:2257
 msgid "Show/Hide userlist"
 msgstr "Показать/Скрыть список пользователей"
 
-#: src/fe-gtk/maingui.c:2389
+#: src/fe-gtk/maingui.c:2382
 msgid ""
 "Unable to set transparent background!\n"
 "\n"
@@ -3727,102 +3706,101 @@
 "Возможно, вы используете несовместимый оконный\n"
 "менеджер, который не поддерживает такую возможность.\n"
 
-#: src/fe-gtk/maingui.c:2660
+#: src/fe-gtk/maingui.c:2653
 msgid "Enter new nickname:"
 msgstr "Введите новый ник:"
 
-#: src/fe-gtk/menu.c:124
+#: src/fe-gtk/menu.c:126
 msgid "Host unknown"
 msgstr "Хост неизвестен"
 
-#: src/fe-gtk/menu.c:615
+#: src/fe-gtk/menu.c:610
 #, c-format
 msgid "<tt><b>%-11s</b></tt> %s"
 msgstr "<tt><b>%-11s</b></tt> %s"
 
-#: src/fe-gtk/menu.c:621 src/fe-gtk/menu.c:625
+#: src/fe-gtk/menu.c:616
+#: src/fe-gtk/menu.c:620
 msgid "Real Name:"
 msgstr "Настоящее имя:"
 
-#: src/fe-gtk/menu.c:632
+#: src/fe-gtk/menu.c:624
 msgid "User:"
 msgstr "Пользователь:"
 
-#: src/fe-gtk/menu.c:639
+#: src/fe-gtk/menu.c:628
 msgid "Country:"
 msgstr "Страна:"
 
-#: src/fe-gtk/menu.c:646
+#: src/fe-gtk/menu.c:632
 msgid "Server:"
 msgstr "Сервер:"
 
-#: src/fe-gtk/menu.c:657
+#: src/fe-gtk/menu.c:640
 #, c-format
 msgid "%u minutes ago"
 msgstr "%u минут назад"
 
-#: src/fe-gtk/menu.c:659 src/fe-gtk/menu.c:662
+#: src/fe-gtk/menu.c:642
+#: src/fe-gtk/menu.c:645
 msgid "Last Msg:"
 msgstr "Последнее сообщение:"
 
-#: src/fe-gtk/menu.c:672
+#: src/fe-gtk/menu.c:655
 msgid "Away Msg:"
 msgstr "Сообщение об отсутствии:"
 
-#: src/fe-gtk/menu.c:730
+#: src/fe-gtk/menu.c:710
 #, c-format
 msgid "%d nicks selected."
 msgstr "Выделено имен: %d."
 
-#: src/fe-gtk/menu.c:855
-msgid ""
-"The Menubar is now hidden. You can show it again by pressing F9 or right-"
-"clicking in a blank part of the main text area."
-msgstr ""
-"Строка меню была скрыта. Чтобы увидеть ее снова, нажмите F9 или щелкните "
-"правой кнопкой по свободному месту в окне."
+#: src/fe-gtk/menu.c:835
+msgid "The Menubar is now hidden. You can show it again by pressing F9 or right-clicking in a blank part of the main text area."
+msgstr "Строка меню была скрыта. Чтобы увидеть ее снова, нажмите F9 или щелкните правой кнопкой по свободному месту в окне."
 
-#: src/fe-gtk/menu.c:944
+#: src/fe-gtk/menu.c:930
 msgid "Open Link in Browser"
 msgstr "Открыть ссылку в браузере"
 
-#: src/fe-gtk/menu.c:945
+#: src/fe-gtk/menu.c:931
 msgid "Copy Selected Link"
 msgstr "Копировать выбранную ссылку"
 
-#: src/fe-gtk/menu.c:1007 src/fe-gtk/menu.c:1278
+#: src/fe-gtk/menu.c:993
+#: src/fe-gtk/menu.c:1264
 msgid "Join Channel"
 msgstr "Зайти на канал"
 
-#: src/fe-gtk/menu.c:1011
+#: src/fe-gtk/menu.c:997
 msgid "Part Channel"
 msgstr "Покинуть канал"
 
-#: src/fe-gtk/menu.c:1013
+#: src/fe-gtk/menu.c:999
 msgid "Cycle Channel"
 msgstr "Каналы по кругу"
 
-#: src/fe-gtk/menu.c:1049
+#: src/fe-gtk/menu.c:1035
 msgid "_Remove from Favorites"
 msgstr "_Удалить из Избранного"
 
-#: src/fe-gtk/menu.c:1051
+#: src/fe-gtk/menu.c:1037
 msgid "_Add to Favorites"
 msgstr "_Добавить в избранное"
 
-#: src/fe-gtk/menu.c:1070
+#: src/fe-gtk/menu.c:1056
 msgid "XChat: User menu"
 msgstr "X-Chat: Пользовательское меню"
 
-#: src/fe-gtk/menu.c:1079
+#: src/fe-gtk/menu.c:1065
 msgid "Edit This Menu..."
 msgstr "Редактировать это меню.."
 
-#: src/fe-gtk/menu.c:1280
+#: src/fe-gtk/menu.c:1266
 msgid "Retrieve channel list..."
 msgstr "Получение списка каналов..."
 
-#: src/fe-gtk/menu.c:1348
+#: src/fe-gtk/menu.c:1334
 msgid ""
 "User Commands - Special codes:\n"
 "\n"
@@ -3862,7 +3840,7 @@
 "%2 должно быть \"john\"\n"
 "&2 должно быть \"john hello\"."
 
-#: src/fe-gtk/menu.c:1364
+#: src/fe-gtk/menu.c:1350
 msgid ""
 "Userlist Buttons - Special codes:\n"
 "\n"
@@ -3886,7 +3864,7 @@
 "%s  =  выбранный ник\n"
 "%t  =  время и дата\n"
 
-#: src/fe-gtk/menu.c:1374
+#: src/fe-gtk/menu.c:1360
 msgid ""
 "Dialog Buttons - Special codes:\n"
 "\n"
@@ -3910,7 +3888,7 @@
 "%s  =  выбранный ник\n"
 "%t  =  время и дата\n"
 
-#: src/fe-gtk/menu.c:1384
+#: src/fe-gtk/menu.c:1370
 msgid ""
 "CTCP Replies - Special codes:\n"
 "\n"
@@ -3938,7 +3916,7 @@
 "&3  =  слово 3 до конца строки\n"
 "\n"
 
-#: src/fe-gtk/menu.c:1395
+#: src/fe-gtk/menu.c:1381
 #, c-format
 msgid ""
 "URL Handlers - Special codes:\n"
@@ -3957,316 +3935,321 @@
 "показывает, что будет отправлено \n"
 "оболочке вместо X-Chat"
 
-#: src/fe-gtk/menu.c:1404
+#: src/fe-gtk/menu.c:1390
 msgid "XChat: User Defined Commands"
 msgstr "X-Chat: Определенные пользователем команды"
 
-#: src/fe-gtk/menu.c:1411
+#: src/fe-gtk/menu.c:1397
 msgid "XChat: Userlist Popup menu"
 msgstr "Всплывающее меню списка пользователей.."
 
-#: src/fe-gtk/menu.c:1418
+#: src/fe-gtk/menu.c:1404
 msgid "Replace with"
 msgstr "Заменить на"
 
-#: src/fe-gtk/menu.c:1418
+#: src/fe-gtk/menu.c:1404
 msgid "XChat: Replace"
 msgstr "X-Chat: Замена"
 
-#: src/fe-gtk/menu.c:1425
+#: src/fe-gtk/menu.c:1411
 msgid "XChat: URL Handlers"
 msgstr "XChat: Обработчики URL"
 
-#: src/fe-gtk/menu.c:1444
+#: src/fe-gtk/menu.c:1430
 msgid "XChat: Userlist buttons"
 msgstr "XChat: Кнопки списка пользователей"
 
-#: src/fe-gtk/menu.c:1451
+#: src/fe-gtk/menu.c:1437
 msgid "XChat: Dialog buttons"
 msgstr "XChat: Кнопки диалога"
 
-#: src/fe-gtk/menu.c:1458
+#: src/fe-gtk/menu.c:1444
 msgid "XChat: CTCP Replies"
 msgstr "XChat: Ответы CTCP"
 
-#: src/fe-gtk/menu.c:1564
+#: src/fe-gtk/menu.c:1550
 msgid "_XChat"
 msgstr "_XChat"
 
-#: src/fe-gtk/menu.c:1565
+#: src/fe-gtk/menu.c:1551
 msgid "Network Li_st..."
 msgstr "Список сетей"
 
-#: src/fe-gtk/menu.c:1568
+#: src/fe-gtk/menu.c:1554
 msgid "_New"
 msgstr "Новая..."
 
-#: src/fe-gtk/menu.c:1569
+#: src/fe-gtk/menu.c:1555
 msgid "Server Tab..."
 msgstr "Вкладка сервера..."
 
-#: src/fe-gtk/menu.c:1570
+#: src/fe-gtk/menu.c:1556
 msgid "Channel Tab..."
 msgstr "Вкладка канала..."
 
-#: src/fe-gtk/menu.c:1571
+#: src/fe-gtk/menu.c:1557
 msgid "Server Window..."
 msgstr "Окно сервера..."
 
-#: src/fe-gtk/menu.c:1572
+#: src/fe-gtk/menu.c:1558
 msgid "Channel Window..."
 msgstr "Окно канала..."
 
-#: src/fe-gtk/menu.c:1577 src/fe-gtk/menu.c:1579
+#: src/fe-gtk/menu.c:1563
+#: src/fe-gtk/menu.c:1565
 msgid "_Load Plugin or Script..."
 msgstr "_Загрузить модуль или сценарий..."
 
-#: src/fe-gtk/menu.c:1587 src/fe-gtk/plugin-tray.c:610
+#: src/fe-gtk/menu.c:1573
+#: src/fe-gtk/plugin-tray.c:604
 msgid "_Quit"
 msgstr "Выход"
 
-#: src/fe-gtk/menu.c:1589
+#: src/fe-gtk/menu.c:1575
 msgid "_View"
 msgstr "_Вид"
 
-#: src/fe-gtk/menu.c:1591
+#: src/fe-gtk/menu.c:1577
 msgid "_Menu Bar"
 msgstr "Панел_ь меню"
 
-#: src/fe-gtk/menu.c:1592
+#: src/fe-gtk/menu.c:1578
 msgid "_Topic Bar"
 msgstr "Т_ема"
 
-#: src/fe-gtk/menu.c:1593
+#: src/fe-gtk/menu.c:1579
 msgid "_User List"
 msgstr "Список _пользователей"
 
-#: src/fe-gtk/menu.c:1594
+#: src/fe-gtk/menu.c:1580
 msgid "U_serlist Buttons"
 msgstr "Кнопки _списка пользователей"
 
-#: src/fe-gtk/menu.c:1595
+#: src/fe-gtk/menu.c:1581
 msgid "M_ode Buttons"
 msgstr "Кнопки _режима канала"
 
-#: src/fe-gtk/menu.c:1597
+#: src/fe-gtk/menu.c:1583
 msgid "_Channel Switcher"
 msgstr "Список _каналов"
 
-#: src/fe-gtk/menu.c:1599
+#: src/fe-gtk/menu.c:1585
 msgid "_Tabs"
 msgstr "Закладки"
 
-#: src/fe-gtk/menu.c:1600
+#: src/fe-gtk/menu.c:1586
 msgid "T_ree"
 msgstr "Де_рево"
 
-#: src/fe-gtk/menu.c:1602
+#: src/fe-gtk/menu.c:1588
 msgid "_Network Meters"
 msgstr "_Монитор сети"
 
-#: src/fe-gtk/menu.c:1604
+#: src/fe-gtk/menu.c:1590
 msgid "Off"
 msgstr "Выключено"
 
-#: src/fe-gtk/menu.c:1605
+#: src/fe-gtk/menu.c:1591
 msgid "Graph"
 msgstr "График:"
 
-#: src/fe-gtk/menu.c:1610
+#: src/fe-gtk/menu.c:1596
 msgid "_Server"
 msgstr "Сервер"
 
-#: src/fe-gtk/menu.c:1611
+#: src/fe-gtk/menu.c:1597
 msgid "_Disconnect"
 msgstr "Отключиться"
 
-#: src/fe-gtk/menu.c:1612
+#: src/fe-gtk/menu.c:1598
 msgid "_Reconnect"
 msgstr "Пересоединиться"
 
-#: src/fe-gtk/menu.c:1613
+#: src/fe-gtk/menu.c:1599
 msgid "Join a Channel..."
 msgstr "Зайти на канал..."
 
-#: src/fe-gtk/menu.c:1614
+#: src/fe-gtk/menu.c:1600
 msgid "List of Channels..."
 msgstr "Список каналов..."
 
-#: src/fe-gtk/menu.c:1617
+#: src/fe-gtk/menu.c:1603
 msgid "Marked Away"
 msgstr "Пометить как \"Отошел\""
 
-#: src/fe-gtk/menu.c:1619
+#: src/fe-gtk/menu.c:1605
 msgid "_Usermenu"
 msgstr "_Меню пользователя"
 
-#: src/fe-gtk/menu.c:1621
+#: src/fe-gtk/menu.c:1607
 msgid "S_ettings"
 msgstr "Настройка"
 
-#: src/fe-gtk/menu.c:1622
+#: src/fe-gtk/menu.c:1608
 msgid "_Preferences"
 msgstr "Установки"
 
-#: src/fe-gtk/menu.c:1624
+#: src/fe-gtk/menu.c:1610
 msgid "Advanced"
 msgstr "Дополнительно"
 
-#: src/fe-gtk/menu.c:1625
+#: src/fe-gtk/menu.c:1611
 msgid "Auto Replace..."
 msgstr "Автозамена"
 
-#: src/fe-gtk/menu.c:1626
+#: src/fe-gtk/menu.c:1612
 msgid "CTCP Replies..."
 msgstr "Ответы CTCP..."
 
-#: src/fe-gtk/menu.c:1627
+#: src/fe-gtk/menu.c:1613
 msgid "Dialog Buttons..."
 msgstr "Кнопки диалога.."
 
-#: src/fe-gtk/menu.c:1628
+#: src/fe-gtk/menu.c:1614
 msgid "Keyboard Shortcuts..."
 msgstr "Клавиатурные сокращения"
 
-#: src/fe-gtk/menu.c:1629
+#: src/fe-gtk/menu.c:1615
 msgid "Text Events..."
 msgstr "Тексты событий..."
 
-#: src/fe-gtk/menu.c:1630
+#: src/fe-gtk/menu.c:1616
 msgid "URL Handlers..."
 msgstr "Обработчики URL..."
 
-#: src/fe-gtk/menu.c:1631
+#: src/fe-gtk/menu.c:1617
 msgid "User Commands..."
 msgstr "Команды пользователя..."
 
-#: src/fe-gtk/menu.c:1632
+#: src/fe-gtk/menu.c:1618
 msgid "Userlist Buttons..."
 msgstr "Кнопки списка пользователей..."
 
-#: src/fe-gtk/menu.c:1633
+#: src/fe-gtk/menu.c:1619
 msgid "Userlist Popup..."
 msgstr "Меню списка пользователей.."
 
-#: src/fe-gtk/menu.c:1636
+#: src/fe-gtk/menu.c:1622
 msgid "_Window"
 msgstr "Окно"
 
-#: src/fe-gtk/menu.c:1637
+#: src/fe-gtk/menu.c:1623
 msgid "Ban List..."
 msgstr "Список банов..."
 
-#: src/fe-gtk/menu.c:1638
+#: src/fe-gtk/menu.c:1624
 msgid "Character Chart..."
 msgstr "Таблица символов..."
 
-#: src/fe-gtk/menu.c:1639
+#: src/fe-gtk/menu.c:1625
 msgid "Direct Chat..."
 msgstr "Список разговоров DCC..."
 
-#: src/fe-gtk/menu.c:1640
+#: src/fe-gtk/menu.c:1626
 msgid "File Transfers..."
 msgstr "Передачи файлов..."
 
-#: src/fe-gtk/menu.c:1641
+#: src/fe-gtk/menu.c:1627
 msgid "Friends List..."
 msgstr "Список друзей..."
 
-#: src/fe-gtk/menu.c:1642
+#: src/fe-gtk/menu.c:1628
 msgid "Ignore List..."
 msgstr "Список игнорирования..."
 
-#: src/fe-gtk/menu.c:1643
+#: src/fe-gtk/menu.c:1629
 msgid "Plugins and Scripts..."
 msgstr "Плагины и скрипты..."
 
-#: src/fe-gtk/menu.c:1644
+#: src/fe-gtk/menu.c:1630
 msgid "Raw Log..."
 msgstr "Монитор сети..."
 
-#: src/fe-gtk/menu.c:1645
+#: src/fe-gtk/menu.c:1631
 msgid "URL Grabber..."
 msgstr "Сборщик URL..."
 
-#: src/fe-gtk/menu.c:1647
+#: src/fe-gtk/menu.c:1633
 msgid "Reset Marker Line"
 msgstr "Сбросить маркерную линию"
 
-#: src/fe-gtk/menu.c:1648
+#: src/fe-gtk/menu.c:1634
 msgid "C_lear Text"
 msgstr "Очистить"
 
-#: src/fe-gtk/menu.c:1650
+#: src/fe-gtk/menu.c:1636
 msgid "Search Text..."
 msgstr "Найти..."
 
-#: src/fe-gtk/menu.c:1651
+#: src/fe-gtk/menu.c:1637
 msgid "Save Text..."
 msgstr "Сохранить текст..."
 
-#: src/fe-gtk/menu.c:1653 src/fe-gtk/menu.c:2134
+#: src/fe-gtk/menu.c:1639
+#: src/fe-gtk/menu.c:2116
 msgid "_Help"
 msgstr "Помощь"
 
-#: src/fe-gtk/menu.c:1654
+#: src/fe-gtk/menu.c:1640
 msgid "_Contents"
 msgstr "Содержание"
 
-#: src/fe-gtk/menu.c:1656
+#: src/fe-gtk/menu.c:1642
 msgid "Check for updates"
 msgstr "Проверка обновлений"
 
-#: src/fe-gtk/menu.c:1658
+#: src/fe-gtk/menu.c:1644
 msgid "_About"
 msgstr "О программе"
 
-#: src/fe-gtk/menu.c:2147
+#: src/fe-gtk/menu.c:2129
 msgid "_Attach"
 msgstr "Присо_единить"
 
-#: src/fe-gtk/notifygui.c:138
+#: src/fe-gtk/notifygui.c:140
 msgid "Last Seen"
 msgstr "Последний раз"
 
-#: src/fe-gtk/notifygui.c:180
+#: src/fe-gtk/notifygui.c:182
 msgid "Offline"
 msgstr "Отключен"
 
-#: src/fe-gtk/notifygui.c:200 src/fe-gtk/setup.c:231
+#: src/fe-gtk/notifygui.c:202
+#: src/fe-gtk/setup.c:231
 msgid "Never"
 msgstr "Никогда"
 
-#: src/fe-gtk/notifygui.c:203 src/fe-gtk/notifygui.c:228
+#: src/fe-gtk/notifygui.c:205
+#: src/fe-gtk/notifygui.c:230
 #, c-format
 msgid "%d minutes ago"
 msgstr "%d минут назад"
 
-#: src/fe-gtk/notifygui.c:218
+#: src/fe-gtk/notifygui.c:220
 msgid "Online"
 msgstr "Подключен"
 
-#: src/fe-gtk/notifygui.c:347
+#: src/fe-gtk/notifygui.c:349
 msgid "Enter nickname to add:"
 msgstr "Введите ник для добавления:"
 
-#: src/fe-gtk/notifygui.c:376
+#: src/fe-gtk/notifygui.c:378
 msgid "Notify on these networks:"
 msgstr "Уведомлять на данных сетях:"
 
-#: src/fe-gtk/notifygui.c:387
+#: src/fe-gtk/notifygui.c:389
 msgid "Comma separated list of networks is accepted."
 msgstr "Укажите разделенный запятыми список сетей."
 
-#: src/fe-gtk/notifygui.c:413
+#: src/fe-gtk/notifygui.c:415
 msgid "XChat: Friends List"
 msgstr "X-Chat: Список друзей"
 
-#: src/fe-gtk/notifygui.c:434
+#: src/fe-gtk/notifygui.c:436
 msgid "Open Dialog"
 msgstr "Начать разговор"
 
-#: src/fe-gtk/plugin-tray.c:250
+#: src/fe-gtk/plugin-tray.c:248
 msgid ""
 "Cannot find 'notify-send' to open balloon alerts.\n"
 "Please install libnotify."
@@ -4274,150 +4257,161 @@
 "Не удалось найти 'notify-send' для всплывающих оповещений.\n"
 "Требуется установить libnotify."
 
-#: src/fe-gtk/plugin-tray.c:301
+#: src/fe-gtk/plugin-tray.c:299
 #, c-format
 msgid "XChat: Connected to %u networks and %u channels"
 msgstr "XChat: Подключен; сети: %u, каналы: %u"
 
-#: src/fe-gtk/plugin-tray.c:589
+#: src/fe-gtk/plugin-tray.c:583
 msgid "_Restore"
 msgstr "_Восстановить"
 
-#: src/fe-gtk/plugin-tray.c:591
+#: src/fe-gtk/plugin-tray.c:585
 msgid "_Hide"
 msgstr "Скрыть"
 
-#: src/fe-gtk/plugin-tray.c:594
+#: src/fe-gtk/plugin-tray.c:588
 msgid "_Blink on"
 msgstr "_Мигать при сообщениях"
 
-#: src/fe-gtk/plugin-tray.c:595 src/fe-gtk/setup.c:479
+#: src/fe-gtk/plugin-tray.c:589
+#: src/fe-gtk/setup.c:479
 msgid "Channel Message"
 msgstr "Сообщение канала"
 
-#: src/fe-gtk/plugin-tray.c:596 src/fe-gtk/setup.c:480
+#: src/fe-gtk/plugin-tray.c:590
+#: src/fe-gtk/setup.c:480
 msgid "Private Message"
 msgstr "Личное сообщение"
 
-#: src/fe-gtk/plugin-tray.c:597 src/fe-gtk/setup.c:481
+#: src/fe-gtk/plugin-tray.c:591
+#: src/fe-gtk/setup.c:481
 msgid "Highlighted Message"
 msgstr "Выделенные сообщения"
 
-#: src/fe-gtk/plugin-tray.c:600
+#: src/fe-gtk/plugin-tray.c:594
 msgid "_Change status"
 msgstr "Состо_яние"
 
-#: src/fe-gtk/plugin-tray.c:602
+#: src/fe-gtk/plugin-tray.c:596
 msgid "_Away"
 msgstr "Ото_шел"
 
-#: src/fe-gtk/plugin-tray.c:605
+#: src/fe-gtk/plugin-tray.c:599
 msgid "_Back"
 msgstr "_Вернулся"
 
-#: src/fe-gtk/plugin-tray.c:654 src/fe-gtk/plugin-tray.c:662
+#: src/fe-gtk/plugin-tray.c:648
+#: src/fe-gtk/plugin-tray.c:656
 #, c-format
 msgid "XChat: Highlighted message from: %s (%s)"
 msgstr "XChat: Выделенное сообщение от %s (%s)"
 
-#: src/fe-gtk/plugin-tray.c:657
+#: src/fe-gtk/plugin-tray.c:651
 #, c-format
 msgid "XChat: %u highlighted messages, latest from: %s (%s)"
 msgstr "XChat: %u выделенных сообщения, последнее от %s (%s)"
 
-#: src/fe-gtk/plugin-tray.c:680 src/fe-gtk/plugin-tray.c:687
+#: src/fe-gtk/plugin-tray.c:674
+#: src/fe-gtk/plugin-tray.c:681
 #, c-format
 msgid "XChat: New public message from: %s (%s)"
 msgstr "XChat: Новое публичное сообщение от %s (%s)"
 
-#: src/fe-gtk/plugin-tray.c:683
+#: src/fe-gtk/plugin-tray.c:677
 #, c-format
 msgid "XChat: %u new public messages."
 msgstr "XChat: %u новых публичных сообщений."
 
-#: src/fe-gtk/plugin-tray.c:709 src/fe-gtk/plugin-tray.c:716
+#: src/fe-gtk/plugin-tray.c:703
+#: src/fe-gtk/plugin-tray.c:710
 #, c-format
 msgid "XChat: Private message from: %s (%s)"
 msgstr "XChat: Личное сообщение от %s (%s)"
 
-#: src/fe-gtk/plugin-tray.c:712
+#: src/fe-gtk/plugin-tray.c:706
 #, c-format
 msgid "XChat: %u private messages, latest from: %s (%s)"
 msgstr "XChat: %u личных сообщения, последнее от %s (%s)"
 
-#: src/fe-gtk/plugin-tray.c:762 src/fe-gtk/plugin-tray.c:770
+#: src/fe-gtk/plugin-tray.c:756
+#: src/fe-gtk/plugin-tray.c:764
 #, c-format
 msgid "XChat: File offer from: %s (%s)"
 msgstr "XChat: Предложен файл: %s (%s)"
 
-#: src/fe-gtk/plugin-tray.c:765
+#: src/fe-gtk/plugin-tray.c:759
 #, c-format
 msgid "XChat: %u file offers, latest from: %s (%s)"
 msgstr "XChat: %u предложения файлов, последнее от %s (%s)"
 
-#: src/fe-gtk/plugingui.c:72
+#: src/fe-gtk/plugingui.c:74
 msgid "Version"
 msgstr "Версия"
 
-#: src/fe-gtk/plugingui.c:74 src/fe-gtk/textgui.c:424
+#: src/fe-gtk/plugingui.c:76
+#: src/fe-gtk/textgui.c:424
 msgid "Description"
 msgstr "Описание"
 
-#: src/fe-gtk/plugingui.c:149
+#: src/fe-gtk/plugingui.c:151
 msgid "Select a Plugin or Script to load"
 msgstr "Выберите плагин или скрипт для загрузки"
 
-#: src/fe-gtk/plugingui.c:221
+#: src/fe-gtk/plugingui.c:223
 msgid "XChat: Plugins and Scripts"
 msgstr "X-Chat: Скрипты и плагины"
 
-#: src/fe-gtk/plugingui.c:227
+#: src/fe-gtk/plugingui.c:229
 msgid "_Load..."
 msgstr "Загрузить..."
 
-#: src/fe-gtk/plugingui.c:230
+#: src/fe-gtk/plugingui.c:232
 msgid "_UnLoad"
 msgstr "Вы_грузить"
 
-#: src/fe-gtk/rawlog.c:79 src/fe-gtk/rawlog.c:128 src/fe-gtk/textgui.c:438
-#: src/fe-gtk/urlgrab.c:203
+#: src/fe-gtk/rawlog.c:81
+#: src/fe-gtk/rawlog.c:130
+#: src/fe-gtk/textgui.c:438
+#: src/fe-gtk/urlgrab.c:205
 msgid "Save As..."
 msgstr "Сохранить как..."
 
-#: src/fe-gtk/rawlog.c:95
+#: src/fe-gtk/rawlog.c:97
 #, c-format
 msgid "XChat: Rawlog (%s)"
 msgstr "X-Chat: Журнал передачи (%s)"
 
-#: src/fe-gtk/rawlog.c:125
+#: src/fe-gtk/rawlog.c:127
 msgid "Clear rawlog"
 msgstr "Очистить окно"
 
-#: src/fe-gtk/search.c:56
+#: src/fe-gtk/search.c:57
 msgid "The window you opened this Search for doesn't exist anymore."
 msgstr "Открытое вами окно поиска больше не существует."
 
-#: src/fe-gtk/search.c:64
+#: src/fe-gtk/search.c:65
 msgid "Search hit end, not found."
 msgstr "Просмотр завершен, текст не найден."
 
-#: src/fe-gtk/search.c:116
+#: src/fe-gtk/search.c:109
 msgid "XChat: Search"
 msgstr "X-Chat: Поиск"
 
-#: src/fe-gtk/search.c:134
+#: src/fe-gtk/search.c:127
 msgid "_Match case"
 msgstr "С учетом _регистра"
 
-#: src/fe-gtk/search.c:140
+#: src/fe-gtk/search.c:133
 msgid "Search _backwards"
 msgstr "В о_братном порядке"
 
-#: src/fe-gtk/search.c:153
+#: src/fe-gtk/search.c:146
 msgid "_Find"
 msgstr "Поиск"
 
-#: src/fe-gtk/servlistgui.c:171 src/fe-gtk/servlistgui.c:269
+#: src/fe-gtk/servlistgui.c:171
+#: src/fe-gtk/servlistgui.c:269
 msgid "New Network"
 msgstr "Новая сеть"
 
@@ -4430,182 +4424,173 @@
 msgid "#channel"
 msgstr "#канал"
 
-#: src/fe-gtk/servlistgui.c:850
+#: src/fe-gtk/servlistgui.c:847
 msgid "XChat: Favorite Channels (Auto-Join List)"
 msgstr "XChat: Избранные каналы (автоматический вход)"
 
-#: src/fe-gtk/servlistgui.c:863
+#: src/fe-gtk/servlistgui.c:859
 #, c-format
 msgid "These channels will be joined whenever you connect to %s."
 msgstr "Вы автоматически зайдете на эти каналы при подключении к %s."
 
-#: src/fe-gtk/servlistgui.c:906
+#: src/fe-gtk/servlistgui.c:902
 msgid "Key (Password)"
 msgstr "Ключ (пароль):"
 
-#: src/fe-gtk/servlistgui.c:937 src/fe-gtk/servlistgui.c:1566
+#: src/fe-gtk/servlistgui.c:933
+#: src/fe-gtk/servlistgui.c:1535
 msgid "_Edit"
 msgstr "Редактировать"
 
-#: src/fe-gtk/servlistgui.c:973
+#: src/fe-gtk/servlistgui.c:969
 #, c-format
 msgid "%s has been removed."
 msgstr "%s был удален."
 
-#: src/fe-gtk/servlistgui.c:993
+#: src/fe-gtk/servlistgui.c:989
 #, c-format
 msgid "%s has been added."
 msgstr "Добавлен %s."
 
-#: src/fe-gtk/servlistgui.c:1017
+#: src/fe-gtk/servlistgui.c:1013
 msgid "User name and Real name cannot be left blank."
 msgstr "Имя пользователя и реальное имя нельзя оставлять пустым."
 
-#: src/fe-gtk/servlistgui.c:1397
+#: src/fe-gtk/servlistgui.c:1366
 #, c-format
 msgid "XChat: Edit %s"
 msgstr "X-Chat: Редактирование: %s"
 
-#: src/fe-gtk/servlistgui.c:1416
+#: src/fe-gtk/servlistgui.c:1385
 #, c-format
 msgid "Servers for %s"
 msgstr "Серверы для %s"
 
-#: src/fe-gtk/servlistgui.c:1427
+#: src/fe-gtk/servlistgui.c:1396
 msgid "Connect to selected server only"
 msgstr "Соединиться только с выделенным сервером"
 
-#: src/fe-gtk/servlistgui.c:1428
+#: src/fe-gtk/servlistgui.c:1397
 msgid "Don't cycle through all the servers when the connection fails."
 msgstr "Не перебирать сервера при ошибке соединения."
 
-#: src/fe-gtk/servlistgui.c:1430
+#: src/fe-gtk/servlistgui.c:1399
 msgid "Your Details"
 msgstr "Ваши детали"
 
-#: src/fe-gtk/servlistgui.c:1436
+#: src/fe-gtk/servlistgui.c:1405
 msgid "Use global user information"
 msgstr "Использовать глобальные установки пользователя:"
 
-#: src/fe-gtk/servlistgui.c:1439 src/fe-gtk/servlistgui.c:1671
+#: src/fe-gtk/servlistgui.c:1408
+#: src/fe-gtk/servlistgui.c:1640
 msgid "_Nick name:"
 msgstr "Ник:"
 
-#: src/fe-gtk/servlistgui.c:1443 src/fe-gtk/servlistgui.c:1678
+#: src/fe-gtk/servlistgui.c:1412
+#: src/fe-gtk/servlistgui.c:1647
 msgid "Second choice:"
 msgstr "Второй выбор:"
 
-#: src/fe-gtk/servlistgui.c:1447 src/fe-gtk/servlistgui.c:1692
+#: src/fe-gtk/servlistgui.c:1416
+#: src/fe-gtk/servlistgui.c:1661
 msgid "_User name:"
 msgstr "Имя пользователя:"
 
-#: src/fe-gtk/servlistgui.c:1451 src/fe-gtk/servlistgui.c:1699
+#: src/fe-gtk/servlistgui.c:1420
+#: src/fe-gtk/servlistgui.c:1668
 msgid "Rea_l name:"
 msgstr "Настоящее имя:"
 
-#: src/fe-gtk/servlistgui.c:1454
+#: src/fe-gtk/servlistgui.c:1423
 msgid "Connecting"
 msgstr "Соединение"
 
-#: src/fe-gtk/servlistgui.c:1460
+#: src/fe-gtk/servlistgui.c:1429
 msgid "Auto connect to this network at startup"
 msgstr "Автоматически соединяться сэтой сетью при запуске программы"
 
-#: src/fe-gtk/servlistgui.c:1462
+#: src/fe-gtk/servlistgui.c:1431
 msgid "Bypass proxy server"
 msgstr "Обходить прокси-сервер"
 
-#: src/fe-gtk/servlistgui.c:1464
+#: src/fe-gtk/servlistgui.c:1433
 msgid "Use SSL for all the servers on this network"
 msgstr "Использовать SSL для всех серверов в этой сети"
 
-#: src/fe-gtk/servlistgui.c:1469
+#: src/fe-gtk/servlistgui.c:1438
 msgid "Accept invalid SSL certificate"
 msgstr "Принимать недействительные SSL-сертификаты"
 
-#: src/fe-gtk/servlistgui.c:1475
+#: src/fe-gtk/servlistgui.c:1444
 msgid "_Favorite channels:"
 msgstr "_Избранные каналы:"
 
-#: src/fe-gtk/servlistgui.c:1477
+#: src/fe-gtk/servlistgui.c:1446
 msgid "Channels to join, separated by commas, but not spaces!"
 msgstr "Каналы для подключения, разделенные запятыми, но не пробелами!"
 
-#: src/fe-gtk/servlistgui.c:1480
+#: src/fe-gtk/servlistgui.c:1449
 msgid "Connect command:"
 msgstr "Команда для соединения:"
 
-#: src/fe-gtk/servlistgui.c:1482
-msgid ""
-"Extra command to execute after connecting. If you need more than one, set "
-"this to LOAD -e <filename>, where <filename> is a text-file full of commands "
-"to execute."
-msgstr ""
-"Дополнительная команда, выполняемая после соединения. Если вам требуется "
-"указать больше, чем одну - пропишите LOAD -e <ИмяФайла>, где <ИмяФайла> - "
-"текстовый файл с командами."
+#: src/fe-gtk/servlistgui.c:1451
+msgid "Extra command to execute after connecting. If you need more than one, set this to LOAD -e <filename>, where <filename> is a text-file full of commands to execute."
+msgstr "Дополнительная команда, выполняемая после соединения. Если вам требуется указать больше, чем одну - пропишите LOAD -e <ИмяФайла>, где <ИмяФайла> - текстовый файл с командами."
 
-#: src/fe-gtk/servlistgui.c:1485
+#: src/fe-gtk/servlistgui.c:1454
 msgid "Nickserv password:"
 msgstr "Пароль для Nickserv:"
 
-#: src/fe-gtk/servlistgui.c:1487
-msgid ""
-"If your nickname requires a password, enter it here. Not all IRC networks "
-"support this."
-msgstr ""
-"Если у вас есть пароль, введите его тут. Не все IRC-сети поддерживают этот "
-"метод."
+#: src/fe-gtk/servlistgui.c:1456
+msgid "If your nickname requires a password, enter it here. Not all IRC networks support this."
+msgstr "Если у вас есть пароль, введите его тут. Не все IRC-сети поддерживают этот метод."
 
-#: src/fe-gtk/servlistgui.c:1491
+#: src/fe-gtk/servlistgui.c:1460
 msgid "Server password:"
 msgstr "Пароль сервера:"
 
-#: src/fe-gtk/servlistgui.c:1493
+#: src/fe-gtk/servlistgui.c:1462
 msgid "Password for the server, if in doubt, leave blank."
 msgstr "Пароль для сервера, если не требуется -оставьте пустым."
 
-#: src/fe-gtk/servlistgui.c:1496
+#: src/fe-gtk/servlistgui.c:1465
 msgid "Character set:"
 msgstr "Кодировка:"
 
-#: src/fe-gtk/servlistgui.c:1649
+#: src/fe-gtk/servlistgui.c:1618
 msgid "XChat: Network List"
 msgstr "X-Chat: Список сетей"
 
-#: src/fe-gtk/servlistgui.c:1661
+#: src/fe-gtk/servlistgui.c:1630
 msgid "User Information"
 msgstr "Информация о пользователе"
 
-#: src/fe-gtk/servlistgui.c:1685
+#: src/fe-gtk/servlistgui.c:1654
 msgid "Third choice:"
 msgstr "Третий выбор:"
 
-#: src/fe-gtk/servlistgui.c:1745
+#: src/fe-gtk/servlistgui.c:1714
 msgid "Networks"
 msgstr "Сети"
 
-#: src/fe-gtk/servlistgui.c:1786
+#: src/fe-gtk/servlistgui.c:1755
 msgid "Skip network list on startup"
 msgstr "Не показывать список сетей при запуске"
 
-#: src/fe-gtk/servlistgui.c:1818
+#: src/fe-gtk/servlistgui.c:1787
 msgid "_Edit..."
 msgstr "Править..."
 
-#: src/fe-gtk/servlistgui.c:1825
+#: src/fe-gtk/servlistgui.c:1794
 msgid "_Sort"
 msgstr "Сортировать"
 
-#: src/fe-gtk/servlistgui.c:1826
-msgid ""
-"Sorts the network list in alphabetical order. Use SHIFT-UP and SHIFT-DOWN "
-"keys to move a row."
-msgstr ""
-"Сортировка списка сетей по алфавиту. Для перемещения строк используйте SHIFT-"
-"стрелка вверх/вниз."
+#: src/fe-gtk/servlistgui.c:1795
+msgid "Sorts the network list in alphabetical order. Use SHIFT-UP and SHIFT-DOWN keys to move a row."
+msgstr "Сортировка списка сетей по алфавиту. Для перемещения строк используйте SHIFT-стрелка вверх/вниз."
 
-#: src/fe-gtk/servlistgui.c:1851
+#: src/fe-gtk/servlistgui.c:1820
 msgid "C_onnect"
 msgstr "Подключить"
 
@@ -4669,7 +4654,8 @@
 msgid "Blue:"
 msgstr "Голубой:"
 
-#: src/fe-gtk/setup.c:120 src/fe-gtk/setup.c:391
+#: src/fe-gtk/setup.c:120
+#: src/fe-gtk/setup.c:391
 msgid "Time Stamps"
 msgstr "Метки времени"
 
@@ -4681,11 +4667,13 @@
 msgid "Time stamp format:"
 msgstr "Формат отметки времени:"
 
-#: src/fe-gtk/setup.c:123 src/fe-gtk/setup.c:394
+#: src/fe-gtk/setup.c:123
+#: src/fe-gtk/setup.c:394
 msgid "See strftime manpage for details."
 msgstr "Смотрите руководство по strftime для деталей"
 
-#: src/fe-gtk/setup.c:130 src/fe-gtk/setup.c:170
+#: src/fe-gtk/setup.c:130
+#: src/fe-gtk/setup.c:170
 msgid "A-Z"
 msgstr "A-Z"
 
@@ -4693,11 +4681,13 @@
 msgid "Last-spoke order"
 msgstr "По времени"
 
-#: src/fe-gtk/setup.c:137 src/fe-gtk/setup.c:1701
+#: src/fe-gtk/setup.c:137
+#: src/fe-gtk/setup.c:1701
 msgid "Input box"
 msgstr "Поле ввода "
 
-#: src/fe-gtk/setup.c:138 src/fe-gtk/setup.c:202
+#: src/fe-gtk/setup.c:138
+#: src/fe-gtk/setup.c:202
 msgid "Use the Text box font and colors"
 msgstr "Использовать цвета и шрифт текстовой надписи"
 
@@ -4750,19 +4740,23 @@
 msgid "Unsorted"
 msgstr "Не сортировать"
 
-#: src/fe-gtk/setup.c:179 src/fe-gtk/setup.c:191
+#: src/fe-gtk/setup.c:179
+#: src/fe-gtk/setup.c:191
 msgid "Left (Upper)"
 msgstr "Слева вверху"
 
-#: src/fe-gtk/setup.c:180 src/fe-gtk/setup.c:192
+#: src/fe-gtk/setup.c:180
+#: src/fe-gtk/setup.c:192
 msgid "Left (Lower)"
 msgstr "Слева внизу"
 
-#: src/fe-gtk/setup.c:181 src/fe-gtk/setup.c:193
+#: src/fe-gtk/setup.c:181
+#: src/fe-gtk/setup.c:193
 msgid "Right (Upper)"
 msgstr "Справа вверху"
 
-#: src/fe-gtk/setup.c:182 src/fe-gtk/setup.c:194
+#: src/fe-gtk/setup.c:182
+#: src/fe-gtk/setup.c:194
 msgid "Right (Lower)"
 msgstr "Справа внизу"
 
@@ -4814,7 +4808,8 @@
 msgid "Windows"
 msgstr "Окна"
 
-#: src/fe-gtk/setup.c:224 src/fe-gtk/setup.c:240
+#: src/fe-gtk/setup.c:224
+#: src/fe-gtk/setup.c:240
 msgid "Tabs"
 msgstr "Закладки"
 
@@ -4888,8 +4883,7 @@
 
 #: src/fe-gtk/setup.c:264
 msgid "Open DCC, Ignore, Notify etc, in tabs or windows?"
-msgstr ""
-"Открыть как закладки DCC, Игнорирования, Уведомлений и т.д. или в окне?"
+msgstr "Открыть как закладки DCC, Игнорирования, Уведомлений и т.д. или в окне?"
 
 #: src/fe-gtk/setup.c:271
 msgid "No"
@@ -4932,12 +4926,8 @@
 msgstr "Получить свой IP от IRC сервера"
 
 #: src/fe-gtk/setup.c:287
-msgid ""
-"Asks the IRC server for your real address. Use this if you have a 192.168.*."
-"* address!"
-msgstr ""
-"Запросить у сервера свой реальный адрес. Используйте, если ваш адрес вида "
-"192.168.*.*!"
+msgid "Asks the IRC server for your real address. Use this if you have a 192.168.*.* address!"
+msgstr "Запросить у сервера свой реальный адрес. Используйте, если ваш адрес вида 192.168.*.*!"
 
 #: src/fe-gtk/setup.c:288
 msgid "DCC IP address:"
@@ -4967,7 +4957,8 @@
 msgid "One upload:"
 msgstr "Одна заливка:"
 
-#: src/fe-gtk/setup.c:296 src/fe-gtk/setup.c:298
+#: src/fe-gtk/setup.c:296
+#: src/fe-gtk/setup.c:298
 msgid "Maximum speed for one transfer"
 msgstr "Макс. скорость для одной передачи"
 
@@ -4979,7 +4970,8 @@
 msgid "All uploads combined:"
 msgstr "Все передачи объединены:"
 
-#: src/fe-gtk/setup.c:300 src/fe-gtk/setup.c:302
+#: src/fe-gtk/setup.c:300
+#: src/fe-gtk/setup.c:302
 msgid "Maximum speed for all files"
 msgstr "Максимальная скорость для всех файлов"
 
@@ -4987,7 +4979,8 @@
 msgid "All downloads combined:"
 msgstr "Все закачки объединены:"
 
-#: src/fe-gtk/setup.c:329 src/fe-gtk/setup.c:1707
+#: src/fe-gtk/setup.c:329
+#: src/fe-gtk/setup.c:1707
 msgid "Alerts"
 msgstr "Предупреждения"
 
@@ -5016,8 +5009,7 @@
 msgstr "Выделенные сообщения"
 
 #: src/fe-gtk/setup.c:342
-msgid ""
-"Highlighted messages are ones where your nickname is mentioned, but also:"
+msgid "Highlighted messages are ones where your nickname is mentioned, but also:"
 msgstr "Выделяются сообщения, в которых упомянуто ваше имя, кроме того:"
 
 #: src/fe-gtk/setup.c:344
@@ -5102,8 +5094,7 @@
 
 #: src/fe-gtk/setup.c:372
 msgid "Sends a /WHOIS when a user comes online in your notify list"
-msgstr ""
-"Послать /WHOIS когда пользователь в вашем списке извещений приходит в online."
+msgstr "Послать /WHOIS когда пользователь в вашем списке извещений приходит в online."
 
 #: src/fe-gtk/setup.c:373
 msgid "Hide join and part messages"
@@ -5129,7 +5120,8 @@
 msgid "Chat window"
 msgstr "Окно канала..."
 
-#: src/fe-gtk/setup.c:385 src/fe-gtk/setup.c:1709
+#: src/fe-gtk/setup.c:385
+#: src/fe-gtk/setup.c:1709
 msgid "Logging"
 msgstr "Протоколирование"
 
@@ -5290,11 +5282,13 @@
 msgid "Local colors:"
 msgstr "Локальные цвета:"
 
-#: src/fe-gtk/setup.c:1313 src/fe-gtk/setup.c:1318
+#: src/fe-gtk/setup.c:1313
+#: src/fe-gtk/setup.c:1318
 msgid "Foreground:"
 msgstr "Передний план:"
 
-#: src/fe-gtk/setup.c:1314 src/fe-gtk/setup.c:1319
+#: src/fe-gtk/setup.c:1314
+#: src/fe-gtk/setup.c:1319
 msgid "Background:"
 msgstr "Фон:"
 
@@ -5326,7 +5320,8 @@
 msgid "Highlight:"
 msgstr "Выделение:"
 
-#: src/fe-gtk/setup.c:1423 src/fe-gtk/textgui.c:389
+#: src/fe-gtk/setup.c:1423
+#: src/fe-gtk/textgui.c:389
 msgid "Event"
 msgstr "Событие"
 
@@ -5424,9 +5419,7 @@
 
 #: src/fe-gtk/setup.c:2017
 msgid "Some settings were changed that require a restart to take full effect."
-msgstr ""
-"Изменение некоторых настроек требует перезапуска программы для их "
-"использования."
+msgstr "Изменение некоторых настроек требует перезапуска программы для их использования."
 
 #: src/fe-gtk/setup.c:2025
 msgid ""
@@ -5453,7 +5446,8 @@
 msgid "This signal is only passed %d args, $%d is invalid"
 msgstr "Этот сигнал передал только %d аргумента, $%d отсутствует."
 
-#: src/fe-gtk/textgui.c:304 src/fe-gtk/textgui.c:327
+#: src/fe-gtk/textgui.c:304
+#: src/fe-gtk/textgui.c:327
 msgid "Print Texts File"
 msgstr "Печатать текстовый файл"
 
@@ -5473,65 +5467,55 @@
 msgid "Test All"
 msgstr "Проверить все"
 
-#: src/fe-gtk/urlgrab.c:96
+#: src/fe-gtk/urlgrab.c:98
 msgid "URL"
 msgstr "URL"
 
-#: src/fe-gtk/urlgrab.c:186
+#: src/fe-gtk/urlgrab.c:188
 msgid "XChat: URL Grabber"
 msgstr "X-Chat: Сборщик URL"
 
-#: src/fe-gtk/urlgrab.c:199
+#: src/fe-gtk/urlgrab.c:201
 msgid "Clear list"
 msgstr "Очистить список"
 
-#: src/fe-gtk/urlgrab.c:201
+#: src/fe-gtk/urlgrab.c:203
 msgid "Copy selected URL"
 msgstr "Копировать выбранный URL"
 
-#: src/fe-gtk/urlgrab.c:201
+#: src/fe-gtk/urlgrab.c:203
 msgid "Copy"
 msgstr "Копировать"
 
-#: src/fe-gtk/urlgrab.c:203
+#: src/fe-gtk/urlgrab.c:205
 msgid "Save list to a file"
 msgstr "Записать список в файл"
 
-#: src/fe-gtk/userlistgui.c:119
+#: src/fe-gtk/userlistgui.c:111
 #, c-format
 msgid "%d ops, %d total"
 msgstr "%d оп-ов, %d всего"
 
 #~ msgid "Direct client-to-client"
 #~ msgstr "Прямое соединение"
-
 #~ msgid "Send File"
 #~ msgstr "Послать файл"
-
 #~ msgid "Offer Chat"
 #~ msgstr "Предложить разговор"
-
 #~ msgid "Abort Chat"
 #~ msgstr "Прервать Разговор"
-
 #~ msgid "Userinfo"
 #~ msgstr "Информация о пользователе"
-
 #~ msgid "Clientinfo"
 #~ msgstr "Информация о клиенте"
-
 #~ msgid "Time"
 #~ msgstr "Время"
-
 #~ msgid "Finger"
 #~ msgstr "Finger"
-
 #~ msgid "Oper"
 #~ msgstr "Операция"
-
 #~ msgid "Kill this user"
 #~ msgstr "Убить этого пользователя"
-
 #~ msgid "Mode"
 #~ msgstr "Режим"
 
@@ -5542,158 +5526,112 @@
 #, fuzzy
 #~ msgid "Take Half-Ops"
 #~ msgstr "Снять оператора"
-
 #~ msgid "Ignore"
 #~ msgstr "Игнорировать"
-
 #~ msgid "Ignore User"
 #~ msgstr "Игнорировать пользователя"
-
 #~ msgid "UnIgnore User"
 #~ msgstr "Снять игнорирование пользователя"
-
 #~ msgid "Info"
 #~ msgstr "Информация"
-
 #~ msgid "Who"
 #~ msgstr "Кто "
-
 #~ msgid "DNS Lookup"
 #~ msgstr "Просмотр DNS:"
-
 #~ msgid "Trace"
 #~ msgstr "Трассировка"
-
 #~ msgid "UserHost"
 #~ msgstr "Компьютер пользователя"
-
 #~ msgid "External"
 #~ msgstr "Внешние"
-
 #~ msgid "Traceroute"
 #~ msgstr "Traceroute"
-
 #~ msgid "Telnet"
 #~ msgstr "Telnet"
-
 #~ msgid "About XChat"
 #~ msgstr "Об X-Chat"
-
 #~ msgid "Unban"
 #~ msgstr "Снять бан"
-
 #~ msgid "Show join/part messages"
 #~ msgstr "Сообщать о входе/выходе"
-
 #~ msgid "Color paste"
 #~ msgstr "Вставить цвет"
 
 #, fuzzy
 #~ msgid "_Close Tab"
 #~ msgstr "Закрыть вкладку"
-
 #~ msgid "Channel List..."
 #~ msgstr "Список каналов..."
-
 #~ msgid "Notify List..."
 #~ msgstr "Список уведомлений..."
 
 #, fuzzy
 #~ msgid "_Attach Window"
 #~ msgstr "Окно"
-
 #~ msgid "_Close Window"
 #~ msgstr "Закрыть окно"
-
 #~ msgid "User"
 #~ msgstr "Пользователь"
-
 #~ msgid "XChat: Notify List"
 #~ msgstr "X-Chat: Список уведомлений"
-
 #~ msgid "C_hannels to join:"
 #~ msgstr "Каналы для входа:"
 
 #, fuzzy
 #~ msgid "Channel Switcher"
 #~ msgstr "Список каналов..."
-
 #~ msgid "%C18*$t$1%O $2"
 #~ msgstr "%C18*$t$1%O $2"
-
 #~ msgid "%C21*%O$t%C21%B$1%O%C21 $2"
 #~ msgstr "%C21*%O$t%C21%B$1%O%C21 $2"
-
 #~ msgid "%C18%B%B$4$1%O%C18%O$t$2"
 #~ msgstr "%C18%B%B$4$1%O%C18%O$t$2"
-
 #~ msgid "$4%C21%B$1%O%C21$t$2"
 #~ msgstr "$4%C21%B$1%O%C21$t$2"
-
 #~ msgid "%C28-%C29$1/$2%C28-%O$t$3"
 #~ msgstr "%C28-%C29$1/$2%C28-%O$t$3 "
-
 #~ msgid "$1$t$2"
 #~ msgstr "$1$t$2"
-
 #~ msgid "%C19>%O$1%C19<%O$t$2"
 #~ msgstr "%C19>%O$1%C19<%O$t$2 "
-
 #~ msgid "%C16*%O$t$1%O"
 #~ msgstr "%C16*%O$t$1%O "
-
 #~ msgid "%C28-%C29$1%C28-%O$t$2"
 #~ msgstr "%C28-%C29$1%C28-%O$t$2 "
-
 #~ msgid "%C28*%C29$3$1%C28*$t%O$2"
 #~ msgstr "%C28*%C29$3$1%C28*$t%O$2 "
-
 #~ msgid "%C18%B%B$3$1%O$t$2"
 #~ msgstr "%C18%B%B$3$1%O$t$2 "
-
 #~ msgid "%C22*%O$t$1"
 #~ msgstr "%C22*%O$t$1 "
 
 #, fuzzy
 #~ msgid "%C31%B%B$4$1%O%C30$t$2"
 #~ msgstr "%C31%B%B$4$1%O$t%C30$2"
-
 #~ msgid "PID"
 #~ msgstr "PID"
-
 #~ msgid "France, Metropolitan"
 #~ msgstr "Франция, Метрополитен"
-
 #~ msgid "Neutral Zone"
 #~ msgstr "Нейтральная зона"
-
 #~ msgid "US Minor Outlying Islands"
 #~ msgstr "US Minor Outlying Islands"
-
 #~ msgid "I can't save an empty list!"
 #~ msgstr "Невозможно сохранить пустой список"
-
 #~ msgid "List display options:"
 #~ msgstr "Список настроек экрана:"
-
 #~ msgid "Minimum Users:"
 #~ msgstr "Минимальное количество пользователей:"
-
 #~ msgid "Maximum Users:"
 #~ msgstr "Максимальное количество пользователей:"
-
 #~ msgid "Regex Match:"
 #~ msgstr "Поиск RegExp "
-
 #~ msgid "Apply Match to:"
 #~ msgstr "Применить к:"
-
 #~ msgid "Apply"
 #~ msgstr "Применить"
-
 #~ msgid "Refresh the list"
 #~ msgstr "Обновить список"
-
 #~ msgid "Save the list"
 #~ msgstr "Записать список"
 
@@ -5716,172 +5654,119 @@
 #, fuzzy
 #~ msgid "Speed limit:"
 #~ msgstr "Ограничение"
-
 #~ msgid "MIME Type"
 #~ msgstr "MIME Type"
-
 #~ msgid "X-Chat: File Receive List"
 #~ msgstr "X-Chat: Список принимаемых файлов"
-
 #~ msgid "Open"
 #~ msgstr "Откр"
-
 #~ msgid "Ack"
 #~ msgstr "Ack"
-
 #~ msgid "To"
 #~ msgstr "Кому"
-
 #~ msgid "To/From"
 #~ msgstr "Кому/Откуда"
-
 #~ msgid "DIRECTORY"
 #~ msgstr "Каталог"
-
 #~ msgid "No other tabs open, quit xchat?"
 #~ msgstr "Нет открытых вкладок. Выйти из XChat?"
-
 #~ msgid "Go to"
 #~ msgstr "Перейти"
-
 #~ msgid "Close this tab/window"
 #~ msgstr "Закрыть вкладку/окно"
-
 #~ msgid "User List Buttons"
 #~ msgstr "Кнопки Cписка Пользователей"
-
 #~ msgid "Settings saved."
 #~ msgstr "Настройки записаны."
-
 #~ msgid "New Shell Tab..."
 #~ msgstr "Новая вкладка оболочки..."
-
 #~ msgid "_IRC"
 #~ msgstr "_IRC"
-
 #~ msgid "Invisible"
 #~ msgstr "Невидимый"
-
 #~ msgid "Receive Wallops"
 #~ msgstr "Принимать Wallops"
-
 #~ msgid "Receive Server Notices"
 #~ msgstr "Принимать уведомления сервера"
-
 #~ msgid "Auto Rejoin when Kicked"
 #~ msgstr "Автоматически подключаться после выброса"
-
 #~ msgid "Never-give-up ReConnect"
 #~ msgstr "Никогда не прекращать попыток соединиться"
-
 #~ msgid "Auto Open Dialog Windows"
 #~ msgstr "Автоматически открывать диалоговые окна"
-
 #~ msgid "Auto Accept Direct Chat"
 #~ msgstr "Автоматически принимать Direct Chat"
-
 #~ msgid "Reload Settings"
 #~ msgstr "Перечитать настройки"
-
 #~ msgid "Save Settings now"
 #~ msgstr "Сохранить настройки сейчас"
-
 #~ msgid "Save Settings on exit"
 #~ msgstr "Сохранить настройки при выходе"
-
 #~ msgid "File Receive..."
 #~ msgstr "Окно приема файлов..."
-
 #~ msgid "File Send..."
 #~ msgstr "Окно передачи файлов..."
-
 #~ msgid "Server"
 #~ msgstr "Сервер"
-
 #~ msgid "Save rawlog"
 #~ msgstr "Записать лог"
-
 #~ msgid "Save rawlog..."
 #~ msgstr "Сохранить протокол сети..."
-
 #~ msgid "Close"
 #~ msgstr "Закрыть"
-
 #~ msgid "Connect in new tab"
 #~ msgstr "Подключиться в новой вкладке"
 
 #, fuzzy
 #~ msgid "Tint (shade) transparency"
 #~ msgstr "Светло прозрачный"
-
 #~ msgid "Strip mIRC colors"
 #~ msgstr "Удалять цвета mIRC"
-
 #~ msgid "Completes nick names without using the TAB key"
 #~ msgstr "Завершать ники без использования клавиши TAB"
-
 #~ msgid "Input Box Appearance"
 #~ msgstr "Оформление окна ввода"
-
 #~ msgid "Info text"
 #~ msgstr "Информация"
-
 #~ msgid "User list buttons enabled"
 #~ msgstr "Включить кнопки списка пользователей"
 
 #, fuzzy
 #~ msgid "Resizable user list"
 #~ msgstr "Список пользователей изменяемой ширины"
-
 #~ msgid "Lag meter:"
 #~ msgstr "Измеритель "
-
 #~ msgid "Throttle meter:"
 #~ msgstr "Измеритель ширины канала:"
-
 #~ msgid "Left"
 #~ msgstr "Слева"
-
 #~ msgid "Right"
 #~ msgstr "Справа"
-
 #~ msgid "Tabs Location"
 #~ msgstr "Расположение вкладок"
-
 #~ msgid "Convert spaces to underscore before sending"
 #~ msgstr "Конвертировать пробелы в подчеркивание перед отправкой"
-
 #~ msgid "(Can be a text file relative to ~/.xchat2/)."
 #~ msgstr "(Может быть текстовым файлом относительно каталога ~/.xchat2/)"
-
 #~ msgid "(Can be a text file relative to config dir)."
 #~ msgstr ""
 #~ "(Может быть текстовым файлом относительно конфигурационного каталога)"
-
 #~ msgid "Flash taskbar on highlighted messages"
 #~ msgstr "Мерцать на панели задач при получении выделеных сообщений"
-
 #~ msgid "Beep on channel messages"
 #~ msgstr "Звуковой сигнал при получении сообщений на канале"
-
 #~ msgid "(See strftime manpage for details)."
 #~ msgstr "(Смотрите руководство по strftime manpage для деталей)."
-
 #~ msgid "(disabled)"
 #~ msgstr "(Выключено)"
-
 #~ msgid "A star (*)"
 #~ msgstr "Звездочка (*)"
-
 #~ msgid "A red star (*)"
 #~ msgstr "Красная звездочка (*)"
-
 #~ msgid "%C19>%O$1%C19<%O$t$2%O"
 #~ msgstr "%C19>%O$1%C19<%O$t$2%O"
-
 #~ msgid "Servername"
 #~ msgstr "Имя сервера"
-
 #~ msgid ""
 #~ "      File: %s\n"
 #~ "   To/From: %s\n"
@@ -5896,32 +5781,26 @@
 #~ "      Порт: %d\n"
 #~ " IP адрес: %s\n"
 #~ "Время начала: %s   Max CPS: %d\n"
-
 #~ msgid "Add new"
 #~ msgstr "Добавить новый"
-
 #~ msgid "User: %s"
 #~ msgstr "Пользователь: %s"
-
 #~ msgid "Realname: %s"
 #~ msgstr "Реальное имя: %s"
-
 #~ msgid "Server: %s"
 #~ msgstr "Сервер: %s"
 
 #, fuzzy
 #~ msgid "Real na_me:"
 #~ msgstr "Настоящее имя:"
-
 #~ msgid "Select a file to save to"
 #~ msgstr "Выберите файл для сохранения"
 
 #, fuzzy
 #~ msgid "%C22*%O$t%C28[%O$1%C28] %O$2"
 #~ msgstr "-%C10-%C11-%O$t%C12[%O$1%C12] %O$2"
-
 #~ msgid "Former Czechoslovakia"
 #~ msgstr "Чехословакия"
-
 #~ msgid "Zaire"
 #~ msgstr "Заир"
+

=== modified file 'src/fe-gtk/plugin-tray.c'
--- old/src/fe-gtk/plugin-tray.c	2008-10-31 17:46:48 +0000
+++ new/src/fe-gtk/plugin-tray.c	2009-03-13 12:06:32 +0000
@@ -653,7 +653,7 @@
 	}
 
 	if (prefs.input_balloon_hilight)
-		tray_set_balloonf (word[2], _("XChat: Highlighted message from: %s (%s)"),
+		tray_set_balloonf (word[2], _("%s (%s)"),
 								 word[1], xchat_get_info (ph, "channel"));
 
 	return XCHAT_EAT_NONE;
@@ -678,8 +678,8 @@
 	}
 
 	if (prefs.input_balloon_chans)
-		tray_set_balloonf (word[2], _("XChat: New public message from: %s (%s)"),
-								 word[1], xchat_get_info (ph, "channel"));
+		tray_set_balloonf (word[2], _("%s (%s)"),
+								 word[1], xchat_get_info(ph, "channel"));
 
 	return XCHAT_EAT_NONE;
 }
@@ -707,8 +707,8 @@
 							tray_priv_count, from, network);
 
 	if (prefs.input_balloon_priv)
-		tray_set_balloonf (text, _("XChat: Private message from: %s (%s)"),
-								 from, network);
+		tray_set_balloonf (text, "%s",
+								 from);
 }
 
 static int
@@ -761,8 +761,8 @@
 	}
 
 	if (prefs.input_balloon_priv)
-		tray_set_balloonf ("", _("XChat: File offer from: %s (%s)"),
-								word[1], network);
+		tray_set_balloonf (_("is offering you a file."), "%s",
+								word[1]);
 
 	return XCHAT_EAT_NONE;
 }

Index: xchat-2.8.8/src/common/inbound.c
===================================================================
--- xchat-2.8.8.orig/src/common/inbound.c	2010-10-08 23:22:34.000000000 +0200
+++ xchat-2.8.8/src/common/inbound.c	2010-10-10 01:59:41.000000000 +0200
@@ -186,6 +186,9 @@
 
 	inbound_make_idtext (serv, idtext, sizeof (idtext), id);
 
+	if (alert_match_word (from, prefs.irc_no_hilight))
+		return;
+
 	sess = find_session_from_nick (from, serv);
 	if (!sess)
 	{
@@ -436,6 +439,9 @@
 
 	inbound_make_idtext (serv, idtext, sizeof (idtext), id);
 
+	if (alert_match_word (from, prefs.irc_no_hilight))
+		return;
+
 	if (is_hilight (from, text, sess, serv))
 		hilight = TRUE;
 
Description: Upstream changes introduced in version 2.8.8-3ubuntu6~test2
Author: Andreas Moog <amoog@ubuntu.com>
Bug: http://sourceforge.net/support/tracker.php?aid=3024423
Bug-Ubuntu: https://launchpad.net/bugs/392503

--- xchat-2.8.8.orig/src/fe-gtk/menu.c
+++ xchat-2.8.8/src/fe-gtk/menu.c
@@ -2215,8 +2215,10 @@ togitem:
 													 mymenu[i].state);*/
 			if (mymenu[i].key != 0)
 				gtk_widget_add_accelerator (item, "activate", accel_group,
-									mymenu[i].key, mymenu[i].id == MENU_ID_AWAY ?
-									away_mask : GDK_CONTROL_MASK, GTK_ACCEL_VISIBLE);
+									mymenu[i].key,
+									mymenu[i].id == MENU_ID_AWAY ? away_mask :
+									mymenu[i].key == GDK_F9 ? 0 :
+									GDK_CONTROL_MASK, GTK_ACCEL_VISIBLE);
 			if (mymenu[i].callback)
 				g_signal_connect (G_OBJECT (item), "toggled",
 										G_CALLBACK (mymenu[i].callback), 0);
diff -Nurp xchat-2.8.8/src/common/url.c working/src/common/url.c
--- xchat-2.8.8/src/common/url.c	2009-08-16 02:40:16.000000000 -0700
+++ working/src/common/url.c	2012-02-23 11:21:04.745059924 -0800
@@ -139,6 +139,7 @@ url_check_word (char *word, int len)
 		{ D("file://") },
 		{ D("rtsp://") },
 		{ D("ut2004://") },
+		{ D("apt:") },
 	},
 	suffix[] = {
 		{ D(".org") },
diff -Nurp xchat-2.8.8/src/fe-gtk/fe-gtk.c working/src/fe-gtk/fe-gtk.c
--- xchat-2.8.8/src/fe-gtk/fe-gtk.c	2012-02-23 11:18:22.000000000 -0800
+++ working/src/fe-gtk/fe-gtk.c	2012-02-23 11:22:42.129272865 -0800
@@ -979,7 +979,7 @@ static void
 fe_open_url_locale (const char *url)
 {
 #ifndef WIN32
-	if (url[0] != '/' && strchr (url, ':') == NULL)
+	if (url[0] != '/' && strchr (url, ':') == NULL && strncmp (url, "apt:", 4) != 0)
 	{
 		url = g_strdup_printf ("http://%s", url);
 		fe_open_url_inner (url);
## Description: Make it possible to open irc:// URI's via gvfs.
## Origin/Author: Shawn Landden <shawnlandden@gmail.com> and
## Daniel Gimpelevich <daniel@gimpelevich.san-francisco.ca.us>
## Bug: https://bugs.launchpad.net/ubuntu/+source/xchat/+bug/933822
Index: xchat-2.8.8/xchat.desktop
===================================================================
--- xchat-2.8.8.orig/xchat.desktop	2010-05-30 08:08:48.000000000 +0200
+++ xchat-2.8.8/xchat.desktop	2012-12-03 19:18:00.000000000 +0100
@@ -15,9 +15,10 @@
 Comment[ro]=Client de IRC
 Comment[zh_TW]=X-Chat 聊天程式
 Comment=Chat with other people using Internet Relay Chat
-Exec=xchat
+Exec=sh -c "xchat --existing --url %U || exec xchat"
 Icon=xchat
 Terminal=false
 Type=Application
 Categories=Network;
 StartupNotify=true
+MimeType=x-scheme-handler/irc;x-scheme-handler/ircs;
--- a/src/common/servlist.c
+++ b/src/common/servlist.c
@@ -24,7 +24,7 @@
 #include <unistd.h>
 
 #include "xchat.h"
-#include <glib/ghash.h>
+#include <glib.h>
 
 #include "cfgfiles.h"
 #include "fe.h"
--- a/src/common/text.c
+++ b/src/common/text.c
@@ -28,7 +28,7 @@
 #include <sys/mman.h>
 
 #include "xchat.h"
-#include <glib/ghash.h>
+#include <glib.h>
 #include "cfgfiles.h"
 #include "chanopt.h"
 #include "plugin.h"
--- a/src/common/util.c
+++ b/src/common/util.c
@@ -39,7 +39,7 @@
 #include <errno.h>
 #include "xchat.h"
 #include "xchatc.h"
-#include <glib/gmarkup.h>
+#include <glib.h>
 #include <ctype.h>
 #include "util.h"
 #include "../../config.h"
--- a/src/common/xchat.h
+++ b/src/common/xchat.h
@@ -1,10 +1,6 @@
 #include "../../config.h"
 
-#include <glib/gslist.h>
-#include <glib/glist.h>
-#include <glib/gutils.h>
-#include <glib/giochannel.h>
-#include <glib/gstrfuncs.h>
+#include <glib.h>
 #include <time.h>			/* need time_t */
 
 #ifndef XCHAT_H
--- a/configure
+++ b/configure
@@ -5783,10 +5783,6 @@
   fi
   ;;
 
-gnu*)
-  lt_cv_deplibs_check_method=pass_all
-  ;;
-
 hpux10.20* | hpux11*)
   lt_cv_file_magic_cmd=/usr/bin/file
   case $host_cpu in
@@ -5821,7 +5817,7 @@
   ;;
 
 # This must be Linux ELF.
-linux* | k*bsd*-gnu)
+linux* | k*bsd*-gnu | gnu*)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
@@ -8089,7 +8085,7 @@
       lt_prog_compiler_static='-non_shared'
       ;;
 
-    linux* | k*bsd*-gnu)
+    linux* | k*bsd*-gnu | gnu*)
       case $cc_basename in
       # old Intel for x86_64 which still supported -KPIC.
       ecc*)
@@ -10000,16 +9996,6 @@
   esac
   ;;
 
-gnu*)
-  version_type=linux
-  need_lib_prefix=no
-  need_version=no
-  library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext}${major} ${libname}${shared_ext}'
-  soname_spec='${libname}${release}${shared_ext}$major'
-  shlibpath_var=LD_LIBRARY_PATH
-  hardcode_into_libs=yes
-  ;;
-
 hpux9* | hpux10* | hpux11*)
   # Give a soname corresponding to the major version so that dld.sl refuses to
   # link against other versions.
@@ -10111,7 +10097,7 @@
   ;;
 
 # This must be Linux ELF.
-linux* | k*bsd*-gnu)
+linux* | k*bsd*-gnu | gnu*)
   version_type=linux
   need_lib_prefix=no
   need_version=no
Write to temporary file and then rename.
Same approach like I did for bug 463072.
Fixes loss of data when disk is full.
Closes: #147832.

Index: xchat-2.8.8/src/common/servlist.c
===================================================================
--- xchat-2.8.8.orig/src/common/servlist.c	2012-09-30 12:23:53.000000000 +0000
+++ xchat-2.8.8/src/common/servlist.c	2012-09-30 12:23:55.000000000 +0000
@@ -1072,6 +1072,7 @@
 servlist_save (void)
 {
 	FILE *fp;
+	int nb;
 	char buf[256];
 	ircnet *net;
 	ircserver *serv;
@@ -1080,12 +1081,12 @@
 #ifndef WIN32
 	int first = FALSE;
 
-	snprintf (buf, sizeof (buf), "%s/servlist_.conf", get_xdir_fs ());
+	snprintf (buf, sizeof (buf), "%s/servlist_.conf.bug147832", get_xdir_fs ());
 	if (access (buf, F_OK) != 0)
 		first = TRUE;
 #endif
 
-	fp = xchat_fopen_file ("servlist_.conf", "w", 0);
+	fp = xchat_fopen_file ("servlist_.conf.bug147832", "w", 0);
 	if (!fp)
 		return FALSE;
 
@@ -1093,32 +1094,32 @@
 	if (first)
 		chmod (buf, 0600);
 #endif
-	fprintf (fp, "v="PACKAGE_VERSION"\n\n");
+	nb = fprintf (fp, "v="PACKAGE_VERSION"\n\n");
 
 	list = network_list;
 	while (list)
 	{
 		net = list->data;
 
-		fprintf (fp, "N=%s\n", net->name);
+		if( nb > 0 ) nb = fprintf (fp, "N=%s\n", net->name);
 		if (net->nick)
-			fprintf (fp, "I=%s\n", net->nick);
+			if( nb > 0 ) nb = fprintf (fp, "I=%s\n", net->nick);
 		if (net->nick2)
-			fprintf (fp, "i=%s\n", net->nick2);
+			if( nb > 0 ) nb = fprintf (fp, "i=%s\n", net->nick2);
 		if (net->user)
-			fprintf (fp, "U=%s\n", net->user);
+			if( nb > 0 ) nb = fprintf (fp, "U=%s\n", net->user);
 		if (net->real)
-			fprintf (fp, "R=%s\n", net->real);
+			if( nb > 0 ) nb = fprintf (fp, "R=%s\n", net->real);
 		if (net->pass)
-			fprintf (fp, "P=%s\n", net->pass);
+			if( nb > 0 ) nb = fprintf (fp, "P=%s\n", net->pass);
 		if (net->autojoin)
-			fprintf (fp, "J=%s\n", net->autojoin);
+			if( nb > 0 ) nb = fprintf (fp, "J=%s\n", net->autojoin);
 		if (net->nickserv)
-			fprintf (fp, "B=%s\n", net->nickserv);
+			if( nb > 0 ) nb = fprintf (fp, "B=%s\n", net->nickserv);
 		if (net->encoding && strcasecmp (net->encoding, "System") &&
 			 strcasecmp (net->encoding, "System default"))
 		{
-			fprintf (fp, "E=%s\n", net->encoding);
+			if( nb > 0 ) nb = fprintf (fp, "E=%s\n", net->encoding);
 			if (!servlist_check_encoding (net->encoding))
 			{
 				snprintf (buf, sizeof (buf), _("Warning: \"%s\" character set is unknown. No conversion will be applied for network %s."),
@@ -1128,28 +1129,44 @@
 		}
 
 		if (net->command)
-			token_foreach (net->command, '\n', servlist_write_ccmd, fp);
+			if( nb > 0 )
+				if( token_foreach (net->command, '\n', servlist_write_ccmd, fp) != TRUE )
+					nb = -1;
 
-		fprintf (fp, "F=%d\nD=%d\n", net->flags, net->selected);
+		if( nb > 0 ) nb = fprintf (fp, "F=%d\nD=%d\n", net->flags, net->selected);
 
 		hlist = net->servlist;
 		while (hlist)
 		{
 			serv = hlist->data;
-			fprintf (fp, "S=%s\n", serv->hostname);
+			if( nb > 0 ) nb = fprintf (fp, "S=%s\n", serv->hostname);
 			hlist = hlist->next;
 		}
 
-		if (fprintf (fp, "\n") < 1)
-		{
-			fclose (fp);
-			return FALSE;
-		}
+		if( nb > 0 ) nb = fprintf (fp, "\n");
 
 		list = list->next;
 	}
 
-	fclose (fp);
+	if( nb <= 0 )
+	{
+		fprintf( stderr, "servlist_save: fprintf() failed\n" );
+		fclose( fp );
+		return FALSE;
+	}
+
+	if( fclose (fp) != 0 )
+	{
+		perror( "servlist_save: fclose() failed" );
+		return FALSE;
+	}
+
+	if( xchat_rename_file( "servlist_.conf.bug147832", "servlist_.conf", 0 ) != 0 )
+	{
+		perror( "servlist_save: xchat_rename_file() failed" );
+		return FALSE;
+	}
+
 	return TRUE;
 }
 
Write to temporary file and then rename.
Same approach like I did for bug 463072.
Fixes loss of data when disk is full.

diff -ruN -x '*.png' -x '*.jpg' -x '*.ogg' -x '*_image_archive' -x '*.swp' ../orig/xchat-2.8.8/src/common/tree.c ./src/common/tree.c
--- ../orig/xchat-2.8.8/src/common/tree.c	2009-08-16 09:40:16.000000000 +0000
+++ ./src/common/tree.c	2012-09-30 12:27:09.000000000 +0000
@@ -176,19 +176,27 @@
 	return 1;
 }
 
-void
-tree_foreach (tree *t, tree_traverse_func *func, void *data)
+int
+tree_foreach_int (tree *t, tree_traverse_func *func, void *data)
 {
 	int j;
 
 	if (!t || !t->array)
-		return;
+		return 1;
 
 	for (j = 0; j < t->elements; j++)
 	{
 		if (!func (t->array[j], data))
-			break;
+			return 0;
 	}
+
+	return 1;
+}
+
+void
+tree_foreach (tree *t, tree_traverse_func *func, void *data)
+{
+	tree_foreach_int( t, func, data );
 }
 
 int
diff -ruN -x '*.png' -x '*.jpg' -x '*.ogg' -x '*_image_archive' -x '*.swp' ../orig/xchat-2.8.8/src/common/tree.h ./src/common/tree.h
--- ../orig/xchat-2.8.8/src/common/tree.h	2009-08-16 09:40:16.000000000 +0000
+++ ./src/common/tree.h	2012-09-30 12:27:09.000000000 +0000
@@ -11,6 +11,7 @@
 void *tree_find (tree *t, void *key, tree_cmp_func *cmp, void *data, int *pos);
 int tree_remove (tree *t, void *key, int *pos);
 void tree_foreach (tree *t, tree_traverse_func *func, void *data);
+int tree_foreach_int (tree *t, tree_traverse_func *func, void *data);
 int tree_insert (tree *t, void *key);
 
 #endif
diff -ruN -x '*.png' -x '*.jpg' -x '*.ogg' -x '*_image_archive' -x '*.swp' ../orig/xchat-2.8.8/src/common/url.c ./src/common/url.c
--- ../orig/xchat-2.8.8/src/common/url.c	2009-08-16 09:40:16.000000000 +0000
+++ ./src/common/url.c	2012-09-30 12:27:09.000000000 +0000
@@ -50,11 +50,12 @@
 static int
 url_save_cb (char *url, FILE *fd)
 {
-	fprintf (fd, "%s\n", url);
+	if( fprintf (fd, "%s\n", url) <= 0 )
+		return FALSE;
 	return TRUE;
 }
 
-void
+int
 url_save (const char *fname, const char *mode, gboolean fullpath)
 {
 	FILE *fd;
@@ -64,10 +65,18 @@
 	else
 		fd = xchat_fopen_file (fname, mode, 0);
 	if (fd == NULL)
-		return;
+		return FALSE;
+
+	if( tree_foreach_int (url_tree, (tree_traverse_func *)url_save_cb, fd) == 0 )
+	{
+		fclose (fd);
+		return FALSE;
+	}
 
-	tree_foreach (url_tree, (tree_traverse_func *)url_save_cb, fd);
-	fclose (fd);
+	if( fclose (fd) )
+		return FALSE;
+
+	return TRUE;
 }
 
 void
diff -ruN -x '*.png' -x '*.jpg' -x '*.ogg' -x '*_image_archive' -x '*.swp' ../orig/xchat-2.8.8/src/common/url.h ./src/common/url.h
--- ../orig/xchat-2.8.8/src/common/url.h	2009-08-16 09:40:16.000000000 +0000
+++ ./src/common/url.h	2012-09-30 12:27:09.000000000 +0000
@@ -11,7 +11,7 @@
 #define WORD_DIALOG  -1
 
 void url_clear (void);
-void url_save (const char *fname, const char *mode, gboolean fullpath);
+int url_save (const char *fname, const char *mode, gboolean fullpath);
 void url_autosave (void);
 int url_check_word (char *word, int len);
 void url_check_line (char *buf, int len);
--- ../orig/xchat-2.8.8/./src/fe-gtk/urlgrab.c	2010-05-16 03:16:37.000000000 +0000
+++ ./src/fe-gtk/urlgrab.c	2012-09-30 12:36:04.000000000 +0000
@@ -136,8 +136,31 @@
 static void
 url_save_callback (void *arg1, char *file)
 {
-	if (file)
-		url_save (file, "w", TRUE);
+	if( ! file )
+		return;
+
+	char *file_tmp = malloc( strlen( file ) + strlen( ".bug147832" ) + 1 );
+	if( ! file_tmp )
+		return;
+
+	strcpy( file_tmp, file );
+	strcat( file_tmp, ".bug147832" );
+
+	if( url_save( file_tmp, "w", TRUE ) != TRUE )
+	{
+		fprintf( stderr, "url_save_callback: url_save failed (%s)\n", file_tmp );
+		free( file_tmp );
+		return;
+	}
+
+	if( xchat_rename_file( file_tmp, file, XOF_FULLPATH ) != 0 )
+	{
+		perror( "url_save_callback: xchat_rename_file() failed" );
+		free( file_tmp );
+		return;
+	}
+
+	free( file_tmp );
 }
 
 static void
Write to temporary file and then rename.
Same approach like I did for bug 463072.
Fixes loss of data when disk is full.

--- ../orig/xchat-2.8.8/./src/common/notify.c	2009-08-16 09:40:16.000000000 +0000
+++ ./src/common/notify.c	2012-09-30 12:53:27.000000000 +0000
@@ -121,25 +121,47 @@
 notify_save (void)
 {
 	int fh;
+	ssize_t nb;
 	struct notify *notify;
 	GSList *list = notify_list;
 
-	fh = xchat_open_file ("notify.conf", O_TRUNC | O_WRONLY | O_CREAT, 0600, XOF_DOMODE);
-	if (fh != -1)
+	fh = xchat_open_file ("notify.conf.bug147832", O_TRUNC | O_WRONLY | O_CREAT, 0600, XOF_DOMODE);
+	if( fh == -1 )
 	{
+		perror( "notify_save: xchat_open_file failed" );
+		return;
+	}
+	else
+	{
+		nb = 1;
 		while (list)
 		{
 			notify = (struct notify *) list->data;
-			write (fh, notify->name, strlen (notify->name));
+			if( nb > 0 ) nb = write (fh, notify->name, strlen (notify->name));
 			if (notify->networks)
 			{
-				write (fh, " ", 1);
-				write (fh, notify->networks, strlen (notify->networks));
+				if( nb > 0 ) nb = write (fh, " ", 1);
+				if( nb > 0 ) nb = write (fh, notify->networks, strlen (notify->networks));
 			}
-			write (fh, "\n", 1);
+			if( nb > 0 ) nb = write (fh, "\n", 1);
 			list = list->next;
 		}
-		close (fh);
+		if( nb <= 0 )
+		{
+			fprintf( stderr, "notify_save: fprintf() failed\n" );
+			close( fh );
+			return;
+		}
+		if( close (fh) != 0 )
+		{
+			perror( "notify_save: close failed" );
+			return;
+		}
+		if( xchat_rename_file( "notify.conf.bug147832", "notify.conf", XOF_DOMODE ) != 0 )
+		{
+			perror( "notify_save: xchat_rename_file() failed" );
+			return;
+		}
 	}
 }
 
Write to temporary file and then rename.
Same approach like I did for bug 463072.
Fixes loss of data when disk is full.

--- ../orig/xchat-2.8.8/./src/fe-gtk/palette.c	2010-05-16 03:16:10.000000000 +0000
+++ ./src/fe-gtk/palette.c	2012-09-30 12:58:02.000000000 +0000
@@ -202,25 +202,45 @@
 palette_save (void)
 {
 	int i, j, fh;
+	ssize_t nb;
 	char prefname[256];
 
-	fh = xchat_open_file ("colors.conf", O_TRUNC | O_WRONLY | O_CREAT, 0600, XOF_DOMODE);
+	fh = xchat_open_file ("colors.conf.bug147832", O_TRUNC | O_WRONLY | O_CREAT, 0600, XOF_DOMODE);
 	if (fh != -1)
 	{
+		nb = 1;
+
 		/* mIRC colors 0-31 are here */
 		for (i = 0; i < 32; i++)
 		{
 			snprintf (prefname, sizeof prefname, "color_%d", i);
-			cfg_put_color (fh, colors[i].red, colors[i].green, colors[i].blue, prefname);
+			if( nb > 0 ) nb = cfg_put_color (fh, colors[i].red, colors[i].green, colors[i].blue, prefname);
 		}
 
 		/* our special colors are mapped at 256+ */
 		for (i = 256, j = 32; j < MAX_COL+1; i++, j++)
 		{
 			snprintf (prefname, sizeof prefname, "color_%d", i);
-			cfg_put_color (fh, colors[j].red, colors[j].green, colors[j].blue, prefname);
+			if( nb > 0 ) nb = cfg_put_color (fh, colors[j].red, colors[j].green, colors[j].blue, prefname);
 		}
 
-		close (fh);
+		if( nb <= 0 )
+		{
+			fprintf( stderr, "palette_save: cfg_put_color failed\n" );
+			close( fh );
+			return;
+		}
+
+		if( close (fh) != 0 )
+		{
+			perror( "palette_save: close() failed\n" );
+			return;
+		}
+
+		if( xchat_rename_file( "colors.conf.bug147832", "colors.conf", XOF_DOMODE ) != 0 )
+		{
+			perror( "palette_save: xchat_rename_file() failed" );
+			return;
+		}
 	}
 }
Write to temporary file and then rename.
Same approach like I did for bug 463072.
Fixes loss of data when disk is full.

--- ../orig/xchat-2.8.8/./src/fe-gtk/chanlist.c	2009-08-16 09:40:18.000000000 +0000
+++ ./src/fe-gtk/chanlist.c	2012-09-30 13:09:03.000000000 +0000
@@ -480,6 +480,7 @@
 {
 	time_t t = time (0);
 	int fh, users;
+	ssize_t nb;
 	char *chan, *topic;
 	char buf[1024];
 	GtkTreeModel *model = GET_MODEL (serv);
@@ -488,14 +489,25 @@
 	if (!file)
 		return;
 
-	fh = xchat_open_file (file, O_TRUNC | O_WRONLY | O_CREAT, 0600,
+	char *file_tmp = malloc( strlen( file ) + strlen( ".bug147832" ) + 1 );
+	if( ! file_tmp )
+		return;
+
+	strcpy( file_tmp, file );
+	strcat( file_tmp, ".bug147832" );
+
+	fh = xchat_open_file (file_tmp, O_TRUNC | O_WRONLY | O_CREAT, 0600,
 								 XOF_DOMODE | XOF_FULLPATH);
 	if (fh == -1)
+	{
+		perror( "chanlist_filereq_done: xchat_open_file failed" );
+		free( file_tmp );
 		return;
+	}
 
 	snprintf (buf, sizeof buf, "XChat Channel List: %s - %s\n",
 				 serv->servername, ctime (&t));
-	write (fh, buf, strlen (buf));
+	nb = write (fh, buf, strlen (buf));
 
 	if (gtk_tree_model_get_iter_first (model, &iter))
 	{
@@ -508,12 +520,34 @@
 			snprintf (buf, sizeof buf, "%-16s %-5d%s\n", chan, users, topic);
 			g_free (chan);
 			g_free (topic);
-			write (fh, buf, strlen (buf));
+			if( nb > 0 ) nb = write (fh, buf, strlen (buf));
 		}
 		while (gtk_tree_model_iter_next (model, &iter));
 	}
 
-	close (fh);
+	if( nb <= 0 )
+	{
+		fprintf( stderr, "chanlist_filereq_done: write() failed\n" );
+		close( fh );
+		free( file_tmp );
+		return;
+	}
+
+	if( close (fh) != 0 )
+	{
+		perror( "chanlist_filereq_done: close() failed" );
+		free( file_tmp );
+		return;
+	}
+
+	if( xchat_rename_file( file_tmp, file, XOF_DOMODE | XOF_FULLPATH ) != 0 )
+	{
+		perror( "chanlist_filereq_done: xchat_rename_file() failed" );
+		free( file_tmp );
+		return;
+	}
+
+	free( file_tmp );
 }
 
 static void
Write to temporary file and then rename.
Same approach like I did for bug 463072.
Fixes loss of data when disk is full.

--- ../orig/xchat-2.8.8/./src/fe-gtk/editlist.c	2009-08-16 09:40:18.000000000 +0000
+++ ./src/fe-gtk/editlist.c	2012-09-30 15:02:05.000000000 +0000
@@ -161,22 +161,48 @@
 editlist_gui_save (GtkWidget * igad)
 {
 	int fh, i = 0;
+	ssize_t nb;
 	char buf[512];
 	char *a, *b;
 
-	fh = xchat_open_file (editlist_file, O_TRUNC | O_WRONLY | O_CREAT, 0600, XOF_DOMODE);
+	char *file_tmp = malloc( strlen( editlist_file ) + strlen( ".bug147832" ) + 1 );
+	if( ! file_tmp )
+		return;
+
+	fh = xchat_open_file (file_tmp, O_TRUNC | O_WRONLY | O_CREAT, 0600, XOF_DOMODE);
 	if (fh != -1)
 	{
+		nb = 1;
 		while (1)
 		{
 			if (!gtk_clist_get_text (GTK_CLIST (editlist_gui_list), i, 0, &a))
 				break;
 			gtk_clist_get_text (GTK_CLIST (editlist_gui_list), i, 1, &b);
 			snprintf (buf, sizeof (buf), "NAME %s\nCMD %s\n\n", a, b);
-			write (fh, buf, strlen (buf));
+			if( nb > 0 ) nb = write (fh, buf, strlen (buf));
 			i++;
 		}
-		close (fh);
+		if( nb <= 0 )
+		{
+			fprintf( stderr, "editlist_gui_save: write() failed\n" );
+			close( fh );
+			free( file_tmp );
+			return;
+		}
+		if( close (fh) != 0 )
+		{
+			perror( "editlist_gui_save: close() failed" );
+			free( file_tmp );
+			return;
+		}
+		if( xchat_rename_file( file_tmp, editlist_file, XOF_DOMODE ) != 0 )
+		{
+			perror( "editlist_gui_save: xchat_rename_file() failed" );
+			free( file_tmp );
+			return;
+		}
+		free( file_tmp );
+
 		gtk_widget_destroy (editlist_gui_window);
 		if (editlist_list == replace_list)
 		{
--- ../orig/xchat-2.8.8/./src/common/chanopt.c	2009-08-16 09:40:16.000000000 +0000
+++ ./src/common/chanopt.c	2012-09-30 15:30:55.000000000 +0000
@@ -345,7 +345,7 @@
 	}
 }
 
-static void
+static int
 chanopt_save_one_channel (chanopt_in_memory *co, int fh)
 {
 	int i;
@@ -353,10 +353,12 @@
 	guint8 val;
 
 	snprintf (buf, sizeof (buf), "%s = %s\n", "network", co->network);
-	write (fh, buf, strlen (buf));
+	if( write (fh, buf, strlen (buf)) <= 0 )
+		return FALSE;
 
 	snprintf (buf, sizeof (buf), "%s = %s\n", "channel", co->channel);
-	write (fh, buf, strlen (buf));
+	if( write (fh, buf, strlen (buf)) <= 0 )
+		return FALSE;
 
 	i = 0;
 	while (i < sizeof (chanopt) / sizeof (channel_options))
@@ -365,10 +367,13 @@
 		if (val != SET_DEFAULT)
 		{
 			snprintf (buf, sizeof (buf), "%s = %d\n", chanopt[i].name, val);
-			write (fh, buf, strlen (buf));
+			if( write (fh, buf, strlen (buf)) <= 0 )
+				return FALSE;
 		}
 		i++;
 	}
+
+	return TRUE;
 }
 
 void
@@ -377,6 +382,7 @@
 	int i;
 	int num_saved;
 	int fh;
+	ssize_t nb;
 	GSList *list;
 	chanopt_in_memory *co;
 	guint8 val;
@@ -386,12 +392,14 @@
 		return;
 	}
 
-	fh = xchat_open_file ("chanopt.conf", O_TRUNC | O_WRONLY | O_CREAT, 0600, XOF_DOMODE);
+	fh = xchat_open_file ("chanopt.conf.bug147832", O_TRUNC | O_WRONLY | O_CREAT, 0600, XOF_DOMODE);
 	if (fh == -1)
 	{
 		return;
 	}
 
+	nb = 1;
+
 	for (num_saved = 0, list = chanopt_list; list; list = list->next)
 	{
 		co = list->data;
@@ -404,9 +412,11 @@
 			if (val != SET_DEFAULT)
 			{
 				if (num_saved != 0)
-					write (fh, "\n", 1);
+					if( nb > 0 ) nb = write (fh, "\n", 1);
 
-				chanopt_save_one_channel (co, fh);
+				if( nb > 0 )
+					if( chanopt_save_one_channel (co, fh) != TRUE )
+						nb = -1;
 				num_saved++;
 				goto cont;
 			}
@@ -414,13 +424,37 @@
 		}
 
 cont:
+		;
+	}
+
+	if( nb <= 0 )
+	{
+		fprintf( stderr, "chanopt_save_all: write() failed\n" );
+		close( fh );
+		return;
+	}
+
+	if( close (fh) != 0 )
+	{
+		perror( "chanopt_save_all: close() failed" );
+		return;
+	}
+
+	if( xchat_rename_file( "chanopt.conf.bug147832", "chanopt.conf", XOF_DOMODE ) != 0 )
+	{
+		perror( "chanopt_save_all: xchat_rename_file() failed" );
+		return;
+	}
+
+	for (list = chanopt_list; list; list = list->next)
+	{
+		co = list->data;
+
 		g_free (co->network);
 		g_free (co->channel);
 		g_free (co);
 	}
 
-	close (fh);
-
 	/* we're quiting, no need to free */
 
 	/*g_slist_free (chanopt_list);
Write to temporary file and then rename.
Same approach like I did for bug 463072.
Fixes loss of data when disk is full.

--- ../orig/xchat-2.8.8/./src/fe-gtk/fkeys.c	2009-08-16 09:40:18.000000000 +0000
+++ ./src/fe-gtk/fkeys.c	2012-09-30 14:09:09.000000000 +0000
@@ -837,22 +837,35 @@
 static void
 key_save_kbs (char *fn)
 {
-	int fd, i;
+	int fd, i, rc;
+	ssize_t nb;
 	char buf[512];
+	char *file_tmp = NULL;
 	struct key_binding *kb;
 
 	if (!fn)
-		fd = xchat_open_file ("keybindings.conf", O_CREAT | O_TRUNC | O_WRONLY,
+		fd = xchat_open_file ("keybindings.conf.bug147832", O_CREAT | O_TRUNC | O_WRONLY,
 									 0x180, XOF_DOMODE);
 	else
-		fd = xchat_open_file (fn, O_CREAT | O_TRUNC | O_WRONLY,
+	{
+		file_tmp = malloc( strlen( fn ) + strlen( ".bug147832" ) + 1 );
+		if( ! file_tmp )
+			return;
+		strcpy( file_tmp, fn );
+		strcat( file_tmp, ".bug147832" );
+
+		fd = xchat_open_file (file_tmp, O_CREAT | O_TRUNC | O_WRONLY,
 									 0x180, XOF_DOMODE | XOF_FULLPATH);
+	}
+
 	if (fd < 0)
 	{
 		fe_message (_("Error opening keys config file\n"), FE_MSG_ERROR);
+		if( file_tmp )
+			free( file_tmp );
 		return;
 	}
-	write (fd, buf,
+	nb = write (fd, buf,
 			 snprintf (buf, 510, "# XChat key bindings config file\n\n"));
 
 	kb = keys_root;
@@ -869,41 +882,77 @@
 		if (kb->mod & STATE_CTRL)
 		{
 			i++;
-			write (fd, "C", 1);
+			if( nb > 0 ) nb = write (fd, "C", 1);
 		}
 		if (kb->mod & STATE_ALT)
 		{
 			i++;
-			write (fd, "A", 1);
+			if( nb > 0 ) nb = write (fd, "A", 1);
 		}
 		if (kb->mod & STATE_SHIFT)
 		{
 			i++;
-			write (fd, "S", 1);
+			if( nb > 0 ) nb = write (fd, "S", 1);
 		}
 		if (i == 0)
-			write (fd, "None\n", 5);
+		{
+			if( nb > 0 ) nb = write (fd, "None\n", 5);
+		}
 		else
-			write (fd, "\n", 1);
+			if( nb > 0 ) nb = write (fd, "\n", 1);
 
-		write (fd, buf, snprintf (buf, 510, "%s\n%s\n", kb->keyname,
+		if( nb > 0 ) nb = write (fd, buf, snprintf (buf, 510, "%s\n%s\n", kb->keyname,
 										  key_actions[kb->action].name));
 		if (kb->data1 && kb->data1[0])
-			write (fd, buf, snprintf (buf, 510, "D1:%s\n", kb->data1));
+		{
+			if( nb > 0 ) nb = write (fd, buf, snprintf (buf, 510, "D1:%s\n", kb->data1));
+		}
 		else
-			write (fd, "D1!\n", 4);
+			if( nb > 0 ) nb = write (fd, "D1!\n", 4);
 
 		if (kb->data2 && kb->data2[0])
-			write (fd, buf, snprintf (buf, 510, "D2:%s\n", kb->data2));
+		{
+			if( nb > 0 ) nb = write (fd, buf, snprintf (buf, 510, "D2:%s\n", kb->data2));
+		}
 		else
-			write (fd, "D2!\n", 4);
+			if( nb > 0 ) nb = write (fd, "D2!\n", 4);
 
-		write (fd, "\n", 1);
+		if( nb > 0 ) nb = write (fd, "\n", 1);
 
 		kb = kb->next;
 	}
 
-	close (fd);
+	if( nb <= 0 )
+	{
+		fprintf( stderr, "key_save_kbs: write() failed\n" );
+		close( fd );
+		if( file_tmp )
+			free( file_tmp );
+		return;
+	}
+
+	if( close (fd) != 0 )
+	{
+		if( file_tmp )
+			free( file_tmp );
+		return;
+	}
+
+	if( ! fn )
+		rc = xchat_rename_file( "keybindings.conf.bug147832", "keybindings.conf", XOF_DOMODE );
+	else
+		rc = xchat_rename_file( file_tmp, fn, XOF_DOMODE | XOF_FULLPATH );
+
+	if( rc != 0 )
+	{
+		perror( "key_save_kbs: xchat_rename_file() failed" );
+		if( file_tmp )
+			free( file_tmp );
+		return;
+	}
+
+	if( file_tmp )
+		free( file_tmp );
 }
 
 /* I just know this is going to be a nasty parse, if you think it's bugged
Write to temporary file and then rename.
Same approach like I did for bug 463072.
Fixes loss of data when disk is full.

--- ../orig/xchat-2.8.8/./src/common/text.c	2012-09-30 07:50:12.000000000 +0000
+++ ./src/common/text.c	2012-09-30 14:20:50.000000000 +0000
@@ -2089,15 +2089,26 @@
 void
 pevent_save (char *fn)
 {
-	int fd, i;
+	int fd, i, rc;
+	ssize_t nb;
+	char *file_tmp = NULL;
 	char buf[1024];
 
 	if (!fn)
-		fd = xchat_open_file ("pevents.conf", O_CREAT | O_TRUNC | O_WRONLY,
+		fd = xchat_open_file ("pevents.conf.bug147832", O_CREAT | O_TRUNC | O_WRONLY,
 									 0x180, XOF_DOMODE);
 	else
-		fd = xchat_open_file (fn, O_CREAT | O_TRUNC | O_WRONLY, 0x180,
+	{
+		file_tmp = malloc( strlen( fn ) + strlen( ".bug147832" ) + 1 );
+		if( ! file_tmp )
+			return;
+		strcpy( file_tmp, fn );
+		strcat( file_tmp, ".bug147832" );
+
+		fd = xchat_open_file (file_tmp, O_CREAT | O_TRUNC | O_WRONLY, 0x180,
 									 XOF_FULLPATH | XOF_DOMODE);
+	}
+
 	if (fd == -1)
 	{
 		/*
@@ -2107,18 +2118,52 @@
 		 */
 
 		perror ("Error opening config file\n");
+		if( ! file_tmp )
+			free( file_tmp );
 		return;
 	}
 
+	nb = 1;
 	for (i = 0; i < NUM_XP; i++)
 	{
-		write (fd, buf, snprintf (buf, sizeof (buf),
+		if( nb > 0 ) nb = write (fd, buf, snprintf (buf, sizeof (buf),
 										  "event_name=%s\n", te[i].name));
-		write (fd, buf, snprintf (buf, sizeof (buf),
+		if( nb > 0 ) nb = write (fd, buf, snprintf (buf, sizeof (buf),
 										  "event_text=%s\n\n", pntevts_text[i]));
 	}
 
-	close (fd);
+	if( nb <= 0 )
+	{
+		fprintf( stderr, "pevent_save: write() failed\n" );
+		close( fd );
+		if( file_tmp )
+			free( file_tmp );
+		return;
+	}
+
+	if( close (fd) != 0 )
+	{
+		perror( "pevent_save: close() failed" );
+		if( file_tmp )
+			free( file_tmp );
+		return;
+	}
+
+	if( ! fn )
+		rc = xchat_rename_file( "pevents.conf.bug147832", "pevents.conf", XOF_DOMODE );
+	else
+		rc = xchat_rename_file( file_tmp, fn, XOF_FULLPATH | XOF_DOMODE );
+
+	if( rc != 0 )
+	{
+		perror( "pevent_save: xchat_rename_file() failed" );
+		if( file_tmp )
+			free( file_tmp );
+		return;
+	}
+
+	if( file_tmp )
+		free( file_tmp );
 }
 
 /* =========================== */
Write to temporary file and then rename.
Same approach like I did for bug 463072.
Fixes loss of data when disk is full.

Index: xchat-2.8.8/src/common/text.c
===================================================================
--- xchat-2.8.8.orig/src/common/text.c	2012-09-30 14:26:18.000000000 +0000
+++ xchat-2.8.8/src/common/text.c	2012-09-30 14:26:18.000000000 +0000
@@ -2332,23 +2332,43 @@
 sound_save ()
 {
 	int fd, i;
+	ssize_t nb;
 	char buf[512];
 
-	fd = xchat_open_file ("sound.conf", O_CREAT | O_TRUNC | O_WRONLY, 0x180,
+	fd = xchat_open_file ("sound.conf.bug147832", O_CREAT | O_TRUNC | O_WRONLY, 0x180,
 								 XOF_DOMODE);
 	if (fd == -1)
 		return;
 
+	nb = 1;
+
 	for (i = 0; i < NUM_XP; i++)
 	{
 		if (sound_files[i] && sound_files[i][0])
 		{
-			write (fd, buf, snprintf (buf, sizeof (buf),
+			if( nb > 0 ) nb = write (fd, buf, snprintf (buf, sizeof (buf),
 											  "event=%s\n", te[i].name));
-			write (fd, buf, snprintf (buf, sizeof (buf),
+			if( nb > 0 ) nb = write (fd, buf, snprintf (buf, sizeof (buf),
 											  "sound=%s\n\n", sound_files[i]));
 		}
 	}
 
-	close (fd);
+	if( nb <= 0 )
+	{
+		fprintf( stderr, "sound_save: write() failed\n" );
+		close( fd );
+		return;
+	}
+
+	if( close (fd) != 0 )
+	{
+		perror( "sound_save: close() failed" );
+		return;
+	}
+
+	if( xchat_rename_file( "sound.conf.bug147832", "sound.conf", XOF_DOMODE ) != 0 )
+	{
+		perror( "sound_save: xchat_rename_file() failed" );
+		return;
+	}
 }
Description: Dynamically load libnotify.so.4 instead of libnotify.so.1
 Dynamically load libnotify.so.4 (instead of libnotify.so.1, which is no longer
 in sid) when sending notifications to the system tray, for better integration
 with Gnome 3. This patch also adapts for the new libnotify API.
Origin: http://xchat.svn.sourceforge.net/viewvc/xchat/src/fe-gtk/plugin-tray.c?r1=1453&r2=1470
Bug: http://sourceforge.net/tracker/index.php?func=detail&aid=3109838&group_id=239&atid=100239
Bug-Debian: http://bugs.debian.org/682599
Bug-Fedora: https://bugzilla.redhat.com/show_bug.cgi?id=693362
Reviewed-by: Sébastien Villemot <sebastien@debian.org>
Last-Update: 2012-12-08
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/src/fe-gtk/plugin-tray.c
+++ b/src/fe-gtk/plugin-tray.c
@@ -125,8 +125,9 @@
 /* prototypes */
 static gboolean (*nn_init) (char *);
 static void (*nn_uninit) (void);
-static void *(*nn_new_with_status_icon) (const gchar *summary, const gchar *message, const gchar *icon, GtkStatusIcon *status_icon);
-static void *(*nn_new) (const gchar *summary, const gchar *message, const gchar *icon, GtkWidget *attach);
+/* recent versions of libnotify don't take the fourth GtkWidget argument, but passing an
+ * extra NULL argument will be fine */
+static void *(*nn_new) (const gchar *summary, const gchar *message, const gchar *icon, gpointer dummy);
 static gboolean (*nn_show) (void *noti, GError **error);
 static void (*nn_set_timeout) (void *noti, gint timeout);
 
@@ -148,20 +149,14 @@
 
 	if (!nn_mod)
 	{
-		nn_mod = g_module_open ("libnotify", G_MODULE_BIND_LAZY);
+		nn_mod = g_module_open ("libnotify.so.4", G_MODULE_BIND_LAZY);
 		if (!nn_mod)
-		{
-			nn_mod = g_module_open ("libnotify.so.1", G_MODULE_BIND_LAZY);
-			if (!nn_mod)
-				return FALSE;
-		}
+			return FALSE;
 
 		if (!g_module_symbol (nn_mod, "notify_init", (gpointer)&nn_init))
 			goto bad;
 		if (!g_module_symbol (nn_mod, "notify_uninit", (gpointer)&nn_uninit))
 			goto bad;
-		if (!g_module_symbol (nn_mod, "notify_notification_new_with_status_icon", (gpointer)&nn_new_with_status_icon))
-			goto bad;
 		if (!g_module_symbol (nn_mod, "notify_notification_new", (gpointer)&nn_new))
 			goto bad;
 		if (!g_module_symbol (nn_mod, "notify_notification_show", (gpointer)&nn_show))
Description: Don't strip -lgmodule-2.0 from RDYNAMIC_LIBS
Author: Svante Signell <svante.signell@gmail.com>
Bug: 763855
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/configure.in
+++ b/configure.in
@@ -445,8 +445,7 @@
 	if test "$have_dl" = yes; then
 		AC_DEFINE(USE_PLUGIN)
 		AC_PATH_PROG(pkgconfigpath, pkg-config)
-		dnl we just need the -Wl,--export-dynamic, but not -lgmodule-2.0
-		RDYNAMIC_FLAGS="`$pkgconfigpath gmodule-2.0 --libs | $sedpath 's/ -lgmodule-2.0//'`"
+		RDYNAMIC_FLAGS="`$pkgconfigpath gmodule-2.0 --libs`"
 		LIBS="$LIBS $RDYNAMIC_FLAGS"
 		if test "$LD" = ""; then
 			VS="`ld --help | grep version-script 2> /dev/null`"
Description: Don't force the use of SSLv3
Author: Marc Deslauriers <marc.deslauriers@canonical.com>
Bug: http://sourceforge.net/p/xchat/bugs/1598/
Bug-Ubuntu: https://bugs.launchpad.net/xchat-gnome/+bug/1381484
Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=766005
Forwarded: yes

---
 src/common/ssl.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Index: b/src/common/ssl.c
===================================================================
--- a/src/common/ssl.c
+++ b/src/common/ssl.c
@@ -70,7 +70,7 @@ _SSL_context_init (void (*info_cb_func),
 
 	SSLeay_add_ssl_algorithms ();
 	SSL_load_error_strings ();
-	ctx = SSL_CTX_new (server ? SSLv3_server_method() : SSLv3_client_method ());
+	ctx = SSL_CTX_new (server ? SSLv23_server_method() : SSLv23_client_method ());
 
 	SSL_CTX_set_session_cache_mode (ctx, SSL_SESS_CACHE_BOTH);
 	SSL_CTX_set_timeout (ctx, 300);
@@ -281,7 +281,7 @@ _SSL_socket (SSL_CTX *ctx, int sd)
 		__SSL_critical_error ("SSL_new");
 
 	SSL_set_fd (ssl, sd);
-	if (ctx->method == SSLv3_client_method())
+	if (ctx->method == SSLv23_client_method())
 		SSL_set_connect_state (ssl);
 	else
 	        SSL_set_accept_state(ssl);
Description: optimise default settings for efficient chatting
* Make tab completion by default use last-used order, not alphabetical.
  This way for example if one is chatting with cjwatson, typing
  "cj<tab>" will complete to cjwatson and not cjohnston.
  Manual migration: ~/.xchat/xchat.conf: completion_sort = 1
* Do not focus channel upon entering, as that clears highlights when using a znc proxy.
  To be honest, there should be a distinction between manually joining
  new channels & auto-joining.
  Manual migration: ~/.xchat/xchat.conf: tab_new_to_front = 0
* Do not clear buffer with Ctrl-L shortcut.
  That shortcut is dominated by web-browsers changing URLs and causes
  context loss if the focus was accidently left on xchat.
Bug-Ubuntu: https://bugs.launchpad.net/bugs/189222
Bug-Ubuntu: https://bugs.launchpad.net/bugs/304477

--- xchat-2.8.8.orig/src/common/cfgfiles.c
+++ xchat-2.8.8/src/common/cfgfiles.c
@@ -613,8 +613,9 @@ load_config (void)
 	prefs.local_ip = 0xffffffff;
 	prefs.irc_join_delay = 3;
 	prefs.show_marker = 1;
-	prefs.newtabstofront = 2;
+	prefs.newtabstofront = 0;
 	prefs.completion_amount = 5;
+	prefs.completion_sort = 1;
 	prefs.away_timeout = 60;
 	prefs.away_size_max = 300;
 	prefs.away_track = 1;
--- xchat-2.8.8.orig/src/fe-gtk/menu.c
+++ xchat-2.8.8/src/fe-gtk/menu.c
@@ -1645,7 +1645,7 @@ static struct mymenu mymenu[] = {
 	{N_("URL Grabber..."), url_opengui, 0, M_MENUITEM, 0, 0, 1},
 	{0, 0, 0, M_SEP, 0, 0, 0},
 	{N_("Reset Marker Line"), menu_resetmarker, 0, M_MENUITEM, 0, 0, 1, GDK_m},
-	{N_("C_lear Text"), menu_flushbuffer, GTK_STOCK_CLEAR, M_MENUSTOCK, 0, 0, 1, GDK_l},
+	{N_("C_lear Text"), menu_flushbuffer, GTK_STOCK_CLEAR, M_MENUSTOCK, 0, 0, 1, 0},
 #define SEARCH_OFFSET 67
 	{N_("Search Text..."), menu_search, GTK_STOCK_FIND, M_MENUSTOCK, 0, 0, 1, GDK_f},
 	{N_("Save Text..."), menu_savebuffer, GTK_STOCK_SAVE, M_MENUSTOCK, 0, 0, 1},
Description: Specify foreign automake option.
Author: Dimitri John Ledkov <xnox@ubuntu.com>

--- xchat-2.8.8.orig/configure.in
+++ xchat-2.8.8/configure.in
@@ -8,7 +8,7 @@ AC_COPYRIGHT([Copyright (C) 1998-2010 Pe
 AC_CONFIG_HEADERS([config.h])
 AC_CONFIG_SRCDIR([configure.in])
 
-AM_INIT_AUTOMAKE([1.9 dist-bzip2 subdir-objects no-define])
+AM_INIT_AUTOMAKE([1.9 dist-bzip2 subdir-objects no-define foreign])
 
 AM_MAINTAINER_MODE
 AC_PROG_CC
From 217fa9d0f9fe21d998672fd72c547ee68dfe1aac Mon Sep 17 00:00:00 2001
From: Patrick Griffis <tingping@tingping.se>
Date: Sun, 23 Oct 2016 00:58:28 -0400
Subject: [PATCH] ssl: More OpenSSL 1.1.0 fixes

---
 src/common/ssl.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/src/common/ssl.c b/src/common/ssl.c
index f4e2366..31b3062 100644
--- a/src/common/ssl.c
+++ b/src/common/ssl.c
@@ -152,9 +152,9 @@ int
 _SSL_get_cert_info (struct cert_info *cert_info, SSL * ssl)
 {
 	X509 *peer_cert;
+	X509_PUBKEY *key;
+	X509_ALGOR *algor = NULL;
 	EVP_PKEY *peer_pkey;
-	/* EVP_PKEY *ca_pkey; */
-	/* EVP_PKEY *tmp_pkey; */
 	char notBefore[64];
 	char notAfter[64];
 	int alg;
@@ -171,7 +171,11 @@ _SSL_get_cert_info (struct cert_info *cert_info, SSL * ssl)
 	broke_oneline (cert_info->subject, cert_info->subject_word);
 	broke_oneline (cert_info->issuer, cert_info->issuer_word);
 
-	alg = OBJ_obj2nid (peer_cert->cert_info->key->algor->algorithm);
+	key = X509_get_X509_PUBKEY(peer_cert);
+	if (!X509_PUBKEY_get0_param(NULL, NULL, 0, &algor, key))
+		return 1;
+
+	alg = OBJ_obj2nid (algor->algorithm);
 	sign_alg = OBJ_obj2nid (peer_cert->sig_alg->algorithm);
 	ASN1_TIME_snprintf (notBefore, sizeof (notBefore),
 							  X509_get_notBefore (peer_cert));
@@ -297,7 +301,7 @@ _SSL_socket (SSL_CTX *ctx, int sd)
 		__SSL_critical_error ("SSL_new");
 
 	SSL_set_fd (ssl, sd);
-	if (ctx->method == SSLv23_client_method())
+	if (SSL_CTX_get_ssl_method (ctx) == SSLv23_client_method())
 		SSL_set_connect_state (ssl);
 	else
 	        SSL_set_accept_state(ssl);
From 1186236ac11d959bd7b2af5c53db065f3aa3da13 Mon Sep 17 00:00:00 2001
From: Patrick Griffis <tingping@tingping.se>
Date: Sun, 23 Oct 2016 01:08:13 -0400
Subject: [PATCH] ssl: Fix building with older OpenSSL too

---
 src/common/ssl.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

diff --git a/src/common/ssl.c b/src/common/ssl.c
index 31b3062..ad83d07 100644
--- a/src/common/ssl.c
+++ b/src/common/ssl.c
@@ -294,14 +294,20 @@ SSL *
 _SSL_socket (SSL_CTX *ctx, int sd)
 {
 	SSL *ssl;
-
+	const SSL_METHOD *method;
 
 	if (!(ssl = SSL_new (ctx)))
 		/* FATAL */
 		__SSL_critical_error ("SSL_new");
 
 	SSL_set_fd (ssl, sd);
-	if (SSL_CTX_get_ssl_method (ctx) == SSLv23_client_method())
+
+#if OPENSSL_VERSION_NUMBER < 0x10100000L
+	method = ctx->method;
+#else
+	method = SSL_CTX_get_ssl_method (ctx);
+#endif
+	if (method == SSLv23_client_method())
 		SSL_set_connect_state (ssl);
 	else
 	        SSL_set_accept_state(ssl);
From a0e80ebda2bc9270beb4818a2438d7555593b6fd Mon Sep 17 00:00:00 2001
From: Patrick Griffis <tingping@tingping.se>
Date: Sun, 23 Oct 2016 03:26:43 -0400
Subject: [PATCH] Final fixup of OpenSSL 1.1.0 changes

---
 plugins/fishlim/dh1080.c | 39 ++++++++++++++++++++++++++++++++-------
 src/common/ssl.c         |  4 ++++
 2 files changed, 36 insertions(+), 7 deletions(-)

#diff --git a/plugins/fishlim/dh1080.c b/plugins/fishlim/dh1080.c
#index 5afb1c6..ff6e579 100644
#--- a/plugins/fishlim/dh1080.c
#+++ b/plugins/fishlim/dh1080.c
#@@ -64,12 +64,23 @@ dh1080_init (void)
# 	if ((g_dh = DH_new()))
# 	{
# 		int codes;
#+		BIGNUM *p, *g;
# 
#-		g_dh->p = BN_bin2bn (prime1080, DH1080_PRIME_BYTES, NULL);
#-		g_dh->g = BN_new ();
#+		p = BN_bin2bn (prime1080, DH1080_PRIME_BYTES, NULL);
#+		g = BN_new ();
# 
#-		g_assert (g_dh->p != NULL && g_dh->g != NULL);
#-		BN_set_word(g_dh->g, 2);
#+		if (p == NULL || g == NULL)
#+			return 1;
#+
#+		BN_set_word (g, 2);
#+
#+#if OPENSSL_VERSION_NUMBER < 0x10100000L
#+		g_dh->p = p;
#+		g_dh->g = g;
#+#else
#+		if (!DH_set0_pqg (g_dh, p, NULL, g))
#+			return 1;
#+#endif
# 
# 		if (DH_check (g_dh, &codes))
# 			return codes == 0;
#@@ -136,6 +147,7 @@ dh1080_generate_key (char **priv_key, char **pub_key)
# 	guchar buf[DH1080_PRIME_BYTES];
# 	int len;
# 	DH *dh;
#+	const BIGNUM *dh_priv_key, *dh_pub_key;
# 
#   	g_assert (priv_key != NULL);
# 	g_assert (pub_key != NULL);
#@@ -150,12 +162,19 @@ dh1080_generate_key (char **priv_key, char **pub_key)
# 		return 0;
# 	}
# 
#+#if OPENSSL_VERSION_NUMBER < 0x10100000L
#+	dh_pub_key = dh->pub_key;
#+	dh_priv_key = dh->priv_key;
#+#else
#+	DH_get0_key (dh, &dh_pub_key, &dh_priv_key);
#+#endif
#+
# 	MEMZERO (buf);
#-	len = BN_bn2bin (dh->priv_key, buf);
#+	len = BN_bn2bin (dh_priv_key, buf);
# 	*priv_key = dh1080_encode_b64 (buf, len);
# 
# 	MEMZERO (buf);
#-	len = BN_bn2bin(dh->pub_key, buf);
#+	len = BN_bn2bin (dh_pub_key, buf);
# 	*pub_key = dh1080_encode_b64 (buf, len);
# 
# 	OPENSSL_cleanse (buf, sizeof (buf));
#@@ -190,9 +209,15 @@ dh1080_compute_key (const char *priv_key, const char *pub_key, char **secret_key
# 		char *priv_key_data;
# 		gsize priv_key_len;
# 		int shared_len;
#+		BIGNUM *priv_key_num;
# 
# 	  	priv_key_data = dh1080_decode_b64 (priv_key, &priv_key_len);
#-		dh->priv_key = BN_bin2bn(priv_key_data, priv_key_len, NULL);
#+		priv_key_num = BN_bin2bn(priv_key_data, priv_key_len, NULL);
#+#if OPENSSL_VERSION_NUMBER < 0x10100000L
#+		dh->priv_key = priv_key_num;
#+#else
#+		DH_set0_key (dh, NULL, priv_key_num);
#+#endif
# 
# 		shared_len = DH_compute_key (shared_key, pk, dh);
# 		SHA256(shared_key, shared_len, sha256);
diff --git a/src/common/ssl.c b/src/common/ssl.c
index ad83d07..cb58ce2 100644
--- a/src/common/ssl.c
+++ b/src/common/ssl.c
@@ -162,7 +162,11 @@ _SSL_get_cert_info (struct cert_info *cert_info, SSL * ssl)
 		return 1;
 
 	alg = OBJ_obj2nid (algor->algorithm);
+#if OPENSSL_VERSION_NUMBER < 0x10100000L
 	sign_alg = OBJ_obj2nid (peer_cert->sig_alg->algorithm);
+#else
+	sign_alg = X509_get_signature_nid (peer_cert);
+#endif
 	ASN1_TIME_snprintf (notBefore, sizeof (notBefore),
 							  X509_get_notBefore (peer_cert));
 	ASN1_TIME_snprintf (notAfter, sizeof (notAfter),
From 439ff094ce0d1be5704d52bc445a22c1be01ab0d Mon Sep 17 00:00:00 2001
From: Patrick Griffis <tingping@tingping.se>
Date: Sun, 26 Jun 2016 14:37:25 -0400
Subject: [PATCH] Fix building against openssl 1.1.0

Fixes #1759
---
 configure.ac        |  2 +-
 src/common/server.c | 16 ++++++++++------
 2 files changed, 11 insertions(+), 7 deletions(-)

#diff --git a/configure.ac b/configure.ac
#index ec6e24012..2c60a4847 100644
#--- a/configure.ac
#+++ b/configure.ac
#@@ -373,7 +373,7 @@ dnl *********************************************************************
# 
# 
# AS_IF([test "$openssl" != no], [
#-	PKG_CHECK_MODULES(OPENSSL, [openssl], [
#+	PKG_CHECK_MODULES(OPENSSL, [openssl >= 0.9.8], [
# 		AC_DEFINE(USE_OPENSSL)
# 		openssl=yes
# 		COMMON_LIBS="$COMMON_LIBS $OPENSSL_LIBS"
Index: xchat-2.8.8/src/common/server.c
===================================================================
--- xchat-2.8.8.orig/src/common/server.c
+++ xchat-2.8.8/src/common/server.c
@@ -596,19 +596,22 @@
 	char subject[256];
 	char issuer[256];
 	char buf[512];
+	X509 *current_cert = X509_STORE_CTX_get_current_cert (ctx);
 
+	if (!current_cert)
+		return TRUE;
 
-	X509_NAME_oneline (X509_get_subject_name (ctx->current_cert), subject,
-							 sizeof (subject));
-	X509_NAME_oneline (X509_get_issuer_name (ctx->current_cert), issuer,
-							 sizeof (issuer));
+	X509_NAME_oneline (X509_get_subject_name (current_cert),
+	                   subject, sizeof (subject));
+	X509_NAME_oneline (X509_get_issuer_name (current_cert),
+	                   issuer, sizeof (issuer));
 
 	snprintf (buf, sizeof (buf), "* Subject: %s", subject);
 	EMIT_SIGNAL (XP_TE_SSLMESSAGE, g_sess, buf, NULL, NULL, NULL, 0);
 	snprintf (buf, sizeof (buf), "* Issuer: %s", issuer);
 	EMIT_SIGNAL (XP_TE_SSLMESSAGE, g_sess, buf, NULL, NULL, NULL, 0);
 
-	return (TRUE);					  /* always ok */
+	return TRUE;
 }
 
 static int
@@ -751,7 +754,8 @@
 		return (0);					  /* remove it (0) */
 	} else
 	{
-		if (serv->ssl->session && serv->ssl->session->time + SSLTMOUT < time (NULL))
+		SSL_SESSION *session = SSL_get_session (serv->ssl);
+		if (session && SSL_SESSION_get_time (session) + SSLTMOUT < time (NULL))
 		{
 			snprintf (buf, sizeof (buf), "SSL handshake timed out");
 			EMIT_SIGNAL (XP_TE_CONNFAIL, serv->server_session, buf, NULL,
Origin: https://github.com/hexchat/hexchat/commit/15600f405f2d5bda6ccf0dd73957395716e0d4d3
Description: Fix CVE-2016-2087

--- xchat-2.8.8.orig/src/common/text.c
+++ xchat-2.8.8/src/common/text.c
@@ -63,12 +63,14 @@ scrollback_get_filename (session *sess,
 	if (!net)
 		return NULL;
 
+	net = log_create_filename (net);
 	snprintf (buf, max, "%s/scrollback/%s/%s.txt", get_xdir_fs (), net, "");
 	mkdir_p (buf);
 
 	chan = log_create_filename (sess->channel);
 	snprintf (buf, max, "%s/scrollback/%s/%s.txt", get_xdir_fs (), net, chan);
 	free (chan);
+	free (net);
 
 	return buf;
 }
Origin: https://github.com/hexchat/hexchat/commit/c99f2ba645d1f4d01d6d2bb0cc1238825e15c604
Description: Fix CVE-2013-7449

--- xchat-2.8.8.orig/src/common/server.c
+++ xchat-2.8.8/src/common/server.c
@@ -717,9 +717,22 @@ ssl_do_connect (server * serv)
 		switch (verify_error)
 		{
 		case X509_V_OK:
+			{
+				X509 *cert = SSL_get_peer_certificate (serv->ssl);
+				int hostname_err;
+				if ((hostname_err = _SSL_check_hostname(cert, serv->hostname)) != 0)
+				{
+					snprintf (buf, sizeof (buf), "* Verify E: Failed to validate hostname? (%d)%s",
+							 hostname_err, serv->accept_invalid_cert ? " -- Ignored" : "");
+					if (serv->accept_invalid_cert)
+						EMIT_SIGNAL (XP_TE_SSLMESSAGE, serv->server_session, buf, NULL, NULL, NULL, 0);
+					else
+						goto conn_fail;
+				}
+				break;
+			}
 			/* snprintf (buf, sizeof (buf), "* Verify OK (?)"); */
 			/* EMIT_SIGNAL (XP_TE_SSLMESSAGE, serv->server_session, buf, NULL, NULL, NULL, 0); */
-			break;
 		case X509_V_ERR_UNABLE_TO_GET_ISSUER_CERT_LOCALLY:
 		case X509_V_ERR_UNABLE_TO_VERIFY_LEAF_SIGNATURE:
 		case X509_V_ERR_DEPTH_ZERO_SELF_SIGNED_CERT:
@@ -738,6 +751,7 @@ ssl_do_connect (server * serv)
 			snprintf (buf, sizeof (buf), "%s.? (%d)",
 						 X509_verify_cert_error_string (verify_error),
 						 verify_error);
+conn_fail:
 			EMIT_SIGNAL (XP_TE_CONNFAIL, serv->server_session, buf, NULL, NULL,
 							 NULL, 0);
 
--- xchat-2.8.8.orig/src/common/ssl.c
+++ xchat-2.8.8/src/common/ssl.c
@@ -19,11 +19,13 @@
 
 #include <openssl/ssl.h>		  /* SSL_() */
 #include <openssl/err.h>		  /* ERR_() */
+#include <openssl/x509v3.h>
 #include <time.h>					  /* asctime() */
 #include <string.h>				  /* strncpy() */
 #include "ssl.h"					  /* struct cert_info */
 #include "inet.h"
 #include "../../config.h"		  /* HAVE_SNPRINTF */
+#include <gio/gio.h>
 
 #ifndef HAVE_SNPRINTF
 #define snprintf g_snprintf
@@ -335,3 +337,204 @@ _SSL_close (SSL * ssl)
 	SSL_free (ssl);
 	ERR_remove_state (0);		  /* free state buffer */
 }
+
+/* Hostname validation code based on OpenBSD's libtls. */
+
+static int
+_SSL_match_hostname (const char *cert_hostname, const char *hostname)
+{
+	const char *cert_domain, *domain, *next_dot;
+
+	if (g_ascii_strcasecmp (cert_hostname, hostname) == 0)
+		return 0;
+
+	/* Wildcard match? */
+	if (cert_hostname[0] == '*')
+	{
+		/*
+		 * Valid wildcards:
+		 * - "*.domain.tld"
+		 * - "*.sub.domain.tld"
+		 * - etc.
+		 * Reject "*.tld".
+		 * No attempt to prevent the use of eg. "*.co.uk".
+		 */
+		cert_domain = &cert_hostname[1];
+		/* Disallow "*"  */
+		if (cert_domain[0] == '\0')
+			return -1;
+		/* Disallow "*foo" */
+		if (cert_domain[0] != '.')
+			return -1;
+		/* Disallow "*.." */
+		if (cert_domain[1] == '.')
+			return -1;
+		next_dot = strchr (&cert_domain[1], '.');
+		/* Disallow "*.bar" */
+		if (next_dot == NULL)
+			return -1;
+		/* Disallow "*.bar.." */
+		if (next_dot[1] == '.')
+			return -1;
+
+		domain = strchr (hostname, '.');
+
+		/* No wildcard match against a hostname with no domain part. */
+		if (domain == NULL || strlen(domain) == 1)
+			return -1;
+
+		if (g_ascii_strcasecmp (cert_domain, domain) == 0)
+			return 0;
+	}
+
+	return -1;
+}
+
+static int
+_SSL_check_subject_altname (X509 *cert, const char *host)
+{
+	STACK_OF(GENERAL_NAME) *altname_stack = NULL;
+	GInetAddress *addr;
+	GSocketFamily family;
+	int type = GEN_DNS;
+	int count, i;
+	int rv = -1;
+
+	altname_stack = X509_get_ext_d2i (cert, NID_subject_alt_name, NULL, NULL);
+	if (altname_stack == NULL)
+		return -1;
+
+	addr = g_inet_address_new_from_string (host);
+	if (addr != NULL)
+	{
+		family = g_inet_address_get_family (addr);
+		if (family == G_SOCKET_FAMILY_IPV4 || family == G_SOCKET_FAMILY_IPV6)
+			type = GEN_IPADD;
+	}
+
+	count = sk_GENERAL_NAME_num(altname_stack);
+	for (i = 0; i < count; i++)
+	{
+		GENERAL_NAME *altname;
+
+		altname = sk_GENERAL_NAME_value (altname_stack, i);
+
+		if (altname->type != type)
+			continue;
+
+		if (type == GEN_DNS)
+		{
+			unsigned char *data;
+			int format;
+
+			format = ASN1_STRING_type (altname->d.dNSName);
+			if (format == V_ASN1_IA5STRING)
+			{
+				data = ASN1_STRING_data (altname->d.dNSName);
+
+				if (ASN1_STRING_length (altname->d.dNSName) != (int)strlen(data))
+				{
+					g_warning("NUL byte in subjectAltName, probably a malicious certificate.\n");
+					rv = -2;
+					break;
+				}
+
+				if (_SSL_match_hostname (data, host) == 0)
+				{
+					rv = 0;
+					break;
+				}
+			}
+			else
+				g_warning ("unhandled subjectAltName dNSName encoding (%d)\n", format);
+
+		}
+		else if (type == GEN_IPADD)
+		{
+			unsigned char *data;
+			const guint8 *addr_bytes;
+			int datalen, addr_len;
+
+			datalen = ASN1_STRING_length (altname->d.iPAddress);
+			data = ASN1_STRING_data (altname->d.iPAddress);
+
+			addr_bytes = g_inet_address_to_bytes (addr);
+			addr_len = (int)g_inet_address_get_native_size (addr);
+
+			if (datalen == addr_len && memcmp (data, addr_bytes, addr_len) == 0)
+			{
+				rv = 0;
+				break;
+			}
+		}
+	}
+
+	if (addr != NULL)
+		g_object_unref (addr);
+	sk_GENERAL_NAME_free (altname_stack);
+	return rv;
+}
+
+static int
+_SSL_check_common_name (X509 *cert, const char *host)
+{
+	X509_NAME *name;
+	char *common_name = NULL;
+	int common_name_len;
+	int rv = -1;
+	GInetAddress *addr;
+
+	name = X509_get_subject_name (cert);
+	if (name == NULL)
+		return -1;
+
+	common_name_len = X509_NAME_get_text_by_NID (name, NID_commonName, NULL, 0);
+	if (common_name_len < 0)
+		return -1;
+
+	common_name = calloc (common_name_len + 1, 1);
+	if (common_name == NULL)
+		return -1;
+
+	X509_NAME_get_text_by_NID (name, NID_commonName, common_name, common_name_len + 1);
+
+	/* NUL bytes in CN? */
+	if (common_name_len != (int)strlen(common_name))
+	{
+		g_warning ("NUL byte in Common Name field, probably a malicious certificate.\n");
+		rv = -2;
+		goto out;
+	}
+
+	if ((addr = g_inet_address_new_from_string (host)) != NULL)
+	{
+		/*
+		 * We don't want to attempt wildcard matching against IP
+		 * addresses, so perform a simple comparison here.
+		 */
+		if (g_strcmp0 (common_name, host) == 0)
+			rv = 0;
+		else
+			rv = -1;
+
+		g_object_unref (addr);
+	}
+	else if (_SSL_match_hostname (common_name, host) == 0)
+		rv = 0;
+
+out:
+	free(common_name);
+	return rv;
+}
+
+int
+_SSL_check_hostname (X509 *cert, const char *host)
+{
+	int rv;
+
+	rv = _SSL_check_subject_altname (cert, host);
+	if (rv == 0 || rv == -2)
+		return rv;
+
+	return _SSL_check_common_name (cert, host);
+}
--- xchat-2.8.8.orig/src/common/ssl.h
+++ xchat-2.8.8/src/common/ssl.h
@@ -34,7 +34,7 @@ char *_SSL_set_verify (SSL_CTX *ctx, voi
     int SSL_get_fd(SSL *);
 */
 void _SSL_close (SSL * ssl);
-
+int _SSL_check_hostname(X509 *cert, const char *host);
 int _SSL_get_cert_info (struct cert_info *cert_info, SSL * ssl);
 struct chiper_info *_SSL_get_cipher_info (SSL * ssl);
 
Description: Use unicode by default
Author: Gianfranco Costamagna <locutusofborg@debian.org>
Last-Update: 2017-08-09

--- xchat-2.8.8.orig/src/common/servlist.c
+++ xchat-2.8.8/src/common/servlist.c
@@ -932,7 +932,7 @@ servlist_load_defaults (void)
 		if (def[i].network)
 		{
 			net = servlist_net_add (def[i].network, def[i].host, FALSE);
-			net->encoding = strdup ("IRC (Latin/Unicode Hybrid)");
+			net->encoding = strdup ("UTF-8 (Unicode)");
 			if (def[i].channel)
 				net->autojoin = strdup (def[i].channel);
 			if (def[i].charset)
--- xchat-2.8.8.orig/src/fe-gtk/servlistgui.c
+++ xchat-2.8.8/src/fe-gtk/servlistgui.c
@@ -267,7 +267,7 @@ servlist_addnet_cb (GtkWidget *item, Gtk
 	ircnet *net;
 
 	net = servlist_net_add (_("New Network"), "", TRUE);
-	net->encoding = strdup ("IRC (Latin/Unicode Hybrid)");
+	net->encoding = strdup ("UTF-8 (Unicode)");
 	servlist_server_add (net, "newserver/6667");
 
 	store = (GtkListStore *)gtk_tree_view_get_model (treeview);
